Hulp vragen

U kunt de online Help in Microsoft Dynamics NAV op vier manieren openen:

De toets F1

Als u op F1 drukt krijgt u gerichte Help-informatie over dat deel van het programma waar de cursor zich bevindt. Als u de cursor bijvoorbeeld in het veld Naam van de klantentabel plaatst, krijgt u informatie over het desbetreffende veld en hoe dit in de tabel wordt gebruikt.

De knop Help in het venster

Als u op de Help-knop klikt, krijgt u de Help voor het venster in kwestie te zien. Als u Help opvraagt in een venster waarvoor geen Help beschikbaar is, verschijnt de Help van de onderliggende tabel, lijst of batchverwerking.

Het pictogram Help en Help, Wat is dit? op de menubalk

Als u op een van deze twee opties klikt, verandert de cursor in een Help-cursor. Plaats deze cursor in het deel van het venster waarvoor u hulp wilt hebben en klik eenmaal om het Help-onderwerp te openen.

De Help-cursor verandert weer in een normale cursor zodra het Help-venster verschijnt of wanneer u op Esc drukt.

Help op de menubalk

Het Help-menu bevat vier opdrachten:

Met Microsoft Dynamics NAV Help opent u een inhoudsopgave voor het Help-systeem. Hier kunt u Help-informatie kiezen over verschillende onderwerpen.

C/SIDE Reference Guide opent het Help-systeem voor programmeurs. U kunt hulp vragen over functies, triggers, gegevenstypen en eigenschappen.

Wat is dit? verandert de cursor in een Help-cursor waarmee u Help-informatie kunt opvragen over alle onderdelen van het venster.

Functietoetsen toont een overzicht van de functietoetsen in het programma. (Met functietoetsen wordt de bovenste rij toetsen op het toetsenbord bedoeld. U gebruikt deze toetsen als alternatief voor menu-opdrachten in het programma.)

Als u Informatie over Microsoft Dynamics NAV kiest, worden productgegevens weergegeven, zoals het versienummer van het programma.

© 2009 Microsoft Corporation. Alle rechten voorbehouden.


Het Help-venster gebruiken

Als u Help opent vanuit het Help-menu verschijnt een venster met twee deelvensters: links ziet u het navigatievenster en rechts het onderwerpvenster.

Vanuit het navigatievenster kunt u de gewenste informatie opzoeken. Dit deelvenster bevat de tabbladen Inhoud, Index, Zoeken en Favorieten.

In het onderwerpvenster ziet u de feitelijke inhoud van het Help-onderwerp.

Knop Weergeven/Verbergen

Als u het Help-venster opent via het pictogram Wat is dit?, de F1-toets of de Help-knop, verschijnt alleen het onderwerpvenster. U klikt dan op de knop Weergeven om het navigatievenster te openen.

Tabbladen in het navigatievenster

U kunt op vier manieren Help-informatie opvragen vanuit het navigatievenster:

Inhoud

Op het tabblad Inhoud ziet u de inhoudsopgave. De inhoudsopgave bevat een overzicht van de Help-informatie. De Help is hier onderverdeeld in boeken met verwante informatie.

Index

Het tabblad Index bevat een alfabetisch overzicht met trefwoorden. U kunt door de lijst bladeren of het gezochte woord typen.

Zoeken

Vanuit het tabblad Zoeken kunt u naar een woord of zinsnede in de Help zoeken.

Favorieten

Als u een Help-onderwerp hebt gevonden dat u in de toekomst mogelijk opnieuw nodig hebt, kunt u dit aan de lijst met favorieten toevoegen. Geef het onderwerp weer in het onderwerpvenster en klik achtereenvolgens op de tab Favorieten en de knop Toevoegen. Als u het onderwerp opnieuw nodig hebt, selecteert u dit in de lijst op de tab Favorieten en klikt u op Weergeven.


Copyright en handelsmerken

Kennisgevingen

Het is de verantwoordelijkheid van de gebruiker alle toepasselijke auteursrechtwetten na te leven. Microsoft verleent u het recht deze documentatie volledig of ten dele te reproduceren, specifiek en uitsluitend voor uw eigen naslagdoeleinden in combinatie met een geldig gelicentieerd exemplaar van de bijbehorende software.

Microsoft heeft mogelijk patenten, patentaanvragen, handelsmerken, auteursrechten of andere rechten op intellectueel eigendom met betrekking tot de inhoud van dit document. Tenzij indien dit specifiek wordt aangegeven in enige schriftelijke licentieovereenkomst van Microsoft, geeft het feit dat u toegang hebt tot dit document u geen gebruiksrecht voor deze patenten, handelsmerken, auteursrechten of ander intellectueel eigendom. Tenzij anderszins aangegeven, zijn de bedrijven, organisaties, producten, domeinnamen, e-mailadressen, logo's, personen, plaatsen en gebeurtenissen in voorbeelden fictief. Er is geen verband met een echt bedrijf, organisatie, product, domeinnaam, e-mailadres, logo, plaats of gebeurtenis bedoeld en dit kan niet hieruit worden opgemaakt.

© 2009 Microsoft Corporation. Alle rechten voorbehouden.

Handelsmerken

Microsoft, Microsoft Dynamics, Microsoft Dynamics NAV, Navision, C/Side, Windows, Windows Server, Windows Vista en de andere producten op de handelsmerkenpagina van de Microsoft-website zijn handelsmerken van de Microsoft-groep van bedrijven, in de Verenigde Staten en andere landen, en worden onder licentie gebruikt. Alle andere handelsmerken zijn het eigendom van hun respectieve eigenaren.


Beveiliging

Een zakelijke bedrijfstoepassing moet over een ingebouwd beveiligingssysteem beschikken, zodat alleen personen met de juiste autorisatie toegang kunnen krijgen tot de informatie die in het systeem is opgeslagen. Een minimaal beveiligingsniveau vereist dat gebruikers een gebruikers-id en wachtwoord krijgen toegewezen, waardoor hun toegang tot het programma wordt beperkt. Microsoft Dynamics NAV voldoet aan deze vereiste door de integratie van het eigen beveiligingssysteem met het Active Directory-beveiligingssysteem van Windows en met het enkelvoudige aanmeldingssysteem dat wordt ondersteund door Windows.

In Microsoft Dynamics NAV hebt u volledige controle over de toegang van afzonderlijke gebruikers tot de informatie in de database. U kunt vanuit Microsoft Dynamics NAV gebruikers maken en deze rollen geven en de toegangsrechten van deze gebruikers en rollen aanpassen. Daarnaast kunt u in SQL Server Option voor Microsoft Dynamics NAV beveiligingsfilters instellen om de verleende rechten per gebruiker of rol te beperken, zodat de personen in kwestie alleen nog toegang hebben tot gegevens over bepaalde klanten, leveranciers, dimensies, enzovoort.

Als u gebruikers wilt maken in Microsoft Dynamics NAV, moet u ze eerst een identiteit geven in de database waarmee ze zich kunnen aanmelden op het systeem. Als de gebruiker zich heeft aangemeld bij de database, kan deze taken uitvoeren in overeenstemming met de toegangsrechten van de gebruiker.

U kunt in Microsoft Dynamics NAV twee verschillende aanmeldingsmethoden gebruiken:

  • Database Server-verificatie

  • Windows-verificatie

U kunt databaseverificatie gebruiken als er een database-aanmelding voor u is ingesteld in Microsoft Dynamics NAV. U kunt Windows-verificatie gebruiken als u een geldige Windows-account heeft in het huidige domein en een Windows-aanmelding in Microsoft Dynamics NAV.

Alle Active Directory-beveiligingsgroepen zijn zichtbaar vanuit Microsoft Dynamics NAV. Het is mogelijk deze Active Directory-groepen Windows-aanmeldingen en rollen in Microsoft Dynamics NAV te geven.

Het beveiligingssysteem van Microsoft Dynamics NAV is bedrijfsspecifiek en bevat informatie over de toegangsrechten van afzonderlijke gebruikers voor dat bedrijf. U vindt er onder andere informatie over de rollen die zijn toebedeeld aan gebruikers, alsook eventuele specifieke rechten die zijn verleend aan individuele gebruikers. Als u de toegangsrechten van een gebruiker beperkt tot een bepaald bedrijf in de database, krijgt de gebruiker alleen het desbetreffende bedrijf te zien.

Attentie

Het beveiligingssysteem van Microsoft Dynamics NAV wordt ingeschakeld zodra u een eerste aanmelding maakt. De eerste aanmelding moet daarom voor een supergebruiker zijn, die de SUPER-rol krijgt. Vanuit het perspectief van Microsoft Dynamics NAV bezit en beheert de supergebruiker dan alle rechten voor deze database. Tot u een supergebruiker maakt, heeft iedereen toegang tot het systeem en kan iedereen transacties uitvoeren in een Microsoft Dynamics NAV-database.

De rolgerichte client vereist Windows-aanmeldingen en ondersteunt database-aanmeldingen niet.

Een van de eerste dingen die een supergebruiker moet doen, is gebruikers-id's maken voor andere gebruikers die toegang krijgen tot de database en rollen toewijzen aan deze gebruikers. Toegangsrechten worden in Microsoft Dynamics NAV op bedrijfsniveau verleend.

Het gehele beheer van beveiliging en machtigingen vindt plaats via de klassieke client en niet via de rolgerichte client.

Verwante onderwerpen

Database-aanmeldingen maken

Windows-aanmeldingen maken

Een rol toekennen aan database-aanmeldingen

Een rol toewijzen aan Windows-gebruikers of -groepen

Rollen maken

Toegangsrechten voor rollen wijzigen

Toegangsrechten toewijzen aan verschillende objecten

Beveiligingsfilters

Beveiligingsfilters toepassen


Synchronisatie

De kern van het beveiligingssysteem van SQL Server Option voor Microsoft Dynamics NAV is het synchronisatieproces. Dit proces zorgt ervoor dat de informatie in het Microsoft Dynamics NAV -venster Gebruikers overeenkomt met de informatie in het SQL Server-beveiligingssysteem.

Accounts van SQL Server-databasegebruikers bevatten gegevens over de rechten van die gebruikers ten aanzien van objecten in de database. Informatie voor het beheren van de toegangsrechten voor Microsoft Dynamics NAV-objecten wordt in Microsoft Dynamics NAV opgeslagen en beheerd.

Elke keer dat u wijzigingen aanbrengt in het beveiligingssysteem van Microsoft Dynamics NAV moet u het beveiligingssysteem synchroniseren met SQL Server.

Klik op Extra, Beveiliging, Synchroniseren om het beveiligingssysteem te synchroniseren. U kunt dit alleen doen als u toegang hebt tot het beveiligingssysteem van Microsoft Dynamics NAV.

Verwante onderwerpen

Beveiliging


Wachtwoorden

Als de toegang tot Microsoft Dynamics NAV via databaseverificatie verloopt, moet u een wachtwoord opgeven om toegang te krijgen tot de database.

Als uw wachtwoord door de systeembeheerder is gedefinieerd (vooral in multi-userinstallaties), doet u er goed aan het wachtwoord bij de eerste aanmelding te wijzigen. (Op die manier weet u zeker dat niemand anders uw wachtwoord kent.) Deze voorzorgsmaatregel is echter overbodig in single-userinstallaties.

Attentie

Wachtwoorden hebben geen vervaldatum in Microsoft Dynamics NAV. Wanneer u de toegangstijd voor een bepaalde gebruiker wilt beperken, kunt u een vervaldatum of een bepaalde boekingsperiode bij de gebruikers-id opgeven. Deze handeling kunt u uitvoeren onder Hoofdmenu, Financieel, Instellingen, Gebruikers, Instellingen.

Als u uw wachtwoord of gebruikers-id niet meer weet, kunt u een onbeperkt aantal combinaties proberen. U kunt ook gewoon een ander wachtwoord vragen aan een gebruiker die de wachtwoorden van andere personen kan wijzigen.

Wanneer alle gebruikers hun id's of wachtwoorden zijn vergeten (wachtwoorden worden gecodeerd; u kunt ze nergens opzoeken), moet u contact opnemen met uw Microsoft Dynamics Partner.

Verwante onderwerpen

Wachtwoord wijzigen


Database-aanmeldingen

Als u nieuwe gebruikers wilt toevoegen aan het systeem, moet u een database- of een Windows-aanmelding toewijzen. Bij het maken van een database-aanmelding moet u nieuwe gebruikers een gebruikers-id geven en aan hen een of meer rollen toewijzen met de juiste toegangsrechten. Gebruikers met een database-aanmelding moeten databaseverificatie gebruiken om toegang tot de database te krijgen.

Attentie

  • Het beveiligingssysteem van Microsoft Dynamics NAV wordt ingeschakeld zodra u een eerste aanmelding maakt. De eerste aanmelding moet daarom voor een supergebruiker zijn, die in Microsoft Dynamics NAV de SUPER-rol krijgt. Vanuit het perspectief van Microsoft Dynamics NAV bezit en beheert de supergebruiker dan alle rechten voor deze database. Tot u een supergebruiker maakt, heeft iedereen toegang tot het systeem en kan iedereen transacties uitvoeren in een Microsoft Dynamics NAV-database.

  • Een van de eerste dingen die een supergebruiker moet doen, is gebruikers-id's maken voor andere gebruikers die toegang krijgen tot de database en rollen toewijzen aan deze gebruikers. Toegangsrechten worden in Microsoft Dynamics NAV op bedrijfsniveau verleend.

Zowel het venster Database-aanmelding als de procedure voor het maken van een database-aanmelding verschillen, afhankelijk van de versie van Microsoft Dynamics NAV die u gebruikt.

Verwante onderwerpen

Beveiliging

Nieuwe database-aanmeldingen maken in Microsoft Dynamics NAV Database Server

Nieuwe database-aanmeldingen maken onder SQL Server


Nieuwe database-aanmeldingen maken in Microsoft Dynamics NAV Database Server

Het volgende voorbeeld laat zien hoe u een supergebruiker kunt opzetten. U kunt dezelfde procedure gebruiken om database-aanmeldingen voor andere gebruikers te maken. Gebruikers met een database-aanmelding moeten databaseverificatie gebruiken om toegang tot de database te krijgen.

Een supergebruiker instellen:

  1. Kies Extra, Beveiliging, database-aanmeldingen om het venster database-aanmeldingen te openen.

  2. Typ de gebruikers-id SUPERUSER in het veld Gebruikers-id. U kunt naar wens hoofdletters en kleine letters typen - het programma converteert alle letters naar hoofdletters. U kunt de gebruikers-id in dit veld later wijzigen.

  3. In het veld Naam voert u de naam in van de gebruiker aan wie deze Id is toegewezen.

  4. In het veld Wachtwoord moet u een wachtwoord invoeren. Het ingevoerde wachtwoord wordt gecodeerd weergegeven. Het is belangrijk dat u weet wanneer u hoofdletters en kleine letters heeft gebruikt, want wachtwoorden zijn hoofdlettergevoelig.

  5. Het veld Vervaldatum: : hier kunt u een einddatum invoeren, waarna de gebruiker zich niet meer bij het programma kan aanmelden. Uit veiligheidsoverwegingen mag u geen einddatum toewijzen aan supergebruikers.

U kunt het wachtwoord onbeperkte tijd gebruiken. Als in een multi-userinstallatie alle Id's door de systeembeheerder zijn opgezet, moet elke gebruiker zijn eigen wachtwoord bij de eerste aanmelding meteen wijzigen zodat niemand het wachtwoord kent. Het kan nergens worden opgezocht.

Attentie

Het beveiligingssysteem van Microsoft Dynamics NAV wordt ingeschakeld zodra u een eerste aanmelding maakt. De eerste aanmelding moet daarom voor een supergebruiker zijn, die in Microsoft Dynamics NAV de SUPER-rol krijgt. Vanuit het perspectief van Microsoft Dynamics NAV bezit en beheert de supergebruiker dan alle rechten voor deze database. Tot u een supergebruiker maakt, heeft iedereen toegang tot het systeem en kan iedereen transacties uitvoeren in een Microsoft Dynamics NAV-database.

Een van de eerste dingen die een supergebruiker moet doen, is gebruikers-id's maken voor andere gebruikers die toegang krijgen tot de database en rollen toewijzen aan deze gebruikers. Toegangsrechten worden in Microsoft Dynamics NAV op bedrijfsniveau verleend.

Verwante onderwerpen

Beveiliging

Nieuwe database-aanmeldingen maken onder SQL Server

Windows-aanmeldingen maken

Een rol toekennen aan database-aanmeldingen


Nieuwe database-aanmeldingen maken onder SQL Server

Het volgende voorbeeld laat zien hoe u een supergebruiker kunt opzetten. U kunt dezelfde procedure gebruiken om de database-aanmeldingen voor andere gebruikers te maken. Gebruikers met een database-aanmelding moeten databaseverificatie gebruiken om toegang tot de database te krijgen.

U kunt pas een database-aanmelding voor een gebruiker instellen als de systeembeheerder (via SQL Server-verificatie) een aanmelding voor de gebruiker heeft gemaakt op de SQL-server in kwestie.

Een supergebruiker instellen:

  1. Kies Extra, Beveiliging, database-aanmeldingen om het venster database-aanmeldingen te openen.

  2. Typ de gebruikers-id SUPERUSER in het veld Gebruikers-id. U kunt naar wens hoofdletters en kleine letters typen - het programma converteert alle letters naar hoofdletters. U kunt de gebruikers-id in dit veld later wijzigen. Zorg ervoor dat deze Id exact overeenkomt met de Id die de gebruiker heeft voor de SQL Server-aanmelding.

  3. In het veld Naam voert u de naam in van de gebruiker aan wie deze Id is toegewezen.

  4. In het veld Vervaldatum :kunt u aangeven tot welke datum de gebruiker zich uiterlijk kan aanmelden bij het programma. Uit veiligheidsoverwegingen mag u geen einddatum toewijzen aan supergebruikers.

Aangezien het wachtwoord al is ingevoerd op de SQL-server, hoeft u dit hier niet meer te doen. Een gebruiker kan toegang krijgen tot een Microsoft Dynamics NAV-database door dezelfde gebruikers-id en hetzelfde wachtwoord als voor SQL Server in te voeren.

Attentie

Het beveiligingssysteem van Microsoft Dynamics NAV wordt ingeschakeld zodra u een eerste aanmelding maakt. De eerste aanmelding moet daarom voor een supergebruiker zijn, die in Microsoft Dynamics NAV de SUPER-rol krijgt. Vanuit het perspectief van Microsoft Dynamics NAV bezit en beheert de supergebruiker dan alle rechten voor deze database. Tot u een supergebruiker maakt, heeft iedereen toegang tot het systeem en kan iedereen transacties uitvoeren in een Microsoft Dynamics NAV-database.

Een van de eerste dingen die een supergebruiker moet doen, is gebruikers-id's (voor Windows- of database-aanmeldingen) maken voor andere gebruikers die toegang krijgen tot de database en rollen toewijzen aan deze gebruikers. Toegangsrechten worden in Microsoft Dynamics NAV op bedrijfsniveau verleend.

Verwante onderwerpen

Beveiliging

Nieuwe database-aanmeldingen maken in Microsoft Dynamics NAV Database Server

Windows-aanmeldingen maken

Een rol toekennen aan database-aanmeldingen


Windows-aanmeldingen maken

U kunt een Windows-gebruiker of -groep toevoegen aan de lijst van Windows-aanmeldingen die toegang hebben tot het systeem. Gebruikers met een Windows-aanmelding moeten Windows-verificatie gebruiken om toegang tot de database te krijgen.

Een Windows-aanmelding maken:

  1. Klik op Extra, Beveiliging, Windows-aanmeldingen om het venster Windows-aanmelding te openen.

  2. Klik bij het veld Id op de AssistButton om het venster Windows-gebruikers en -groepen te openen, met een overzicht van alle Windows-gebruikers en -groepen die beschikbaar zijn in het huidige domein.

  3. Selecteer de Windows-gebruiker of -groep waarvoor u een Windows-aanmelding wilt maken.

  4. Klik op OK om de Windows-gebruiker of -groep toe te voegen aan het venster Windows-aanmeldingen.

Belangrijk

U moet de Windows-groep en de Windows-account voor elke afzonderlijke gebruiker die lid is van die groep invoeren in de tabel Windows-aanmelding. U hoeft geen Microsoft Dynamics NAV-rollen toe te kennen aan de afzonderlijke gebruikers zolang de rollen die aan de Windows-groep zijn toegekend alle benodigde rechten voor de gebruikers bevatten.

In de SQL Server Option moet de Windows-account van gebruikers worden ingevoerd in de tabel Windows-aanmelding voordat er SQL-rechten kunnen worden toegekend aan die gebruiker in de SQL-database.

Synchronisatie

Elke keer dat u wijzigingen aanbrengt in het beveiligingssysteem van Microsoft Dynamics NAV moet u het beveiligingssysteem synchroniseren met SQL Server.

Klik op Extra, Beveiliging, Synchroniseren om het beveiligingssysteem te synchroniseren. U kunt dit alleen doen als u toegang hebt tot het beveiligingssysteem van Microsoft Dynamics NAV.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen maken

Rollen toewijzen aan Windows-aanmeldingen

Rollen voor een aanmelding beperken tot bepaalde bedrijven

Toegangsrechten voor rollen wijzigen

Rollen maken


Een rol toekennen aan een database-aanmelding

In het volgende voorbeeld over het toekennen van een rol aan een database-aanmelding wijst u de supergebruiker de juiste toegangsrechten toe.

Een rol toekennen aan een database-aanmelding:

  1. Kies Extra, Beveiliging, Database-aanmeldingen om het venster Database-aanmeldingen te openen. Zorg dat het huidige recordsymbool links in het venster naast de aanmelding staat van de gebruiker waaraan u deze rol wilt toekennen.

  2. Klik op Rollen aan de onderkant van het venster. Het venster Rollen voor deze database-aanmelding verschijnt. In dit venster ziet u welke rollen aan deze gebruiker zijn toegewezen.

  3. Klik in het veld Rol-id op de AssistButton . Het venster Rollen verschijnt. Hierin worden de standaardrollen weergegeven die bij het programma worden meegeleverd.

  4. Selecteer de rol die u wilt toekennen aan deze database-aanmelding en klik op OK.

U kunt aan elke gebruiker een of meer rollen toekennen door deze procedure te volgen.

Toegangsrechten zijn standaard van toepassing op alle bedrijven in de database, maar ze kunnen ook worden beperkt tot een bepaald bedrijf. Geef hiertoe de naam op van het bedrijf (of gebruik de AssistButton in het veld Bedrijf rechts in het venster). Als u wilt dat de toegangsrechten van toepassing zijn op meerdere bedrijven, moet u één regel per bedrijf maken (waarbij elke regel moet beginnen met dezelfde rol-id). Als u de toegangsrechten van een gebruiker beperkt tot een bepaald bedrijf in de database, krijgt de gebruiker alleen het desbetreffende bedrijf te zien.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen maken

Windows-aanmeldingen maken

Een rol toekennen aan Windows-aanmeldingen

Rollen voor een aanmelding beperken tot bepaalde bedrijven

Rollen maken

Toegangsrechten voor rollen wijzigen

Toegangsrechten toewijzen aan verschillende objecten


Een rol toekennen aan Windows-aanmeldingen

U kunt aan Windows-gebruikers en -groepen een rol toekennen in Microsoft Dynamics NAV.

Een rol toekennen:

  1. Kies Extra, Beveiliging, Rollen om het venster Rollen te openen.

  2. Selecteer de Microsoft Dynamics NAV-rol die u wilt wijzigen en klik op Rol, Windows-aanmeldingen. Het venster Windows-aanmeldingen voor de desbetreffende rol wordt geopend. Dit venster bevat een overzicht van alle Windows-gebruikers en -groepen aan wie deze rol al is toegekend in Microsoft Dynamics NAV.

  3. Selecteer een lege rij als u een Windows-gebruiker of -groep wilt toevoegen aan de lijst.

  4. Klik in het veld Aanmelding-id op de AssistButton. Het venster Windows-aanmeldingen wordt weergegeven. Dit venster bevat een lijst met alle Windows-gebruikers en -groepen die zich kunnen aanmelden bij Microsoft Dynamics NAV.

  5. Selecteer de gebruiker of groep waaraan u de Microsoft Dynamics NAV-rol wilt toekennen en klik op OK.

De gebruiker of groep wordt nu toegevoegd aan de lijst die in het venster Windows-aanmelding voor de rol wordt weergegeven.

In eerdere versies van Microsoft Dynamics NAV kon u een Windows-groep invoeren in de tabel Windows-aanmelding en Microsoft Dynamics NAV-rollen toekennen aan deze groep. Een gebruiker die lid is van deze groep en zich aanmeldt bij het systeem en deze database opent, krijgt deze rechten toegewezen.

In Microsoft Dynamics NAV moet u echter de Windows-groep in de tabel Windows-aanmelding invoeren en de Windows-account voor elke afzonderlijke gebruiker die lid is van de groep invoeren. U hoeft geen Microsoft Dynamics NAV-rollen toe te kennen aan de afzonderlijke gebruikers zolang de rollen die aan de Windows-groep zijn toegekend alle benodigde rechten voor de gebruikers bevatten.

In de SQL Server Option moet de Windows-account van gebruikers worden ingevoerd in de tabel Windows-aanmelding voordat er SQL-rechten kunnen worden toegekend aan die gebruiker in de SQL-database.

Synchronisatie

Elke keer dat u wijzigingen aanbrengt in het beveiligingssysteem van Microsoft Dynamics NAV moet u het beveiligingssysteem synchroniseren met SQL Server.

Klik op Extra, Beveiliging, Synchroniseren om het beveiligingssysteem te synchroniseren. U kunt dit alleen doen als u toegang hebt tot het beveiligingssysteem van Microsoft Dynamics NAV.

Verwante onderwerpen

Beveiliging

Windows-aanmeldingen maken

Toegangsrechten voor rollen wijzigen

Toegangsrechten toewijzen aan verschillende objecten

Rollen maken

Rollen voor een aanmelding beperken tot bepaalde bedrijven


Rollen toewijzen aan database-aanmeldingen

Database-aanmeldingen in Microsoft Dynamics NAV werken alleen als u er een rol aan toewijst.

Een rol toekennen aan een database-aanmelding:

  1. Kies Extra, Beveiliging, Rollen.

  2. Selecteer de rol die u aan deze database-aanmelding wilt toekennen.

  3. Klik op Rol, database-aanmeldingen. Het venster database-aanmelding voor deze rol verschijnt met daarin een overzicht van de database-aanmeldingen waaraan deze rol is toegewezen.

  4. Selecteer een nieuwe regel en klik op de AssistButton in de kolom Gebruikers-id. Er wordt een venster weergegeven met een overzicht van alle gebruikers die over database-aanmeldingen beschikken.

  5. Selecteer de database-aanmelding waaraan u de rol wilt toekennen.

  6. Klik op OK om de database-aanmelding toe te voegen aan het overzicht van database-aanmeldingen waaraan de rol is toegekend.

De rol is nu toegekend aan de betreffende database-aanmelding, voor alle bedrijven die in de huidige database staan.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen maken

Rollen voor een aanmelding beperken tot bepaalde bedrijven

Rollen maken

Toegangsrechten voor rollen wijzigen

Toegangsrechten toewijzen aan verschillende objecten

Rollen uit database-aanmeldingen verwijderen


Rollen toewijzen aan Windows-aanmeldingen

Windows-aanmeldingen in Microsoft Dynamics NAV werken alleen als u er een rol aan toewijst.

Windows-aanmeldingen in Microsoft Dynamics NAV komen overeen met de Windows-gebruikers en -groepen van het Windows-domein. Als zowel het domein als de clients onder Windows Vista, Windows 2008 of Windows XP worden uitgevoerd en SQL Server onder Windows Vista of Windows Server 2008 wordt uitgevoerd, kunt u rollen aan Windows-gebruikers en -groepen in Microsoft Dynamics NAV toewijzen. U kunt Microsoft Dynamics NAV-rollen ook lid maken van Windows-beveiligingsgroepen.

Een rol toekennen aan een Windows-aanmelding:

  1. Kies Extra, Beveiliging, Rollen om het venster Rollen te openen.

  2. Selecteer de gewenste rol.

  3. Klik op Rol, Windows-aanmeldingen. Het venster Windows-aanmeldingen verschijnt met daarin een overzicht van de Windows-aanmeldingen waaraan deze rol is toegewezen.

  4. Selecteer een nieuwe regel en klik op de AssistButton in het veld Aanmeldings-id. Er wordt een venster weergegeven met een overzicht van alle gebruikers die over database-aanmeldingen beschikken.

  5. Selecteer de Windows-aanmelding waaraan u deze rol wilt toekennen.

  6. Klik op OK om de Windows-aanmelding toe te voegen aan het overzicht van Windows-aanmeldingen waaraan de rol is toegekend.

De rol is nu toegekend aan de betreffende Windows-aanmelding voor alle bedrijven in de huidige database.

Verwante onderwerpen

Beveiliging

Windows-aanmeldingen maken

Rollen maken

Rollen voor een aanmelding beperken tot bepaalde bedrijven

Toegangsrechten voor rollen wijzigen

Toegangsrechten toewijzen aan verschillende objecten

Rollen uit Windows-aanmeldingen verwijderen


Toegangsrechten toewijzen aan verschillende objecten

U kunt ook toegangsrechten voor meerdere objecten definiëren.

Toegangsrechten toewijzen aan verschillende objecten:

  1. Kies Extra, Beveiliging, Rollen om het venster Rollen te openen.

  2. Kies Rol, Toegangsrechten om het venster Toegangsrechten voor de geselecteerde rol te openen.

  3. Klik op de knop Alle objecten onderaan in het venster Toegangsrechten voor de desbetreffende rol. Nu verschijnt een venster met alle objecten waarvoor u toegangsrechten kunt instellen.

  4. Geef Ja op voor de velden met de rechten die u aan deze rol wilt toewijzen.

  5. Als u Tabelgegevens selecteert in het veld Objectsoort kunt u tevens een beveiligingsfilter toepassen. Klik op de AssistButton in het veld Beveiligingsfilter om het standaardtabelfiltervenster te openen. Geef hierin een filter op. Het beveiligingsfilter zorgt voor een inperking van de toegangsrechten die deze rol kent met betrekking tot gegevens over bepaalde klanten, leveranciers, enzovoort.

  6. Klik op OK om de instellingen op te slaan en weer te geven in het venster Toegangsrechten.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen maken

Windows-aanmeldingen maken

Een rol toekennen aan database-aanmeldingen

Een rol toewijzen aan Windows-gebruikers of -groepen

Toegangsrechten voor rollen wijzigen

Rollen maken

Beveiligingsfilters toepassen


Rollen voor een aanmelding beperken tot bepaalde bedrijven

Alle rollen zijn per definitie bestemd voor de database in kwestie en alle daarin aanwezige bedrijven. U kunt een rol echter beperken tot bepaalde bedrijven.

Met de onderstaande procedure wordt een rol in een database-aanmelding beperkt tot een bepaald bedrijf. U kunt dezelfde procedure ook gebruiken voor Windows-aanmeldingen.

Een rol beperken tot een bepaald bedrijf:

  1. Kies Extra, Beveiliging, database-aanmeldingen om het venster database-aanmeldingen te openen.

  2. Selecteer de gewenste database-aanmelding en klik op Rollen om het venster database-aanmeldingen voor de rol te openen. Hierin ziet u een overzicht van alle rollen die zijn ingesteld voor de aanmelding in kwestie.

  3. Selecteer de rol die u een bedrijfsspecifiek karakter wilt geven.

  4. Klik op de AssistButton in het veld Bedrijf om het venster Bedrijven te openen.

  5. Selecteer het bedrijf waarvoor deze rol moet gelden en klik op OK.

  6. Sluit het venster en ga akkoord met het wijzigen van de recordnaam.

U moet een aparte regel maken voor elk specifiek bedrijf waarvoor u deze rol wilt laten gelden. Als u de toegangsrechten van een gebruiker beperkt tot een bepaald bedrijf in de database, krijgt de gebruiker alleen het desbetreffende bedrijf te zien.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen maken

Een rol toekennen aan database-aanmeldingen

Rollen toewijzen aan database-aanmeldingen

Rollen maken

Toegangsrechten voor rollen wijzigen

Toegangsrechten toewijzen aan verschillende objecten


Rollen uit database-aanmeldingen verwijderen

Het is mogelijk dat u een rol uit een database-aanmelding moet verwijderen vanwege een wijziging in de organisatie.

Een rol verwijderen uit een database-aanmelding:

  1. Kies Extra, Beveiliging, database-aanmeldingen om het venster database-aanmeldingen te openen. Zorg dat het huidige recordsymbool links in het venster naast de aanmelding staat van de gebruiker waarvoor u deze rol wilt verwijderen.

  2. Klik op Rollen aan de onderkant van het venster. Het venster Database-aanmeldingen, Rollen wordt weergegeven. In dit venster ziet u welke rollen aan deze gebruiker zijn toegewezen.

  3. Selecteer de rol die u uit deze database-aanmelding wilt verwijderen.

  4. Druk op Delete.

Verwante onderwerpen

Beveiliging

Rollen uit Windows-aanmeldingen verwijderen

Rollen toewijzen aan database-aanmeldingen

Rollen toewijzen aan Windows-aanmeldingen


Rollen uit Windows-aanmeldingen verwijderen

Het is mogelijk dat u een rol uit een Windows-aanmelding moet verwijderen vanwege een wijziging in de organisatie.

Een rol verwijderen uit een Windows-aanmelding:

  1. Kies Extra, Beveiliging, Windows-aanmeldingen om het venster Windows-aanmeldingen te openen. Zorg dat het huidige recordsymbool links in het venster naast de aanmelding staat van de gebruiker waarvoor u deze rol wilt verwijderen.

  2. Klik op Rollen aan de onderkant van het venster. Het venster Windows-aanmeldingen voor deze rol verschijnt. In dit venster ziet u welke rollen aan deze gebruiker zijn toegewezen.

  3. Selecteer de rol die u uit deze Windows-aanmelding wilt verwijderen.

  4. Druk op Delete.

Verwante onderwerpen

Beveiliging

Rollen toewijzen aan database-aanmeldingen

Rollen toewijzen aan Windows-aanmeldingen

Rollen uit database-aanmeldingen verwijderen


Rollen maken

Als de vooraf gedefinieerde rollen niet voldoen aan de vereisten van uw organisatie, kunt u altijd nieuwe rollen maken.

Een nieuwe rol maken:

  1. Kies Extra, Beveiliging, Rollen om het venster Rollen te openen.

  2. Kies Bewerken, Nieuwe invoegen (of druk op F3) om een nieuwe regel voor de te creëren groep te maken.

  3. Geef een Id voor de nieuwe rol op in het veld Rol-id.

  4. Geef een omschrijving voor de nieuwe rol op in het veld Naam.

  5. Druk op Enter of klik op de volgende regel om de nieuwe rol te accepteren.

  6. Klik nogmaals op de nieuwe rol.

  7. Kies Rol, Toegangsrechten om het venster Toegangsrechten voor de nieuwe rol te openen. Omdat dit een nieuwe rol is, is het venster leeg.

  8. In het venster Toegangsrechten kunt u met de AssistButton van het veld Objectsoort het type object selecteren waarvoor u toestemming wilt verlenen en vervolgens het specifieke voorkomen van het object selecteren. Voer Ja in bij de rechten die u wilt toekennen aan de rol (zoals lezen), of selecteer Ja met behulp van de AssistButton aan de rechterkant van het veld. Deze rechten worden vervolgens toegekend aan de nieuwe rol.

    Als u uitgebreide rechten wilt toekennen aan de rol, kunt u op Alle objecten onder aan het venster klikken. Er wordt dan een overzicht weergegeven van de objecten in de toepassing.

  9. Als u op Alle objecten klikt, wordt het venster Toegangsrechten (Alle objecten) weergegeven. Voer Ja in bij de rechten die u wilt toekennen aan de rol, of selecteer Ja met behulp van de AssistButton aan de rechterkant van het veld. Wanneer u op OK klikt in het venster Toegangsrechten (Alle objecten), worden alle regels die met Ja zijn gemarkeerd, voor de rol naar het venster Toegangsrechten gekopieerd waar ze vervolgens worden weergegeven.

  10. Als u Tabelgegevens selecteert in het veld Objectsoort kunt u tevens een beveiligingsfilter toepassen. Klik op de AssistButton in het veld Beveiligingsfilter om het standaardtabelfiltervenster te openen. Geef hierin een filter op. Het beveiligingsfilter zorgt voor een inperking van de toegangsrechten die deze rol kent met betrekking tot gegevens over bepaalde klanten, leveranciers, enzovoort.

Zie voor het instellen van profielen in de rolgerichte client de onderwerpen "Een profiel maken" en "Profielen toewijzen aan gebruikers" in de documentatie voor de rolgerichte client.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen maken

Windows-aanmeldingen maken

Rollen toewijzen aan database-aanmeldingen

Toegangsrechten voor rollen wijzigen

Rollen voor een aanmelding beperken tot bepaalde bedrijven

Beveiligingsfilters

Beveiligingsfilters toepassen


Toegangsrechten voor rollen wijzigen

Als de standaardrollen niet meer aan uw vereisten voldoen, kunt u de rechten die zijn toegekend aan de bestaande Microsoft Dynamics NAV-rollen gemakkelijk wijzigen, maken of verwijderen. U kunt de verleende toegangsrechten verder inperken door beveiligingsfilters toe te wijzen.

De toegangsrechten voor een rol wijzigen:

  1. Kies Extra, Beveiliging, Rollen. Het venster Rollen verschijnt en de id's en namen van alle bestaande rollen in Microsoft Dynamics NAV worden weergegeven.

  2. Selecteer de rol die u wilt wijzigen en klik op Rol, Toegangsrechten. In het venster Toegangsrechten worden vervolgens alle rechten weergegeven die aan de betreffende rol zijn toegekend. Eventueel kunt u regels in het venster wijzigen, verwijderen of invoegen. Iedere regel bevat een toepassingsobject. Een object is een programmeringseenheid in Microsoft Dynamics NAV (bijvoorbeeld een tabel, venster of lijst).

  3. Klik op de AssistButton in het veld Objectsoort voor een overzicht van de soorten objecten waarvoor u toegangsrechten kunt instellen.

    In de andere velden rechts in het venster ziet u welke rechten u voor de rol heeft: lezen, invoegen, wijzigen, verwijderen, uitvoeren, enzovoort. De rechtenvelden kunnen de volgende waarden bevatten:

    Ja : U kunt dit object bijvoorbeeld lezen.

    Indirect: U heeft alleen toegang tot het object vanuit andere objecten waarvoor u expliciete rechten heeft. Grootboekposten kunnen bijvoorbeeld alleen op indirecte wijze (via de boekingsfuncties) worden gemaakt.

    Als het veld leeg is, heeft u dit recht niet.

  4. Als u Tabelgegevens selecteert in het veld Objectsoort kunt u tevens een beveiligingsfilter toepassen. Klik op de AssistButton in het veld Beveiligingsfilter om het standaardtabelfiltervenster te openen. Geef hierin een filter op. Een beveiligingsfilter zorgt voor een inperking van de toegangsrechten voor gegevens over bepaalde klanten, leveranciers, enzovoort.

  5. U wijzigt de rechten die aan de rol zijn toegewezen door een beveiligingsfilter in te stellen of door rechten toe te voegen, aan te passen of te verwijderen.

Zie voor het instellen van profielen en rollen in de rolgerichte client de onderwerpen "Een profiel maken" en "Profielen toewijzen aan gebruikers" in de documentatie voor de rolgerichte client.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen maken

Windows-aanmeldingen maken

Een rol toekennen aan database-aanmeldingen

Rollen maken

Toegangsrechten toewijzen aan verschillende objecten

Beveiligingsfilters

Beveiligingsfilters toepassen


Beveiligingsfilters

Met SQL Server Option voor Microsoft Dynamics NAV kunt u de toegang van gebruikers beperken tot bepaalde gegevens in de database. U doet dit door aan iedere gebruiker een of meer rollen toe te wijzen. Deze rollen geven aan dat de gebruiker alleen toegang heeft tot bepaalde objecten in de database. Zo kunt u de toegang van de gebruiker beperken tot gegevens in bepaalde tabellen en daarbij bepalen of de gebruiker deze tabelgegevens kan lezen, wijzigen of invoeren.

Mogelijk is een dergelijke toegangsbeperking niet toereikend voor uw organisatie en streeft u een nóg gedetailleerder beveiligingssysteem na. Daarom kunt u deze rollen in Microsoft Dynamics NAV uitgebreider definiëren door beveiligingsfilters in te stellen. Hiermee bepaalt u dat de gebruiker alleen toegang krijgt tot bepaalde records in de tabel.

Met beveiligingsfilters kunt u voorkomen dat onbevoegde gebruikers toegang krijgen tot belangrijke gegevens. U kunt de toegang van gebruikers bijvoorbeeld beperken tot bepaalde rekeningen, boekingsperioden, dimensies of de gegevens van specifieke klanten of leveranciers.

De instelling van één beveiligingsfilter biedt nog geen garantie dat de gebruiker alleen die records te zien krijgt die in het filter zijn opgegeven. Iedere gebruiker krijgt gewoonlijk meerdere rollen tegelijk toegewezen in de huidige database en krijgt voor iedere rol afzonderlijke toegangsrechten toegewezen. Het totale aantal toegangsrechten waarover een gebruiker beschikt, bestaat uit het totaal van alle rechten die zijn ingesteld voor alle rollen die aan de gebruiker zijn toegewezen.

Als een gebruiker over twee rollen voor dezelfde tabel beschikt die allebei toegang bieden op basis van een beveiligingsfilter, wordt de som van deze beveiligingsfilters toegepast. Stel dat de ene filter bepaalt dat de gebruiker alleen leestoegang heeft tot record 1 - 10, terwijl de andere filter bepaalt dat de gebruiker record 5 - 20 mag wijzigen, dan betekent dit dat de gebruiker uitsluitend record 5 - 20 mag wijzigen maar record 1 - 20 kan lezen.

Onthoud dat wanneer u geen beveiligingsfilter toepast op een tabel de gebruiker bijvoorbeeld alle records in een tabel zou kunnen lezen. Stel dat een gebruiker via meerdere rollen gegevenstoegang krijgt tot dezelfde tabel. Dan zou het beveiligingsfilter dat in de ene rol is ingesteld geen effect hebben wanneer de gebruiker via een andere rol zonder beveiligingsfilter dezelfde bewerkingen op deze tabel zou kunnen uitvoeren.

U kunt beveiligingsfilters alleen toepassen op het objectsoort Tabelgegevens.

Daarnaast heeft de toepassing van een beveiligingsfilter op een rol gevolgen voor de toegangsrechten van alle gebruikers van de huidige database aan wie dezelfde rol is toegewezen. Daarom moet u mogelijk eerst nieuwe rollen maken voordat u een beveiligingsfilter toepast. Als u de standaardrollen niet wilt aanpassen, maakt u nieuwe rollen met dezelfde toegangsrechten waarvoor u vervolgens beveiligingsfilters instelt.

Verwante onderwerpen

Beveiliging

Beveiligingsfilters toepassen


Beveiligingsfilters toepassen

U kunt met SQL Server Option voor Microsoft Dynamics NAV beveiligingsfilters toepassen om de toegangsrechten van rollen of gebruikers te beperken tot bepaalde gegevens in de database. U kunt zo bepalen dat gebruikers alleen gegevens over bepaalde klanten, leveranciers, enzovoort mogen inzien en invoeren.

Een beveiligingsfilter toepassen:

  1. Kies Extra, Beveiliging, Rollen en selecteer de rol waarop u een filter wilt toepassen.

  2. Klik op Toegangsrechten om het venster Toegangsrechten voor die rol weer te geven.

  3. Klik op de AssistButton van het veld Objectsoort en selecteer Tabelgegevens.

  4. Klik op de AssistButton van het veld Object-id en selecteer de tabel waarop u het filter wilt toepassen.

  5. Geef de rol de gewenste rechten met betrekking tot Lezen, Invoegen, Wijzigen, Verwijderen en Uitvoeren.

  6. Klik op de AssistButton in het veld Beveiligingsfilter om het standaardvenster Tabelfilter weer te geven.

  7. U definieert het filter door op de AssistButton bij de kolom Veld te klikken en het veld te selecteren dat u in het filter wilt opnemen.

  8. Typ de waarde die u in het filter wilt gebruiken in het veld Filter.

  9. Klik op OK om het filter toe te passen.

  10. Herhaal deze procedure voor alle tabellen waarop u een filter wilt toepassen. U kunt dezelfde criteria nogmaals gebruiken door deze te knippen en plakken of door op F8 te drukken.

De filter is nu toegepast op de rol en geldt derhalve voor alle gebruikers die deze rol hebben in de database. Als een gebruiker met deze rol zich vervolgens aanmeldt bij de database, is zijn of haar toegang tot de gegevens afhankelijk van de ingestelde criteria van het beveiligingsfilter.

Als u de standaardrollen niet wilt aanpassen, maakt u nieuwe rollen met dezelfde toegangsrechten waarvoor u vervolgens beveiligingsfilters instelt.

U kunt beveiligingsfilters alleen toepassen op de objectsoort Tabelgegevens.

Attentie

Het gebruik van beveiligingsfilters heeft pas zin als ze gelden voor alle rollen waarmee een gebruiker toegang heeft tot de betreffende tabel. Als u geen beveiligingsfilter toepast, heeft de gebruiker toegang tot alle gegevens in de tabel.

De waarden die in verschillende beveiligingsfilters worden ingesteld, zijn cumulatief wanneer een gebruiker verschillende rollen toebedeeld heeft gekregen voor dezelfde tabel. Wanneer in de ene filter bijvoorbeeld wordt bepaald dat de gebruiker alleen record 1 - 10 kan lezen, terwijl een andere filter aangeeft dat de records 5 - 20 te lezen zijn, zal de gebruiker in alle gevallen record 1 - 20 kunnen lezen.

Belangrijk

Beveiligingsfilters op recordniveau ondersteunen geen jokers. U kunt * en ? dus niet in de filters gebruiken. U kunt de andere symbolen en operatoren, zoals <, >, |, & en =, wel gebruiken.

De maximale lengte van een beveiligingsfilter is 250 tekens, maar alle scheidingstekens, symbolen en operators, zoals <, >, |, &, .. en =, tellen ook mee als tekens, waardoor de lengte die u kunt opgeven voor beveiligingsfilters aanzienlijk kleiner kan worden.

Bovendien worden beveiligingsfilters aan elkaar gekoppeld, dus de som van alle beveiligingsfilters die worden toegepast op een gebruiker of een rol mag niet groter zijn dan 250 tekens.

Verwante onderwerpen

Beveiliging

Beveiligingsfilters

Rollen maken

Toegangsrechten voor rollen wijzigen


Online Map instellen

Als u bijvoorbeeld een klant wilt bezoeken, kunt u een bij een online kaartenservice een kaart ophalen met een routebeschrijving in de door u geselecteerde taal. Om ervoor te zorgen dat deze online kaartenservice de juiste kaart en routebeschrijving vindt, moet u de service instellen in Microsoft Dynamics NAV.

Attentie:

Omdat de online kaart wordt geactiveerd als u op het pictogram van de punaise naast het veld Land-/regiocode op verschillende kaarten klikt (Vestiging, Klant, Leverancier, Bedrijfsgegevens, Resource, Project, Verzendadres, Orderadres, Bankrekeningkaart, Contactkaart, Werknemer), is het belangrijk dat u in dit veld een code invoegt. Als het veld geen code bevat, kan de online kaart de locatie niet vinden.

Het pictogram van de punaise is alleen zichtbaar op de kaarten als de tabel Online Map installeren records bevat. Hieronder ziet u hoe u een set standaardrecords kunt importeren.

U kunt Online Map in twee verschillende vensters instellen: Online Map installeren en Parameterinstellingen Online Map.

Online Map instellen:

  1. Open het venster [image] Online Map installeren (klik in het navigatiedeelvenster op Administratie, Applicatie-instellingen, Algemeen, Online Map installeren).

  2. Voeg een taalcode in in het veld Std. taalcode of klik op de AssistButton in het veld om het venster Parameterinstellingen Online Map te openen en een code te selecteren.

Attentie:

Als het venster Parameterinstellingen Online Map leeg is, kunt u vooraf gedefinieerde taalcodes, land-/regiocodes en URL's voor de bestemmingskaarten installeren door op de knop Standaardwaarde invoegen in het venster te klikken. Hierdoor wordt een set standaardrecords geïnstalleerd waaruit u een keuze kunt maken. U kunt deze records wijzigen of zelf records invoegen.

  3. Blijf in het venster Parameterinstellingen Online Map en vul het veld Land-/regiocode in. Als u op de AssistButton in het veld klikt, wordt het venster Landen/Regio's geopend, waarin u een code kunt selecteren.

  4. Als u bijvoorbeeld de online kaart gebruikt die wordt geleverd door MSN, voegt u in het veld Land-/regiocode een numerieke waarde in die het door u geselecteerde land/regio vertegenwoordigt. Gebruik de numerieke waarden uit de volgende tabel:

Land/regio | Waarde
Verenigde Staten | 0
Canada | 1
Verenigd Koninkrijk | 2
Frankrijk | 3
Duitsland | 4
Oostenrijk | 5
Zwitserland | 6
België | 7
Luxemburg | 8
Denemarken | 9
Spanje | 10
Italië | 11
Nederland | 12
Finland (alleen Helsinki) | 13
Noorwegen | 14
Portugal | 15
Zweden | 16
Australië | 17
Brazilië | 18
Griekenland (alleen Athene) | 19

  5. Voeg in het veld MSN Wereldregiocode een numerieke waarde in waarmee de regio wordt aangegeven waarin de plaats ligt. De volgende waarden zijn beschikbaar:
    0 Noord-Amerika
    1 Europa
    2 Wereldatlas
    3 Australië
    4 Brazilië

  6. Voeg de desbetreffende kaart-URL in in het veld URL van lokale kaart en de desbetreffende Find-URL in het veld URL van DirectionsFind.

  7. Ga terug naar het venster Online Map installeren en selecteer Standaardtaal of Taal client in het veld Kaarten weergeven in taal, waarbij de standaardtaal de taal is die u hebt ingevoegd in het veld Std. taalcode en de clienttaal de taal is die is ingesteld voor het bedrijf in het venster Toepassingstalen (klik in de menubalk op Extra, Taal om het venster te openen).

  8. Selecteer Mijlen of Kilometers in het veld Afstand in, en de Snelste of Kortste afstand in het veld Route.

Attentie:

De homepages van online kaarten kunnen met de tijd worden gewijzigd, dus de URL-adressen moeten mogelijk af en toe worden bijgewerkt.

Verwante onderwerpen

Een locatie zoeken met Online Map

Een routebeschrijving zoeken met Online Map


Een locatie zoeken met Online Map

U kunt een kaart ophalen bij uw online kaartenservice waarop het adres en de locatie van bijvoorbeeld een klant of leverancier worden aangegeven. Online Map is toegankelijk vanuit de volgende kaarten in Microsoft Dynamics NAV door op het pictogram van de punaise naast het veld Land-/regiocode te klikken: Vestiging, Klant, Leverancier, Bedrijfsgegevens, Resource, Project, Verzendadres, Orderadres, Bankrekeningkaart, Contactkaart, Werknemer.

Attentie:

Het pictogram van de punaise is alleen zichtbaar op de kaarten als de tabel Online Map installeren records bevat. Lees Online Map instellen als u wilt weten hoe u een set standaardrecords kunt importeren.

Een locatie zoeken in Online Map:

  1. Open een kaart.

  2. Klik op het pictogram van de punaise naast het veld Land/regio-code of Postcode/Plaats om een selectievenster te openen.

  3. Selecteer de knop Map en klik op OK.

  4. In Online Map wordt een kaart geopend met daarop de door u gedefinieerde adreslocatie.

Verwante onderwerpen

Online Map instellen

Een routebeschrijving zoeken met Online Map


Een routebeschrijving zoeken met Online Map

Als u bijvoorbeeld een klant of leverancier wilt bezoeken, kunt u een kaart met een routebeschrijving ophalen bij uw online kaartenservice. Online Map is toegankelijk vanuit de volgende kaarten in Microsoft Dynamics NAV door op het pictogram van de punaise naast het veld Land-/regiocode te klikken: Vestiging, Klant, Leverancier, Bedrijfsgegevens, Resource, Project, Verzendadres, Orderadres, Bankrekeningkaart, Contactkaart, Werknemer.

Attentie:

Het pictogram van de punaise is alleen zichtbaar op de kaarten als de tabel Online Map instellen records bevat. Lees Online Map instellen als u wilt weten hoe u een set standaardrecords kunt importeren.

Door knoppen te selecteren in het selectievenster kunt u snel kaarten en routebeschrijvingen naar/vanuit verschillende soorten bestemmingen ophalen: van/naar uw bedrijf naar/van het adres dat u op de kaart opzoekt, of naar/van een adres van/naar een ander adres.

Een routebeschrijving naar/van uw bedrijf ophalen in Online Map:

  1. Open een kaart (Vestiging, Klant, Leverancier, Bedrijfsgegevens, Resource, Project, Verzendadres, Orderadres, Bankrekeningkaart, Contactkaart, Werknemer).

  2. Klik op het pictogram van de punaise naast het veld Land/regio-code of Postcode/Plaats om een selectievenster te openen.

  3. Selecteer de knop Van mijn bedrijf.

  4. Er wordt een kaart geopend in Online Map met daarop de route van uw bedrijf naar de bestemming/geadresseerde, met de volledige routebeschrijving in de voor u ingestelde taal.

Tip:

Als u de routebeschrijving van de geadresseerde naar uw bedrijf wilt hebben, klikt u op de knop Aan mijn bedrijf.

Een routebeschrijving naar/van andere bestemmingen ophalen in Online Map:

  1. Open een kaart (Vestiging, Klant, Leverancier, Bedrijfsgegevens, Resource, Project, Verzendadres, Orderadres, Bankrekeningkaart, Contactkaart, Werknemer).

  2. Klik op het pictogram van de punaise naast het veld Land/regio-code of Postcode/Plaats om een selectievenster te openen.

  3. Selecteer de knop Aan andere. Het venster Online Map - Adres selecteren wordt geopend.

  4. Vul de velden in het venster in met de AssistButtons (om adressen te selecteren) en klik op OK.

  5. Er wordt een kaart geopend in Online Map met daarop de route van kaartadres 1 naar kaartadres 2, met de volledige routebeschrijving in de voor u ingestelde taal.

Tip:

Als u de routebeschrijving van adres 2 naar adres 1 wilt hebben, klikt u op de knop Van andere.

Verwante onderwerpen

Online Map instellen

Een locatie zoeken met Online Map


Werken met het navigatiedeelvenster

U kunt het navigatiedeelvenster (navigatiedeelvenster: het venster aan de linkerkant van het hoofdvenster van Microsoft Dynamics NAV, met het menu Snelkoppelingen en andere menu's) gebruiken om vensters in het programma te openen.

Als u op een menuonderdeel klikt terwijl het bijbehorende venster al is geopend, wordt een nieuw exemplaar van het venster geopend of krijgt het geopende venster de focus, afhankelijk van de opties die u hebt gekozen.

Een menuonderdeel openen:

Als u op een menuonderdeel voor een lijst of batchverwerking klikt, wordt altijd een nieuw venster geopend.

Als u op een menuonderdeel voor een venster (bijvoorbeeld een kaart) klikt en dit venster is al geopend, krijgt doorgaans het geopende venster de focus en wordt er geen nieuw venster geopend.

U kunt met de rechtermuisknop op het menuonderdeel klikken en een van de volgende opties kiezen:

  • Openen in nieuw venster: als u op een menuonderdeel klikt, wordt altijd een nieuw venster geopend.

  • Venstercyclus doorlopen: als u op een menuonderdeel klikt, wordt de focus verplaatst naar een van de geopende vensters voor het menuonderdeel. Klik herhaaldelijk om door alle geopende vensters voor het betreffende menuonderdeel te bladeren.

  • Venster aan/uit: als u op een menuonderdeel klikt, wordt de focus verplaatst naar een van de laatste twee vensters die u voor het menuonderdeel hebt geopend. Klik herhaaldelijk om tussen de laatste twee geopende vensters voor het betreffende menuonderdeel te schakelen.

Opties voor het navigatiedeelvenster instellen:

Klik met de rechtermuisknop onder de menuknoppen naast de schuifpijlen en klik op Opties navigatiedeelvenster. Schakel de opties in die u wilt activeren.

U kunt kiezen uit de volgende vier opties:

  • Groepen via een enkele klik: als u deze optie inschakelt, kunt u menugroepen openen en sluiten met één klik. Anders moet u dubbelklikken om groepen te openen en te sluiten.

  • Groepstructuur weergeven: als u deze optie inschakelt, wordt er een lijn weergegeven tussen elk menuonderdeel en de menugroep waartoe het onderdeel behoort.

  • Actieve vensters bijhouden: als u deze optie inschakelt, wordt het bijbehorende menuonderdeel geselecteerd terwijl u tussen vensters in het programma schakelt. Dit geldt alleen voor vensters die u vanuit het menu hebt geopend.

  • Open en nieuwe acties omwisselen: als u deze optie inschakelt, opent u een nieuw exemplaar van het venster als u op een menuonderdeel klikt.

Verwante onderwerpen

Het navigatiedeelvenster aanpassen


Het navigatiedeelvenster aanpassen

U kunt het aantal menuknoppen (menuknop: een knop die onder aan het navigatiedeelvenster wordt weergegeven en waarmee een menu voor weergave wordt geselecteerd) wijzigen dat wordt weergegeven in het navigatiedeelvenster, (navigatiedeelvenster: het venster aan de linkerkant van het hoofdvenster van Microsoft Dynamics NAV, dat snelkoppelingen en andere menu's bevat) en de volgorde waarin ze worden weergegeven. U kunt ook menugroepen (menugroep: een deel van een menu met menuonderdelen en/of andere menugroepen. Klik op een menugroep om de onderdelen in de menugroep weer te geven) en menuonderdelen. (menuonderdelen: koppelingen naar vensters of dialoogvensters in het programma. Klik op een menuonderdeel om het venster of dialoogvenster te openen) verbergen of weergeven. Door onderdelen van het menu te verbergen die u normaal gesproken niet gebruikt, kunt u de onderdelen die u wel gebruikt gemakkelijker vinden. Verborgen onderdelen worden niet verwijderd en kunnen altijd opnieuw worden weergegeven.

Weergeven Menuknoppen verbergen en weergeven

    Als u een menuknop wilt verbergen, klikt u met de rechtermuisknop op de menuknop en klikt u op Verbergen.

    Een menuknop weergeven:

    1. Klik met de rechtermuisknop op een menuknop en klik op Weergeven.

    2. Een overzicht van de verborgen menuknoppen verschijnt. Schakel het veld met de naam van de menuknop in die u wilt weergeven en klik op OK.

Weergeven Menuknoppen omhoog en omlaag verplaatsen

    Als u een menuknop omhoog of omlaag wilt verplaatsen, klikt u met de rechtermuisknop op de knop die u wilt verplaatsen en klikt u net zolang op Omhoog of Omlaag totdat de knop op de gewenste positie staat.

Weergeven Menugroepen verbergen en weergeven

    Als u een menugroep wilt verbergen, klikt u met de rechtermuisknop op de groep en klikt u op Verbergen.

    Een menugroep weergeven:

    1. Klik met de rechtermuisknop op een menugroep en klik op Weergeven.

    2. Een overzicht van de verborgen menugroepen en menuonderdelen verschijnt. Schakel het veld met de naam van de menugroep in die u wilt weergeven en klik op OK. De menugroep wordt ingevoegd op de oorspronkelijke positie voordat de groep werd verborgen.

Weergeven Menuonderdelen verbergen en weergeven

    • Als u een menuonderdeel wilt verbergen, klikt u met de rechtermuisknop op het onderdeel en klikt u op Verbergen.

    • Een menuonderdeel weergeven:

    1. Klik met de rechtermuisknop op een menuonderdeel en klik op Weergeven.

    2. Een overzicht van de verborgen menugroepen en menuonderdelen verschijnt. Schakel het veld met de naam van het menuonderdeel in dat u wilt weergeven en klik op OK. Het menuonderdeel wordt ingevoegd op de oorspronkelijke positie voordat het onderdeel werd verborgen.

    (U kunt geen afzonderlijke onderdelen uit een verborgen menugroep weergeven.)

Als u een Microsoft Dynamics NAV-beheerder bent (u meldt zich aan met de rol SUPER), kunt u met Navigatiedeelvenster ontwerpen menu's voor gebruikers ontwerpen.

Verwante onderwerpen

Snelkoppelingen in het navigatiedeelvenster maken

Snelkoppelingen in het navigatiedeelvenster indelen

Sneltoetsen voor het navigatiedeelvenster


Snelkoppelingen in het navigatiedeelvenster maken

U kunt uw eigen menu samenstellen in het menu Snelkoppelingen. (menu Snelkoppelingen: een door de gebruiker gedefinieerd menu in het navigatiedeelvenster) U kunt snelkoppelingen opnemen naar:

  • Vensters en lijsten in het programma

  • Bepaalde records in de database (bijvoorbeeld klantenkaart 10000 of verkooporder 30XB2)

  • Documenten op de computer of op een server

  • Websites

Als u slechts een beperkt deel van de menuonderdelen gebruikt die aan u zijn toegewezen, kunt u alle menuonderdelen die u gebruikt naar het menu Snelkoppelingen kopiëren, zodat u ze snel kunt terugvinden. Vervolgens kunt u alle andere menu's verbergen en de snelkoppelingen opnieuw indelen om zo efficiënt mogelijk te kunnen werken.

U kunt op twee manieren snelkoppelingen naar vensters in het programma maken.

Weergeven Een menuonderdeel of menugroep uit een bestaand menu in het navigatiedeelvenster kopiëren

  1. Klik op de menuknop (menuknop: een knop die onder aan het navigatiedeelvenster wordt weergegeven en waarmee een menu voor weergave wordt geselecteerd) voor het menu met de groep of het onderdeel dat u vaak gebruikt.

  2. Zoek het menuonderdeel of de menugroep en klik met de rechtermuisknop.

  3. Klik op Verzenden naar snelkoppelingen.

Weergeven Een snelkoppeling maken naar een venster of lijst die u hebt geopend

  1. Open het venster of de lijst waarvoor u een snelkoppeling wilt maken.

  2. U kunt een ook snelkoppeling maken naar een bepaalde record in de database. Zo kunt u een snelkoppeling naar een bepaalde klantenkaart maken.

Als u met de snelkoppeling een bepaalde record wilt openen, bladert u naar de gewenste record (bijvoorbeeld de klant).

  3. Klik op Verzenden in het menu Bestand en vervolgens op Koppeling naar Snelkoppelingen.

Daarnaast kunt u snelkoppelingen naar bestanden buiten het programma definiëren:

Weergeven Een snelkoppeling naar een document of map maken

  1. Klik in het menu Snelkoppelingen met de rechtermuisknop en klik op Snelkoppeling maken

  2. Klik op de AssistButton in het veld Openen en blader naar het gewenste bestand. Klik op Openen. In het veld Openen verschijnen nu het adres en de naam van het bestand, inclusief de bestandsextensie.

  3. Geef in het veld Bijschrift de naam van het menuonderdeel op die u in het menu Snelkoppelingen wilt weergeven.

Weergeven Een snelkoppeling naar een document of map maken

  1. Klik in het menu Snelkoppelingen met de rechtermuisknop en klik op Snelkoppeling maken

  2. Typ in het veld Openen het websiteadres, bijvoorbeeld www.microsoft.com.

  3. Geef in het veld Bijschrift de naam van het menuonderdeel op die u in het menu Snelkoppelingen wilt weergeven.

Het menuonderdeel of de menugroep wordt onder aan het menu Snelkoppelingen toegevoegd. U kunt de snelkoppelingen indelen in groepen en onderdelen verwijderen die u niet langer gebruikt.

Verwante onderwerpen

Snelkoppelingen in het navigatiedeelvenster indelen


Sneltoetsen voor het navigatiedeelvenster

Altijd beschikbaar

Toets(en) | Muishandeling | Actie
F12 | Klik in het menugebied of op de knop Hoofdmenu op de werkbalk | Het navigatiedeelvenster krijgt de focus
Ctrl+F12 | Klik op het actieve venster | Het actieve venster krijgt de focus
Alt+F12 | Menu: Extra/Navigatiedeelvenster ontwerpen | Overschakelen naar Navigatiedeelvenster ontwerpen
Alt+F1 | Menu: Beeld/Navigatiedeelvenster | Navigatiedeelvenster weergeven/verbergen
Shift+Alt+Up | Schuifbalk van het navigatiedeelvenster | Omlaag schuiven door de menuknoppen
Shift+Alt+Down | Schuifbalk van het navigatiedeelvenster | Omhoog schuiven door de menuknoppen
Ctrl+Alt+Up |  | Vorig menu activeren
Ctrl+Alt+Down |  | Volgend menu activeren
Ctrl+0 |  | Menu Snelkoppelingen activeren
Ctrl+1 … Ctrl+9 |  | Menu op positie 1 … 9 activeren
 | Dubbelklikken op de formaatwijzigingsrand van het navigatiedeelvenster | Schakelen tussen het huidige formaat en minimaliseren van het navigatiedeelvenster

Beschikbaar als het navigatiedeelvenster actief is

Attentie:

Niet alle acties voor de toetsen zijn altijd beschikbaar, omdat het gebruik van de sneltoetsen afhangt van het venster waarin u werkt (het navigatiedeelvenster of Navigatiedeelvenster ontwerpen) en of het menu Snelkoppelingen is geopend.

Toets(en) | Muishandeling | Actie
Home |  | Het eerste onderdeel selecteren
End |  | Het laatste onderdeel selecteren
Pijl-omhoog |  | Het vorige onderdeel selecteren
Pijl-omlaag |  | Het volgende onderdeel selecteren
Page Up | Menuschuifbalk | Selectie een pagina omhoog verplaatsen
Page Down | Menuschuifbalk | Selectie een pagina omlaag verplaatsen
Pijl-links | Klikken op de knop +/- | Groep samenvouwen
Pijl-rechts | Klikken op de knop +/- | Groep uitvouwen
Ctrl+Home |  | Schuiven naar het eerste onderdeel
Ctrl+End |  | Schuiven naar het laatste onderdeel
Ctrl+Pijl-omhoog | Menuschuifbalk | Omlaag schuiven door het menu
Ctrl+Pijl-omlaag | Menuschuifbalk | Omhoog schuiven door het menu
Ctrl+Page Up | Menuschuifbalk | Selectie een pagina omhoog schuiven
Ctrl+Page Down | Menuschuifbalk | Selectie een pagina omlaag schuiven
Ctrl+Shift+Pijl-omhoog |  | Onderdeel omhoog verplaatsen
Ctrl+Shift+Pijl-omlaag |  | Onderdeel omlaag verplaatsen
Enter/spatiebalk | Klikken | Open venster verplaatsen*
Ctrl+Enter/spatiebalk | Ctrl+klikken | Onderdeel openen in nieuw venster*
Shift+Enter/spatiebalk | Shift+klikken | Open venster schakelen
Alt+Enter |  | Eigenschappen
Contextmenu | Klikken met de rechtermuisknop | Contextmenu weergeven
Ctrl+X |  | Onderdeel knippen
Ctrl+C |  | Onderdeel kopiëren
Ctrl+V |  | Onderdeel plakken
F2 | Klikken op het label van het geselecteerde onderdeel | Naam van het onderdeel wijzigen
Delete |  | Onderdeel verwijderen
Insert |  | Onderdeel maken
Shift+Insert |  | Onderdelen invoegen
Ctrl+Insert |  | Groep maken
Ctrl+S | Bestand/Opslaan | De huidige menusuite opslaan en in Navigatiedeelvenster ontwerpen blijven
F11 | Extra/Compileren | De huidige menusuite compileren
Esc | Bestand/Sluiten | Navigatiedeelvenster ontwerpen sluiten, met bevestiging voor het opslaan van wijzigingen

* U kunt de standaardactie en de Ctrl-actie omwisselen door de opties voor het navigatiedeelvenster te wijzigen.

Verwante onderwerpen

Sneltoetsen


Menu's voor gebruikers ontwerpen

Als u de menusuitebeheerder voor uw bedrijf bent, kunt u met Navigatiedeelvenster ontwerpen de menu's configureren die u van de leverancier van uw oplossing hebt ontvangen en de menu's aan de gebruikers in uw bedrijf aanpassen.

Als u geen ontwerprechten hebt, kunt u het navigatiedeelvenster aanpassen.

Menu's ontwerpen

In Navigatiedeelvenster ontwerpen kunt u de hele menusuite van uw bedrijf bewerken. (menusuite: een verzameling menu's, bijvoorbeeld alle menu's die aan een gebruiker zijn toegewezen) U kunt bestaande menu's bewerken, (menu: een verzameling menuonderdelen die in groepen kunnen worden ingedeeld en in een boomstructuur kunnen worden weergegeven) nieuwe menu's maken, de volgorde van de menuknoppen (menuknop: een knop die onder aan het navigatiedeelvenster wordt weergegeven en waarmee een menu voor weergave wordt geselecteerd) in het navigatiedeelvenster wijzigen of menuknoppen verwijderen. Vervolgens kunt u een of meer menu's aan iedere gebruiker toewijzen.

Menu's toewijzen

U kunt aan een gebruiker alleen een volledig menu toewijzen en dus niet slechts een gedeelte van een menu.

Menu's in Navigatiedeelvenster ontwerpen verbergen

U kunt menu's in Navigatiedeelvenster ontwerpen verbergen als u niet met een menu wilt werken. Het menu wordt alleen in Navigatiedeelvenster ontwerpen verborgen. Gebruikers waaraan u het menu hebt toegewezen, kunnen het menu nog steeds zien in hun eigen menusuite. (Klik met de rechtermuisknop en kies Verbergen in de designer. Als u een knop weer wilt weergeven, klikt u op de gewenste menuknop en vervolgens op Weergeven in de designer. Schakel het veld met de naam van het menu dat u wilt weergeven in en klik op OK.)

Menu's in- en uitschakelen

Als u wijzigingen in een menu aanbrengt, kunt u het menu uitschakelen als u niet wilt dat gebruikers de wijzigingen meteen te zien krijgen zodra u ze opslaat. Wanneer het menu gereed is voor gebruik, kunt u het menu weer inschakelen. (Klik met de rechtermuisknop op de menuknop en kies Activeren of Deactiveren.) De eerstvolgende keer dat de gebruiker het navigatiedeelvenster vernieuwt nadat u een menu hebt ingeschakeld, wordt de nieuwe versie weergegeven. De gebruiker kan het navigatiedeelvenster vernieuwen door met de rechtermuisknop te klikken onder de menuknoppen en naast de schuifpijlen en vervolgens Vernieuwen te kiezen.

Verwante onderwerpen

Menu's bewerken met Navigatiedeelvenster ontwerpen

Menu's maken met Navigatiedeelvenster ontwerpen

Menu's aan gebruikers toewijzen

Menu's verwijderen uit Navigatiedeelvenster ontwerpen

Sneltoetsen voor het navigatiedeelvenster

De invloed van upgrades op uw menu's


Snelkoppelingen in het navigatiedeelvenster indelen

Als u eenmaal snelkoppelingen in het menu Snelkoppelingen hebt gemaakt, kunt u het menu opnieuw indelen. U kunt nieuwe groepen maken en de volgorde van de groepen en onderdelen in het menu Snelkoppelingen wijzigen. U kunt ook onderdelen verwijderen die u niet langer gebruikt.

  • Weergeven Een nieuwe menugroep maken

    • Een nieuwe groep maken:

    1. Klik met de rechtermuisknop op de groep waaraan u de nieuwe groep wilt toevoegen en klik op Groep maken. De nieuwe groep verschijnt onder aan de menugroep.

    2. Typ de naam van de nieuwe menugroep. Druk op ENTER om de wijziging toe te passen.

  • Weergeven Onderdelen naar een menugroep verplaatsen

    • Een onderdeel naar een groep verplaatsen:

    1. Klik met de rechtermuisknop op het onderdeel dat u wilt verplaatsen en klik op Knippen.

    2. Klik met de rechtermuisknop op een onderdeel in de menugroep waarnaar u het onderdeel wilt verplaatsen en klik op Plakken.

  • Weergeven Een menugroep of menuonderdeel omhoog of omlaag verplaatsen

    Een menugroep of menuonderdeel omhoog of omlaag verplaatsen:

    • Klik op de rechtermuisknop op het menuonderdeel of de menugroep en klik op Omhoog of Omlaag.

    Attentie

    Met deze methode kunt u een onderdeel alleen verplaatsen binnen de groep waartoe het onderdeel behoort. Als u een onderdeel naar een andere groep wilt verplaatsen, moet u het onderdeel knippen en plakken.

  • Weergeven De naam van een menugroep of menuonderdeel wijzigen

    • De naam van een menugroep of menuonderdeel wijzigen:

    1. Klik met de rechtermuisknop op de menugroep of het menuonderdeel en klik op Naam wijzigen. De cursor verschijnt in een invoervak.

    2. Typ de naam die u wilt weergeven. Druk op ENTER om de wijziging toe te passen.

  • Weergeven Een menugroep of menuonderdeel verwijderen

    • Een menuonderdeel verwijderen:

    • Klik met de rechtermuisknop op het onderdeel en klik op Verwijderen. Het onderdeel wordt uit het menu verwijderd, maar kan later weer worden toegevoegd.

    Een menugroep verwijderen:

    • Klik met de rechtermuisknop op de groep en klik op Verwijderen. De menugroep en de bijbehorende menuonderdelen worden uit het menu verwijderd.


De inhoud van velden wijzigen of verwijderen

U kunt alleen de inhoud van bewerkbare velden wijzigen of verwijderen.

Gewone velden wijzigen of verwijderen

Er zijn twee manieren om de inhoud van gewone velden te wijzigen of verwijderen. Welke manier u gebruikt is afhankelijk van het veld. In de meeste velden kunt u als volgt te werk gaan:

  1. Selecteer de veldinhoud en typ de nieuwe inhoud over de oude.

  2. Selecteer de veldinhoud en kies Bewerken, Wissen of druk op Delete.

  3. Druk op Enter om de wijziging of de verwijdering op te slaan.

In bepaalde gevallen zijn de veldgegevens van groter belang. Hierdoor is de inhoud moeilijker te wijzigen. U moet de in line bewerkingsfunctie gebruiken om de inhoud van deze velden te wijzigen. Klik tweemaal (maar dubbelklik niet) of druk op F2 wanneer de cursor zich in het veld bevindt.

De inhoud van selectievakjes wijzigen

Klik in het selectievakje als u de inhoud ervan wilt wijzigen. Een markering in het veld betekent dat u de bijbehorende vraag met 'ja' beantwoordt en de functie dus inschakelt. Klik nogmaals op het selectievakje om Ja in Nee te wijzigen en de functie uit te schakelen.

De inhoud van velden met een AssistButton wijzigen

Velden waarbij rechts een AssistButton is te zien kunt u alleen invullen door een van de opties te kiezen die verschijnen wanneer u op de AssistButton klikt.

Klik op de knop rechts van het veld en selecteer een van de opties uit de lijst die verschijnt. Vervolgens wordt de veldinhoud gewijzigd.


Gegevens invoeren in velden

U kunt alleen gegevens in bewerkbare velden invoeren. In kaartvensters hebben bewerkbare vensters een witte achtergrond en zijn niet-bewerkbare velden grijs gekleurd. In overzichtsvensters ziet u een verticaal streepje in bewerkbare velden en een gestippelde kaderlijn in niet-bewerkbare velden.

Klik in het veld als u iets wilt invoeren. De invoegpositie verschijnt ten teken dat u kunt typen. Als u klaar bent, drukt u op Enter om de gegevens op te slaan. Druk op Esc als u de invoer wilt annuleren.

Velden gebruiken om waarden te berekenen


Nieuwe regels of nieuw kaarten maken

Tijdens het werken in Microsoft Dynamics NAV moet u regelmatig nieuwe records invoeren.

Druk op F3 om een nieuwe regel of kaart in te voegen.

U gebruikt deze functie om nieuwe records (kaarten of regels) te maken voor nieuwe rekeningen, klanten of artikelen.

Attentie

In dagboeken hoeft u niet op F3 te drukken om een nieuwe regel in te voeren. U klikt (of verplaatst de cursor) om naar de volgende regel te gaan.


Opties in keuzelijsten selecteren

Bij een groot aantal velden in het programma ziet u aan de rechterzijde een knop met een opwaartse pijl of een neerwaartse driehoek. Deze knoppen worden AssistButtons genoemd. Als u op deze knop klikt, verschijnt er een keuzelijst met opties die beschikbaar zijn voor het veld.

Er zijn twee soorten AssistButtons:

Lookup | Hiermee toont u gegevens uit een andere tabel die u in het veld kunt invoeren. U kunt slechts één gegevensitem tegelijk selecteren.
Drop-down | Hiermee toont u de verzameling opties die beschikbaar zijn voor het veld. U kunt slechts één optie tegelijk selecteren.

Als de AssistButton niet zichtbaar is, klikt u in het veld om de knop weer te geven.


Velden gebruiken om waarden te berekenen

Mogelijk moet u soms een kleine berekening uitvoeren voordat u een waarde in een veld invoert. In Microsoft Dynamics NAV kunt u in de meeste velden formules invoeren om de veldwaarde direct te berekenen.

Waarden in velden berekenen:

  1. Typ een formule in het veld.

    U kunt daarbij de volgende symbolen gebruiken:

    + (plus)

    - (min)

    * (vermenigvuldigd met)

    / (gedeeld door)

    U kunt deze symbolen weliswaar gecombineerd gebruiken, maar dan alleen zonder haakjes. Let dus goed op hoe u de berekening opzet. Vermenigvuldigingen en delingen worden uitgevoerd voor optellingen en aftrekkingen. U kunt ook verschillende berekeningen in hetzelfde veld uitvoeren.

  2. Druk op Enter om de uitkomst te berekenen en de waarde in het veld in te voeren.


Datums invoeren

De wijze waarop u datums invoert is afhankelijk van de instellingen in het onderdeel Landinstellingen van het Configuratiescherm van Windows. U kunt datums met of zonder scheidingstekens invoeren.

Een datumveld kan twee, vier, zes of acht cijfers bevatten:

  • Als u slechts twee cijfers invoert, wordt dit als een dag beschouwd en worden de maand en het jaar van de werkdag automatisch toegevoegd.

  • Als u vier cijfers invoert, wordt dit als een dag en een maand beschouwd en wordt het jaar van de werkdag automatisch toegevoegd.

  • Als de ingevoerde datum in de reeks 01/01/1930 tot en met 31/12/2029 valt, hoeft u slechts twee cijfers voor het jaartal in te voeren; anders moet u vier cijfers voor het jaartal invoeren.

Als u met Windows 2000 werkt, kunt u deze datumreeks zelf bepalen. U doet dit door de kalenderinstelling op het tabblad Datum van het onderdeel Landinstellingen in het Configuratiescherm te wijzigen.

U kunt een datum ook invoeren als een weekdag gevolgd door een weeknummer en eventueel het jaar (Ma25 of ma25 duidt bijvoorbeeld op maandag in week 25).

U kunt in plaats van een specifieke datum ook een van de volgende codes invoeren:

t | De datum van vandaag wordt ingevoerd. (Dit is de systeemdatum van de computer).
w | De werkdatum wordt ingevoerd. Klik op Extra, Werkdatum op de menubalk als u de werkdatum wilt bepalen. Als u de werkdatum niet instelt, wordt de systeemdatum als werkdatum gebruikt.

Het gebruik van een werkdatum is handig als u veel transacties hebt met een andere datum dan de huidige.

Ultimodatum

Als u een boekjaar afsluit, kunt u ultimodatums gebruiken om aan te geven dat het om een ultimopost gaat. Een ultimodatum ligt technisch gezien tussen twee datums in, zoals tussen 31 december en 1 januari.

U geeft aan dat het een ultimodatum betreft door een U voor de datum te typen: U123101.

Verwante onderwerpen

Werkdatums instellen

Datumformules gebruiken


Datum/tijd invoeren

Wanneer u datum/tijd invoert, moet u een spatie plaatsen tussen de datum en de tijd.

In de volgende tabel wordt aangegeven op welke manier u de datum/tijd kunt invoeren en hoe de verschillende manieren worden geïnterpreteerd:

Post | Interpretatie
131202 132455 | 13-12-02 13:24:55
1-12-02 10 | 01-12-02 10:00:00
1.12.02 5 | 01-12-02 05:00:00
1.12.02 | 01-12-02 00:00:00
11 12 | 11-huidige maand-huidig jaar 12:00:00
1112 12 | 11-12-huidig jaar 12:00:00
h of huidige datum | huidige datum 00:00:00
h tijd | huidige datum werkelijke tijd
h 10:30 | huidige datum 10:30:00
h 3:3:3 | huidige datum 03:03:03
w of werkdatum | de werkdatum 00:00:00
ma of maandag | Maandag van de huidige week 00:00:00
di of dinsdag | Dinsdag van de huidige week 00:00:00
wo of woensdag | Woensdag van de huidige week 00:00:00
do of donderdag | Donderdag van de huidige week 00:00:00
vr of vrijdag | Vrijdag van de huidige week 00:00:00
za of zaterdag | Zaterdag van de huidige week 00:00:00
zo of zondag | Zondag van de huidige week 00:00:00
di 10:30 | Dinsdag van de huidige week 10:30:00
di 3:3:3 | Dinsdag van de huidige week 03:03:03


Duur invoeren

De duur moet worden ingevoerd als een getal gevolgd door de eenheid.

Enkele voorbeelden:

2u | 2 uur
6u 30 m | 6 uur en 30 minuten
6,5u | 6 uur en 30 minuten
90m | 1 uur en 30 minuten
2d 6u 30m | 2 dagen, 6 uur en 30 minuten
2d 6u 30m 56s 600ms | 2 dagen, 6 uur, 30 minuten, 56 seconden en 600 milliseconden

Als u een getal invoert, wordt het getal automatisch omgezet naar een duur. Dit gebeurt op basis van de standaardeenheid die in het veld Duur is ingevoerd.

Als u wilt nagaan welke eenheid wordt gebruikt in het veld Duur, voert u een getal in en bekijkt u in welke eenheid het getal wordt omgezet.

Als het getal 5 wordt omgezet in 5 uur, bestaat de eenheid uit uren.


Tijden invoeren

Hoewel het niet vereist is, kunt u bij de invoer van tijden elk willekeurig scheidingsteken tussen de eenheden plaatsen.

U hoeft geen minuten, seconden of AM/PM-aanduiding in te voeren.

De volgende tabel geeft een overzicht van de verschillende invoermogelijkheden voor tijden en de wijze waarop de invoer wordt geïnterpreteerd:

Invoer | Interpretatie
5 | 05:00:00
5:30 | 05:30:00
0530 | 05:30:00
5:30:5 | 05:30:05
053005 | 05:30:05
5:30:5,50 | 05:30:05.5
053005050 | 05:30:05.05

Als u geen scheidingsteken invoert, moet u twee cijfers opgeven voor elke eenheid.


Datumformules gebruiken

Met de datumformules van Microsoft Dynamics NAV kunt u bepalen hoe datums moeten worden berekend. U kunt datumformules invoeren in verschillende datumberekeningsvelden en in de frequentievelden van periodieke dagboeken.

Hier volgen enkele voorbeelden van het gebruik van datumformules:

  • De datumformule in de frequentievelden van periodieke dagboeken geeft aan hoe vaak de dagboekregel moet worden geboekt.

  • De datumformule in het veld Respijtperiode van een bepaald aanmaningsniveau bepaalt hoe lang de vervaldatum (of de datum van de vorige aanmaning) moet zijn verstreken voordat een aanmaning wordt gemaakt.

  • De datumformule in het veld Vervaldatumformule bepaalt hoe de vervaldatum voor de aanmaning wordt berekend.

De datumberekeningsformule kan uit maximaal 20 tekens (cijfers en/of letters) bestaan. U kunt hierbij de volgende letters gebruiken. Het gaat om afkortingen voor tijdsaanduidingen:

L | Lopend
D | Dag
W | Week
M | Maand
K | Kwartaal
J | Jaar

Er zijn drie soorten datumformules:

  1. Lopend plus een tijdseenheid. Voorbeeld:

LW | Lopende week
LM | Lopende maand

  2. Een nummer plus een tijdseenheid. Nummers mogen niet groter zijn dan 9999. Bijvoorbeeld:

10D | 10 dagen vanaf vandaag
2W | 2 weken vanaf vandaag

  3. Een tijdseenheid plus een getal. Voorbeeld:

D10 | De volgende tiende dag van een maand
WD4 | De volgende vierde dag van een week (donderdag)

U kunt de drie soorten naar wens combineren. Voorbeeld:

LM+10D

Lopende maand + 10 dagen

U gebruikt een minteken om een datum in het verleden aan te duiden. Voorbeeld:

-1J

1 jaar geleden vanaf vandaag

Verwante onderwerpen

Datums invoeren

Werkdatums instellen


Filters instellen

U kunt veldfilters en tabelfilters gebruiken om bepaalde rekeningen, klanten, posten of andere records weer te geven. Met FlowFilters kunt u de inhoud beperken van velden waarin bedragen of hoeveelheden worden weergegeven.

U stelt een filter in door voorwaarden op te geven voor een of meer velden in een tabel. Vervolgens worden alle records afgezet tegen deze voorwaarden, waarna uitsluitend de records die aan alle gestelde filtervoorwaarden voldoen, worden opgehaald. Als de voorwaarden voor meerdere velden tegelijk gelden, moeten de records aan alle voorwaarden voldoen om te worden doorgelaten door het filter.

Attentie

Veld- en tabelfilters worden per venster ingesteld. Als u een filter voor een tabel hebt ingesteld in het ene venster en dezelfde tabel vervolgens bekijkt vanuit een ander venster, merkt u in het laatste venster niets van de betreffende filter. De filter blijft echter wel actief in het eerste venster totdat u deze verwijdert.

Een filter blijft van kracht totdat u deze verwijdert of vervangt door een andere filter. Kies Beeld, Alles weergeven in het menu om een filter te verwijderen.

U kunt drie soorten filters gebruiken in Microsoft Dynamics NAV:

Veldfilters

Tabelfilters

FlowFilters

Verwante onderwerpen

Criteria voor filters invoeren


Criteria voor filters invoeren

U kunt bij de invoer van criteria alle cijfers en letters gebruiken die u normaal ook kunt gebruiken. Daarnaast kunt u een aantal speciale symbolen en rekenkundige formules gebruiken. Dit zijn de beschikbare notities:

Teken | Betekenis | Voorbeeld | Weergegeven records
= | Gelijk aan | 377 | Nummer 377
 |  | BLAUW | Records met de code BLAUW, zoals de magazijncode BLAUW.
 |  | 22 | Datum/tijd: Van 22 lopende maand, lopend jaar 0:00:00 tot 22 lopende maand, lopend jaar 22:59:59
 |  | 22 10 | Een exacte datum/tijd: 22-01-01 10:00:00
.. | Interval | 1.100..2.100 | Nummers 1100 t/m 2100
 |  | ..2.500 | Tot en met 2500
 |  | ..31 12 00 | Datums tot en met 31.12.00
 |  | P8.. | Gegevens voor boekhoudperiode 8 en verder
 |  | ..23 | Van begintijd tot 23 lopende maand, lopend jaar 23:59:59
 |  | 23.. | Van 23 lopende maand, lopend jaar 00:00:00 tot eindtijd
 |  | 22..23 | Van 22 lopende maand, lopend jaar 0:00:00 tot 23 lopende maand, lopend jaar 23:59:59
| | Of/of | 1.200|1.300 | Records met nummer 1200 of 1300
& | En | <2.000&>1.000 | Nummers kleiner dan 2000 en groter dan 1000. Een zelfstandig gebruik van het teken & met nummers is niet mogelijk omdat er geen records met twee nummers zijn toegestaan.
<> | Niet gelijk aan | <>0 | Alle nummers behalve 0 In SQL Server Option kunt u dit teken combineren met jokertekens. <>A* betekent bijvoorbeeld 'Niet gelijk aan tekst die begint met A'.
> | Groter dan | >1.200 | Nummers groter dan 1200
>= | Groter dan of gelijk aan | >=1.200 | Nummers groter dan of gelijk aan 1200
< | Kleiner dan | <1.200 | Nummers kleiner dan 1200
<= | Kleiner dan of gelijk aan | <=1.200 | Nummers kleiner dan of gelijk aan 1200
* | Een onbeperkt aantal onbekende tekens | *Be* | Tekst met de letters "Be"
 |  | *Be | Tekst die eindigt op "Be"
 |  | Be* | Tekst die begint met "Be"
? | Een onbekend teken | Jans?n | Tekst zoals Jansen of Jansma
 | Berekenen voor de rest | 30|(>=10&<=20) | Records met nummer 30 of met een nummer tussen 10 en 20 (het resultaat van de berekening tussen haakjes).
@ | Geen onderscheid tussen hoofdletters en kleine letters (beide zijn toegestaan) | @locatie | Tekst zoals LOCATIE, locatie of Locatie.

U kunt de verschillende notatiesoorten ook combineren:

5.999|8.100..8.490 | Alle records met het nummer 5999 of een nummer uit het interval 8100 tot en met 8490.
..1.299|1.400.. | Records met een nummer kleiner dan of gelijk aan 1299 of gelijk aan 1400 en hoger. Met andere woorden: alle nummers behalve 1300 tot en met 1399.
>50&<100 | Records met een nummer groter dan 50 en kleiner dan 100, ofwel nummer 51 tot en met 99.
*C*&*D* | Tekst met de tekens C en D.
@*bo?* | Tekst met de tekens bo, BO, Bo, bO zoals boek, boekhouding en geboekt. De combinatie BO, bO, Bo of bo moet in de tekst voorkomen, gevolgd door ten minste één teken en kan worden omsloten door een onbeperkt aantal tekens in de vorm van zowel hoofdletters als kleine letters.

Attentie

Zorg dat u alleen zinvolle filters invoert. Het is bijvoorbeeld mogelijk om een niet-bestaande interval op te geven zonder dat dit wordt gecontroleerd. U moet op de hoogte zijn van de sorteringsregels van het programma om zinvolle filters te kunnen invoeren.

Verwante onderwerpen

Sorteren


Functietoetsen

Hier ziet u een overzicht van de functietoetsen zoals Ctrl+F1 (geen sneltoetsen zoals Ctrl+P) waarmee u kunt werken in Microsoft Dynamics NAV. Met een functietoets kunt u toegang krijgen tot een groot aantal menu-opdrachten (waarbij u soms zowel Shift als Ctrl gelijktijdig moet indrukken). Functietoetsen stellen u in staat sneller te werken als u de voorkeur geeft aan het toetsenbord boven de muis.

Als u Help, Functietoetsen kiest, verschijnt een venster met de beschikbare functietoetsen. Welke functietoetsen beschikbaar zijn, is afhankelijk van de module die u gebruikt.

Als u onder in het venster op Shift klikt, verschijnen de mogelijke combinaties met de Shift-toets. Als u op Ctrl klikt, verschijnen de mogelijke combinaties met de Ctrl-toets.


Meertalige functionaliteit

Microsoft Dynamics NAV ondersteunt meerdere talen. Dit betekent dat een gelokaliseerde versie van Microsoft Dynamics NAV in verschillende talen kan worden uitgevoerd. De gebruiker kan kiezen in welke taal de tekst op het scherm wordt weergegeven. Deze taalwijziging wordt direct doorgevoerd. Het is niet nodig om Microsoft Dynamics NAV af te sluiten en opnieuw op te starten.

Bedenk dat de meertalige functionaliteit niet hetzelfde is als een gelokaliseerde versie. Een gelokaliseerde versie van Microsoft Dynamics NAV is een versie van Microsoft Dynamics NAV die is aangepast aan de lokale markt. Dit betekent dat niet alleen alle tekst die de gebruiker te zien krijgt is vertaald in de lokale taal, maar dat ook alle functionele gebieden zijn aangepast aan de vereisten van de lokale markt.

Een meertalige versie van Microsoft Dynamics NAV is een gelokaliseerde versie van Microsoft Dynamics NAV die u in verschillende talen kunt uitvoeren zonder dat de lokale instellingen worden gewijzigd. U kunt de Zwitserse versie van Microsoft Dynamics NAV bijvoorbeeld in het Duits, Frans of Italiaans uitvoeren, terwijl de landspecifieke aspecten van de Zwitserse versie van Microsoft Dynamics NAV behouden blijven. Dit is dus niet hetzelfde als bijvoorbeeld de Franse versie van Microsoft Dynamics NAV.

Er is ook een verschil tussen een wijziging van de schermtaal van Microsoft Dynamics NAV en een wijziging van de taal waarin de Microsoft Dynamics NAV-gegevens worden opgeslagen. De eerste wijziging regelt u met de meertalige voorzieningen. Gebruikers kunnen hiermee een andere taal kiezen voor de tekstlabels van tekstvakken, opdrachtknoppen, menu's enzovoort in de toepassing.

Deze meertalige functionaliteit heeft geen invloed op de taal waarin de toepassingsgegevens zijn opgeslagen. De taal van deze gegevens wordt bestuurd door het toepassingsontwerp. De namen van artikelen in de voorraad en de opmerkingen voor een klant zijn voorbeelden van dergelijke tekst. Deze tekst wordt dus niet vertaald.

Attentie

Microsoft Dynamics NAV ondersteunt slechts één tekenset voor gegevens. Dus sommige tekens worden mogelijk niet ondersteund door uw installatie en er kunnen problemen optreden bij het ophalen van gegevens die zijn ingevoerd met een andere tekenset. Als uw installatie bijvoorbeeld alleen Nederlandse en Russische tekens ondersteunt en u gegevens invoert in een andere taal, worden die mogelijk niet correct opgeslagen. Neem contact op met uw systeembeheerder om zeker te weten welke talen worden ondersteund door uw installatie.

Verwante onderwerpen

Taal


Knoppen op de werkbalk

De werkbalk van Microsoft Dynamics NAV bevat de volgende knoppen:

Afdrukken

Afdrukvoorbeeld

Knippen

Kopiëren

Plakken

Ongedaan maken

Nieuwe invoegen

Verwijderen

Zoeken

Veldfilter

Veldfilter

FlowFilter

Alles weergeven

Sorteren

Eerste

Vorige

Volgende

Laatste

Overzicht

Hoofdmenu

Help

Verwante onderwerpen

Knoppen

Opdrachten in de menubalk


Gegevens naar andere programma's verzenden

U kunt gegevens vanuit Microsoft Dynamics NAV exporteren naar andere programma's, zoals Microsoft Office Word of Excel.

U kunt gegevens exporteren uit kaartvensters en lijsten.

Voordat u gegevens kunt exporteren, moet u een opmaakmodel instellen voor het programma waarnaar u wilt exporteren. (Zie Opmaakmodellen voor gegevensexport beheren.)

Gegevens naar andere programma's verzenden

  1. Open het venster dat de gegevens bevat die u wilt exporteren, bijvoorbeeld een klantenkaart.

  2. Klik op de menubalk op Verzendopties Verzendopties.

  3. Selecteer de regel met het programma waarnaar u gegevens wilt exporteren.

  4. De inhoud van het veld Opmaakmodel op de regel geeft aan welk opmaakmodel wordt gebruikt voor het opmaken van de gegevens. Als u een ander opmaakmodel wilt selecteren, klikt u op het veld Opmaakmodel en vervolgens op de AssistButton [image] om het gewenste opmaakmodel te selecteren.

  5. Klik op Verzenden.

Het door u geselecteerde programma wordt geopend en er wordt een nieuw document gemaakt met de geëxporteerde gegevens.

Tip

Als u wilt exporteren naar Word of Excel en u hetzelfde opmaakmodel wilt gebruiken dat u hebt gebruikt bij de vorige keer dat u gegevens uit het huidige venster hebt geëxporteerd:

  • Klik op de menubalk op Verzenden naar Microsoft Office Word Verzenden naar Microsoft Office Word of Verzenden naar Microsoft Office Excel Verzenden naar Microsoft Office Excel.


Documenten of websites koppelen aan records in Microsoft Dynamics NAV

Sommige kaarten, zoals klantenkaarten en leverancierskaarten, bevatten een veld Homepage, waarin u een URL kunt opgeven. U kunt ook URL's toevoegen aan het menu Snelkoppelingen. Soms wilt u echter gegevens koppelen aan een bepaalde record in Microsoft Dynamics NAV.

U kunt koppelingen maken naar:

  • documenten

  • websites

  • andere records in Microsoft Dynamics NAV

Voorbeeld 1

Als u afgedrukte facturen ontvangt van leveranciers, kunt u deze scannen en ze als .pdf-bestanden opslaan op een SharePoint-site. Vervolgens kunt u een koppeling maken van een inkoopfactuur in Microsoft Dynamics NAV naar de desbetreffende factuur op SharePoint.

Voorbeeld 2

U kunt een koppeling maken van een artikelkaart naar de overeenkomstige pagina in de online catalogus van uw leverancier.

Weergeven Een koppeling maken naar een document, map of website buiten Microsoft Dynamics NAV:

  1. Open de record waaraan u de koppeling wilt koppelen. als u de koppeling aan een bepaalde regel wilt koppelen, bijvoorbeeld aan een verkoop- of inkoopregel in een dagboek of document, plaatst u de cursor op de regel.

  2. Klik op Bewerken, Koppelingen... Het venster Koppelingen wordt geopend.

  3. Geef in het veld URL een adres op voor het bestand of de website (bijvoorbeeld \\CRONUS_DOCS\Shared\factuur1.doc of www.microsoft.com).

  4. Vul het veld Beschrijving in met informatie over de koppeling.

  5. Als u gegevens invoert in h et veld URL, worden de huidige systeemdatum en -tijd ingevoerd in het veld Gemaakt en wordt uw gebruikers-id ingevoerd in het veld Gebruikers-id.

Weergeven Een koppeling maken naar een andere record in Microsoft Dynamics NAV:

  1. Open de record die met de koppeling moet worden geopend. Klik op Bewerken, Koppeling kopiëren.

  2. Open de record waaraan u de koppeling wilt koppelen. Als u de koppeling aan een specifieke regel wilt koppelen, bijvoorbeeld een verkoop- of inkoopregel in een logboek of document, plaatst u de cursor op de regel.

  3. Klik op Bewerken, Koppelingen...Het venster Koppelingen wordt geopend.

  4. Plaats de cursor in het veld URL en klik op Bewerken, Plakken.

  5. Geef gegevens over de koppeling op in het veld Beschrijving.

  6. Als u gegevens opgeeft in het veld URL, worden de huidige systeemdatum en -tijd ingevuld in het veld Gemaakt en wordt uw gebruikers-id ingevuld in het veld Gebruikers-id.

Weergeven Een koppeling weergeven:

  1. Open de record waaraan een koppeling is gekoppeld die u wilt openen. Als de koppeling aan een bepaalde regel is gekoppeld, selecteert u de desbetreffende regel.

  2. Klik op Bewerken, Koppelingen...

  3. Selecteer in het venster Koppelingen de regel met de koppeling die u wilt openen en klik vervolgens op Openen. Het desbetreffende programma, bijvoorbeeld Word of Internet Explorer, wordt geopend en het doel van de koppeling wordt weergegeven.

Attentie

Als met de koppeling een venster in Microsoft Dynamics NAV wordt geopend, moet u het venster Koppelingen sluiten om het venster te kunnen zien.

Weergeven Een koppeling uit een record verwijderen:

  1. Open de record waaraan de koppeling is gekoppeld die u wilt verwijderen. Als de koppeling aan een bepaalde regel is gekoppeld, selecteert u de desbetreffende regel.

  2. Klik op Bewerken, Koppelingen...

  3. Selecteer in het venster Koppelingen de regel met de koppeling die u wilt verwijderen en druk vervolgens op de regel met de koppeling die u wilt verwijderen en druk op de toets Delete .

  4. Klik op Ja om het verwijderen te bevestigen.

Opmerking voor systeembeheerders

Als een gebruiker één record verwijdert (bijvoorbeeld een verkooporderregel, een verkooporder of een klantenkaart), worden alle koppelingen verwijderd die aan de record zijn gekoppeld. Als u echter records verwijdert met een batchverwerking (bijvoorbeeld de batchverwerking Gefact. verk.-orders verw.), worden de koppelingen opgeslagen in de tabel Recordreferentie. U kunt ze uit de database verwijderen door de code-unit Koppelingen zonder recordreferentie verwijderen uit te voeren.


Sneltoetsen

De volgende tabel biedt een overzicht van toetscombinaties in de rolgerichte client en de Classic-client.

Classic | Rolgericht | Actie
PIJL-RECHTS | PIJL-RECHTS | Naar het volgende veld of teken gaan
PIJL-LINKS | PIJL-LINKS | Naar het vorige veld of teken gaan
PIJL-OMHOOG | PIJL-OMHOOG | Naar het bovenliggende veld in dezelfde kolom gaan
PIJL-OMLAAG | PIJL-OMLAAG | Naar het onderliggende veld in dezelfde kolom gaan
DELETE | DELETE | Geselecteerde tekst wissen
ESC | ESC | Venster sluiten of gegevensinvoer ongedaan maken
END | END | Naar het laatste veld op een regel gaan
HOME | HOME | Naar het eerste veld op een regel gaan
PIJL, TAB, ENTER | TAB | Naar het volgende veld op niet-regel Sneltabbladen gaan
 | ENTER | Naar het volgende bewerkbare veld gaan
PAGE DOWN |  | Volgende document of kaart in een overzicht weergeven
PAGE UP |  | Vorige document of kaart in een overzicht weergeven
F1 | F1 | Help openen
F2 | F2 | Bewerken
F7 | F3 | Soort om te filteren selecteren (veldfilter)
F6 | F4 | Vervolgkeuzelijst openen of opzoeken om te selecteren
 | F5 | Actieve venster vernieuwen
CTRL+PAGE DOWN | F6 | Naar het volgende vak gaan
F9 | F7 | Statistieken weergeven
F8 | F8 | Bovenliggende veld kopiëren
F11 | F9 | Boeken
F10, ALT | F10, ALT | Menubalk selecteren en toegangstoetsen weergeven
F12 | F12 | Navigatiedeelvenster selecteren
 | SHIFT+F1 | Foutbericht weergeven
CTRL+F7 | SHIFT+F3 | Resultaten weergeven selecteren (FlowFilter)
F6 | SHIFT+F4 | Opzoekvenster openen (via ellipsisknop)
CTRL+PAGE UP | SHIFT+F6 | Naar het vorige vak gaan
CTRL+F5 | SHIFT+F7 | Gerelateerde kaart openen
F6 | SHIFT+F8 | Vervolgkeuzelijst openen of opzoeken om weer te geven
SHIFT+F11 | SHIFT+F9 | Boeken en afdrukken
SHIFT+F10 | SHIFT+F10 | Snelmenu weergeven
SHIFT+F11 | SHIFT+F11 | Posten vereffenen, brondocument ophalen of magazijndocument ophalen
 | SHIFT+F12 | Rolcentrum openen vanuit het navigatiedeelvenster
PIJL, SHIFT+TAB | SHIFT+TAB | Naar het vorige veld gaan
 | CTRL+F1 | Actiepaneel samen- of uitvouwen
F3 | CTRL+F2 | Nieuw document maken
 | CTRL+F3 | Zoeken in pagina's selecteren
F5 | CTRL+F4 | Opzoeken in gerelateerd overzicht
CTRL+F5 | CTRL+F7 | Posten weergeven
CTRL+F11 | CTRL+F9 | Document vrijgeven
 | CTRL+F10 | Actiepaneel selecteren en toetstips weergeven
CTRL+F11 | CTRL+F11 | Reconciliëren of Regel splitsen
 | CTRL+F12 | Adresbalk selecteren
CTRL+C | CTRL+C | Kopiëren
CTRL+E | CTRL+E | Exporteren naar Microsoft Office Excel
 | CTRL+L | Koppelingen weergeven
F3 | CTRL+N | Nieuwe record maken
CTRL+O, F12 | CTRL+O | Bedrijf openen
CTRL+P | CTRL+P | Afdrukken
SHIFT+F8 | CTRL+T | Sorteren selecteren
CTRL+V | CTRL+V | Plakken
CTRL+W | CTRL+W | Exporteren naar Microsoft Office Word
CTRL+X | CTRL+X | Knippen
CTRL+Z | CTRL+Z | Ongedaan maken
 | CTRL+PAGE DOWN | Volgende document of kaart in een lijst weergeven
 | CTRL+PAGE UP | Vorige document of kaart in een lijst weergeven
 | CTRL+PIJL-OMHOOG | Omhoog gaan en huidige regelselectie behouden
 | CTRL+PIJL-OMLAAG | Omlaag gaan en huidige regelselectie behouden
CTRL+PIJL-LINKS | CTRL+PIJL-LINKS | Naar het eerste veld op een regel gaan
 | CTRL+PIJL-RECHTS | Naar het laatste veld op een regel gaan
CTRL+F8 | CTRL+ALT+F1 | Venster Over deze pagina/Over deze lijst weergeven (Zoomen)
F4 | CTRL+DELETE | Geselecteerde regel verwijderen
CTRL+HOME | CTRL+HOME | Naar de eerste regel in een overzicht gaan
CTRL+END | CTRL+END | Naar de laatste regel in een overzicht gaan
ESC | CTRL+ENTER | Venster opslaan en sluiten (gelijk aan klikken op OK)
F3 | CTRL+INSERT | Nieuwe regel invoegen
SHIFT+F7 | CTRL+SHIFT+F3 | Totalen beperken tot (tabelfilter) selecteren
CTRL+SHIFT+F7 | CTRL+SHIFT+A | Alle filters wissen
F3 | CTRL+SHIFT+C | Nieuwe kaart openen
CTRL+SHIFT+D | CTRL+SHIFT+D | Dimensies weergeven
 | CTRL+SHIFT+K | Overzicht bewerken
 | CTRL+SHIFT+L | Overzicht weergeven
CTRL+SHIFT+A | CTRL+SHIFT+Q | Regel in een hiërarchie uit-/samenvouwen
 | CTRL+SHIFT+V | Kaart of document in modus Weergeven openen
CTRL+ENTER | CTRL+SHIFT+W | Overzichtsplaats in een afzonderlijk venster openen
 | CTRL+SHIFT+ENTER | Venster opslaan en sluiten en nieuw venster openen
ALT, F10 | ALT, F10 | Menubalk selecteren en toegangstoetsen weergeven
F7 | ALT+F3 | Filteren op de waarde in het veld
ALT+F4 | ALT+F4 | Venster sluiten of programma afsluiten
 | ALT+F6 | Actieve vak samen- of uitvouwen
 | ALT+F10 | Menu Acties van het actieve vak weergeven
 | ALT+A | Menu Acties weergeven
 | ALT+I | Menu Verwante gegevens weergeven
 | ALT+R | Menu Lijsten weergeven
 | ALT+M | Menu Microsoft Dynamics NAV weergeven
 | ALT+PIJL-LINKS | Naar het vorige venster in de navigatiegeschiedenis gaan
 | ALT+PIJL-RECHTS | Naar het volgende venster in de navigatiegeschiedenis gaan
 | ALT+ENTER | Naar het onderliggende veld gaan zonder het vervolgkeuzemenu te openen
 | ALT+TAB | Een ander geopend venster weergeven
SHIFT+F12 |  | Object Designer openen
CTRL+F2 |  | Formulier openen in modus Ontwerpen

Verwante onderwerpen

Sneltoetsen voor het navigatiedeelvenster


Microsoft Dynamics NAV configureren

Configuratie bestaat uit de instellingen die de beheerder of supergebruiker voor het bedrijf invoert om de gebruikerservaring voor eindgebruikers te bepalen. Het gaat vooral om het aanpassen van de gebruikersinterface (het rolcentrum) aan de specifieke rol van de eindgebruiker. Alle configuratietaken worden uitgevoerd door een beheerder of een supergebruiker.

Met configuratie wordt het concept van rol- en taakgericht ontwerp in de praktijk gebracht.

Als bijvoorbeeld de orderprocessor Susan voor het eerst de rolgerichte client opent, ziet ze het rolcentrum Orderprocessor, dat is aanpast om haar te helpen haar dagelijkse taken uit te voeren. Bij het configureren van Susans rolcentrum heeft de beheerder UI-onderdelen toegevoegd of verwijderd, bijvoorbeeld opties in het navigatiedeelvenster, PageParts of feitenblokken.

U kunt pas een rolcentrum configureren voor een gebruiker als u eerst een nieuw profiel hebt gemaakt met de Profielkaart.


Een profiel maken

De beheerder maakt unieke profielen voor eindgebruikers met de profielkaart. Elk profiel is gekoppeld aan een rolcentrum dat vervolgens kan worden geconfigureerd om het aan te passen aan de specifieke behoeften van de gebruiker. Profielen zijn vaak gekoppeld aan een functie binnen een bedrijf.

  1. Open het venster Profielen.

  2. Druk op F3 op een nieuwe record te maken.

  3. Geef het profiel in het veld Profiel-id een passende naam die de gewenste rol van de gebruiker beschrijft.

  4. Klik in het veld Eigenaars-id op de AssistButton (...) om alle beschikbare aanmeldingen weer te geven. Selecteer een Windows-gebruikersaanmelding en klik op OK.

  5. Voer in het veld Omschrijving een omschrijving van het profiel in, bijvoorbeeld Orderprocessor.

  6. Klik in het veld Rolcentrum-id op de AssistButton (...) om alle beschikbare rolcentra weer te geven. Selecteer een rolcentrum en klik op OK.

  7. Schakel het selectievakje Standaardrolcentrum in om dit het standaardprofiel voor alle gebruikers te maken. Dit is optioneel.

  8. Klik op OK om de wijzigingen op te slaan.

Zie voor het instellen van profielen in de rolgerichte client het onderwerp "Een profiel maken" in de documentatie voor de rolgerichte client.

Verwante onderwerpen

Microsoft Dynamics NAV configureren

Profielen toewijzen aan gebruikers


Profielen toewijzen aan gebruikers

Met de Gebruikerspersonalisatiekaart wijst u nieuw geconfigureerde profielen toe aan eindgebruikers. Een eindgebruiker kan zijn nieuwe profiel pas gebruiken als deze stap voltooid is. Deze taak moet worden uitgevoerd door een beheerder.

Een profiel toewijzen aan een gebruiker

  1. Klik om het venster Gebruikerspersonalisatiekaart te openen op Administratie, Applicatie-instellingen, Rolgerichte client en Pers. gebruikersinstellingen.

  2. Het veld Gebruikers-id wordt gebruikt om een profiel te koppelen aan een gebruiker. Als u een gebruiker wilt toewijzen, klikt u op de AssistButton om alle beschikbare gebruikersaanmeldingen weer te geven, kiest u er een uit en klikt u op OK.

  3. Kies in Profiel-id een profiel uit het Profieloverzicht. Klik op de AssistButton om alle beschikbare profielen weer te geven en selecteer er dan een.

  4. Kies in het veld Taal-id een geschikte taal of laat dit veld leeg.

  5. Kies in het veld Bedrijf een bedrijf uit het venster Bedrijven.

  6. Sluit het venster om de wijzigingen op te slaan.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Microsoft Dynamics NAV configureren

Een profiel maken


Profielen kopiëren

In het venster Profiel kopiëren kunt u een kopie maken van een bestaand profiel.

  1. Open het venster Profielkaart.

  2. Klik om het venster Profiel kopiëren te openen op Functies, Profiel kopiëren.

  3. Voer in het veld Nieuwe profiel-id een naam in voor het profiel dat u wilt kopiëren.

  4. Klik op OK om het profiel te kopiëren. De kopie wordt automatisch toegevoegd aan het Profieloverzicht.

Zie de documentatie over de rolgerichte client voor informatie over het instellen van profielen in de rolgerichte client.

Verwante onderwerpen

Microsoft Dynamics NAV configureren

Een profiel maken

Profielen toewijzen aan gebruikers


Profielen exporteren

Gebruik het venster Profielen exporteren wanneer u een bestaand profiel wilt exporteren.

  1. Open het venster Profielkaart

  2. Klik om het venster Profielen exporteren te openen op Functies en Profielen exporteren.

  3. Klik op de AssistButton om het venster Profieloverzicht te openen en het profiel te vinden dat u wilt exporteren.

  4. Klik op het tabblad Opties om een opslaglocatie te selecteren voor het exportprofiel.

  5. Klik op OK om het profiel te exporteren.

Zie de documentatie over de rolgerichte client voor informatie over het instellen van profielen in de rolgerichte client.

Verwante onderwerpen

Microsoft Dynamics NAV configureren

Een profiel maken

Profielen toewijzen aan gebruikers


Rolcentra wijzigen

Rolcentra in de rolgerichte client bieden toegang tot de belangrijkste taken en informatie die u nodig hebt. Rolcentra zijn gekoppeld aan gebruikersprofielen om alleen de informatie en activiteiten te bieden die over het algemeen relevant zijn voor een profiel. U kunt informatie en activiteiten met betrekking tot een profiel toevoegen aan of verwijderen uit een rolcentrum. U kunt ook het standaardrolcentrum wijzigen dat wordt geopend wanneer u de rolgerichte client voor Microsoft Dynamics NAV opent. De wijzigingen aan het standaardrolcentrum in een van de clients worden weergegeven in zowel de Classic-client als de rolgerichte client.

Een rolcentrum wijzigen:

  1. Klik in het navigatiedeelvenster achtereenvolgens op Administratie, Applicatie-instellingen en Rolgerichte client.

  2. Klik op Profielen.

  3. Schakel op de kaart Profiel het selectievakje Standaardrolcentrum uit.

  4. Klik op Profiel en klik vervolgens op Overzicht.

  5. Selecteer in het overzicht Profiel de rol die u als standaardrolcentrum wilt instellen en klik vervolgens op OK.

  6. Schakel het selectievakje Standaardrolcentrum in.

  7. Schakel op de Profielkaart het selectievakje Standaardrolcentrum in en klik op OK.

  8. Sluit de Classic-client en open de rolgerichte client voor Microsoft Dynamics NAV om het nieuwe standaardrolcentrum weer te geven.

    9. © 2009 Microsoft Corporation. Alle rechten voorbehouden.


Profiel kopiëren (batchverwerking)

Batchverwerking Profiel kopiëren

In dit venster kunt u een kopie maken van het profiel dat momenteel is geselecteerd in het venster Profielkaart. Als u een profiel wilt kopiëren, kiest u een unieke naam en voert u deze in in het veld Nieuwe profiel-id. Sluit het venster Profiel kopiëren om uw kopie op te slaan in het Profieloverzicht.


Code Coverage (venster)

Venster Code Coverage

Met het hulpprogramma Code Coverage kunt u controleren welk deel van de code door een bepaalde functie wordt gebruikt.

Verwante taken

Meer informatie


Code Overview (venster)

Venster Code Overview

In het venster Code Overview van het hulpprogramma Code Coverage ziet u welke code is gebruikt.

Verwante taken

Meer informatie


Aanmeldingen (venster)

Venster Aanmeldingen

In het venster Aanmeldingen ziet u gegevens over de gebruikers die u kunt toevoegen. Het venster geeft een overzicht van de Id's van alle gebruikers die in de database zijn gedefinieerd voor zowel database- als Windows-aanmeldingen.

Selecteer de gebruiker die u wilt toevoegen en klik op OK.

De inhoud van dit venster wordt automatisch bijgewerkt en kan niet worden gewijzigd.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante taken

Meer informatie


Profielkaart (venster)

Venster Profielkaart

In dit venster kunt u een gebruikersprofiel maken of bewerken. Er zijn 21 vooraf gedefinieerde profielen beschikbaar in het Profieloverzicht, maar u kunt er ook zelf een maken. U kunt pas een rolcentrum voor een gebruiker configureren als u eerst het venster Profielkaart hebt ingesteld.

Verwante onderwerpen

Profielen exporteren

Profielen kopiëren

Profielen toewijzen

Een profiel maken


Gebruikerspersonalisatiekaart (venster)

Venster Gebruikerspersonalisatiekaart

Wanneer de beheerder of supergebruiker de configuratie van een rolcentrum heeft voltooid, wordt met de Gebruikerspersonalisatiekaart een geconfigureerd profiel toegewezen aan een gebruiker.


Bestand

Het menu Bestand biedt toegang tot de bedrijven, databases en servers van Microsoft Dynamics NAV.

In het menu Bestand vindt u de volgende opdrachten:

Sluiten

Opslaan als HTML

Database

Bedrijf

Pagina-instelling

Afdrukvoorbeeld

Afdrukken

Verzenden

Lijst met laatst geopende bedrijven

Afsluiten

Verwante onderwerpen

Opdrachten in de menubalk


Sluiten

Klik op deze opdracht als u het actieve venster wilt sluiten.

U kiest Bestand, Sluiten om de opdracht te activeren.

Als u Sluiten kiest, wordt het venster waarin u werkt gesloten. Dit venster wordt het actieve venster genoemd en is te herkennen aan de kleur van de titelbalk (boven aan het venster), die afwijkt van de overige vensters.

Het sluiten van vensters in Microsoft Dynamics NAV is geen vereiste. Veel dialoogvensters en berichten worden automatisch gesloten wanneer u op een van de aanwezige knoppen klikt. U houdt echter een beter overzicht wanneer u vensters die u niet meer gebruikt, sluit.

Verwante onderwerpen

Bestand


Database

Klik op deze menu-opdracht om een serie opdrachten weer te geven die u kunt toepassen op databases.

Als u op Bestand, Database klikt, verschijnt een submenu met de volgende opdrachten:

Nieuw

Openen

Test

Wijzigen/Uitbreiden

Verwijderen

Sluiten

Info


Database, Nieuw

Klik op deze opdracht als u een nieuwe database wilt maken.

U kiest Bestand, Database, Nieuw om de opdracht te activeren.

De procedure waarmee u een nieuwe database maakt, is afhankelijk van de gebruikte versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

Databases maken onder SQL Server

Databases maken onder Microsoft Dynamics NAVDatabase Server


Database, Openen

Klik op deze opdracht als u een database wilt openen.

U kiest Bestand, Database, Openen om de opdracht te activeren.

De procedure waarmee u een database opent, is afhankelijk van de gebruikte versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

Microsoft SQL Server Option voor Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Database, Testen

Klik op deze opdracht als u een database wilt testen.

U kiest Bestand, Database, Testen om de opdracht te activeren.

De procedure waarmee u een nieuwe database test, is afhankelijk van de gebruikte versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

SQL Server Option voor Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Database, Wijzigen/Uitbreiden

Klik op deze opdracht als u een database opnieuw wilt configureren.

U kiest Bestand, Database, Wijzigen/Uitbreiden om de opdracht te activeren.

Het uiterlijk en de werking van het venster verschilt per versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

SQL Server Option voor Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Database, Verwijderen

Klik op deze opdracht als u een database wilt verwijderen.

Kies Bestand, Database, Verwijderen om de opdracht te activeren.

Verwante onderwerpen

Databases verwijderen

Databases maken


Database, Sluiten

Klik op deze opdracht als u de huidige database wilt sluiten.

U kiest Bestand, Database, Sluiten om de opdracht te activeren.

Verwante onderwerpen

Databases sluiten

Databases maken

Databases verwijderen


Database, Info

Klik op deze opdracht om het venster Database-informatie te openen en gegevens over de huidige status van de database te bekijken.

U kiest Bestand, Database, Info om de opdracht te activeren.

Het uiterlijk en de werking van het venster verschilt per versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

SQL Server Option voor Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Bedrijf

Deze opdracht geeft u toegang tot de functies die u voor een bedrijf kunt uitvoeren.

Als u op Bestand, Bedrijf klikt, verschijnt een submenu met de volgende opdrachten:

Nieuw

Openen

Naam wijzigen

Verwijderen

Sluiten


Bedrijf, Nieuw

Klik op deze opdracht als u een nieuw bedrijf in de huidige database wilt maken.

U kiest Bestand, Bedrijf, Nieuw om de opdracht te activeren.

Verwante onderwerpen

Bedrijven maken

Bedrijven openen

Bedrijfsnaam wijzigen

Bedrijven verwijderen

Bedrijven sluiten


Bedrijf, Openen

Klik op deze opdracht als u een bedrijf wilt openen.

U kiest Bestand, Bedrijf, Openen om de opdracht te activeren.

U gebruikt deze opdracht gewoonlijk alleen als u een bedrijf voor de eerste keer opent. Daarna kunt u het gewenste bedrijf sneller openen vanuit de lijst met bedrijven die onlangs zijn geopend. U doet dit door Bestand te kiezen en vervolgens onder in het menu het gewenste bedrijf te selecteren in de lijst met recent geopende bedrijven.

Verwante onderwerpen

Bedrijven openen

Lijst met laatst geopende bedrijven

Bedrijven maken

Bedrijfsnaam wijzigen

Bedrijven verwijderen

Bedrijven sluiten


Bedrijf, Naam wijzigen

Klik op deze opdracht als u de naam van het huidige bedrijf wilt wijzigen.

U kiest Bestand, Bedrijf, Naam wijzigen om de opdracht te activeren.

Verwante onderwerpen

Bedrijfsnaam wijzigen

Bedrijven maken

Bedrijven openen

Bedrijven verwijderen

Bedrijven sluiten


Bedrijf, Verwijderen

Klik op deze opdracht als u het huidige bedrijf wilt verwijderen.

U kiest Bestand, Bedrijf, Verwijderen om de opdracht te activeren.

Verwante onderwerpen

Bedrijven verwijderen

Bedrijven maken

Bedrijven openen

Bedrijfsnaam wijzigen

Bedrijven sluiten


Bedrijf, Sluiten

Klik op deze opdracht als u het huidige bedrijf wilt sluiten.

U kiest Bestand, Bedrijf, Sluiten om de opdracht te activeren.

Verwante onderwerpen

Bedrijven sluiten

Bedrijven maken

Bedrijven openen

Bedrijfsnaam wijzigen

Bedrijven verwijderen


Afdrukvoorbeeld

U gebruikt deze functie om een afdrukvoorbeeld van een lijst te bekijken voordat u deze gaat afdrukken.

U kiest Bestand, Afdrukvoorbeeld in het menu of u klikt op Afdrukken op de werkbalk om deze functie te gebruiken.

Verwante onderwerpen

Afdrukvoorbeeld van lijsten bekijken

Lijsten afdrukken

Pagina-instellingen voor lijsten wijzigen


Afdrukken

Met deze functie kunt u lijsten afdrukken.

U kiest Bestand, Afdrukken in het menu of u klikt op Afdrukken op de werkbalk om deze functie te gebruiken.

Verwante onderwerpen

Lijsten afdrukken

Afdrukvoorbeeld van lijsten bekijken

Pagina-instellingen voor lijsten wijzigen


Pagina-instelling

Klik op deze opdracht om het papier, de marges en de lettertypen voor afzonderlijke lijsten te wijzigen.

U kiest Bestand, Pagina-instelling om de opdracht te activeren.

Met de functies in het menu Bestand kunt u het afdrukresultaat van een scherm of een lijst op verschillende manieren beïnvloeden:

  • Klik op Bestand, Pagina-instelling om het papierformaat en de pagina-instellingen (waaronder de marges) van een bepaalde lijst op te geven.

  • Klik op Bestand, Afdrukken om het gewenste afdrukbereik en aantal exemplaren op te geven.

Verwante onderwerpen

Pagina-instellingen voor lijsten wijzigen

Afdrukvoorbeeld van lijsten bekijken

Lijsten afdrukken


Lijst met laatst geopende bedrijven

Klik op deze opdracht om een bedrijf te openen vanuit een lijst met bedrijven waarmee u onlangs hebt gewerkt.

U kiest Bestand, Lijst met laatst geopende bedrijven om de opdracht te activeren.

Onder in het menu Bestand ziet u een lijst van vijf bedrijven die u onlangs hebt geopend (bedrijven die door andere gebruikers zijn geopend, zijn niet in de lijst opgenomen). De bedrijven in de lijst kunnen zich op uw computer of op een server bevinden. Het bedrijf dat u het laatst hebt geopend, staat bovenaan in de lijst.

De naam van een bedrijf kan slechts eenmaal in de lijst voorkomen. Als u slechts met één bedrijf werkt, wordt dit niet vijf keer weergegeven nadat u het vijf keer hebt geopend. Ook als u schakelt tussen twee bedrijven en elk bedrijf verschillende keren hebt geopend, wordt de naam maar eenmaal weergegeven.

De lijst met bedrijven biedt u een snelle manier om een bedrijf te openen, omdat het een weergave is die losstaat van de database waarin het bedrijf zich bevindt. Dit is niet het geval wanneer u op de knop Hoofdmenu klikt of Bestand, Bedrijf, Openen in het menu kiest om een bedrijf te openen. U kunt dan alleen kiezen uit de bedrijven in de huidige database.

Als u een bedrijf kiest dat in een database op een server is opgeslagen, wordt de procedure voor de verbinding met de server, het openen van de database, de invoer van het (eventuele) wachtwoord enzovoort, automatisch uitgevoerd. Mocht er zich een probleem voordoen dan ziet u een bericht. Als u een bedrijf verwijdert, wordt de naam ervan niet automatisch uit de lijst verwijderd. Dit is pas het geval als het bedrijf buiten de lijst van vijf laatst geopende bedrijven valt.

Verwante onderwerpen

Bestand

Bedrijven openen

Hoofdmenu


Afsluiten

Klik op deze opdracht als u het programma wilt afsluiten.

U kiest Bestand, Afsluiten om de opdracht te activeren.

Hiermee worden alle vensters in de toepassing gesloten, waarna het programma wordt afgesloten. Deze functie heeft hetzelfde effect als een klik op de afsluitknop in de rechterbovenhoek van het toepassingsvenster. Er verschijnt een bericht als het programma nog bezig is met de uitvoering van een functie of als u nog niet hebt gereageerd op een verzoek van het programma. U krijgt dan de gelegenheid om de taak te voltooien voordat de toepassing wordt afgesloten.

Verwante onderwerpen

Bestand


Bewerken

In het menu Bewerken bevinden zich alle hulpmiddelen voor bewerkingen die u in het programma kunt uitvoeren.

In het menu Bewerken vindt u de volgende opdrachten:

Ongedaan maken

Knippen, Kopiëren en Plakken

Wissen

Koppeling kopiëren

Vorige kopiëren

Nieuwe invoegen

Verwijderen

Selecteren

Alle selecteren

Object selecteren

Markeren

Zoeken

Vervangen

Verwante onderwerpen

Opdrachten in de menubalk


Ongedaan maken

Met deze functie kunt u de laatst uitgevoerde actie in Microsoft Dynamics NAV ongedaan maken.

Klik op Bewerken, Ongedaan maken op de menubalk als u deze functie wilt gebruiken.

U kunt een foutieve bewerking in Microsoft Dynamics NAV weer herstellen. Stel dat u per ongeluk de inhoud van een veld hebt verwijderd, dan gebruikt u deze functie om de inhoud weer terug te plaatsen. U kunt alleen de voorgaande actie ongedaan maken, zodat dus altijd uw laatste bewerking wordt hersteld.

Attentie

Het verlaten van een veld geldt ook als een bewerking. U moet de herstelfunctie Bewerken, Ongedaan maken dus kiezen voordat u het veld verlaat.

In boekhoudkundige en zakelijke toepassingen kunnen veel bewerkingen niet meer ongedaan worden gemaakt. Het is bijvoorbeeld niet mogelijk om de boeking van posten of de invoer van facturen ongedaan te maken. Een dergelijke herstelmogelijkheid zou onwettig zijn. Als u een foutieve post invoert, moet u het probleem oplossen door eerst een tegenboeking met hetzelfde bedrag te maken en daarna de juiste post in te voeren. Als u een foutief factuurnummer maakt, moet u de factuur leeg laten en een nieuwe factuur met het juiste nummer maken. Deze laatste fout zal zelden voorkomen, omdat het factuurnummer automatisch wordt voorgesteld door het systeem.

Microsoft Dynamics NAV beschikt over twee functies waarmee u verkeerde posten kunt corrigeren die zijn gemaakt tijdens het boeken van een journaal (de functie Tegenboeken) en bij de vereffening van klant- of leveranciersposten (de functie Vereffening ongedaan maken).


Knippen, Kopiëren en Plakken

U gebruikt deze functies door Bewerken, Knippen, Kopiëren of Plakken in het menu te kiezen of op de gelijknamige knoppen op de werkbalk te klikken.

Met deze functies kunt u gegevens uit de toepassing knippen of kopiëren en op een andere locatie in hetzelfde programma of een ander programma plakken.

Het is niet mogelijk om informatie uit andere programma's in Microsoft Dynamics NAV te plakken, omdat de boekingsgegevens dan inconsistent zouden kunnen worden.

U kunt in Microsoft Dynamics NAV de volledige of gedeeltelijke inhoud van een veld of van een of meer records (regels) tegelijk knippen. U kunt gegevens knippen of kopiëren uit zowel kaartvensters als venster met kolommen en rijen. Als u de geknipte/gekopieerde gegevens in een nieuwe record wilt invoegen, moet u op F3 drukken om de invoegmodus voor het venster te activeren. Het kopiëren en plakken van volledige records is erg handig als u een grote hoeveelheid gelijksoortige voorraadartikelen moet invoeren (bijvoorbeeld 100 schroeven waarvan alleen de diameter en het artikelnummer verschillen).

Stel dat u de record van een artikel in het artikeloverzicht volledig kopieert, dan wordt ook het artikelnummer overgenomen. Maar aangezien een artikelnummer uniek moet zijn, kunt u dit niet voor andere artikelen gebruiken. Daarom verschijnt in Microsoft Dynamics NAV de mededeling dat het artikelnummer al bestaat zodra u de gekopieerde record in een nieuwe artikelkaart plakt. Vervolgens verschijnt de kaart inclusief artikelnummer zodat u dit kunt wijzigen. Nadat u het nieuwe nummer hebt ingevoerd, kan een geldig record worden gemaakt.

Verwante onderwerpen

Knippen

Kopiëren

Plakken


Wissen

Klik op Bewerken, Wissen op de menubalk als u deze functie wilt gebruiken.

Met deze functie verwijdert u een bepaalde selectie uit het actieve venster. Deze selectie kan betrekking hebben op een deel van een veld, een volledig veld, verschillende velden, verschillende regels of alle regels.

Met de andere verwijderfunctie Bewerken, Verwijderen kunt u eveneens een selectie verwijderen, maar zal de huidige record (zoals een rekening of een klant) volledig worden verwijderd als u niets hebt geselecteerd.

Verwante onderwerpen

Verwijderen


Vorige kopiëren

Klik op Bewerken, Vorige kopiëren op de menubalk als u deze functie wilt gebruiken.

U gebruikt deze functie in vensters met kolommen en rijen om de inhoud van het veld boven het huidige veld te kopiëren. De gekopieerde inhoud kan daarna eventueel worden gewijzigd.

Als alternatief kunt u ook Bewerken, Kopiëren en Bewerken, Plakken kiezen, maar Vorige kopiëren biedt het gemak dat u niet naar het vorige veld hoeft te gaan om de gewenste gegevens te kopiëren. U hoeft de cursor alleen maar te plaatsen in het veld onder het veld waarvan u de inhoud wilt kopiëren en vervolgens Bewerken, Vorige kopiëren te kiezen.

Verwante onderwerpen

Kopiëren


Nieuw

U kiest Bewerken, Nieuw in het menu of u klikt op Nieuw op de werkbalk om deze functie te gebruiken.

U gebruikt deze functie om een nieuwe record (een kaart of een regel) te maken voor een nieuwe rekening, een nieuwe klant, een nieuw artikel of een nieuwe verkoper.

U kunt de nieuwe record pas invoeren nadat u deze functie hebt gekozen. Op de statusbalk onder aan het toepassingsvenster kunt u zien of Nieuw (NIEUW) actief is. Verwar deze modus niet met INV, die rechts naast de nieuw-status wordt weergegeven en aangeeft dat de invoegmodus actief is bij de invoer van gegevens.


Verwijderen

U kiest Bewerken, Verwijderen in het menu of u klikt op Verwijderen op de werkbalk om deze functie te gebruiken.

Terwijl u bij Bewerken, Wissen kunt bepalen welk deel van een regel u wilt verwijderen, kunt u met Bewerken, Verwijderen volledige records (kaarten of regels) uit tabellen verwijderen. Dit kan een klant zijn op een klantenkaart, een regel in een dagboek of een grootboekrekening. Alleen de huidige record wordt in zijn geheel verwijderd, tenzij u een of meer records hebt geselecteerd. Als u deze functie kiest, verschijnt eerst een bericht waarin u wordt gevraagd de definitieve verwijdering van de records te bevestigen.

Opmerking

Het is niet mogelijk om records te verwijderen waarvoor openstaande posten of niet-sluitende saldi bestaan.

Het is niet mogelijk om Bewerken, Verwijderen te gebruiken om databases of bedrijven te verwijderen.

U verwijdert deze onderdelen door Bestand, Database, Verwijderen of Bestand, Bedrijf, Verwijderen te kiezen.

Verwante onderwerpen

Databases verwijderen

Bedrijven verwijderen


Selecteren

Klik op Bewerken, Selecteren op de menubalk als u deze functie wilt gebruiken.

Met deze functie selecteert u de volledige regel waarin de cursor zich bevindt (of een volledig kaartvenster met alle tabbladen). Dit is niet het equivalent van een selectie met de cursor, omdat u in dat geval zelf bepaalt hoeveel u selecteert.

In vensters met rijen en kolommen heeft deze functie hetzelfde effect als een klik op de balk links van de regel. De geselecteerde regel wordt dan gemarkeerd weergegeven.

Verwante onderwerpen

Verschillende opeenvolgende regels selecteren

Afzonderlijke groepen regels selecteren

In een veld selecteren

Alle regels in een venster selecteren


Alle selecteren

Klik op Bewerken, Alles selecteren op de menubalk als u deze functie wilt gebruiken.

U gebruikt deze functie als u alle regels in een venster met rijen en kolommen wilt selecteren (om bijvoorbeeld alle posten van een klant in een postentabel te selecteren en in te voegen in een spreadsheetprogramma).

U kunt dit ook doen door op het lege vakje te klikken dat linksboven in een venster met rijen en kolommen is te zien.

Hiermee selecteert u ook alle regels die mogelijk buiten beeld vallen omdat het venster niet groot genoeg is. U controleert dit door omhoog of omlaag te schuiven in het venster. Alle geselecteerde regels zijn gemarkeerd.

Als u Bewerken, Alles selecteren kiest voor een bewerking op alle records (kaarten of regels) in een tabel, moet u eraan denken dat het venster niet per se een afspiegeling vormt van de volledige tabel. Als u een tabelfilter hebt ingesteld, is slechts een gedeelte van de tabel zichtbaar. In dat geval zijn alleen records te zien die door het filter worden opgehaald, maar zullen de onzichtbare records eveneens worden geselecteerd.

Kies Beeld, Alles weergeven als u zeker wilt weten dat er geen tabelfilter op het venster wordt toegepast. Hiermee wordt elke filter opgeheven en de functie Beeld, Alleen gemarkeerde weergeven, uitgeschakeld. Tenzij er een vaste filter voor het venster is ingesteld, kunt u dus alle records uit de tabel in het venster zien. (Vaste filters worden in het programma gedefinieerd en kunnen alleen met speciale toegangsrechten worden gewijzigd). Voorbeelden van vaste filters treft u aan bij lijsten die wisselend een beeld kunnen laten zien voor grootboek-, klant-, leveranciers- of voorraadgegevens.

Verwante onderwerpen

Tabelfilters gebruiken


Object selecteren

Klik op Bewerken, Selecteren op de menubalk als u deze functie wilt gebruiken.

Met Object selecteren kunt u de eigenschappen bekijken van het object (formulier, tabel, lijst of dataport) dat u ontwerpt. U kunt deze functie alleen gebruiken in de ontwerpmodus.

Normaal zijn de eigenschappen te zien op detailniveaus zoals een afzonderlijk veld. Met deze functie kunt u de eigenschappen bekijken op het hoogste niveau van bijvoorbeeld de tabel waaruit het veld afkomstig is.

Verwante onderwerpen

Eigenschappen van een object bekijken


Markeren

U gebruikt deze functie samen met Alleen gemarkeerde weergeven om een of meer regels (records) te selecteren.

Klik op Bewerken, Markeren op de menubalk als u deze functie wilt gebruiken.

U kunt een markering toepassen op posten, regels, klanten enzovoort. Met deze functie kunt u echter alleen handmatige markeringen verrichten. Alles wat niet gemarkeerd is verdwijnt pas als u Beeld, Alleen gemarkeerde weergeven op de menubalk kiest.

Met de opdracht Markeren plaatst u een fysieke markering op de record. Op de titelbalk van een kaart is dan het woord "Gemarkeerd" te zien. In vensters met rijen en kolommen ziet u een ruitvormige markering op de selectiebalk links van de regel.

De functie werkt als een schakelaar zodat u markeringen kunt in- en uitschakelen. Een record wordt gemarkeerd als u de functie voor de eerste keer kiest. Als u dit vervolgens nogmaals doet voor dezelfde record, wordt de markering verwijderd. U hoeft de demarkeringsfunctie alleen maar te gebruiken als u de verkeerde record hebt gemarkeerd. Alle markeringen verdwijnen automatisch wanneer u het venster sluit.

Verwante onderwerpen

Alleen gemarkeerde weergeven


Zoeken

Met deze functie kunt u per venster gegevens opzoeken in bepaalde velden. U kunt de gezochte tekst ook vervangen door een andere tekst.

U kiest Bewerken, Zoeken in het menu of u klikt op Zoeken op de werkbalk om deze functie te gebruiken.

Als u de optie Snelzoeken hebt ingesteld, kunt u ook in niet-bewerkbare velden of codevelden typen om de zoekfunctie te starten. U schakelt Snelzoeken in door Extra, Opties op de menubalk te kiezen en Ja in te voeren in het veld Snelzoeken.

Verwante onderwerpen

Snelzoeken


Vervangen

U gebruikt de functie Vervangen om de inhoud van een bepaald veld in een venster te vervangen. U kunt uitsluitend bewerkbare gegevens vervangen. Er verschijnt een foutbericht als u gegevens probeert te vervangen die niet mogen worden gewijzigd. Herstel van de vervangen inhoud van een veld met Bewerken, Ongedaan maken is niet mogelijk.

Klik op Bewerken, Vervangen op de menubalk als u deze functie wilt gebruiken.

Verwante onderwerpen

Bepaalde gegevens in een venster vervangen


Beeld

Het menu Beeld bevat een aantal opdrachten waarmee u de weergave van gegevens in een venster kunt bepalen.

In het menu Beeld vindt u de volgende opdrachten:

Ga naar

Veldfilter en Tabelfilter

FlowFilters

Alleen gemarkeerde weergeven

Alles weergeven

Sorteren

Werkbalk

Kolommen verbergen

Kolommen weergeven

Vernieuwen

Verwante onderwerpen

Opdrachten in de menubalk


Ga naar

Met deze functies kunt u snel door records (kaarten of regels) bladeren. U gebruikt ze wanneer de record, de kaart of de regel het volledige venster vult, zoals bij een klantenkaart, of wanneer de inhoud van het venster niet in één keer op het scherm kan worden weergegeven.

Deze opdrachten zijn beschikbaar als knoppen op de werkbalk en als items in het menu Beeld, Ga naar.

Het menu Ga naar bevat vier opdrachten:

Eerste

Vorige

Volgende

Laatste


Veldfilters en tabelfilters

U gebruikt Veldfilter en Tabelfilter om alleen rekeningen, klanten, posten of andere records weer te geven die aan bepaalde voorwaarden voldoen. Zo kunt u bijvoorbeeld bepalen dat alleen klantenkaarten met de naam Peter Schmidt in het verkoperveld worden weergegeven. Als u door de kaarten bladert, ziet u dat de overige kaarten niet te zien zijn.

U kiest Beeld, Veldfilter (of Beeld, Tabelfilter) in het menu of u klikt op de gelijknamige knoppen op de werkbalk om deze functies te gebruiken.

U kunt deze filters instellen voor alle velden van een record. Dit kan bovendien zo vaak u wilt. De filters blijven geldig totdat u de instelling ervan annuleert of nieuwe filters opgeeft.

Attentie

Veld- en tabelfilters zijn aan een venster verbonden, dus het effect van het filter is niet zichtbaar wanneer u dezelfde tabel in een ander venster bekijkt. De filter blijft aan het venster verbonden totdat u dit opheft.

U kunt het filter uitzetten als u alle kaarten weer wilt zien. Dit kan via de opdracht waarmee u het filter hebt ingesteld (onder Veldfilter of Tabelfilter) of door Beeld, Alles weergeven te kiezen.

Veldfilter of tabelfilter

Een beperking op basis van één veld wordt een veldfilter genoemd. Als u op meerdere velden tegelijk wilt filteren, moet u een tabelfilter instellen.

Een veldfilter heeft dezelfde werking als een tabelfilter. Het verschil is dat een veldfilter alleen filtert op basis van het veld waarin de cursor tijdens de filterinstelling staat. Ook als u gewoonlijk alleen met veldfilters werkt, is het regelmatig gebruik van tabelfilters aan te raden, zodat u een overzicht krijgt van alle ingestelde filters voor een venster.

Gegevens invoeren in filtervelden

U kunt bij de invoer van filters in een veld alle cijfers en letters gebruiken die u normaal ook kunt gebruiken. Daarnaast kunt u een aantal speciale symbolen en rekenkundige formules gebruiken.

Attentie

Zorg dat u alleen zinvolle filters invoert. Het is bijvoorbeeld mogelijk om een niet-bestaande interval op te geven zonder dat dit wordt gecontroleerd. U moet op de hoogte zijn van de sorteringsregels van het programma om zinvolle filters te kunnen invoeren.

Gewoonlijk kunt u de volgende notaties hanteren:

Betekenis | Voorbeeld | Weergegeven records
Gelijk aan | 377 | Nummer 377
Interval | 1100.0,2100 .0,2500 P8.. | 1100 t/m 2100 Tot en met 2500 Gegevens voor boekhoudperiode 8 en verder
Of/of | 1.200|1.300 | Records met nummer 1200 of 1300. Als er een record met elk nummer is, worden beide weergegeven.
En | <2.000&>1.000 | Nummers kleiner dan 2000 en groter dan 1000. Een zelfstandig gebruik van het teken & met nummers is niet mogelijk omdat er geen records met twee nummers zijn toegestaan.
Behalve | <>0 | Alle nummers behalve 0
Groter dan | >1.200 | Nummers groter dan 1200
Groter dan of gelijk aan | >=1.200 | Nummers groter dan of gelijk aan 1200
Kleiner dan | <1.200 | Nummers kleiner dan 1200
Kleiner dan of gelijk aan | <=1.200 | Nummers kleiner dan of gelijk aan 1200
Een onbeperkt aantal onbekende (of geen) tekens | *Be* *Be Be* | Tekst met de letters "Be" Tekst die eindigt op "Be" Tekst die begint met "Be"
Een onbekend teken | Jans?n | Tekst zoals Jansen of Janson
Berekenen voor de rest | 30|(>=10&<=20) | Records met nummer 30 of met een nummer tussen 10 en 20 (het resultaat van de berekening tussen haakjes).
Geen onderscheid tussen hoofdletters en kleine letters (beide zijn toegestaan) | @locatie | Tekst zoals LOCATIE, locatie of Locatie.

U kunt de verschillende notatiesoorten ook combineren:

5.999|8.100..8.490 | Alle records met het nummer 5999 of een nummer uit het interval 8100 tot en met 8490.
..1.299|1.400.. | Records met een nummer kleiner dan of gelijk aan 1299 of gelijk aan 1400 en hoger. Met andere woorden: alle nummers behalve 1300 tot en met 1399.
>50&<100 | Records met een nummer groter dan 50 en kleiner dan 100, ofwel nummer 51 tot en met &.
*C*&*D* | Tekst met de tekens C en D.
@*bo?* | Tekst met de tekens bo, BO, Bo, bO zoals boek, boekhouding en geboekt. De combinatie BO, bO, Bo of bo moet in de tekst voorkomen, gevolgd door ten minste één teken en kan worden omsloten door een onbeperkt aantal tekens in de vorm van zowel hoofdletters als kleine letters.

Attentie

U kunt een lijst ook filteren voordat u deze afdrukt. U doet dit in het opvraagvenster dat verschijnt voordat u een lijst afdrukt of opslaat als een bestand.

Verwante onderwerpen

Veldfilters gebruiken

Tabelfilters gebruiken


FlowFilter

Microsoft Dynamics NAV beschikt over speciale velden die FlowFields worden genoemd. Dit zijn velden waarvan de inhoud steeds wordt aangepast omdat de veldwaarde opnieuw wordt berekend zodra u een venster met een FlowField opent. U gebruikt FlowFilters om te bepalen welke gegevens worden betrokken bij de berekening van FlowField-waarden.

Kies Beeld, FlowFilter op de menubalk of klik op FlowFilter op de werkbalk als u deze functie wilt gebruiken.

Verwante onderwerpen

FlowFilters

FlowFilters gebruiken


Alleen gemarkeerde weergeven

U gebruikt deze functie nadat u bepaalde klanten, artikelen, rekeningen of andere records in een venster hebt gemarkeerd met Bewerken, Markeren.

Klik op Beeld, Alleen gemarkeerde weergeven als u deze opdracht wilt gebruiken.

De ruitvormige markering verschijnt op de selectiebalk links van de regel samen met het woord "gemarkeerd" op de titelbalk.

Als u Beeld, Alleen gemarkeerde weergeven kiest, zijn alleen de gemarkeerde records nog zichtbaar. Vervolgens kunt u een functie uitvoeren op de gemarkeerde records. De markeringen bij de records verdwijnen als u het venster sluit.


Alles weergeven

Kies Beeld, Alles weergeven op de menubalk of klik op Alles weergeven op de werkbalk als u deze functie wilt gebruiken.

Met deze functie kunt u vensters waarin ongewenste markeringen en filters voorkomen, snel opnieuw ordenen. Als u Alles weergeven kiest, worden de filters verwijderd en wordt de functie Beeld, Alleen gemarkeerde weergeven uitgeschakeld, zodat alle records in het venster weer zichtbaar zijn. U kunt Beeld, Alles weergeven niet gebruiken om sorteringen, verborgen kolommen, kolomwijzigingen of FlowFields op te heffen.

Deze functie is met name geschikt voor vensters die standaard worden gefilterd en alleen gegevens voor de huidige record (klant, leverancier, artikel enzovoort) weergeven wanneer u het venster opent. U kiest dan Beeld, Alles weergeven in zo'n venster om alle gegevens weer te geven.


Sorteren

U gebruikt de sorteerfunctie om de gegevens overzichtelijk te rangschikken.

U kiest Beeld, Sorteren in het menu of u klikt op Sorteren op de werkbalk om deze functie te gebruiken.

Verwante onderwerpen

Sorteren

© 2009 Microsoft Corporation. Alle rechten voorbehouden.


Kolommen verbergen

Met deze functie kunt u kolommen verbergen in vensters van Microsoft Dynamics NAV waarin kolommen en rijen voorkomen. Het gebruik ervan is handig wanneer het venster te veel kolommen bevat om een goed overzicht te bewaren.

Attentie

U kunt het venster maximaliseren (vergroten) zodat u meer velden kunt zien. U klikt dan op Maximaliseren aan de rechterzijde van de titelbalk van het venster.

Als u deze functie gebruikt om FlowFields te verbergen op formulieren met tabellen, wordt het FlowField niet meer berekend. Dit kan de prestaties enigszins verbeteren. Het is echter mogelijk dat het formulier programmacode bevat waarvoor de informatie in het FlowField nodig is. Deze programmacode kan niet correct worden uitgevoerd als het desbetreffende verborgen FlowField niet wordt berekend.

Verwante onderwerpen

Kolommen verbergen

Rijen hoger of smaller maken


Kolommen weergeven

Klik op deze opdracht om de verborgen kolommen opnieuw weer te geven.

Kies Beeld, Kolommen weergeven als u deze opdracht wilt gebruiken.

Er verschijnt een venster waarin u kunt zien welke kolommen zichtbaar zijn en welke niet. Kies dus Kolommen weergeven als u wilt weten of er verborgen kolommen zijn.

Als u deze functie gebruikt om een FlowField te verbergen op een formulieren met tabellen, wordt het FlowField niet meer berekend. Dit kan de prestaties enigszins verbeteren. Het is echter mogelijk dat het formulier programmacode bevat waarvoor de informatie in het FlowField nodig is. Deze programmacode kan niet correct worden uitgevoerd als het desbetreffende verborgen FlowField niet wordt berekend.

Verwante onderwerpen

Kolommen weergeven

Rijen hoger of smaller maken


Extra

Het menu Extra geeft u toegang tot het meer technische gedeelte van de toepassing – inclusief de systeeminstellingen. Behalve de opdrachten met betrekking tot reservekopieën of de werkdatum worden de opdrachten in dit menu weinig of niet gebruikt.

In het menu Extra vindt u de volgende opdrachten:

Werkdatum

Taal

Object Designer

Designer

Debugger

Client-monitor

Inzoomen

Reservekopie maken

Reservekopie terugzetten

Beveiliging

Licentie-informatie

Custom Controls

Opties

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Opdrachten in de menubalk


Werkdatum

Klik op deze functie om een tijdelijke werkdatum in te stellen die afwijkt van de standaarddatum van het systeem.

Klik op Extra, Werkdatum op de menubalk als u deze functie wilt gebruiken.

Verwante onderwerpen

Werkdatums instellen

Datums invoeren


Object Designer

Gebruik de Object Designer om toegang te krijgen tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV.

Klik op Extra, Object Designer als u deze functie wilt gebruiken.

In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Designer

Met de Designer krijgt u toegang tot het deel van de ontwikkelomgeving waarin vensters en lijsten kunnen worden aangepast.

Klik op Extra, Designer als u deze functie wilt gebruiken.

Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Debugger

Met de Debugger kunt u fouten in de C/AL-code opsporen en herstellen.

Klik op Extra, Debugger als u deze functie wilt gebruiken. In het submenu van Debugger vindt u de volgende opdrachten:

Active

Breakpoint on Triggers

Code Coverage

Active en Breakpoint on Triggers behoren tot de C/AL-debugger. Code Coverage is een aanvullend hulpprogramma waarmee u het codegebruik kunt bijhouden.

Deze functies worden door programmeurs gebruikt om Microsoft Dynamics NAV aan te passen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Codegebruik bijhouden


Active

Klik op deze opdracht om de C/AL-debugger te activeren.

De debugger is actief wanneer deze menu-opdracht is aangekruist. Klik op Extra, Debugger, Active als u de menu-opdracht wilt gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Breakpoint on Triggers

Klik op deze opdracht om te bepalen of de debugger na elke trigger al dan niet wordt geopend.

Als u de opdracht aankruist, wordt de debugger na elke trigger geopend.

Klik op Extra, Debugger, Breakpoint on Triggers als u de menu-opdracht wilt gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Client-monitor

Klik op deze opdracht om de Client-monitor te openen.

Klik op Extra, Client-monitor als u de menu-opdracht wilt gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Inzoomen

Met de zoomfunctie kunt u een overzicht van alle velden in een bepaalde record weergeven.

Klik op Extra, Inzoomen als u deze functie wilt gebruiken.

In de meeste vensters van Microsoft Dynamics NAV ziet u alleen een selectie van de velden die zijn opgeslagen in het weergegeven record. U kunt echter ook een weergave van het venster maken waarin alle velden zichtbaar zijn. U gebruikt de opdracht Inzoomen om te kijken welke velden er beschikbaar zijn. In het zoomvenster ziet u tevens de inhoud van alle velden van de huidige record (kaart of regel). Alleen FlowFields en bijbehorende inhoud worden niet weergegeven.

Als u velden in het venster wilt invoegen, gebruikt u de functie Extra, Designer Voor deze taak moet u bevoegd zijn om de ontwikkelomgeving C/SIDE te gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Reservekopie maken

Met de functie Reservekopie maken kunt u een reservekopie van een database maken.

Klik op Extra, Reservekopie maken als u deze functie wilt gebruiken.

Verwante onderwerpen

Reservekopieën

Reservekopieën maken


Reservekopie terugzetten

Met de functie Reservekopie terugzetten wordt de reservekopie van een database teruggeplaatst.

Klik op Extra, Reservekopie terugzetten als u deze functie wilt gebruiken.

Verwante onderwerpen

Reservekopieën

Reservekopieën van databases terugzetten


Beveiliging

Klik op deze opdracht om toegang te krijgen tot de beveiligingsfuncties van Microsoft Dynamics NAV.

Als u op Extra, Beveiliging klikt, verschijnt een submenu met de volgende opdrachten:

Rollen

Database-aanmeldingen

Windows-aanmeldingen

Synchroniseren

Wachtwoord

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Beveiliging

© 2009 Microsoft Corporation. Alle rechten voorbehouden.


Rollen

Klik op deze menu-opdracht om het venster Rollen te openen en een overzicht te bekijken van alle beveiligingsrollen die in de huidige database zijn gemaakt.

Klik op Extra, Beveiliging, Rollen als u de opdracht wilt gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Rollen

Beveiliging


Database-aanmeldingen

Klik op deze menu-opdracht om het venster Database-aanmeldingen te openen en een overzicht te bekijken van alle gebruikers waarvoor een database-aanmelding in de huidige database is gemaakt. Deze gebruikers moeten Database Server-verificatie gebruiken om toegang te krijgen tot de huidige database.

Klik op Extra, Beveiliging, Database-aanmeldingen als u de opdracht wilt gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-aanmeldingen

Beveiliging


Wachtwoord

Klik op deze opdracht om uw wachtwoord te wijzigen.

Klik op Extra, Beveiliging, Wachtwoord als u deze opdracht wilt gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Wachtwoorden

Beveiliging

Wachtwoord wijzigen


Licentie-informatie

Klik op deze opdracht om het venster Licentie-informatie te openen.

Klik op Extra, Beveiliging, Licentie-informatie als u de opdracht wilt gebruiken.

Het uiterlijk en de werking van het venster verschilt per versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

SQL Server Option voor Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Opties

Klik op deze opdracht om het venster Opties te openen.

Klik op Extra, Opties als u deze opdracht wilt gebruiken.

In het venster Opties vindt u een overzicht van de systeeminstellingen.

Het uiterlijk en de werking van het venster verschilt per versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

Microsoft SQL Server Option voor Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Venster

Het menu Venster bevat twee functies waarmee u de schermindeling kunt aanpassen. In dit menu vindt u de volgende opdrachten:

Alles sluiten

Pictogrammen schikken

In het menu Venster ziet u naast deze opdrachten tevens welke vensters momenteel geopend zijn.

Dit kan een lijst van maximaal negen vensters zijn. Als er meer dan negen vensters geopend zijn, kunt u onder aan de lijst aangeven dat u een lijst met alle geopende vensters wilt bekijken. U gebruikt deze lijst om een geopend venster te activeren dat niet met de cursor kan worden geselecteerd. In de lijst ziet u de informatie die in de titelbalk van het venster staat, te weten de naam van het venster en informatie zoals het artikelnummer of de klant waarop het venster betrekking heeft. Als u op een vensternaam in de lijst klikt, wordt het betreffende venster als het actieve venster op de voorgrond geplaatst. U herkent het actieve venster aan de kleur van de titel.

Verwante onderwerpen

Opdrachten in de menubalk


Alles sluiten

U gebruikt deze functie om alle geopende vensters, inclusief het hoofdmenu, te sluiten zodat alleen het lege toepassingsvenster geopend blijft.

Klik op Venster, Alles sluiten als u deze functie wilt gebruiken.

Als u de gewenste taken hebt voltooid, kunt u hiermee alle geopende vensters tegelijk sluiten. U kunt verder werken door bijvoorbeeld onder in het menu Bestand opnieuw een bedrijf te kiezen bij Lijst met laatst geopende bedrijven of door op de knop Hoofdmenu op de werkbalk te klikken.


Pictogrammen schikken

Met deze functie kunt u de geminimaliseerde vensters langs de onderrand van het toepassingsvenster rangschikken.

Klik op Venster, Pictogrammen schikken als u deze functie wilt gebruiken.

U kunt een venster minimaliseren door boven in het venster op de minimaliseerknop te klikken. Het kan handig zijn om een venster te minimaliseren als de eerste taak nog niet voltooid is terwijl u al aan de tweede wilt beginnen. Stel dat u de invoer van posten in een dagboek moet onderbreken om een order van een klant in te voeren, dan kunt u het dagboekvenster minimaliseren en het ordervenster openen.

De tekst op de titelbalk van het geminimaliseerde venster blijft zichtbaar. U kunt dus een groot aantal vensters tegelijk minimaliseren zonder dat u het overzicht kwijtraakt.

Dubbelklik op het geminimaliseerde venster om dit in het vorige formaat te herstellen.


Help

Via het menu Help hebt u toegang tot de online Help, waarin u informatie krijgt over een bepaalde locatie op het scherm of een onderwerp dat u kiest.

In het menu Help vindt u de volgende opdrachten:

Microsoft Dynamics NAV Help

C/SIDE Reference Guide

Wat is dit

Functietoetsen

Informatie over Microsoft Dynamics NAV

Klik op Het Help-venster gebruiken voor meer informatie over Microsoft Dynamics NAV Help.


Microsoft Dynamics NAV Help

Als u op deze menuopdracht klikt, verschijnt het venster Microsoft Dynamics NAV Help. In het navigatiedeelvenster aan de linkerkant ziet u de inhoudsopgave van de informatie in de online Help.

  • Welkom bij Microsoft Dynamics NAV Classic Help

In dit gedeelte vindt u een inleiding tot de online Help en hoe u die kunt gebruiken, plus algemene informatie over de functies van de toepassing.

In "Microsoft Dynamics NAV gebruiken" wordt basisinformatie over Microsoft Dynamics NAV gegeven en worden de vereiste basistaken voor het gebruik ervan beschreven. U krijgt bijvoorbeeld informatie over de wijze waarop u de inhoud van een veld wijzigt, hoe u datums en tijden invoert, enzovoort.

  • Financieel en andere modules

    Als u in Microsoft Dynamics NAV een module zoals Financieel kiest, kunt u alle procedures, tabellen, lijsten en batchverwerkingen voor die module opzoeken.

  • Klantspecifieke help

    Eventueel kan er specifiek voor uw bedrijf een Help-module ontwikkeld worden. In dat geval ziet u hier de Help-onderwerpen voor uw bedrijf.


Wat is dit?

Deze functie is beschikbaar via Help, Wat is dit? op de menubalk en via de Help-knop op de werkbalk.

Als u deze functie kiest, verandert de cursor in een Help-cursor (een pijl met een vraagteken). Hiermee klikt u op onderdelen van het scherm waarvoor u hulp wilt hebben.

U schakelt de Help-cursor uit door opnieuw Help, Wat is dit? te kiezen of door op Esc te drukken.


Informatie over Microsoft Dynamics NAV

Als u op het toepassingspictogram van Microsoft Dynamics NAV klikt om het programma te starten, wordt kort een venster met informatie over de toepassing weergegeven. Dit venster verschijnt ook als u Informatie over Microsoft Dynamics NAV in het menu Help kiest. In dat geval blijft het venster geopend totdat u op OK klikt. In dit venster ziet u copyrightgegevens, het versienummer, de programmanaam, de naam van de eigenaar van de programmalicentie en andere productgegevens. Bovendien bevat het venster een koppeling waarmee u kunt controleren of uw licentiebestand een geldige licentie voor Microsoft Dynamics NAV is.


Werkbalk

Met deze functie bepaalt u of en hoe de werkbalk van Microsoft Dynamics NAV wordt weergegeven.

Klik op Beeld, Werkbalk als u deze opdracht wilt gebruiken.

Verwante onderwerpen

Werkbalk weergeven


Custom Controls

Met deze opdracht opent u een venster met alle OCX-besturingselementen die op het werkstation zijn geregistreerd.

Klik op Extra, Custom Controls als u deze opdracht wilt gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Lijst via e-mail

Klik op deze opdracht om een lijst per e-mail te versturen.

Kies Bestand, Verzenden, Lijst via e-mail om de opdracht te gebruiken.

Verwante onderwerpen

Lijsten per e-mail verzenden.


Opslaan als HTML

Klik op deze opdracht om een lijst op te slaan in een HTML-indeling.

Kies Bestand, Opslaan als HTML om de opdracht te activeren.

Verwante onderwerpen

Afdrukvoorbeeld van lijsten bekijken

Lijsten afdrukken

Pagina-instellingen voor lijsten wijzigen


Taal

Klik op deze opdracht om het venster Toepassingstalen te openen. Hier kunt u opgeven in welke taal u de toepassing wilt uitvoeren.

Ga als volgt te werk:

  1. Klik op Extra, Taal. Het venster Toepassingstalen verschijnt.

  2. Selecteer de gewenste taal en klik op OK.

Attentie

De toepassingstaal is alleen van invloed op de tekst van de toepassing, zoals namen van vensters en velden, niet op de taal van de gegevens die u invoert.

Microsoft Dynamics NAV ondersteunt slechts één tekenset voor gegevens. Dus sommige tekens worden mogelijk niet ondersteund door uw installatie en er kunnen problemen optreden bij het ophalen van gegevens die zijn ingevoerd met een andere tekenset. Als uw installatie bijvoorbeeld alleen Nederlandse en Russische tekens ondersteunt en u gegevens invoert in een andere taal, worden die mogelijk niet correct opgeslagen. Neem contact op met uw systeembeheerder om zeker te weten welke talen worden ondersteund door uw installatie.

Verwante onderwerpen

Meertalige functionaliteit


Vernieuwen

Klik op deze opdracht om de gegevens in het actieve venster te vernieuwen. Vervolgens worden door Microsoft Dynamics NAV de nieuwste gegevens in het venster weergegeven.

Klik op Beeld, Vernieuwen als u deze opdracht wilt gebruiken.


Synchroniseren

Deze opdracht is alleen beschikbaar in Microsoft SQL Server Option voor Microsoft Dynamics NAV. Hiermee kunt u het beveiligingssysteem van Microsoft Dynamics NAV synchroniseren met dat van SQL Server.

Klik op Extra, Beveiliging, Synchroniseren als u deze opdracht wilt gebruiken.

Verwante onderwerpen

Synchronisatie

Beveiliging


Code Coverage

Klik op deze opdracht om het hulpprogramma Code Coverage te openen.

Klik op Extra, Debugger, Code Coverage als u deze opdracht wilt gebruiken.

Verwante onderwerpen

Codegebruik bijhouden


Windows-aanmeldingen

Klik op deze menu-opdracht om het venster Windows-aanmeldingen te openen en een overzicht te bekijken van alle gebruikers waarvoor een Windows-aanmelding in de huidige database is gemaakt. Deze gebruikers moeten Windows-verificatie gebruiken om toegang te krijgen tot de huidige database.

Klik op Extra, Beveiliging, Windows-aanmeldingen als u deze opdracht wilt gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Windows-aanmeldingen

Beveiliging


Verzenden

Klik op deze menu-opdracht om een serie opdrachten weer te geven die u kunt toepassen op lijsten.

Als u op Bestand, Verzenden klikt, verschijnt een submenu met de volgende opdrachten:

Lijst via e-mail

Koppeling via e-mail

Snelkoppeling naar bureaublad

Deze functies zijn met uw e-mailprogramma geïntegreerd, zodat u rechtstreeks vanuit Microsoft Dynamics NAV e-mailberichten kunt versturen. U kunt lijsten en koppelingen naar collega's versturen zodat iedereen over de meest recente gegevens beschikt.


Koppeling via e-mail

Klik op deze opdracht om een koppeling per e-mail te versturen.

Kies Bestand, Verzenden, Koppeling via e-mail om de opdracht te gebruiken.

Verwante onderwerpen

Koppelingen per e-mail verzenden

Lijsten per e-mail verzenden.


Snelkoppeling naar bureaublad

Klik op deze opdracht om een snelkoppeling naar een lijst of een formulier te maken op het bureaublad.

U kiest Bestand, Verzenden, Snelkoppeling naar bureaublad om de opdracht te activeren.

Verwante onderwerpen

Snelkoppelingen naar het bureaublad verzenden


C/SIDE Reference Guide

Met deze opdracht opent u de C/SIDE Reference Guide. Hier vindt u helpteksten over programmeeronderwerpen. U kunt bijvoorbeeld hulp zoeken over alle ingebouwde functies van C/SIDE.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Koppeling kopiëren

Klik op deze opdracht om een koppeling naar een lijst of een formulier te kopiëren.

Kies Bewerken, Koppeling kopiëren als u deze opdracht wilt gebruiken.

Verwante onderwerpen

Koppelingen naar formulieren of lijsten kopiëren


Navigatiedeelvenster

Klik op deze opdracht om het navigatiedeelvenster te openen. Het navigatiedeelvenster biedt toegang tot de bedrijfsapplicatiemodules in Microsoft Dynamics NAV.

Klik op Navigatiedeelvenster in het menu Beeld als u deze opdracht wilt gebruiken.


Navigatiedeelvenster ontwerpen

Klik op deze opdracht om Navigatiedeelvenster ontwerpen te openen, waarmee u het navigatiedeelvenster kunt aanpassen.

Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Klik op Extra, Navigatiedeelvenster ontwerpen als u deze opdracht wilt gebruiken.


Aanmelding

In het aanmeldingsvenster kunt u uw gebruikers-id en wachtwoord invoeren zodat u toegang krijgt tot de geselecteerde database.

Verwante onderwerpen

Beveiliging

Wachtwoorden


Nieuwe database

In dit venster kunt u een database maken.

Verwante onderwerpen

Databases maken onder Microsoft Dynamics NAVDatabase Server

Databases openen onder Microsoft Dynamics NAV Database Server


Database testen

In dit venster kunt u een database testen.

Verwante onderwerpen

Een database testen


Database uitbreiden

In dit venster kunt u een Microsoft Dynamics NAV-database in Microsoft Dynamics NAV Database Server uitbreiden.

Verwante onderwerpen

Databases uitbreiden onder Microsoft Dynamics NAV Database Server


Database uitbreiden (Geavanceerd)

In dit venster kunt u een Microsoft Dynamics NAV-database uitbreiden door een nieuw databasebestand te maken.

Verwante onderwerpen

Nieuwe databasebestanden maken onder Microsoft Dynamics NAVDatabase Server


Database-sessies

Het venster Databasesessies bevat details over alle huidige sessies die worden uitgevoerd met deze database, alsmede het tijdstip waarop elke gebruiker zich heeft aangemeld. Elke regel staat voor één aanmelding. Er kunnen meerdere regels per gebruiker voorkomen, als de gebruiker meerdere sessies heeft opgestart. Bij de sessie waarin u momenteel werkt, is het veld Mijn sessie ingeschakeld.

In het veld Tijd inactief ziet u hoeveel tijd is verstreken sinds de server het laatste databaseverzoek heeft ontvangen van elke sessie. Als dit veld leeg is, wordt in de sessie momenteel een databaseverzoek uitgevoerd. Dit kan een langlopend databaseverzoek zijn, zoals de wijziging van een tabelontwerp.

Beheerders kunnen een van de sessies annuleren door de desbetreffende regel te selecteren en deze te verwijderen. De verbinding tussen de gebruiker en de server wordt vervolgens verbroken. De gebruiker moet het programma opnieuw starten om verder te kunnen werken.

Als u meer details wilt zien over een bepaalde sessie en bijvoorbeeld de totale serveractiviteit voor die sessie wilt weten, plaatst u de cursor op een regel in het venster Database-sessies en kiest u Extra, Inzoomen in het menu.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Databasebestanden

Een database kan worden opgebouwd uit meerdere bestanden. In het venster Databasebestanden worden de naam, locatie en grootte van de verschillende databasebestanden vermeld.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-informatie

Database-informatie - tabblad Database


Database-info (Tabellen)

Kies Bestand, Database, Info om het venster Database-informatie te openen.

Als u onder in het venster Database-informatie op Tabellen klikt, verschijnt het venster Database-informatie (tabellen) met een overzicht van alle tabellen in de database. De lijst bevat voor iedere tabel een aantal waarden, waaruit u het gebruik van de database kunt afleiden. Via een analyse van deze waarden kan de leverancier of systeembeheerder verschillende aanpassingen verrichten die tot een effectiever databasegebruik en betere prestaties leiden.

Veld: | Inhoud:
Bedrijfsnaam | De naam van het bedrijf waartoe de tabel behoort.
Tabelnr. | Het nummer van de tabel (elke tabel in Microsoft Dynamics NAV heeft een uniek nummer).
Tabelnaam | De naam van de tabel. Dit is niet de naam van het venster waarin de tabel wordt weergegeven, maar de naam die onder Extra, Object Designer wordt gebruikt. In veel gevallen zijn de namen identiek.
Records | Het aantal records in de tabel. Op basis van het aantal records dat in een bepaalde periode in een tabel is gecreëerd, kunt u ongeveer berekenen hoeveel records er in de toekomst zullen bijkomen. Als u deze waarde vermenigvuldigt met het getal in het veld Recordgrootte, kunt u nagaan of u over voldoende databaseruimte beschikt.
Recordgrootte | De gemiddelde grootte (in KB) van een record in een tabel. U gebruikt deze waarde volgens de beschrijving voor het veld Records.
Grootte (KB) | De totale grootte (in kilobytes) van de tabel.
Optimalisering | Deze waarde geeft aan hoe efficiënt de gegevens in Microsoft Dynamics NAV in deze tabel worden opgeslagen. U bereikt een efficiëntere opslag door de gegevens in de tabel te comprimeren. Klik onderaan in het venster op Optimaliseren.

In het venster Database-informatie (tabellen) treft u verder de volgende knoppen aan:

Knop:

Functie:

Sleutels

Opent een venster met een overzicht van de gebruikte sleutelvelden voor de tabel die is geselecteerd in het venster Database-informatie (tabellen).

Optimaliseren

De opslag van gegevens in de tabel wordt geoptimaliseerd via gegevenscompressie, waarbij de lege ruimte in de gegevens wordt verwijderd.

Voor iedere SIFT-structuur worden regels met nulwaarden in de numerieke velden verwijderd. Door dergelijke redundante regels te verwijderen, komt er ruimte vrij en kan SIFT-informatie efficiënter worden bijgewerkt en opgeteld.

Test

Als u vermoedt dat sommige tabellen fouten bevatten, kunt u deze tabellen voor een test selecteren. Vervolgens klikt u op de knop Testen om het venster Tabellen testen te openen. Als u geen tabellen selecteert, worden alle tabellen getest.

Vanuit het venster Tabellen testen kunt u dezelfde tests activeren als via de opdracht Bestand, Database, Testen (behalve de test voor ruimtetoewijzing). Wanneer u slechts één tabel wilt testen en bijvoorbeeld de test Veldrelaties tussen tabellen selecteert, worden de relaties tussen de geselecteerde tabel en de gerelateerde tabellen getest.

Sleutelgroepen

Om de informatie in de tabellen zo bruikbaar mogelijk te maken, hebben vele tabellen meerdere vooraf gedefinieerde sorteersleutels. U vindt deze sleutels terug onder Beeld, Sorteren in de menubalk. U kunt deze sleutels gebruiken om de sortering van de gegevens in een bepaalde tabel te wijzigen. Om de sleutels op een meer technische wijze gepresenteerd te krijgen, selecteert u de tabel waarvan u de sleutels wilt zien en klikt u vervolgens op Sleutelgroepen. Het venster Sleutelgroepen verschijnt. U ziet hierin een overzicht van alle sleutelgroepen die voor de huidige database zijn gedefinieerd.

Sleutels worden voor meerdere doeleinden gebruikt. Toch hebben zij het grote nadeel dat het onderhoud ervan veel capaciteit in beslag neemt. Om het gebruik van de database te verbeteren, kunt u daarom niet-gebruikte sleutels uitschakelen of zelfs volledig verwijderen. Omdat u in dat geval niet alle functies meer kunt uitvoeren, kunnen er wel problemen ontstaan.

Dat is dan ook de reden waarom het recht om sleutels te verwijderen of uit te schakelen wordt beperkt: alleen personen met toegang tot de ontwikkelomgeving C/SIDE kunnen de status van een sleutel wijzigen. Wanneer u geen toegang hebt, moet u een beroep doen op uw dealer. Deze zal dan een reeks sleutels maken, waarmee u een bepaalde taak gemakkelijk kunt uitvoeren. De dealer brengt de sleutels samen in "Sleutelgroepen", die u zonder risico kunt inschakelen en uitschakelen. U dient er rekening mee te houden dat voor het opnieuw inschakelen van sleutels een bepaalde hoeveelheid vrije databaseruimte is vereist (om de gegevens te kunnen sorteren).

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-info


Databasesleutelgroepen

Het venster Databasesleutelgroepen bevat een overzicht van alle sleutelgroepen die voor de huidige database zijn gedefinieerd. In dit venster kunt u ook sleutelgroepen in- of uitschakelen.

Sleutelgroepen

Om de informatie in de tabellen zo bruikbaar mogelijk te maken, hebben vele tabellen meerdere vooraf gedefinieerde sorteersleutels. Kies Beeld, Sorteren in het menu als u wilt zien welke sleutels zijn gedefinieerd voor de tabel waarmee u werkt. U kunt eveneens de sorteervolgorde van deze tabel wijzigen.

Sleutels worden voor meerdere doeleinden gebruikt. Toch hebben zij het grote nadeel dat het onderhoud ervan veel capaciteit in beslag neemt. Om het gebruik van de database te verbeteren, kunt u daarom niet-gebruikte sleutels uitschakelen of zelfs volledig verwijderen. Omdat u in dat geval niet alle functies meer kunt uitvoeren, kunnen er wel problemen ontstaan.

Dat is dan ook de reden waarom het recht om sleutels te verwijderen of uit te schakelen wordt beperkt: alleen personen met toegang tot de ontwikkelomgeving C/SIDE kunnen de status van een sleutel wijzigen. Wanneer u geen toegang hebt, moet u een beroep doen op uw dealer. Deze zal dan een reeks sleutels maken, waarmee u een bepaalde taak gemakkelijk kunt uitvoeren. De dealer brengt de sleutels samen in "Sleutelgroepen", die u zonder risico kunt inschakelen en uitschakelen. U dient er rekening mee te houden dat voor het opnieuw inschakelen van sleutels een bepaalde hoeveelheid vrije databaseruimte is vereist (om de gegevens te kunnen sorteren).


Bedrijven

In dit venster ziet u een overzicht van alle bedrijven die in de huidige database zijn opgezet.

Verwante onderwerpen

Bedrijven maken

Bedrijven openen


Nieuw bedrijf

U gebruikt dit venster als u een nieuw bedrijf in de huidige database wilt maken.

Verwante onderwerpen

Bedrijven maken

Bedrijven openen


Bedrijven openen

In dit venster kunt u een bedrijf openen.

Verwante onderwerpen

Bedrijven openen

Bedrijven maken


Bedrijfsnaam wijzigen

U gebruikt dit venster als u de naam van het huidige bedrijf wilt wijzigen.

Verwante onderwerpen

Bedrijfsnaam wijzigen

Bedrijven maken

Bedrijven openen


Tabellen testen

U gebruikt het venster Tabellen testen om de tabellen in een database te testen.

Verwante onderwerpen

Tabellen testen

© 2009 Microsoft Corporation. Alle rechten voorbehouden.


Gebruikers-id wijzigen

Dit venster verschijnt als u de inhoud van het veld Gebruikers-id in het venster Database-aanmeldingen wijzigt.

In dit venster voert u een wachtwoord in voor de hernoemde gebruikers-id.

Dit wachtwoord wordt onmiddellijk gecodeerd, zodat u noch andere personen het kunnen zien. Het is ook van belang dat u weet wanneer u hoofdletters en kleine letters hebt gebruikt, want wachtwoorden zijn hoofdlettergevoelig.

Verwante onderwerpen

Database-aanmeldingen maken


Wachtwoord

In dit venster voert u een wachtwoord in voor de hernoemde gebruikers-id.

Dit wachtwoord wordt onmiddellijk gecodeerd, zodat u noch andere personen het kunnen zien. Het is ook van belang dat u weet wanneer u hoofdletters en kleine letters hebt gebruikt, want wachtwoorden zijn hoofdlettergevoelig.

Verwante onderwerpen

Wachtwoord wijzigen


Werkdatum

U gebruikt dit venster om een tijdelijke werkdatum in te stellen die afwijkt van de standaarddatum van het systeem.

Verwante onderwerpen

Werkdatums instellen

Datums invoeren


Object Designer

Met de Object Designer hebt u toegang tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV. In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Client-monitor

Client-monitor is een hulpmiddel voor programmeurs waarmee de communicatie tussen een Microsoft Dynamics NAV-server en de werkstations in een netwerk kan worden gecontroleerd en zo effectief mogelijk kan worden afgestemd.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Rollen

Het venster Rollen bevat een lijst met alle beveiligingsrollen die bestaan in het huidige bedrijf.

Vanuit dit venster kunt u een rol toekennen aan zowel een Windows-aanmelding als een database-aanmelding.

U kunt ook zien welke toegangsrechten zijn toegewezen aan elke rol, en deze rechten bewerken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor Microsoft Dynamics NAV Database Server of de Microsoft Dynamics NAV SQL Server Option voor meer informatie.

Verwante onderwerpen

Beveiliging

Rollen maken

Toegangsrechten voor rollen wijzigen

Een rol toekennen aan een database-aanmelding

Een rol toekennen aan een Windows-aanmelding


Database-aanmeldingen

Het venster Database-aanmeldingen geeft een overzicht van alle database-aanmeldingen die in de huidige database zijn gemaakt. Gebruikers met een database-aanmelding moeten Database Server-verificatie gebruiken om toegang te krijgen tot de huidige database.

U kunt in dit venster database-aanmeldingen maken en verwijderen. Verder kunt u hier toegangsrechten voor database-aanmeldingen verlenen en aanpassen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen

Rollen toewijzen aan database-aanmeldingen

Rollen voor een aanmelding beperken tot bepaalde bedrijven


Rollen, Toegangsrechten

In het venster Rollen, Toegangsrechten ziet u welke toegangsrechten zijn verleend aan de rol die u heeft geselecteerd in het venster Rollen.

U kunt de toegangsrechten voor deze rol wijzigen. U kunt dus nieuwe rechten toewijzen en bestaande rechten verwijderen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Beveiliging

Toegangsrechten voor rollen wijzigen

Rollen maken

Toegangsrechten toewijzen aan verschillende objecten


Database-aanmeldingen

Het venster Database-aanmeldingen geeft een overzicht van alle database-aanmeldingen die in de huidige database zijn gemaakt. Gebruikers met een database-aanmelding moeten Database Server-verificatie gebruiken om toegang te krijgen tot de huidige database.

U kunt in dit venster database-aanmeldingen maken en verwijderen. Verder kunt u hier toegangsrechten voor database-aanmeldingen verlenen en aanpassen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen

Windows-aanmeldingen maken

Rollen toewijzen aan database-aanmeldingen

Rollen voor een aanmelding beperken tot bepaalde bedrijven


Database-aanmelding, Rollen

In dit venster ziet u een overzicht van alle rollen die aan de database-aanmelding zijn toegekend. Ook wordt aangegeven voor welke bedrijven deze rollen eventueel gelden.

U gebruikt dit venster om rollen toe te wijzen aan een database-aanmelding en de rollen te beperken tot bepaalde bedrijven. U kunt hier ook rollen uit een database-aanmelding verwijderen. Als u de toegangsrechten van een gebruiker beperkt tot een bepaald bedrijf in de database, krijgt de gebruiker alleen het desbetreffende bedrijf te zien.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Beveiliging

Database-aanmeldingen maken

Een rol toekennen aan database-aanmeldingen

Rollen voor een aanmelding beperken tot bepaalde bedrijven


Wachtwoord wijzigen

In het venster Wachtwoord wijzigen kunt u uw wachtwoord wijzigen.

Verwante onderwerpen

Wachtwoorden

Wachtwoord wijzigen

© 2009 Microsoft Corporation. Alle rechten voorbehouden.


Licentie-informatie

Het venster Licentie-informatie toont de inhoud van het licentiebestand waarmee u momenteel werkt. U ziet het licentienummer, de eigenaar, de beschikbare toepassingsdomeinen en - eventueel - de vervaldatum van het licentiebestand. Gewoonlijk bevat het venster het serienummer van de licentie en de naam van uw bedrijf. Wanneer echter een ander licentiebestand in het venster verschijnt, moet u eerst met de knop Importeren onderaan in het venster uw eigen licentiebestand importeren.

Het venster Licentie-informatie wordt gewoonlijk niet dagelijks gebruikt. De informatie in het venster kan echter wel van pas komen wanneer u de toepassing wilt uitbreiden, specifieke wijzigingen wilt aanbrengen of problemen in de toepassing bent tegengekomen. In dat geval kunt u contact opnemen met uw dealer.

Attentie

Alle licentiebestanden die niet onder de demolicentie vallen, hebben dezelfde naam: fin.flf. Bewaar de ontvangen diskette met het licentiebestand op een veilige plaats nadat u het bestand heeft geïmporteerd. De demolicentie heeft een andere naam: conus.flf. Op die manier kunt u het bestand niet per vergissing overschrijven.

In het venster Licentie-informatie ziet u drie opdrachtknoppen waarmee u licentiebestanden kunt importeren en exporteren:

Importeren… | Hiermee importeert u een nieuw licentiebestand. U kunt het nieuwe licentiebestand dan telkens gebruiken wanneer u de toepassing opent (tot u een nieuw bestand importeert).
Exporteren… | Hiermee exporteert u een kopie van het licentiebestand - bijvoorbeeld naar een diskette. Met deze opdracht kunt u uw licentie vernieuwen.
Wijzigen… | Hiermee gebruikt u tijdelijk een ander licentiebestand. Bijvoorbeeld wanneer de dealer langskomt (om wijzigingen uit te voeren) en zijn eigen licentie (met toegangsrechten voor C/AL) meebrengt. De volgende keer dat u de toepassing start, wordt opnieuw uw oude licentiebestand gebruikt. U dient deze opdracht te gebruiken om de demolicentie conus.flf in te stellen. Anders wordt uw eigen licentiebestand overschreven.

Deze drie opdrachten maken alle gebruik van een standaard-Windows-dialoogvenster waarmee u het licentiebestand kunt opzoeken. Klik op de knop Openen om het licentiebestand te importeren of te wijzigen. Klik op Opslaan om het licentiebestand te exporteren.


Database-opties

In dit venster maakt u de systeeminstellingen voor de huidige database.

Verwante onderwerpen

Systeeminstellingen onder Microsoft Dynamics NAV Server

Systeeminstellingen onder SQL Server Option


Rol, Windows-aanmeldingen

In dit venster ziet u een overzicht van alle Windows-aanmeldingen waaraan de rol is toegekend. U kunt hier ook zien tot welke bedrijven de rol (eventueel) is beperkt voor Windows-aanmeldingen.

U gebruikt dit venster om de rol toe te wijzen aan Windows-aanmeldingen en de rol te beperken tot bepaalde bedrijven.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Beveiliging

Rollen toewijzen aan Windows-aanmeldingen

De rol voor een aanmelding beperken tot bepaalde bedrijven


Windows-aanmeldingen

In dit venster ziet u een overzicht van alle Windows-aanmeldingen die in de huidige database zijn opgezet. Gebruikers met een Windows-aanmelding moeten Windows-verificatie gebruiken om toegang te krijgen tot de huidige database.

U kunt in dit venster Windows-aanmeldingen maken en verwijderen. Verder kunt u hier toegangsrechten voor Windows-aanmeldingen verlenen en aanpassen.

Verwante onderwerpen

Beveiliging

Windows-aanmeldingen maken

Database-aanmeldingen maken

Rollen toewijzen aan Windows-aanmeldingen

Rollen voor een aanmelding beperken tot bepaalde bedrijven


Windows-aanmelding, rollen

In dit venster ziet u een overzicht van alle rollen die aan de Windows-aanmelding zijn toegekend. Ook wordt aangegeven voor welke bedrijven deze rollen eventueel gelden.

U gebruikt dit venster om rollen toe te wijzen aan de Windows-aanmelding en de rollen te beperken tot bepaalde bedrijven. Als u de toegangsrechten van een gebruiker beperkt tot een bepaald bedrijf in de database, krijgt de gebruiker alleen het desbetreffende bedrijf te zien.

Raadpleeg de handleiding Installatie en systeembeheer voor Microsoft Dynamics NAVDatabase Server of de Microsoft Dynamics NAVSQL Server Option voor meer informatie over beveiliging in Microsoft Dynamics NAV.

Verwante onderwerpen

Beveiliging

Een rol toekennen aan Windows-aanmeldingen

De rol voor een aanmelding beperken tot bepaalde bedrijven

Windows-aanmeldingen maken


Werkbalk

In dit venster bepaalt u of en hoe de werkbalk van Microsoft Dynamics NAV wordt weergegeven.

Verwante onderwerpen

Werkbalk weergeven


Custom Controls

In dit venster ziet u een overzicht van alle OCX-besturingselementen die op het werkstation zijn geregistreerd.

Klik op Extra, Custom Controls om dit venster te openen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Table Designer

De Table Designer is onderdeel van de Object Designer.

Met de Object Designer hebt u toegang tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV. In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Sleutels

Dit venster geeft een overzicht van alle sleutels die zijn gedefinieerd voor de tabel die u in de Table Designer hebt geselecteerd.


Veldoverzicht

Het venster Veldoverzicht toont alle velden van de geselecteerde tabel.


Windows-gebruikers en -groepen

In dit venster ziet u een overzicht van alle Windows-gebruikers en -groepen in de huidige structuur van domeinen.

Het venster bevat de volgende informatie:

Id: de Id van de Windows-gebruiker of -groep.

Naam: de naam van de Windows-gebruiker of -groep.

Soort: of het om een Windows-gebruiker of een Windows-groep gaat.

Attentie

Dit venster is alleen beschikbaar op werkstations in een Windows-netwerkomgeving waarvoor Active Directory is ingeschakeld.

Verwante onderwerpen

Beveiliging

Windows-aanmeldingen maken

Database-aanmeldingen maken

Rollen toewijzen aan Windows-aanmeldingen


SIFT Levels List

Dit venster bevat alle SIFT-niveaus voor de sleutel waarvan u de eigenschappen hebt bekeken.

U kunt aangeven welke SIFT-niveaus u wilt behouden door het bijbehorende vakje Maintain in of uit te schakelen.

Als u een overzicht van alle onderdelen van een SIFT-niveau wilt zien, klikt u op de AssistButton van het veld SIFT Level om het venster SIFT Level Viewer te openen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


SIFT Level Viewer

Dit venster laat zien uit welke onderdelen het SIFT-niveau bestaat dat u in het venster SIFT Levels List hebt geselecteerd. In dit venster kunt u alleen onderdelen bekijken en niet toevoegen of verwijderen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Database openen

In dit venster kunt u een database openen.

De procedure waarmee u een database opent, is afhankelijk van de gebruikte versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

Microsoft SQL Server Option voor Microsoft Dynamics NAV

Microsoft Dynamics NAV Database Server


Nieuwe database

In dit venster kunt u een database maken.

Het venster bevat de volgende tabbladen:

  • Algemeen

  • Databasebestanden

  • Transactielogbestanden

  • Sortering

  • Opties

  • Integratie

  • Geavanceerd

U moet eerst de juiste gegevens in het venster Server kiezen hebben ingevoerd voordat u gegevens in dit venster kunt invoeren.

Verwante onderwerpen

Server kiezen

Databases maken onder SQL Server


Database wijzigen

In dit venster kunt u een database aanpassen.

U gebruikt het venster Database wijzigen om databasebestanden en transactie-logbestanden te maken en te vergroten, alsmede om database- en integratie-instellingen te wijzigen.

Het venster bevat de volgende tabbladen:

  • Algemeen

  • Databasebestanden

  • Transactie-logbestanden

  • Sortering

  • Opties

  • Integratie

  • Geavanceerd

Verwante onderwerpen

Databases wijzigen onder SQL Server

Databases uitbreiden onder Microsoft Dynamics NAV Database Server


Beschikbare Microsoft SQL Servers

Het venster Beschikbare Microsoft SQL Servers geeft een overzicht van de SQL-servers die momenteel aanwezig zijn in het domein. Het veld Servernaam bevat de namen van de beschikbare SQL-servers. Dit veld wordt automatisch ingevuld.

Als u een verbinding wilt maken met een server uit de lijst, selecteert u de naam van die server en klikt u op OK. U kunt ook dubbelklikken op de servernaam.

Verwante onderwerpen

Databases maken onder SQL Server

Databases openen onder SQL Server


Beschikbare databases

Het venster Beschikbare databases biedt een overzicht van de beschikbare SQL Server-databases op de server die toegankelijk zijn vanuit Microsoft Dynamics NAV. In dit venster kunt zien hoe de database heet en door wie en wanneer de database is gemaakt. Verder wordt aangegeven of de database wordt gerepliceerd naar de SQL Server en welk soort replicatie daarbij wordt gebruikt. U kunt de gegevens in dit venster niet wijzigen.

U kunt een database pas openen als u een server hebt geselecteerd.

Verwante onderwerpen

Databases maken onder SQL Server

Databases openen onder SQL Server


Server kiezen

In dit venster selecteert u de SQL-server waarop u een nieuwe database wilt maken.

Verwante onderwerpen

SQL-server selecteren


Database-informatie

Dit venster geeft u informatie over de huidige status van de database. U kunt bijvoorbeeld de omvang van de database zien en uit welke bestanden de database bestaat. U kunt niets invoeren in het venster. Deze opdracht is vooral van belang voor de systeembeheerder of ander technisch personeel.

Het venster bevat twee tabbladen en een knop die u elk toegang geven tot informatie over een specifiek gebied:

  • Het tabblad Database

  • Het tabblad Sessies

  • De knop Tabellen

Meer informatie over databases vindt u in de handleiding Installation & System Management: SQL Server Option for the C/SIDE Client.


Databasesessies

Het venster Databasesessies bevat details over alle huidige sessies die worden uitgevoerd met deze database, alsmede het tijdstip waarop elke gebruiker zich heeft aangemeld. Elke regel staat voor één aanmelding. Er kunnen meerdere regels per gebruiker voorkomen, als de gebruiker meerdere sessies heeft opgestart. Bij de sessie waarin u momenteel werkt, wordt het veld Mijn sessie aangekruist.

Beheerders kunnen een van de sessies annuleren door de desbetreffende regel te selecteren en deze te verwijderen. De verbinding tussen de gebruiker en de server wordt vervolgens verbroken. De gebruiker moet het programma opnieuw starten om verder te kunnen werken. De beheerder moet de SQL Server-rol sysadmin of processadmin hebben.

Veld | Opmerkingen
Verbindings-id | Dit is de Id van de verbinding.
Mijn sessie | Hier wordt aangegeven of de sessie van u is.
Aanmeldingstype | Hier wordt aangegeven of deze sessie een Windows-aanmelding of een databaseaanmelding is.
Gebruikers-id | Dit is de gebruikers-id van de verbonden gebruiker.
Aanmeldingsdatum | Dit is de datum waarop de gebruiker zich heeft aangemeld.
Aanmeldingstijd | Dit is de tijd waarop de gebruiker zich heeft aangemeld en deze sessie heeft gestart.
Databasenaam | Dit is de naam van de database die in deze sessie is geopend.
Toepassingsnaam | Dit is de naam van de toepassing die verbinding met de server heeft gemaakt.
Hostnaam | Dit is de naam van het werkstation dat voor deze sessie wordt gebruikt.
CPU-tijd (ms) | Dit is de cumulatieve CPU-tijd die door deze sessie wordt gebruikt.
Geheugengebruik (KB) | Dit is het aantal KB in de procedurecache dat momenteel aan deze sessie is toegewezen.
Fysische I/O | Dit is het cumulatieve aantal lees- en schrijfbewerkingen op de vaste schijf voor deze sessie.
Tijd inactief | Dit is de tijd die is verstreken sinds de server het laatste databaseverzoek heeft ontvangen van deze sessie. Als dit veld leeg is, wordt in de sessie momenteel een databaseverzoek uitgevoerd. Dit kan een langlopend databaseverzoek zijn, zoals de wijziging van een tabelontwerp.
Geblokkeerd | Hier wordt aangegeven of deze sessie is geblokkeerd (wacht om een vergrendeling te verkrijgen) door een andere sessie.
Wachttijd (ms) | Hiermee wordt aangegeven hoe lang deze sessie al wacht.
Blokkerend verbindings-id | Dit is de Id van de verbinding waarmee deze sessie wordt geblokkeerd.
Blokkerend gebruikers-id | Dit is de gebruikers-id van de verbinding waarmee deze sessie wordt geblokkeerd.
Blokkerende hostnaam | Dit is de naam van het werkstation dat wordt gebruikt door de verbinding waarmee deze sessie wordt geblokkeerd.
Blokkerend object | Dit is de naam van het SQL-object waarmee deze sessie wordt geblokkeerd.

Raadpleeg de handleiding Installation & System Management: Microsoft Dynamics NAV SQL Server Option voor meer informatie over het venster Databasesessies.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Databasebestanden

Een database kan worden opgebouwd uit meerdere bestanden. In het venster Databasebestanden worden de naam, locatie en grootte van de verschillende databasebestanden vermeld (maar niet van de transactielogbestanden).

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-informatie

Database-informatie - tabblad Database


Database-informatie (Tabellen)

Het venster Database-informatie (Tabellen) bevat een overzicht van alle tabellen in de database. Met deze informatie kunt u zien hoe effectief de database wordt gebruikt.

U geeft dit venster weer door Bestand, Database, Info te kiezen en vervolgens op Tabellen te klikken onder in het venster Database-informatie.

De lijst bevat voor iedere tabel een aantal waarden, waaruit u het gebruik van de database kunt afleiden. Hieronder volgt een beschrijving van de waarden:

Veld: | Inhoud:
Bedrijfsnaam | De naam van het bedrijf waartoe de tabel behoort.
Tabelnr. | Het nummer van de tabel (elke tabel in Microsoft Dynamics NAV heeft een uniek nummer).
Tabelnaam | De naam van de tabel. Dit is niet de naam van het venster waarin de tabel wordt weergegeven, maar de naam die onder Extra, Object Designer wordt gebruikt. In veel gevallen zijn de namen identiek.
Aantal records | Het aantal records in de tabel. Op basis van het aantal records dat in een bepaalde periode in een tabel is gecreëerd, kunt u ongeveer berekenen hoeveel records er in de toekomst zullen bijkomen. Als u deze waarde vermenigvuldigt met het getal in het veld Recordgrootte, kunt u nagaan of u over voldoende databaseruimte beschikt.
Recordgrootte | De gemiddelde grootte (in KB) van een record in een tabel. U gebruikt deze waarde volgens de beschrijving voor het veld Records.
Grootte (KB) | De totale grootte (in kilobytes) van de tabel.

In het venster Database-informatie (Tabellen) treft u verder de volgende knoppen aan:

Knop:

Functie:

Optimaliseren

Start het optimaliseringsproces dat uit twee onderdelen bestaat:

Voor iedere Microsoft Dynamics NAV-tabel worden de SQL Server-indexen (niet de primaire sleutel) opnieuw opgebouwd om de indeling en het gebruik ervan te optimaliseren.

Voor iedere SIFT-structuur worden regels met nulwaarden in alle numerieke velden verwijderd. Door dergelijke redundante regels te verwijderen, komt er ruimte vrij en kan SIFT-informatie efficiënter worden bijgewerkt en opgeteld.

Test

Als u vermoedt dat sommige tabellen fouten bevatten, kunt u deze tabellen voor een test selecteren. Vervolgens klikt u op de knop Testen om het venster Tabellen testen te openen. Als u geen tabellen selecteert, worden alle tabellen getest.

Vanuit het venster Tabellen testen kunt u dezelfde tests activeren als via de opdracht Bestand, Database, Testen (behalve de test voor ruimtetoewijzing). Wanneer u slechts één tabel wilt testen en bijvoorbeeld de test Veldrelaties tussen tabellen selecteert, worden de relaties tussen de geselecteerde tabel en de gerelateerde tabellen getest.

Sleutelgroepen

Om de informatie in de tabellen zo bruikbaar mogelijk te maken, hebben vele tabellen meerdere vooraf gedefinieerde sorteersleutels. U vindt deze sleutels terug onder Beeld, Sorteren in de menubalk. U kunt deze sleutels gebruiken om de sortering van de gegevens in een bepaalde tabel te wijzigen. Om de sleutels op een meer technische wijze gepresenteerd te krijgen, selecteert u de tabel waarvan u de sleutels wilt zien en klikt u vervolgens op Sleutelgroepen. Het venster Sleutelgroepen verschijnt. U ziet hierin een overzicht van alle sleutelgroepen die voor de huidige database zijn gedefinieerd.

Sleutels worden voor meerdere doeleinden gebruikt. Toch hebben zij het grote nadeel dat het onderhoud ervan veel capaciteit in beslag neemt. Om het gebruik van de database te verbeteren, kunt u daarom niet-gebruikte sleutels uitschakelen of zelfs volledig verwijderen. Omdat u in dat geval niet alle functies meer kunt uitvoeren, kunnen er wel problemen ontstaan.

Dat is dan ook de reden waarom het recht om sleutels te verwijderen of uit te schakelen wordt beperkt: alleen personen met toegang tot de ontwikkelomgeving C/SIDE kunnen de status van een sleutel wijzigen. Wanneer u geen toegang hebt, moet u een beroep doen op uw dealer. Deze zal dan een reeks sleutels maken, waarmee u een bepaalde taak gemakkelijk kunt uitvoeren. De dealer brengt de sleutels samen in "Sleutelgroepen", die u zonder risico kunt inschakelen en uitschakelen. U dient er rekening mee te houden dat voor het opnieuw inschakelen van sleutels een bepaalde hoeveelheid vrije databaseruimte is vereist (om de gegevens te kunnen sorteren).

In de handleiding Installation & System Management: SQL Server Option for the C/SIDE Client vindt u meer informatie over het instellen en uitschakelen van sleutelgroepen. In deze handleiding worden enkele sleuteleigenschappen beschreven die bepalend zijn voor de relaties tussen Microsoft Dynamics NAV-sleutels en SQL Server-indexen.

Verwante onderwerpen

Database-informatie

Database-informatie - tabblad Database

Database-informatie - tabblad Sessies


Tabellen

In dit venster kunt u de tabellen in een database testen.

Verwante onderwerpen

Tabellen testen


Licentie-informatie

Het venster Licentie-informatie toont de inhoud van het licentiebestand waarmee u momenteel werkt. U ziet het licentienummer, de eigenaar, de beschikbare toepassingsdomeinen en - eventueel - de vervaldatum van het licentiebestand. Gewoonlijk bevat het venster het serienummer van de licentie en de naam van uw bedrijf. Wanneer echter een ander licentiebestand in het venster verschijnt, moet u eerst met de knop Importeren onderaan in het venster uw eigen licentiebestand importeren.

Het venster Licentie-informatie wordt gewoonlijk niet dagelijks gebruikt. De informatie in het venster kan echter wel van pas komen wanneer u de toepassing wilt uitbreiden, specifieke wijzigingen wilt aanbrengen of problemen in de toepassing bent tegengekomen. In dat geval kunt u contact opnemen met uw dealer.

Attentie

Alle licentiebestanden die niet onder de demolicentie vallen, hebben dezelfde naam: fin.flf. Bewaar de ontvangen diskette met het licentiebestand op een veilige plaats nadat u het bestand hebt geïmporteerd. De demolicentie heeft een andere naam: cronus.flf. Op die manier kunt u het bestand niet per vergissing overschrijven.

Het venster Licentiebestand bevat vier opdrachtknoppen:

Verzenden..

Hiermee kunt u uw licentiebestand verzenden naar de SQL Server waarvoor u toegang wilt hebben. De licentiegegevens worden gebruikt door alle werkstations die met de server zijn verbonden, tenzij er een databaselicentiebestand wordt gebruikt.

Importeren..

Hiermee importeert u een nieuw licentiebestand. U kunt het nieuwe licentiebestand dan telkens gebruiken wanneer u de toepassing opent (tot u een nieuw bestand importeert). De informatie uit het geïmporteerde licentiebestand wordt echter niet gebruikt als er een database op een SQL Server wordt geopend. In plaats daarvan worden de licentiegegevens van de server gebruikt.

Exporteren..

Hiermee exporteert u een kopie van het licentiebestand - bijvoorbeeld naar een diskette. Met deze opdracht kunt u uw licentie vernieuwen.

Wijzigen..

Hiermee gebruikt u tijdelijk een ander licentiebestand. Bijvoorbeeld wanneer de dealer langskomt (om wijzigingen uit te voeren) en zijn eigen licentie (met toegangsrechten voor C/AL) meebrengt. Met deze functie wordt de wijziging niet opgeslagen. De volgende keer dat u het programma start, wordt uw oude licentiebestand gebruikt. U dient deze opdracht te gebruiken om de demolicentie cronus.flf in te stellen. In het andere geval zal uw eigen licentiebestand worden overschreven.

U wordt gewaarschuwd voordat uw licentie voor Microsoft Dynamics NAV verloopt. Wanneer u de licentie op de server laat vervallen, vervalt ook het recht op toegang tot de server. U kunt echter wel met een ander licentiebestand via de functie Wijzigen de toegang tot de server herstellen.

Deze vier opdrachten maken alle gebruik van een standaard Windows-dialoogvenster, waarmee u het licentiebestand kunt opzoeken. Klik vervolgens op de knop Openen om het licentiebestand te uploaden, importeren of wijzigen. Klik op Opslaan om het licentiebestand te exporteren.


Databaseopties

In dit venster maakt u de systeeminstellingen voor de huidige database.

Verwante onderwerpen

Systeeminstellingen


Beschikbare Microsoft Dynamics NAV-databaseservers

Dit venster bevat een lijst met beschikbare servers in het domein waaruit u de Microsoft Dynamics NAV-databaseserver kunt selecteren waarmee u een verbinding wilt maken. Het veld Servernaam bevat de namen van de beschikbare Microsoft Dynamics NAV Database Servers. Dit veld wordt automatisch ingevuld.

Als u een verbinding wilt maken met een server uit de lijst, selecteert u de naam van die server en klikt u op OK. U kunt ook dubbelklikken op de servernaam.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Navigatiedeelvenster

Met het navigatiedeelvenster van Microsoft Dynamics NAV kunt u vensters in het programma openen. In het navigatiedeelvenster van Microsoft Dynamics NAV wordt één menu tegelijk weergegeven, maar met de menuknoppen onder aan het venster kunt u de andere menu's openen.

Elk menu is ingedeeld als boomstructuur. De verschillende vensters, lijsten en batchverwerkingen waartoe u toegang hebt, worden weergegeven als menuopdrachten en de menuopdrachten zijn gegroepeerd in menugroepen.

U kunt menugroepen of -opdrachten die u vaak gebruikt kopiëren naar het menu Snelkoppelingen.

Verwante onderwerpen

Het navigatiedeelvenster aanpassen

Menu's voor gebruikers ontwerpen

Werken met het navigatiedeelvenster


Navigatiedeelvenster ontwerpen

Met Navigatiedeelvenster ontwerpen in Microsoft Dynamics NAV kunt u de menu's aanpassen die u ontvangt van de leverancier van uw oplossing. U kunt met Navigatiedeelvenster ontwerpen geen vensters in het programma openen. U krijgt alle menu's in de menusuite van uw bedrijf te zien, tenzij u zelf menu's hebt verborgen.

U kunt de ontvangen menu's wijzigen en nieuwe menu's maken. Vervolgens kunt u verschillende menu's aan verschillende gebruikers toewijzen.

U selecteert het menu waarmee u wilt werken door op een van de menuknoppen onder aan het navigatiedeelvenster te klikken.

Opmerking voor ontwikkelaars

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Menu's voor gebruikers ontwerpen

Menu's aan gebruikers toewijzen

Sneltoetsen voor het navigatiedeelvenster

De invloed van upgrades op uw menu's


Menu maken

In dit venster kunt u een nieuw menu maken met Navigatiedeelvenster ontwerpen. Geef in het veld Bijschrift de naam van het nieuwe menu op. Klik op Annuleren als u geen nieuw menu wilt maken.

Als u een menu ontwerpt dat in verschillende talen wordt gebruikt door verschillende gebruikers, moet u voor elke taal een menunaam opgeven.

Zodra u een naam in het veld Bijschrift invoert, verschijnt in het veld BijschriftML de code voor de taal die u op de computer gebruikt en de naam van het menu. Als u op de AssistButton in het veld klikt, wordt een venster weergegeven waarin u de menunaam voor elke taalcode kunt opgeven.

Het veld Bitmap bevat het nummer van de bitmap die vóór de naam op de menuknop wordt weergegeven. Het bitmapnummer is een geheel getal tussen 0 en 14.

Verwante onderwerpen

Menu's maken met Navigatiedeelvenster ontwerpen

Menu's voor gebruikers ontwerpen


Onderdelen weergeven

Met dit venster kunt u onderdelen in uw menu weergeven.

In het venster worden alle menuonderdelen en menugroepen weergegeven die u in het huidige menu hebt verborgen. U kunt onderdelen of groepen weergeven door de bijbehorende velden in te schakelen.

Attentie

U kunt geen afzonderlijke onderdelen uit een verborgen groep weergeven.

Verwante onderwerpen

Het navigatiedeelvenster aanpassen

Werken met het navigatiedeelvenster


Menu's weergeven

Met dit venster kunt u menuknoppen in het navigatiedeelvenster weergeven.

In het venster worden alle menu's weergegeven die u hebt verborgen. U kunt menu's weergeven door de bijbehorende velden in te schakelen.

Verwante onderwerpen

Het navigatiedeelvenster aanpassen

Werken met het navigatiedeelvenster


Onderdelen invoegen

Met dit venster kunt u menuonderdelen in een menu invoegen.

In het venster worden alle menuonderdelen van alle menu's in uw menusuite weergegeven. Elke regel bevat één menuonderdeel. In het veld Onderdeel verschijnt de naam van het menu waarin het onderdeel is opgenomen, gevolgd door de naam van het menuonderdeel. De onderdelen worden gegroepeerd op basis van het menu waarin ze zijn opgenomen en daarbinnen alfabetisch op de namen van de menuonderdelen.

Verwante onderwerpen

Menu's bewerken met Navigatiedeelvenster ontwerpen

Menu's voor gebruikers ontwerpen


Opties navigatiedeelvenster

In het venster Opties navigatiedeelvenster kunt u aangeven welke bewerking moet worden uitgevoerd wanneer u op een groep of onderdeel in het navigatiedeelvenster klikt. U kunt opties activeren door de bijbehorende velden in te schakelen. Raadpleeg Werken met het navigatiedeelvenster voor een beschrijving van de opties.

Verwante onderwerpen

Het navigatiedeelvenster aanpassen


Gebruikers toewijzen

Met het venster Gebruikers toewijzen kunt u gebruikers aan een menu toewijzen.

In het venster wordt een overzicht van alle gebruikers in de database weergegeven. U kunt een gebruiker toewijzen door het veld Toewijzen naast de naam van de gebruiker in te schakelen. Evenzo kunt u de toewijzing van een gebruiker ongedaan maken door het veld Toewijzen uit te schakelen. U kunt ook alle gebruikers tegelijk toewijzen of de toewijzing van alle gebruikers tegelijk ongedaan maken.

In het venster kunt u de gebruikers van slechts één menu beheren. Als u gebruikers aan een ander menu wilt toewijzen, moet u op de gewenste menuknop klikken wanneer u Gebruikers toewijzen kiest.

Verwante onderwerpen

Menu's aan gebruikers toewijzen

Menu's voor gebruikers ontwerpen


Menu-eigenschappen

Met het venster Menu-eigenschappen kunt u meertalige namen voor een menu definiëren.

Als u een menu ontwerpt dat in verschillende talen wordt gebruikt door verschillende gebruikers, moet u voor elke taal een menunaam opgeven.

Wanneer u het venster opent, bevat het veld Bijschrift de naam die aan het menu is toegewezen. Het veld BijschriftML bevat de code voor de taal die u op de computer gebruikt en de naam van het menu. Als u op de AssistButton in het veld klikt, wordt een venster weergegeven waarin u de menunaam voor elke taalcode kunt opgeven.

Het veld Bitmap bevat het nummer van de bitmap die vóór de naam op de menuknop wordt weergegeven. Het bitmapnummer is een geheel getal tussen 0 en 14.

Verwante onderwerpen

Menu's voor gebruikers ontwerpen


Eigenschappen van onderdeel

Met het venster Eigenschappen van onderdeel kunt u meertalige namen voor een menuonderdeel definiëren.

Als u een menu ontwerpt dat in verschillende talen wordt gebruikt door verschillende gebruikers, moet u voor elke taal een naam voor het menuonderdeel opgeven.

Wanneer u het venster opent, bevat het veld Bijschrift de naam die aan het menuonderdeel is toegewezen. Het veld BijschriftML bevat de code voor de taal die u op de computer gebruikt en de naam van het menuonderdeel. Als u op de AssistButton in het veld klikt, wordt een venster weergegeven waarin u de naam van het menuonderdeel voor elke taalcode kunt opgeven.

Verwante onderwerpen

Menu's voor gebruikers ontwerpen


Eigenschappen van groep

Met het venster Eigenschappen van groep kunt u meertalige namen voor een menugroep definiëren.

Als u een menu ontwerpt dat in verschillende talen wordt gebruikt door verschillende gebruikers, moet u voor elke taal een naam voor de menugroep opgeven.

Wanneer u het venster opent, bevat het veld Bijschrift de naam die aan de menugroep is toegewezen. Het veld BijschriftML bevat de code voor de taal die u op de computer gebruikt en de naam van de menugroep. Als u op de AssistButton in het veld klikt, wordt een venster weergegeven waarin u de naam van de menugroep voor elke taalcode kunt opgeven.

Verwante onderwerpen

Menu's voor gebruikers ontwerpen


Snelkoppeling maken

Met het venster Snelkoppeling maken kunt u menuonderdelen voor het menu Snelkoppelingen maken.

Zo kunt u een snelkoppeling naar een document, map of programma op de computer of een server of een snelkoppeling naar een website maken.

Geef in het veld Openen een adres voor het bestand of de website op en geef in het veld Bijschrift een naam voor het menuonderdeel op.

Zie Snelkoppelingen in het navigatiedeelvenster maken voor meer informatie over het maken van snelkoppelingen naar vensters of lijsten in het programma.


Eigenschappen snelkoppeling

Met het venster Eigenschappen snelkoppeling kunt u de eigenschappen van een snelkoppeling in het menu Snelkoppelingen weergeven of wijzigen.

Het veld Openen bevat de naam en het adres van het doel voor de snelkoppeling. In het veld kan bijvoorbeeld een websiteadres of het pad en de bestandsnaam van een programma of document op uw computer worden weergegeven.

Het veld Bijschrift bevat de naam die u aan het menuonderdeel in het menu Snelkoppelingen hebt toegewezen.

Verwante onderwerpen

Snelkoppelingen in het navigatiedeelvenster maken


Kolommen weergeven

In dit venster kunt u verborgen kolommen opnieuw weergeven.

Het venster geeft aan welke kolommen zichtbaar zijn en welke niet. Als u niet zeker weet welke kolommen verborgen zijn, kunt u dit opzoeken in het venster Kolommen weergeven.

Verwante onderwerpen

Kolommen weergeven

Rijen hoger of smaller maken


Report Designer

De Report Designer is onderdeel van de Object Designer.

Met de Object Designer hebt u toegang tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV. In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Voorbeeld

Dit venster toont een afdrukvoorbeeld van de lijst.

U kunt in het venster Afdrukvoorbeeld naar de andere pagina's van de uitvoer bladeren, het afdrukvoorbeeld per pagina of per twee pagina's weergeven of in- en uitzoomen op de pagina.

Verwante onderwerpen

Afdrukvoorbeeld van lijsten bekijken

Lijsten afdrukken

Het afdrukresultaat van lijsten aanpassen


Profielen exporteren

In dit venster kunt u een profiel exporteren als een XML-bestand. In het tabblad Profiel kunt u kiezen welk profiel u wilt exporteren. In het tabblad Opties kunt u de locatie kiezen waar u het profiel wilt opslaan. Klik op de AssistButton om het dialoogvenster Exporteren naar XML-bestand te openen.


Afdrukvoorbeeld

Dit venster toont een afdrukvoorbeeld van de lijst.

Verwante onderwerpen

Afdrukvoorbeeld van lijsten bekijken

Lijsten afdrukken

Het afdrukresultaat van lijsten aanpassen


Dataport Designer

De Dataport Designer is onderdeel van de Object Designer.

Met de Object Designer hebt u toegang tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV. In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Koppelingen

Met deze functie kunt u informatie koppelen aan een bepaalde record in Microsoft Dynamics NAV.

U kunt koppelingen maken naar:

  • documenten

  • mappen

  • Websites

  • andere records in Microsoft Dynamics NAV

Klik op Bewerken, Koppelingen of klik op de knop Koppelingen op de werkbalk als u deze functie wilt gebruiken.

Verwante onderwerpen

Documenten, mappen of websites koppelen aan records in Microsoft Dynamics NAV


Overzicht

U gebruikt deze knop om een overzicht van alle items in het actieve venster weer te geven.

Als u bijvoorbeeld een klantenkaart bekijkt en op de knop Overzicht op de werkbalk klikt, verschijnt een venster met alle klanten. Met deze knop kunt u soortgelijke overzichten openen vanuit andere kaarten, alsmede vanuit inkoop- en verkoopdocumenten.


Hoofdmenu

U gebruikt deze knop om een bedrijf te openen of snel terug te keren naar het hoofdmenu. Als u hiermee een bedrijf opent, kunt u alleen kiezen uit de bedrijven in de huidige database.

Verwante onderwerpen

Bedrijven openen


Zoeken

In dit venster kunt u per venster gegevens opzoeken in bepaalde velden. U kunt de gezochte tekst ook vervangen.

U kiest Bewerken, Zoeken in het menu of u klikt op Zoeken op de werkbalk om deze functie te gebruiken.

Als u de optie Snelzoeken hebt ingesteld, kunt u ook in niet-bewerkbare velden of codevelden typen om de zoekfunctie te starten. U schakelt Snelzoeken in door Extra, Opties op de menubalk te kiezen en Ja in te voeren in het veld Snelzoeken.

Als u SQL Server Option gebruikt, is het veld Direct zoeken alleen beschikbaar in het venster Zoeken als u de database-eigenschap Direct zoeken toestaan hebt ingesteld bij het maken van de database of als u deze eigenschap later hebt gewijzigd. Als u deze eigenschap hebt ingesteld, kunt u de functie Direct zoeken in- en uitschakelen in het venster Zoeken.

Verwante onderwerpen

Snelzoeken


Vervangen

U gebruikt het venster Vervangen om de inhoud van een bepaald veld in een venster te vervangen. U kunt uitsluitend bewerkbare gegevens vervangen. Er verschijnt een foutbericht als u gegevens probeert te vervangen die niet mogen worden gewijzigd.

Herstel van de vervangen inhoud van een veld met Bewerken, Ongedaan maken is niet mogelijk.

Verwante onderwerpen

Bepaalde gegevens in een venster vervangen


Veldfilter

In dit venster kunt u een veldfilter instellen.

Verwante onderwerpen

Veldfilters gebruiken


Tabelfilter

In dit venster kunt u een tabelfilter instellen.

Verwante onderwerpen

Tabelfilters gebruiken


FlowFilter

In dit venster kunt u een FlowFilter instellen.

Verwante onderwerpen

FlowFilters gebruiken


Inzoomen

In de meeste vensters van Microsoft Dynamics NAV ziet u alleen een selectie van de velden die zijn opgeslagen in het weergegeven record. U kunt echter ook een weergave van het venster maken waarin alle velden zichtbaar zijn. U gebruikt de functie Inzoomen om te kijken welke velden er beschikbaar zijn. In het zoomvenster ziet u tevens de inhoud van alle velden van de huidige record (kaart of regel). Alleen FlowFields en bijbehorende inhoud worden niet weergegeven.

Als u velden in het venster wilt invoegen, gebruikt u de functie Extra, Designer Voor deze taak moet u bevoegd zijn om de ontwikkelomgeving C/SIDE te gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


New Report

Het venster New Report is onderdeel van de Object Designer.

Met de Object Designer hebt u toegang tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV. In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


New Form

Het venster New Form is onderdeel van de Object Designer.

Met de Object Designer hebt u toegang tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV. In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Reservekopie maken

In dit venster maakt u een reservekopie van de database.

Verwante onderwerpen

Reservekopieën

Reservekopieën maken

Reservekopieën van databases terugzetten


Reservekopie terugzetten

In dit venster kunt u een reservekopie van de database terugplaatsen in de huidige database.

Verwante onderwerpen

Reservekopieën van databases terugzetten


XMLport Designer

De XMLport Designer is onderdeel van de Object Designer.

In de XMLport Designer kunt u nieuwe XMLports maken en bestaande XMLports wijzigen.

Met de Object Designer hebt u toegang tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV. In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Events Designer

Met dit venster kunt u de events opgeven die worden gekoppeld aan de XMLport die u ontwerpt.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Page Designer

De Page Designer is onderdeel van de Object Designer.

Met de Object Designer hebt u toegang tot C/SIDE, de ontwikkelomgeving van Microsoft Dynamics NAV. In de ontwikkelomgeving kunt u de toepassing aanpassen of volledig nieuwe modules maken. Voor het gebruik van deze functie zijn speciale toegangsrechten vereist.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


De invloed van upgrades op uw menu's

Als u de menusuite gaan aanpassen, moet u bepalen welke strategie voor u het beste werkt:

  • De oorspronkelijke menu's aanpassen

  • Nieuwe menu's maken (door bijvoorbeeld de oorspronkelijke menu's te kopiëren)

U kunt oorspronkelijke menu's in de menusuite die afkomstig zijn van de leverancier van uw oplossing herkennen aan het symbool >> op de menuknop links van de menunaam. Bij een upgrade van de menusuite worden de oorspronkelijke menu's bijgewerkt en worden eventuele configuratiewijzigingen die u hebt aangebracht samengevoegd met de nieuwe menu's. Als u bijvoorbeeld een menuonderdeel hebt toegevoegd, maar de inhoud van de menugroep is gewijzigd na een upgrade, wordt dit menuonderdeel als laatste onderdeel toegevoegd aan de menugroep.

In sommige gevallen kunnen configuratiewijzigingen echter niet zonder meer worden samengevoegd. Als u bijvoorbeeld een menuonderdeel hebt toegevoegd aan een menugroep die na een upgrade niet langer deel uitmaakt van het menu, kan deze wijziging niet worden samengevoegd. Het menuonderdeel wordt dan in de groep Verloren onderdelen onder aan de menustructuur geplaatst. Na een upgrade kunt u de menuonderdelen in deze groep ergens anders in het huidige menu of in een ander menu invoegen of verwijderen. Als het menu voor de verloren onderdelen niet kan worden gevonden, wordt het menu Verloren onderdelen gemaakt. De groep en het menu Verloren onderdelen zijn niet zichtbaar voor gebruikers.

Nieuwe menu's die u zelf hebt gemaakt, worden niet beïnvloed door een upgrade. Als u hierin nieuwe menuonderdelen wilt opnemen die beschikbaar zijn gekomen na een upgrade, moet u deze handmatig aan uw menu's toevoegen.

Verwante onderwerpen

Menu's maken met Navigatiedeelvenster ontwerpen

Menu's bewerken met Navigatiedeelvenster ontwerpen


Menusuitebeheerders

Als u met Navigatiedeelvenster ontwerpen wilt werken, moet u zijn ingesteld als beheerder voor de MenuSuite-objecten van uw bedrijf. U moet basisontwerprechten voor het MenuSuite-object en alle rechten voor de MenuSuite-objecten van uw bedrijf hebben.

Verwante onderwerpen

Menu's bewerken met Navigatiedeelvenster ontwerpen

Menu's maken met Navigatiedeelvenster ontwerpen

Menu's aan gebruikers toewijzen

Menu's verwijderen uit Navigatiedeelvenster ontwerpen

Sneltoetsen voor het navigatiedeelvenster

De invloed van upgrades op uw menu's


Stand-by en slaapstand

Microsoft Dynamics NAV ondersteunt de stand-by- en slaapstandfuncties van Windows.

Stand-by

Als uw computer op stand-by wordt gezet, schakelt de hele computer zich in een lage-energiestand. Als uw computer op stand-by staat, zijn de monitor en vaste schijven uitgeschakeld en heeft uw computer een lager energieverbruik. Als u de computer weer wilt gebruiken, wordt de stand-bystand snel uitgeschakeld en keert u weer precies terug op uw bureaublad zoals u het hebt verlaten.

Stand-by is vooral handig als u het stroomverbruik wilt beperken in draagbare computers. Omdat met stand-by de status van uw bureaublad niet op schijf wordt opgeslagen, kunnen na een stroomstoring gegevens verloren gaan, als deze niet zijn opgeslagen.

Voordat uw computer in de slaapstand wordt gezet, worden alle gegevens die momenteel in het geheugen staan opgeslagen op de schijf en worden de monitor en de vaste schijf uitgeschakeld. Pas daarna schakelt de computer zichzelf uit. Zodra u uw computer weer activeert, wordt uw bureaublad precies hersteld zoals u het hebt verlaten.

Attentie

Het duurt langer om uw computer te herstellen uit de slaapstand dan uit de stand-bystand.

Afsluiten

Individuele werkstations kunnen op stand-by of in de slaapstand worden gezet nadat deze een bepaalde tijd niet actief zijn geweest. Het is ook mogelijk om de computer vanuit het dialoogvenster Windows afsluiten in op stand-by te zetten.

Windows kan echter niet in de slaapstand of op stand-by worden gezet als Microsoft Dynamics NAV bezig is met het volgende:

  • een transactie uitvoeren, bijvoorbeeld een bestelling plaatsen.

  • een lijst afdrukken.

  • een reservekopie maken

Uw computer kan in deze omstandigheden niet in de slaapstand worden gezet. Als u probeert vanuit het dialoogvenster Windows afsluiten de computer op stand-by te zetten, verschijnt er een venster met de mededeling dat Microsoft Dynamics NAV bezig is en dat u nog niet kunt afsluiten.

Als u op Annuleren klikt in dit venster, wordt het inschakelen van de slaapstand of stand-bystand geannuleerd. Als u dit venster negeert, wordt de computer in de slaapstand of op stand-by gezet nadat Microsoft Dynamics NAV de taak heeft voltooid.

Opnieuw starten

Wanneer u de computer opnieuw start terwijl deze op stand-by of in de slaapstand staat, wordt de computer gestart met het bureaublad precies zoals het was. Dezelfde Microsoft Dynamics NAV-vensters zijn geopend. De informatie in deze vensters is echter ook hetzelfde als voorheen, maar is niet noodzakelijk het meest recent.

Het venster wordt niet bijgewerkt totdat u het programma gebruikt en het venster activeert. Als u het werkstation opnieuw start terwijl het op stand-by of in de slaapstand staat, wordt er bovendien geen verbinding gemaakt met de server. De verbinding wordt pas gemaakt wanneer u Microsoft Dynamics NAV gebruikt.

Een laptopcomputer gebruiken

Als u een laptopcomputer gebruikt en deze sluit, wordt Windows afgesloten. Als de Microsoft Dynamics NAV-client actief is, wordt Windows echter gedwongen om te wachten met afsluiten tot de bewerking is voltooid. Wanneer u Windows opnieuw activeert, is de Microsoft Dynamics NAV-client hetzelfde gebleven.


Systeeminstellingen (Microsoft Dynamics NAV Database Server)

Onder de menu-opdracht Extra, Opties vindt u een overzicht van de systeeminstellingen. Wanneer u deze opdracht kiest, wordt het venster Opties geopend. In het venster vindt u de volgende systeeminstellingen:

Cache (KB)

Commitcache

Objectcache (KB)

TEMP-directory

Statusbalk

Schermen met ESC sluiten

Volledig selecteren

Snelzoeken

User Portal Pipe Name

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Systeeminstellingen (SQL Server)

Onder de menu-opdracht Extra, Opties vindt u een overzicht van de systeeminstellingen. Wanneer u deze opdracht kiest, wordt het venster Opties geopend. In het venster vindt u de volgende systeeminstellingen:

Objectcache (KB)

TEMP-directory

Statusbalk

Schermen met ESC sluiten

Volledig selecteren

Snelzoeken

User Portal Pipe Name

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Opdrachten in de menubalk

De menubalk van Microsoft Dynamics NAV bevat zes opdrachten:

Bestand

Bewerken

Beeld

Extra

Venster

Help

Zodra u een van deze opdrachten kiest, verschijnt een onderliggend menu met nieuwe menu-opdrachten. Klik op de gewenste opdracht in dit submenu.

Verwante onderwerpen

Knoppen

Knoppen op de werkbalk


Knoppen

Hoewel de knoppen op de werkbalk ook beschikbaar zijn als opdrachten in het menu, zijn ze makkelijker toegankelijk via de werkbalk.

In bijna alle vensters en dialoogvenster van het programma hebt u te maken met standaardknoppen. Dit zijn knoppen zoals OK, Ja en Nee.

Functieknoppen treft u in diverse vensters aan. Als u op een functieknop klikt, wordt een functie, batchproces of lijst uitgevoerd.

Menuknoppen, die u aan het neerwaarts gerichte driehoekje herkent, komt u in de meeste vensters tegen. Als u op een menuknop klikt, verschijnt een menu waarin u bijvoorbeeld een functie kunt kiezen, of een ander venster of submenu kunt openen.

Verwante onderwerpen

Knoppen op de werkbalk

Standaardknoppen in Microsoft Dynamics NAV


Batchverwerkingen

Een batchverwerking in Microsoft Dynamics NAV is een routine waarmee grote hoeveelheden gegevens tegelijk worden verwerkt. Een voorbeeld hiervan is de batchverwerking Wisselkoers herwaarderen.


Standaardknoppen in Microsoft Dynamics NAV

In bijna alle vensters en dialoogvensters van Microsoft Dynamics NAV komen standaardknoppen voor. Soms gebruikt u ze om een vraag te beantwoorden zodat u een bewerking kunt voortzetten. Hier volgt een overzicht van deze knoppen:

Knop: | Functie:
Ja | U beantwoordt een vraag met Ja. U doet dit bijvoorbeeld om een voorstel van het programma te bevestigen. Als u Ja kiest, wordt het venster gesloten en verdwijnt het bericht.
Nee | U beantwoordt een vraag met Nee. U doet dit bijvoorbeeld om een voorstel van het programma af te wijzen. Als u Nee kiest, wordt het venster gesloten en verdwijnt het bericht.
OK | Als u op OK klikt, geeft u aan dat het programma een opdracht moet uitvoeren of dat u een bericht hebt gelezen (zonder dat er een eventueel probleem wordt opgelost). Als u op OK klikt, wordt het venster met het bericht gesloten.
Annuleren | Als u op Annuleren klikt, herstelt of onderbreekt u een actie of een taak om de uitvoering ervan te voorkomen. Als u op Annuleren klikt, wordt het venster gesloten.
Stop | Als u op Stop klikt, wordt een bepaalde taak, zoals een batchverwerking, stopgezet. Het gedeelte van de taak dat al is uitgevoerd, wordt opgeslagen. Als u op Stop klikt, wordt het venster gesloten.
Toepassen | Als u op Toepassen klikt, wordt uw keuze in het venster actief zonder dat het venster wordt gesloten. Dit stelt u in staat aanvullende instellingen te verrichten. Gebruik deze knop als u verschillende keuzen wilt maken en het resultaat wilt zien voordat u dit definitief bevestigt met de knop OK.
Help | Als u op Help klikt, verschijnt de Help-tekst van een venster.
Opties | Als u op Opties klikt, verschijnt een nieuw venster waarin u aanvullende gegevens kunt selecteren.
Geavanceerd | Als u op Geavanceerd klikt, verschijnt een nieuw venster waarin u een bepaalde taak op een meer geavanceerde manier kunt uitvoeren. (Deze knop komt maar in beperkte mate voor.)


Cache (KB)

Cache-geheugen (of gewoon "cache") is de naam van een bepaalde gereserveerde ruimte in het geheugen van de computer - een ruimte waarin de gegevens tijdelijk worden opgeslagen, tot ze volledig zijn verwerkt. Vervolgens worden de gegevens via het commitcache-geheugen opgeslagen op de vaste schijf (of opgehaald). Op deze manier kunt u de snelheid van Microsoft Dynamics NAV verhogen.

Wanneer het cache-geheugen volledig is gevuld, wordt de oude informatie vervangen door nieuwe gegevens. Wanneer u de computer uitschakelt, gaan alle gegevens in het cache-geheugen verloren. In dat stadium is de informatie reeds op de vaste schijf vastgelegd.

De minimale grootte van het cache-geheugen is 100 KB. De maximumwaarde hangt af van het interne geheugen van de computer. De grootte van het cache-geheugen vindt u terug in het veld Cache (KB) onder Bestand, Database, Info.

U wijzigt deze instelling door Extra, Opties te kiezen, zodat het venster Opties verschijnt.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Systeeminstellingen onder SQL Server Option

Systeeminstellingen onder Microsoft Dynamics NAV Database Server


Commitcache

De vaste schijf vormt het minst snelle onderdeel van de computer. Tijdens het schrijven naar de schijf zal het venster niet altijd direct worden bijgewerkt zodat de gebruiker de indruk krijgt dat de toepassing traag is. U kunt deze situatie in Microsoft Dynamics NAV verbeteren door de parameter commitcache te gebruiken. Deze parameter zorgt ervoor dat schrijftransacties worden beëindigd zodra de gegevens zich logischerwijze in de database bevinden. Met andere woorden: nog voor de gegevens op de schijf zijn weggeschreven (of van de schijf zijn gehaald - beide richtingen zijn mogelijk). De schrijftransacties blijven in het commitcache-geheugen zitten tot er geen schijfactiviteit meer is, of tot het volledig vol zit. Op dat moment worden de gegevens op de schijf weggeschreven.

Met de opdracht Bestand, Database, Info kunt u zien of commitcache-geheugen wordt gebruikt (een vinkje in het veld betekent Ja).

U wijzigt deze instelling door Extra, Opties te kiezen, zodat het venster Opties verschijnt.

De volgende keer dat u de toepassing start, wordt de nieuwe instelling gebruikt. Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Systeeminstellingen onder Microsoft Dynamics NAV Server

Systeeminstellingen onder SQL Server Option


Objectcache

Net als het cachegeheugen verhoogt de objectcache de snelheid van Microsoft Dynamics NAV. Objecten zoals codes, omschrijvingen en vensters die op het werkstation worden gebruikt, worden in de objectcache opgeslagen. Dit betekent dat het werkstation deze objecten slechts éénmaal van de server hoeft op te halen. Het werkstation dient over voldoende geheugen te beschikken om deze objecten tijdens het gebruik op te slaan.

U wijzigt deze instelling door Extra, Opties te kiezen, zodat het venster Opties verschijnt.

Verwante onderwerpen

Systeeminstellingen onder SQL Server Option

Systeeminstellingen onder Microsoft Dynamics NAV Database Server


TEMP-directory

Wanneer Microsoft Dynamics NAV wordt uitgevoerd, wordt een aantal tijdelijke bestanden gemaakt. Deze bestanden worden automatisch verwijderd zodra u de toepassing afsluit. Standaard worden deze bestanden in de map TEMP opgeslagen, tenzij u hier een andere werkmap opgeeft. In dat geval geldt de opgegeven werkmap als standaardlocatie. U dient het volledige pad op te geven, inclusief station en alle mappen.

Als u onder Windows 2000 werkt, worden de tijdelijke bestanden voor elke afzonderlijke gebruiker opgeslagen in C:\Documents and Settings\User Settings\Temp, tenzij u hier een andere werkmap opgeeft.

Als u niet met Windows 2000 werkt, worden de tijdelijke bestanden in dezelfde map opgeslagen als de programmabestanden van Microsoft Dynamics NAV. Maar u kunt ook een andere werkmap opgeven.

U wijzigt deze instelling door Extra, Opties te kiezen, zodat het venster Opties verschijnt.

Verwante onderwerpen

Systeeminstellingen onder SQL Server Option

Systeeminstellingen onder Microsoft Dynamics NAV Database Server


Statusbalk

Voor ieder werkstation kunt u bepalen of de statusbalk onder aan het toepassingsvenster al dan niet wordt weergegeven. De statusbalk bevat de volgende informatie:

  • De volledige naam en de inhoud van het actieve veld

  • De werkdatum

  • De huidige gebruikers-id

  • Of er filters op de gegevens zijn toegepast (het woord FILTER verschijnt)

  • Of er een nieuw element wordt toegevoegd, zoals bijvoorbeeld een rekening (het woord NIEUW verschijnt)

  • Of u wel of niet in de invoegmodus werkt (respectievelijk INV of OVR)

Voor dergelijke zichtbare wijzigingen kunt u het beste de programma-eigenschap Id in combinatie met een instellingenbestand op uw eigen computer gebruiken. Op die manier gelden de gekozen instellingen alleen voor u.

U wijzigt de systeeminstellingen door Extra, Opties te kiezen, zodat het venster Opties verschijnt.

Verwante onderwerpen

Systeeminstellingen onder SQL Server Option

Systeeminstellingen onder Microsoft Dynamics NAV Database Server


Schermen met ESC sluiten

Met deze optie kunt u bepalen of het actieve venster moet worden gesloten wanneer u op ESC drukt.

Voor dergelijke zichtbare wijzigingen kunt u het beste de programma-eigenschap Id in combinatie met een instellingenbestand op uw eigen computer gebruiken. Op die manier gelden de gekozen instellingen alleen voor u.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Systeeminstellingen onder SQL Server Option

Systeeminstellingen onder Microsoft Dynamics NAV Database Server


Volledig selecteren

Hier kunt u bepalen of u alleen grafische objecten kunt selecteren indien deze volledig binnen het selectiekader vallen, of dat het voldoende is als de objecten de rand van het kader raken. Dit is vooral van belang voor ontwikkelaars (in de ontwikkelomgeving C/SIDE).

U wijzigt deze instelling door Extra, Opties te kiezen, zodat het venster Opties verschijnt.

Verwante onderwerpen

Systeeminstellingen onder SQL Server Option

Systeeminstellingen onder Microsoft Dynamics NAV Database Server


Snelzoeken

Deze instelling activeert een functie voor het snel opzoeken van gegevens. U typt een getal of een letter om gegevens op te zoeken in niet-bewerkbare velden. Bovendien kunt u de gehele naam van het gezochte element intypen. Zodra u een letter of getal invoert, wordt het zoekvenster automatisch geopend. De eerste rij waarin de door u gezochte zoekreeks voorkomt, wordt de actieve rij.

Als u SQL Server Option gebruikt, is het veld Direct zoeken alleen beschikbaar in het venster Zoeken als u de database-eigenschap Direct zoeken toestaan hebt ingesteld bij het maken van de database of als u deze eigenschap later hebt gewijzigd. Als u deze eigenschap hebt ingesteld, kunt u de functie Direct zoeken in- en uitschakelen in het venster Zoeken.

U wijzigt deze instelling door Extra, Opties te kiezen, zodat het venster Opties verschijnt.

Als de functie Snelzoeken niet is geactiveerd, kunt u het zoekvenster alleen openen met de opdracht Bewerken, Zoeken in de menubalk, of door op de knop Zoeken in de werkbalk te klikken.

Verwante onderwerpen

Systeeminstellingen onder SQL Server Option

Systeeminstellingen onder Microsoft Dynamics NAV Database Server


Sorteren

Met de sorteerfunctie van Microsoft Dynamics NAV kunt u snel een overzicht van de gegevens opvragen. U kunt bijvoorbeeld een grote hoeveelheid records van een klant als volgt sorteren:

  • Alleen op volgnummer.

  • Eerst op klantnummer en vervolgens op de datum voor elk klantnummer.

  • Op documentsoort en vervolgens op documentnummer voor elke documentsoort, en daarna op klantnummer voor elk documentnummer.

Elke sorteeroptie (of combinatie van sorteeropties) wordt een sleutel genoemd. U kunt alle sleutels voor een bepaalde tabel weergeven door Beeld, Sorteren te kiezen wanneer de cursor zich in een venster met de betreffende tabel bevindt.

U kiest Beeld, Sorteren in het menu of u klikt op Sorteren op de werkbalk om deze functie te gebruiken.

U kunt deze functie ook activeren door in lijsten op Sorteren te klikken.

Verwante onderwerpen

Andere sorteersleutel instellen


Databases aanpassen - tabblad Databasebestanden

Via het tabblad Databasebestanden kunt u de database vergroten. U kunt dit doen door een of meer van de bestanden waaruit de database bestaat te vergroten, of door nieuwe databasebestanden aan de database toe te voegen.

U kunt elk gegevensbestand vergroten of nieuwe gegevensbestanden toevoegen om de database te vergroten. Als er secundaire gegevensbestanden aanwezig zijn, hoeft u enkel het primaire gegevensbestand te vergroten wanneer de catalogus die dit bestand bevat te groot is geworden. Wanneer de catalogus te groot is geworden, kunnen er pas nieuwe SQL Server-objecten (zoals tabellen) worden gemaakt als u het primaire gegevensbestand vergroot.

Wanneer u secundaire gegevensbestanden gebruikt, kunt u niet meer ruimte creëren voor het opslaan van Microsoft Dynamics NAV-gegevens door het primaire gegevensbestand te vergroten. U kunt wel meer ruimte creëren voor het opslaan van gegevens door de secundaire gegevensbestanden met Microsoft Dynamics NAV-gegevens te vergroten. U kunt ook nieuwe secundaire gegevensbestanden toevoegen om meer gegevens te kunnen opslaan.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

De omvang van databasebestanden vergroten

Nieuwe databasebestanden toevoegen

Databases wijzigen onder SQL Server

Databases aanpassen - tabblad Algemeen

Databases wijzigen - tabblad Transactielogbestanden

Databases aanpassen - tabblad Sortering

Databases aanpassen - tabblad Opties

Databases aanpassen - tabblad Integratie

Databases aanpassen - tabblad Geavanceerd


Databases wijzigen - tabblad Transactielogbestanden

Op het tabblad Transactielogbestanden van het venster Database wijzigen kunt u de bestaande transactielogbestanden vergroten of nieuwe toevoegen, zodat er meer transacties kunnen worden uitgevoerd in de database. Het transactielogbestand blijft groeien zolang er nieuwe transacties worden uitgevoerd in de database. Het log wordt ingekort nadat er door SQL Server een reservekopie is gemaakt van een database of een transactielog.

U kunt ook bestaande transactielogbestanden verwijderen die leeg zijn. Het eerste transactielogbestand dat wordt vermeld, is het primaire bestand. Het primaire transactielogbestand kan niet worden verwijderd.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

De omvang van transactielogbestanden vergroten

Nieuwe transactielogbestanden toevoegen

Databases wijzigen onder SQL Server

Databases aanpassen - tabblad Algemeen

Databases aanpassen - tabblad Databasebestanden

Databases aanpassen - tabblad Sortering

Databases aanpassen - tabblad Opties

Databases aanpassen - tabblad Integratie

Databases aanpassen - tabblad Geavanceerd


Databases aanpassen - tabblad Sortering

U kunt ook de sortering wijzigen die wordt gebruikt door de database.

U moet de optie Eén gebruiker van de database instellen voordat u de sortering wijzigt.

Als u de databasesortering wijzigt, wijzigt u hiermee de sortering van alle objecten in de database, behalve van de tabellen waarvoor de eigenschap LinkedObject is ingesteld op Ja. Deze objecten moeten handmatig opnieuw worden gemaakt door ze bijvoorbeeld te scripten in de Enterprise Manager van SQL Server.

Als u de sortering wijzigt van een hoofdlettergevoelige in een niet-hoofdlettergevoelige of van een accentgevoelige in een niet-accentgevoelige, kunnen er dubbele items voorkomen in de primaire sleutels van de tabellen. Dubbele items kunnen worden veroorzaakt door de waarden van de tekengegevens die zijn opgeslagen in de primaire sleutels. Als er daadwerkelijk dubbele items aanwezig zijn, wordt er een foutbericht weergegeven en wordt de wijziging van de databasesortering geannuleerd. Het is daarom aan te raden deze kenmerken van een sortering niet te wijzigen.

Attentie

Het wijzigen van de sortering kan, afhankelijk van de omvang van de database en het aantal bedrijven in de database, lang duren omdat de systeemtabellen en alle gebruikerstabelindexen die tekengegevens bevatten, opnieuw moeten worden gebouwd.

Attentie

Het is mogelijk een database terug te zetten met een sortering die niet compatibel is met de huidige databasesortering. Wanneer dit gebeurt, worden uitgebreide tekens in gegevens onjuist weergegeven.

Verwante onderwerpen

Databases wijzigen onder SQL Server

Databases aanpassen - tabblad Algemeen

Databases aanpassen - tabblad Databasebestanden

Databases wijzigen - tabblad Transactielogbestanden

Databases aanpassen - tabblad Opties

Databases aanpassen - tabblad Integratie

Databases aanpassen - tabblad Geavanceerd


Databases aanpassen - tabblad Opties

Op het tabblad Opties van het venster Database aanpassen kunt u alle database-opties wijzigen die u bij de definitie van de database hebt ingesteld. Voordat u een databasetest uitvoert, moet u bijvoorbeeld de optie Eén gebruiker selecteren. Na afloop van de test dient u de optie uit te schakelen.

Dit tabblad bevat de volgende geavanceerde database-instellingen:

Toegang:

  • Members of db_owner, dbcreator or sysadmin: Als u deze optie selecteert, hebben alleen leden van de vaste databaserol db_owner, de vaste serverrol dbcreator of de vaste serverrol sysadmin toegang tot de database.

  • Eén gebruiker: Als u deze optie selecteert, kan de database slechts door één gebruiker tegelijkertijd worden gebruikt. Deze instelling is geschikt wanneer u beheerfuncties uitvoert, zoals het testen of herstellen van de database. Als u de toegang tot de database beperkt tot één gebruiker, in dit geval uzelf, weet u zeker dat de database niet wordt gewijzigd tijdens het testwerk. Vergeet niet deze instelling na afloop van uw werkzaamheden weer uit te schakelen.

Instellingen:

  • Herstelmodel

Deze instelling geeft aan welke informatie naar het transactie-logbestand wordt geschreven en bepaalt dus welk soort herstelmodel u voor deze database wilt gebruiken.

U hebt de volgende opties:

  • Bulk-Logged

  • Full

  • Simple

Bulk-Logged

Als u Bulk-Logged selecteert, bevat het transactielog alleen beperkte informatie over bepaalde grootschalige of bulkkopieerbewerkingen. Het herstelmodel Bulk-Logged combineert een beveiliging tegen mediastoringen met een optimale prestatie en minimale schijfruimte van het logbestand voor bepaalde grootschalige of bulkkopieerbewerkingen.

Het herstelmodel Bulk-logged kent de volgende strategie voor reservekopieën:

  • Database-reservekopieën.

  • Differentiële reservekopieën (optioneel).

Full

Als u de optie Full selecteert, worden alle details van elke transactie opgeslagen in het transactie-logbestand. Deze informatie kan worden gebruikt als u reservekopieën van het transactie-logbestand terugzet. Het herstelmodel Full werkt met reservekopieën van zowel de database als het transactie-logbestand om een volledige beveiliging tegen mediastoringen te krijgen. Als een of meer gegevensbestanden beschadigd raken, kunt u via een mediaherstel alle uitgevoerde transacties herstellen. Onvoltooide transacties worden teruggedraaid.

Met een volledige herstel kunt u de database herstellen naar het moment van de storing of naar een ander specifiek tijdstip. Alle bewerkingen, inclusief bulkbewerkingen zoals SELECT INTO, CREATE INDEX en het bulkladen van gegevens, worden volledig in het logbestand vastgelegd. Zo kan een volledig herstel van de database worden gegarandeerd.

Het herstelmodel Full kent de volgende strategie voor reservekopieën:

  • Database-reservekopieën.

  • Differentiële reservekopieën (optioneel).

  • Reservekopieën van transactielogbestanden.

De herstelmodellen Full en Bulk-Logged zijn vergelijkbaar. Veel gebruikers van het volledige herstelmodel zullen zo nu en dan ook het model Bulk-Logged gebruiken.

Simple

Als u de optie Simple selecteert, kunt u de database herstellen naar het punt van de laatste reservekopie. U kunt de database echter niet herstellen naar het moment van de storing of naar een ander specifiek tijdstip. Dit kan alleen als u het herstelmodel Full of Bulk-Logged kiest.

Het herstelmodel Simple kent de volgende strategie voor reservekopieën:

  • Database-reservekopieën.

  • Differentiële reservekopieën (optioneel).

  • ANSI NULL standaard: Hier kunt u aangeven dat de standaard database-instellingen voor NULL in kolomdefinities en gebruikergedefinieerde gegevenstypen moeten worden toegepast. Als u deze optie activeert, wordt NULL-invoer toegestaan voor alle gebruikergedefinieerde gegevenstypen of kolommen die niet expliciet als NOT NULL zijn ingesteld. Kolommen waarvoor beperkingen zijn opgegeven, volgen de beperkende voorwaarden, ongeacht de hier ingestelde waarde.

  • Recursieve triggers: Triggers kunnen direct of indirect recursief zijn. Directe recursie vindt plaats als een trigger reageert en een handeling uitvoert waardoor dezelfde trigger wordt geactiveerd. Indirecte recursie vindt plaats als een trigger reageert en een handeling uitvoert waardoor een trigger op een andere tabel wordt geactiveerd. De tweede trigger werkt de oorspronkelijke tabel bij, waardoor de eerste trigger weer wordt geactiveerd.

  • Automatisch verkleinen: hier kunt u aangeven of SQL Server met regelmatige tussenpozen gegevensbestanden en transactie-logbestanden mag verkleinen.

  • Afgebroken pagina's herkennen: als u deze optie activeert, spoort SQL Server onvolledige Input/Output-bewerkingen op die zijn veroorzaakt door het uitvallen van het systeem (bijvoorbeeld door stroomstoringen).

  • Deze fouten worden gewoonlijk opgemerkt als u SQL Server opnieuw opstart na bijvoorbeeld een stroomstoring. U dient in dat geval een reservekopie van de database en eventuele reservekopieën van transactie-logbestanden terug te zetten.

  • Direct zoeken toestaan: hiermee bepaalt u of de optie Direct zoeken beschikbaar is wanneer u de functie Zoeken gebruikt om een post in een tabel of formulier te zoeken. De functie Direct zoeken kan een negatief effect op de prestaties hebben omdat voor elk getypt teken een aanvraag naar de server wordt verzonden.

Als u op OK klikt, worden de gegevens opgeslagen. U kunt nu verder werken in de database.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases wijzigen onder SQL Server

Databases aanpassen - tabblad Algemeen

Databases aanpassen - tabblad Databasebestanden

Databases aanpassen - tabblad Transactie-logbestanden

Databases aanpassen - tabblad Sortering

Databases aanpassen - tabblad Integratie

Databases aanpassen - tabblad Geavanceerd


Database-informatie - tabblad Database

Op dit tabblad vindt u informatie over de database waarmee u werkt. U ziet de naam van de database boven in het venster.

Een database kan uit verschillende bestanden bestaan. Klik rechts naast het veld Database op de AssistButton om de bestandsnamen en bijbehorende omvang te bekijken. (Als u Extra, Inzoomen kiest in de menubalk van dit venster, ziet u meer details over de database. Deze gegevens kunt u gebruiken voor verschillende statistische doeleinden.)

Het tabblad Database bevat tevens de volgende informatie:

  • Welk percentage van de totale databaseruimte wordt gebruikt. Deze waarde mag niet hoger zijn dan 90%. Anders moet u de database overeenkomstig uitbreiden. U doet dit via Bestand, Database, Uitbreiden.

  • De totale omvang van de database en welk percentage dit is van de maximale omvang die u mag gebruiken.

  • De maximale omvang van de database volgens de licentie.

  • Of er cachegeheugen is toegewezen in het systeem en zo ja, hoeveel. U kunt cachegeheugen toewijzen met de programma-eigenschap cache. Via deze instelling kunt u het programma sneller laten werken.

  • Of de commitcache is ingeschakeld. (Dit is het geval als het selectievakje is ingeschakeld.) U kunt commitcache toewijzen met de programma-eigenschap commitcache. Via deze instelling kunt u het programma sneller laten werken.

  • Of er objectcachegeheugen is toegewezen in het systeem en zo ja, hoeveel. Objectcachegeheugen wordt alleen op werkstations gebruikt en bestuurt aldus de lokale snelheid van het programma. U kunt de objectcache opgeven in het veld Objectcache onder Extra, Opties.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-informatie - tabblad Verbinding

Database-informatie - tabblad Sessies


Database-informatie - tabblad Verbinding

Op dit tabblad kunt u zien of de gebruikte database zich op uw werkstation of op een server bevindt. Als de database op een server is opgeslagen, ziet u tevens de naam van de server en het netwerkprotocol dat wordt gebruikt voor de communicatie met de server. De communicatie verloopt niet goed wanneer de servernaam of het netwerktype niet klopt.

U kunt deze instellingen wijzigen via de programma-eigenschappen servernaam en nettype of door Bestand, Database, Openen te kiezen en de juiste server en het correcte netwerktype in te stellen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-informatie - tabblad Database

Database-informatie - tabblad Sessies


Database-informatie - tabblad Sessies

Op dit tabblad ziet u in het veld Maximaal aantal sessies hoeveel sessies gelijktijdig zijn toegestaan voor de database. Wanneer u dit aantal wilt vergroten, moet u contact opnemen met uw leverancier.

Boven dit veld ziet u hoeveel sessies (actieve Microsoft Dynamics NAV-programma's) er momenteel verbonden zijn met de database. U ziet zowel een cijfer als een percentage: het percentage geeft de verhouding van het huidige tot het maximale aantal sessies weer. Op ieder werkstation kunnen meerdere sessies tegelijk worden uitgevoerd.

Als u op de AssistButton rechts van het veld Huidige sessies klikt, verschijnt het venster Databasesessies met een overzicht van alle sessies die momenteel met de database zijn verbonden. In het venster Databasesessies ziet u eveneens op welk tijdstip elke gebruiker zich heeft aangemeld. Elke regel staat voor één aanmelding. Een gebruiker kan dus meerdere malen voorkomen als hij of zij verschillende sessies achter elkaar heeft gestart. Bij de sessie waarin u momenteel werkt, wordt het veld Mijn sessie ingeschakeld.

In het veld Tijd inactief ziet u hoeveel tijd is verstreken sinds de server het laatste databaseverzoek heeft ontvangen van elke sessie. Als dit veld leeg is, wordt in de sessie momenteel een databaseverzoek uitgevoerd. Dit kan een langlopend databaseverzoek zijn, zoals de wijziging van een tabelontwerp.

Beheerders kunnen een van de sessies annuleren door de desbetreffende regel te selecteren en deze te verwijderen. De verbinding tussen de gebruiker en de server wordt vervolgens verbroken. De gebruiker moet het programma opnieuw starten om verder te kunnen werken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-informatie - tabblad Database

Database-informatie - tabblad Verbinding


Tabellen

De gegevens die u invoert in Microsoft Dynamics NAV worden opgeslagen in tabellen. De gegevens uit één tabel kunnen in verschillende vensters van het programma worden weergegeven.

Als u Help opvraagt in een venster waarvoor geen Help beschikbaar is, verschijnt de Help van de onderliggende tabel. De Help voor tabellen is toegankelijk vanuit de inhoudsopgave, de index of via de zoekfunctie.


FlowFilters

Microsoft Dynamics NAV beschikt over speciale velden die FlowFields worden genoemd. Dit zijn velden waarvan de inhoud steeds wordt aangepast omdat de veldwaarde opnieuw wordt berekend zodra u een venster met een FlowField opent. U gebruikt FlowFilters om te bepalen welke gegevens worden betrokken bij de berekening van FlowField-waarden.

FlowFields worden gebruikt voor de weergave van bedragen en aantallen die altijd een actuele status hebben. De berekening kan gebeuren op basis van gegevens die afkomstig zijn uit andere tabellen dan de tabel met het FlowField.

Het veld Saldo in de tabel Grootboekrekening is bijvoorbeeld een FlowField. U ziet dit veld op de kaart van de grootboekrekening, hoewel de saldogegevens afkomstig zijn uit de tabel met geboekte grootboekposten. Zo is de inhoud van het veld Saldo op een klantenkaart gebaseerd op de gegevens in de tabel Klantenpost, enz.

In de tabellen Grootboekrekening, Klant, Leverancier en Artikel kunt u immers alleen de basisgegevens zoals adressen, codes, enzovoort wijzigen. Alle financiële gegevens in deze tabellen worden weergegeven in FlowFields, die u niet rechtstreeks kunt wijzigen. Deze gegevens worden berekend op basis van gegevens in tabellen met geboekte posten. U wijzigt de informatie in deze tabellen alleen door posten te boeken.

De inhoud van FlowFields wordt automatisch berekend. Met de functie Beeld, FlowFilter kunt u een tijdelijk filter instellen om de berekening alleen te baseren op een selectie van gegevens uit andere tabellen. Hiertoe definieert u een FlowFilter in het venster waarin het resultaat van de berekening wordt weergegeven (het resultaat van de berekening voor het veld Saldo verschijnt bijvoorbeeld op de klantenkaart). Deze filter wordt vervolgens gebruikt bij de berekening van totalen voor de posten in de postentabel (in dit geval de tabel Klantenpost).

Verwante onderwerpen

FlowFilters gebruiken


Database-informatie - tabblad Database

Op dit tabblad vindt u informatie over de huidige database. U ziet de naam van de database boven in het venster.

Hier kunt u de volgende gegevens bekijken over de huidige database:

  • De naam van de server waarop de database is opgeslagen

  • De naam van de huidige database

  • De hoeveelheid ruimte die wordt gebruikt in de database

  • Welk percentage van de totale databaseruimte momenteel wordt gebruikt

  • De totale omvang van de database

  • Hoeveel ruimte er is toegewezen aan de objectcache

  • Het netwerktype dat wordt gebruikt

Een database kan worden opgebouwd uit meerdere bestanden. U kunt deze bestanden weergeven door te klikken op de AssistButton rechts van het veld Databasenaam. Het venster Databasebestanden verschijnt. Hierin worden de naam en de omvang van de gegevensbestanden weergegeven (maar niet van de transactielogbestanden).

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-informatie - tabblad Sessies - SQL Server Option


Database-informatie - tabblad Sessies

Op dit tabblad kunt u de volgende gegevens bekijken over sessies:

  • Huidige sessies: in dit veld wordt weergegeven hoeveel Microsoft Dynamics NAV-, C/FRONT- en C/ODBC-sessies momenteel verbinding hebben met de server. U ziet zowel een cijfer als een percentage: het percentage geeft de verhouding van het huidige tot het maximale aantal sessies weer.

  • Maximaal aantal sessies: in dit veld wordt het maximumaantal Microsoft Dynamics NAV-, C/FRONT- en C/ODBC-sessies weergegeven dat verbinding kan hebben met de server. Als u er meer nodig heeft, gaat u naar uw Microsoft Certified Partner.

Op elk werkstation kunnen meerdere sessies tegelijk worden uitgevoerd. Klik op de AssistButton rechts van het veld Huidige sessies om het venster Databasesessies te openen. Hier kunt u details bekijken van alle sessies die verbinding hebben met de server. Elke regel staat voor één SQL Server-verbinding. Er kunnen meerdere regels per gebruiker voorkomen, als de gebruiker meerdere sessies heeft opgestart. Bij de sessie waarin u momenteel werkt, is het veld Mijn sessie ingeschakeld.

In het veld Tijd inactief ziet u hoeveel tijd is verstreken sinds de server het laatste databaseverzoek heeft ontvangen van elke sessie. Als dit veld leeg is, wordt in de sessie momenteel een databaseverzoek uitgevoerd. Dit kan een langlopend databaseverzoek zijn, zoals de wijziging van een tabelontwerp.

Beheerders kunnen een van de sessies annuleren door de desbetreffende regel te selecteren en deze te verwijderen. De verbinding tussen de gebruiker en de server wordt vervolgens verbroken. De gebruiker moet het programma opnieuw starten om verder te kunnen werken. De beheerder moet de SQL Server-rol sysadmin of processadmin hebben.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Database-informatie - tabblad Database - SQL Server Option


Lijsten in Microsoft Dynamics NAV

Een lijst in Microsoft Dynamics NAV is een uittreksel van databasegegevens. Hoewel er een groot aantal standaardlijsten zijn, kunt u de ingebouwde Report Designer gebruiken om nieuwe lijsten te maken of standaardlijsten te wijzigen.

Verwante onderwerpen

Lijsten afdrukken

Afdrukvoorbeeld van lijsten bekijken

Lijsten aanpassen

Andere printers selecteren

Lijsten opslaan als HTML


Procedures

In Microsoft Dynamics NAV Help worden ook procedures beschreven. Deze procedurele Help laat zien hoe u taken uitvoert. Er zijn bijvoorbeeld procedures voor de wijze waarop u facturen boekt en klantenkaarten instelt.

De procedurele Help is toegankelijk vanuit de inhoudsopgave, de index of via de zoekfunctie. U kunt deze Help ook vinden onder Verwante onderwerpen in de Help voor een venster.


Databases aanpassen - tabblad Integratie

Het tabblad Integratie bevat database-instellingen die bepalen hoe Microsoft Dynamics NAV met SQL Server en externe hulpprogramma's wordt geïntegreerd. U kunt deze opties later wijzigen.

Het tabblad bevat de volgende database-instellingen:

Objecten

  • Views bijwerken: met deze instelling bepaalt u of door SQL Server een weergave wordt gemaakt en bijgehouden van elke taal-id die wordt toegevoegd aan een tabel of een veld in Microsoft Dynamics NAV.

    Als u deze optie inschakelt kunnen externe hulpprogramma's de eigenschap Bijschrift ML van elk object via de SQL-weergaven ophalen in de vereiste taal, en hoeft niet per se de objectnaam uit de tabel te worden gebruikt.

  • Relaties onderhouden: met deze instelling bepaalt u of door SQL Server een externe sleutelrestrictie wordt gemaakt of bijgehouden voor elke TableRelation-eigenschap van een Microsoft Dynamics NAV-tabel.

Als u deze optie selecteert, krijgen externe hulpprogramma's toegang tot de bestaande tabelrelaties (externe sleutelrestricties) tussen Microsoft Dynamics NAV-tabellen. Deze relaties zijn uitgeschakeld omdat ze uitsluitend bedoeld zijn voor modellering en niet voor de handhaving van de gegevensintegriteit.

  • Synchroniseren: Deze instelling is gekoppeld aan de instelling Relaties onderhouden en is alleen actief als u hebt bepaald dat de tabelrelaties op SQL Server worden gemaakt en onderhouden.

Deze optie is alleen beschikbaar als er tabelrelatiefouten optreden tijdens het herstellen van een database of het importeren van objecten in een database. De tabelrelatiefouten kunnen worden opgelost door bijvoorbeeld de tabelrelaties te verwijderen die naar niet-bestaande tabellen verwijzen en vervolgens deze optie te gebruiken om de tabelrelaties te synchroniseren met SQL Server.

Als er tabelrelatiefouten optreden tijdens het herstellen van een database, wordt de herstelbewerking niet afgebroken.

  • Standaardwaarden bijwerken: Met deze instelling bepaalt u of door SQL Server standaardrestricties worden gemaakt en bijgehouden voor elk veld in een Microsoft Dynamics NAV-tabel. Als u deze optie selecteert, kunnen de standaardrestricties door externe hulpprogramma's worden gebruikt om gegevens in Microsoft Dynamics NAV-tabellen in te voegen of bestaande gegevens te wijzigen.

  • Identifiers converteren: Met deze instelling kunt u ongeldige tekens in de naam van alle SQL Server-objecten (tabellen, kolommen, beperkende voorwaarden) in de database selecteren en toewijzen aan het onderstrepingsteken. Het veld Karakters verwijderen bevat een overzicht van de tekens die worden omgezet in onderstrepingstekens. U kunt deze lijst aanpassen.

Als u de tekens hebt omgezet, moet u de database eerst sluiten en opnieuw openen voordat u de nieuwe identifiers kunt gebruiken.

Licentie

  • Licentie in database opslaan: Met deze instelling kunt u aangeven dat het licentiebestand in de database is opgehaald en opgeslagen en niet op de server hoeft te worden gezocht. Dit is handig wanneer één server als host optreedt voor verschillende databases met afzonderlijke licentiebestanden.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases wijzigen onder SQL Server

Databases aanpassen - tabblad Algemeen

Databases aanpassen - tabblad Databasebestanden

Databases aanpassen - tabblad Transactie-logbestanden

Databases aanpassen - tabblad Sortering

Databases aanpassen - tabblad Opties

Databases aanpassen - tabblad Geavanceerd


E-mail

Als het programma is geïntegreerd met een e-mailsysteem, kunt u op deze knop klikken om een venster te openen waarin u een bericht kunt maken en verzenden. Als u een adres hebt ingevoerd in het veld E-mail, wordt dit adres automatisch ingevoerd in het veld Aan.... .


Code Coverage

Met het hulpprogramma Code Coverage kunt u controleren welke code door een bepaalde functie wordt gebruikt. Dit hulpprogramma werkt op ongeveer dezelfde wijze als de debugger en bevat daarom eventuele beperkingen die in de debugger voorkomen.

Programmeurs kunnen met dit hulpprogramma het codegebruik bijhouden bij het aanpassen van Microsoft Dynamics NAV. Het bijhouden van code geeft een overzicht van de code die wordt uitgevoerd in een gebruiksscenario.

U gebruikt het hulpprogramma Code Coverage in plaats van of in combinatie met de C/AL-debugger. Het bijhouden van code geeft programmeurs een snel overzicht, terwijl het stap-voor-stap debuggen erg lang kan duren. Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Codegebruik bijhouden


Databases aanpassen - tabblad Geavanceerd

Het tabblad Geavanceerd bevat een aantal instellingen waarmee u kunt bepalen hoe vergrendeling in de database wordt verwerkt.

Het tabblad bevat de volgende instellingen:

Vergrendelen

  • Time-out van vergrendeling: met deze instelling kunt u opgeven of een sessie wacht met het vergrendelen van een resource die al door een andere sessie is vergrendeld.

  • Duur time-out (sec): met deze instelling kunt u opgeven hoeveel tijd er maximaal verstrijkt voordat een sessie een resource vergrendelt die al door een andere sessie is vergrendeld. De standaardwaarde is 10 seconden. U kunt deze waarde wijzigen.

Als deze optie niet wordt ingeschakeld, wordt er geen vergrendeling toegepast.

  • Altijd regels vergrendelen: met deze instelling kunt u instellen dat in Microsoft Dynamics NAV altijd vergrendeling op regelniveau wordt toegepast in plaats van op pagina- en tabelniveau.

Beveiliging

  • Model Met deze instelling kunt u opgeven of voor deze database het normale of het uitgebreide beveiligingsmodel moet worden gebruikt.

De standaardinstelling is Uitgebreid.

In cache opslaan

  • Record instellen: met deze instelling kunt u opgeven hoeveel records er in de cache worden opgeslagen wanneer er in Microsoft Dynamics NAV een FINDSET-bewerking wordt uitgevoerd waarbij de parameter ForUpdate is ingesteld op FALSE.

Als een FINDSET-instructie meer records leest dan het aantal dat hier is opgegeven, worden er aanvullende SQL-instructies verzonden naar de server waardoor de prestaties afnemen. Als u hier een hogere waarde invult, verbruikt de client meer geheugen om elke FINDSET-instructie te ondersteunen.

De standaardinstelling is 500.

Verwante onderwerpen

Databases wijzigen onder SQL Server

Databases aanpassen - tabblad Algemeen

Databases aanpassen - tabblad Databasebestanden

Databases wijzigen - tabblad Transactielogbestanden

Databases aanpassen - tabblad Sortering

Databases aanpassen - tabblad Opties

Databases aanpassen - tabblad Integratie


Microsoft Dynamics NAV Database Server uitvoeren als een service

Als u Microsoft Dynamics NAV Database Server of Microsoft Dynamics NAV Application Server als een service installeert, wordt een NT Autoriteit\Netwerkservice-account toegewezen als het besturingssysteem deze account ondersteunt.

Als u Microsoft Dynamics NAV Database Server als een service wilt uitvoeren of de opdrachtregelparameter installasservice wilt gebruiken wanneer u de server start, moet u ervoor zorgen dat de service wordt uitgevoerd als de NT Autoriteit\Netwerkservice-account. De NT Autoriteit\Netwerkservice-account bestaat alleen op Windows XP en Windows Server 2008. Als u Windows Server 2008 heeft, moet u een account maken met zo min mogelijk rechten voor de service, anders wordt er een Local System-account toegewezen. Deze account mag maximaal dezelfde rechten hebben als de normale gebruikersaccount of een domeinaccount zijn die noch in het domein, noch op een lokale computer beheerder is.

U moet de NT Authoriteit\Netwerkservice-account of de gebruikersaccount waaronder de server wordt uitgevoerd schrijfrechten geven voor de databasebestanden om ervoor te zorgen dat de gebruikers verbinding kunnen maken met de database.

Als u de NT Authoriteit\Netwerkservice-account lees- en schrijftoegang wilt geven tot een databasebestand op Windows XP, gaat u als volgt te werk:

  1. Navigeer in Windows Verkenner naar de map die het databasebestand bevat.
  2. Selecteer het databasebestand, klik er met de rechtermuisknop op en klik vervolgens op Eigenschappen.
  3. Klik op het tabblad Beveiliging van het venster Eigenschappen en klik vervolgens op Toevoegen bij het veld Groeps- en gebruikersnaam.
  4. Geef Network service op in het venster Gebruikers, computers of groepen selecteren en klik op OK.
  5. NETWORK SERVICE is toegevoegd aan het veld Groeps- en gebruikersnaam in het venster Eigenschappen.
  6. Selecteer NETWORK SERVICE in het veld Toegangsrechten en wijs hieraan lees- en schrijfrechten toe.

Microsoft Dynamics NAV Application Server

De Microsoft Dynamics NAV Application Server-service wordt standaard uitgevoerd als de NT Autoriteit\Netwerkservice-account, waardoor er toegang kan worden verkregen tot Microsoft Dynamics NAV Database Server als beide services op dezelfde computer zijn geïnstalleerd. In een netwerk moet u er echter voor zorgen dat de Microsoft Dynamics NAV Application Server-service wordt uitgevoerd als een Windows-domeinaccount die wordt herkend door Microsoft Dynamics NAV Database Server, als u wilt dat deze toegang heeft tot de databaseserver. Deze account mag noch in het domein, noch op een lokale computer beheerder zijn.


Afbeeldingen invoegen

In de meeste kaartvensters (zoals een artikelkaart of een medewerkerskaart) kunt u een gedigitaliseerde afbeelding (ofwel een figuur met de bestandsindeling .BMP) invoegen. Het veld Afbeelding ontbreekt in de standaardindeling van sommige kaartvensters (zoals de klantenkaart en leverancierskaart). U kunt het veld echter toevoegen met de ontwerpfunctie. De onderstaande procedure is voor artikelen, maar kan onveranderd op alle kaartvensters worden toegepast.

Een afbeelding invoegen:

  1. Open het venster [image] Artikel om het relevante kaartvenster weer te geven.

  2. Klik op Artikel, Afbeelding. Het venster Afbeelding artikel verschijnt.

  3. Klik op Afbeelding, Importeren. Er verschijnt een dialoogvenster waarin u het afbeeldingsbestand kunt selecteren.

  4. Selecteer het station, het pad en de bestandsnaam van het .BMP-bestand en klik op OK om de afbeelding te importeren.

Opmerking

Als u een afbeelding naar een afzonderlijk bestand wilt kopiëren, kiest u Afbeelding, Exporteren. Selecteer het station, het pad en de naam van het bestand waarnaar u de afbeelding wilt exporteren.


Controlelijsten bekijken alvorens te boeken

U kunt een controlelijst afdrukken voordat u een dagboek boekt. Een controlelijst toont alle dagboekregels en meldt daarnaast eventuele fouten of ontbrekende gegevens. U kunt het probleem dan oplossen voordat u het dagboek boekt.

Een controlelijst afdrukken alvorens te boeken:

  1. Vul een dagboek in.

  2. Kies Boeken, Controlelijst om een controlelijst met de dagboekregels te openen.

Attentie

De afdruk van een controlelijst is niet verplicht. Als u de boeking echter direct uitvoert, moet u misschien verschillende fouten corrigeren. U krijgt deze foutmeldingen dan een voor een te zien tijdens de controle van de dagboekregels voorafgaand aan de boeking.


Opmaakmodellen voor gegevensexport beheren

U kunt gegevens vanuit kaartvensters en lijsten in Microsoft Dynamics NAV exporteren naar andere programma's, zoals Microsoft Office Word of Excel.

De gegevens worden geëxporteerd als een XML-bestand en het bestand wordt opgemaakt met een opmaakmodel dat is geïmporteerd in Microsoft Dynamics NAV.

U gebruikt het venster [image] Opmaakmodellen beheren om opmaakmodellen te importeren en exporteren en om de lijst met opmaakmodellen weer te geven. Wijzigingen die u in dit venster aanbrengt, gelden voor alle gebruikers van de database.

Er worden bij Microsoft Dynamics NAV standaardopmaakmodellen geïnstalleerd, waarmee alle formulieren naar Word of Excel kunnen worden geëxporteerd. U moet een nieuw opmaakmodel importeren als u wilt exporteren naar een ander programma. U kunt ook opmaakmodellen die speciaal voor een bepaald formulier zijn gemaakt, importeren in Microsoft Dynamics NAV.

Opmaakmodellen importeren:

  1. Klik op Extra, Opmaakmodellen beheren op de menubalk.

  2. Doe het volgende in het veld Weergeven:

Als het opmaakmodel geldt voor | dan
alle formulieren | selecteer: Opmaakmodellen die voor alle schermen gelden
een specifiek formulier | selecteer: Opmaakmodellen die alleen voor dit scherm gelden en vul vervolgens het veld Schermnr. in. U kunt op de AssistButton [image] in het veld klikken om een keuze te maken uit een lijst met schermen.

  3. Klik op Functies, Importeren.

  4. Klik in het veld Opmaakmodel op de AssistButton [image] en blader naar het opmaakmodelbestand.

  5. Geef in het veld Naam een beschrijving op van waarvoor het opmaakmodel wordt gebruikt. U ziet deze naam als u een opmaakmodel selecteert voor het exporteren van gegevens.

  6. Klik in het veld Verzenden naar programma op de AssistButton [image] en selecteer het programma waarvoor het opmaakmodel is ontworpen. Klik op OK.

  7. Klik in het venster Opmaakmodel importerenop OK.

Het opmaakmodel wordt nu weergegeven in het venster Opmaakmodellen beheren en u kunt het selecteren als u een scherm exporteert door op Verzendopties Verzendopties te klikken.

Opmaakmodellen verwijderen

U kunt een opmaakmodel verwijderen door de regel te verwijderen uit het venster Opmaakmodellen beheren. Het bestand wordt verwijderd uit de database en u kunt het opmaakmodel niet meer selecteren.

Opmaakmodellen exporteren

Als u een opmaakmodel wilt exporteren naar een .xslt-bestand, selecteert u het desbetreffende opmaakmodel in het venster Opmaakmodellen beheren en klikt u op Functies, Exporteren.

Verwante onderwerpen

Gegevens naar een ander programma verzenden


Kaarten maken met behulp van gegevenssjablonen

Kaarten bevatten hoofdgegevens voor databaserecords die bedrijfsaccounts zoals artikelen, leveranciers en klanten vertegenwoordigen. Een artikelkaart bevat bijvoorbeeld alle benodigde informatie om het artikel op te slaan, te onderhouden en te verhandelen.

Elke record kan worden gebaseerd op een aantal gegevenssjablonen die verschillende kenmerken van de betreffende bedrijfsaccount aangeven. Artikelkaarten kunnen bijvoorbeeld worden gebaseerd op een sjabloon Groothandel of een sjabloon Productie. De gegevenssjablonen worden tijdens de eerste bedrijfsinstelling in de database geïmporteerd met behulp van de RIM-toolkit (Rapid Implementation). U kunt gegevenssjablonen gebruiken om snel nieuwe accountkaarten te maken.

Een kaart maken met behulp van een gegevenssjabloon:

  1. Open, bijvoorbeeld, het venster Artikelen.

  2. Klik op Nieuw om een nieuwe lege artikelkaart te maken.

  3. Laat het veld Nr. automatisch invullen met een nummer uit de artikelkaartnummerreeks.

  4. Klik op Sjabloon toepassen.

  5. Selecteer in het venster Gegevenssjabloonoverzicht de juiste sjabloon, bijvoorbeeld Groothandelartikel, en klik vervolgens op OK.

De velden op de artikelkaart worden ingevuld met alle standaardwaarden van de sjabloon en kunnen zo nodig worden gewijzigd.


Menu's bewerken met Navigatiedeelvenster ontwerpen

Als u een menusuitebeheerder bent, kunt u met Navigatiedeelvenster ontwerpen de menu's in het navigatiedeelvenster bewerken. Als u geen ontwerprechten hebt, kunt u het navigatiedeelvenster aanpassen.

In de volgende procedure wordt beschreven hoe u een bestaand menu bewerkt. Dit kan een menu zijn dat u hebt ontvangen van de leverancier van uw oplossing, of een menu dat u zelf hebt gemaakt.

Menu's bewerken met Navigatiedeelvenster ontwerpen:

  1. Klik op Navigatiedeelvenster ontwerpen in het menu Extra.

  2. Klik op de menuknop van het menu dat u wilt bewerken.

  3. Klik met de rechtermuisknop om de bewerkingsopties weer te geven:

Weergeven De naam van een menuknop, menugroep of menuonderdeel wijzigen

    1. Klik met de rechtermuisknop op de menuknop, menugroep of het menuonderdeel en klik op Naam wijzigen. De cursor verschijnt in een invoervak.

    2. Typ de naam die u wilt weergeven. Druk op ENTER om de wijziging toe te passen.

Weergeven Een nieuwe menugroep maken of een menuonderdeel invoegen

Een nieuwe menugroep maken:

    1. Klik met de rechtermuisknop op een onderdeel in de menugroep waaraan u een nieuwe groep wilt toevoegen en klik op Groep maken. De nieuwe groep verschijnt onder aan de menugroep.

    2. Typ de naam van de nieuwe menugroep. Druk op ENTER om de wijziging toe te passen.

Een nieuw menuonderdeel invoegen:

    1. Klik met de rechtermuisknop op een onderdeel in de menugroep waaraan u een nieuw onderdeel wilt toevoegen en klik op Onderdelen invoegen.

    2. Schakel in het veld Invoegen de menuonderdelen in die u wilt toevoegen en klik op OK. De menuonderdelen worden nu aan de menugroep toegevoegd.

Weergeven Een menugroep of menuonderdeel verwijderen

Een menuonderdeel verwijderen:

    • Klik met de rechtermuisknop op het onderdeel en klik op Verwijderen. Het onderdeel wordt uit het menu verwijderd, maar kan later weer worden toegevoegd.

Een menugroep verwijderen:

    • Klik met de rechtermuisknop op de groep en klik op Verwijderen. De menugroep en de bijbehorende menuonderdelen worden uit het menu verwijderd.

Weergeven Een menuknop, menugroep of menuonderdeel omhoog of omlaag verplaatsen

Klik met de rechtermuisknop op een menuknop, menugroep of menuonderdeel en klik op Omhoog of Omlaag als u de knop, groep of het onderdeel wilt verplaatsen.

Attentie

Met deze methode kunt u een onderdeel alleen verplaatsen binnen de groep waartoe het onderdeel behoort. Als u een onderdeel naar een andere groep wilt verplaatsen, moet u het onderdeel knippen en plakken.

Weergeven Een menugroep naar een ander menu kopiëren

Een menugroep naar een ander menu kopiëren:

    1. Open het menu met de menugroep die u wilt kopiëren.

    2. Klik met de rechtermuisknop op de menugroep en klik op Kopiëren.

    3. Klik op de menuknop van het menu waaraan u de menugroep wilt toevoegen.

    4. Klik met de rechtermuisknop op het menu waarnaar u de menugroep wilt kopiëren en klik op Plakken.

De nieuwe groep verschijnt onder aan het menu.

  4. Klik op Sluiten in het menu Bestand om de ontwerpmodus af te sluiten.

De wijzigingen worden opgeslagen en zijn zichtbaar wanneer u Navigatiedeelvenster ontwerpen de volgende keer opent. De gebruikers kunnen de wijzigingen weergeven door het navigatiedeelvenster te vernieuwen.

(Als u het navigatiedeelvenster wilt vernieuwen, klikt u met de rechtermuisknop onder de menuknoppen en klikt u op Vernieuwen.)

Verwante onderwerpen

Menu's voor gebruikers ontwerpen

Sneltoetsen voor het navigatiedeelvenster

Menu's maken met Navigatiedeelvenster ontwerpen

Menu's aan gebruikers toewijzen


Menu's maken met Navigatiedeelvenster ontwerpen

Als u een menusuitebeheerder bent, kunt u met Navigatiedeelvenster ontwerpen menu's maken in het navigatiedeelvenster. Als u geen ontwerprechten hebt, kunt u het navigatiedeelvenster aanpassen.

U kunt op twee manieren een nieuw menu maken:

  • U kunt een leeg menu maken dat u vult door onderdelen uit een ander menu te knippen en te plakken en door menugroepen te maken en menuonderdelen in te voegen.

  • U kunt een bestaand menu kopiëren en aanpassen.

Bovendien kunt u de menu's bewerken die u ontvangt van de leverancier van uw oplossing.

Attentie

Als u een upgrade voor uw menusuite krijgt van de leverancier van uw oplossing, worden menu's die u zelf maakt (inclusief menu's die zijn gebaseerd op een kopie van een oorspronkelijk menu) niet automatisch bijgewerkt. Oorspronkelijke menu's worden voor zover mogelijk wel bijgewerkt, zelfs als u ze hebt aangepast. Zie: De invloed van upgrades op uw menu's.

Een menu maken met Navigatiedeelvenster ontwerpen:

  1. Weergeven Een bestaand menu kopiëren

    2. Een bestaand menu kopiëren:

    1. Klik met de rechtermuisknop op de menuknop van het menu dat u wilt kopiëren en klik op Kopiëren.

    2. Klik nogmaals met de rechtermuisknop en klik op Plakken. Een nieuwe menuknop met dezelfde naam als de oorspronkelijke knop verschijnt en het nieuwe menu wordt weergegeven.

of

Weergeven Een nieuw menu maken

Een nieuw menu maken:

    1. Klik met de rechtermuisknop op een willekeurige menuknop en klik op Menu maken.

    2. De cursor verschijnt in een invoervak. Typ een naam voor het nieuwe menu en klik op OK.

De nieuwe menuknop wordt onder de andere menuknoppen ingevoegd en het nieuwe, lege menu wordt weergegeven.

  2. Bewerk het menu.

Nu kunt u het menu aan gebruikers toewijzen.

Verwante onderwerpen

Menu's aan gebruikers toewijzen

Menu's voor gebruikers ontwerpen

Sneltoetsen voor het navigatiedeelvenster


Menu's aan gebruikers toewijzen

Als u een menusuitebeheerder bent, kunt u met Navigatiedeelvenster ontwerpen menu's aan gebruikers toewijzen.

U kunt alleen een volledig menu aan een gebruiker toewijzen, dus niet slechts een menugroep of menuonderdeel.

Menu's aan gebruikers toewijzen:

  1. Klik met de rechtermuisknop op de menuknop van het menu dat u aan een of meer gebruikers wilt toewijzen en klik op Gebruikers toewijzen.

  2. Schakel in het veld Toewijzen van het venster Gebruikers toewijzen de naam in van iedere gebruiker waaraan u het menu wilt toewijzen. Als u een menu wilt toewijzen aan alle gebruikers, klikt u op Alles toewijzen.

  3. Klik op OK.

Herhaal deze procedure voor elk menu dat u aan een of meer gebruikers wilt toewijzen.

Als het menu is uitgeschakeld, moet u het menu inschakelen om dit menu beschikbaar te maken voor de gebruikers. De gebruikers krijgen het menu pas te zien als ze het navigatiedeelvenster vernieuwen.

(Als u het navigatiedeelvenster wilt vernieuwen, klikt u met de rechtermuisknop onder de menuknoppen en klikt u op Vernieuwen.)

Verwante onderwerpen

Menu's voor gebruikers ontwerpen

Sneltoetsen voor het navigatiedeelvenster


Menu's uit Navigatiedeelvenster ontwerpen verwijderen

Als u een menusuitebeheerder bent, kunt u met Navigatiedeelvenster ontwerpen menu's in het navigatiedeelvenster bewerken.

U kunt een menu uit de menusuite verwijderen. Dit geldt zowel voor menu's die u zelf hebt gemaakt als menu's die u hebt ontvangen van de leverancier van uw oplossing.

Attentie

U kunt de verwijdering van een menu niet ongedaan maken.

U kunt een menu ook verbergen. Zo creëert u extra ruimte in het menugedeelte van het navigatiedeelvenster. Het menu wordt alleen verborgen in de ontwerpweergave. Gebruikers waaraan u het menu hebt toegewezen, kunnen het menu nog steeds zien in hun eigen menusuite.

Als u een menu verwijdert, blijven alle onderdelen van het menu beschikbaar in het overzicht van menuonderdelen dat wordt weergegeven als u met de rechtermuisknop in Navigatiedeelvenster ontwerpen klikt en op Onderdelen invoegen klikt.

Menu's uit Navigatiedeelvenster ontwerpen verwijderen:

  1. Klik op Navigatiedeelvenster ontwerpen in het menu Extra.

  2. Klik met de rechtermuisknop op de menuknop van het menu dat u wilt verwijderen en klik op Verwijderen.

  3. Klik op Ja om te bevestigen dat u het menu wilt verwijderen.


Nieuwe databasebestanden maken in Microsoft Dynamics NAV Database Server

U kunt de Microsoft Dynamics NAV-database uitbreiden met aanvullende databasebestanden.

Een nieuw databasebestand maken:

  1. Kies Bestand, Database, Uitbreiden om het venster Database uitbreiden te openen.

  2. Klik op Geavanceerd om het venster Database uitbreiden (Geavanceerd) te openen.

    U ziet de naam van de database in het veld Database. Deze databasenaam wordt in het vervolg gebruikt bij de verwijzing vanuit andere locaties in het programma. Hoewel de database eigenlijk uit meerdere bestanden bestaat, hoeft u alleen maar deze naam in te voeren als u de database wilt openen of als een reservekopie wilt opslaan.

    Elk nieuw databasebestand moet op een afzonderlijke regel worden ingesteld.

  3. Typ de naam (inclusief pad) in het veld Bestandsnaam.

    Als de database de naam Mijn db.fdb heeft en in c:\fin\ is opgeslagen, kunt u het nieuwe databasebestand Mijn db deel2.fdb noemen en opslaan op een andere locatie, bijvoorbeeld d:\fin\.

    U zou het derde databasebestand bijvoorbeeld Mijn db deel3.fdb kunnen noemen en weer op en ander station kunnen opslaan.

  4. Geef in het veld Nieuwe grootte (KB) de grootte van het databasebestand op.

    Onder aan het venster ziet u hoe de omvang van de volledige database toeneemt telkens wanneer u een nieuw bestand toevoegt.

  5. Klik op OK om de gegevens op te slaan. U kunt nu verder werken in de database.

U kunt de database alleen uitbreiden als er extra ruimte beschikbaar is. (U kunt de beschikbare ruimte controleren in het veld Maximale grootte (KB).)

Er verschijnt een foutmelding als u de database probeert uit te breiden zonder dat u daartoe gerechtigd bent.

Een uitbreiding tot aan de maximale grootte heeft weinig zin, omdat de ruimte die al aan de database is toegewezen niet opnieuw beschikbaar kan worden gesteld of voor andere doeleinden op de computer kan worden gebruikt.

Verwante onderwerpen

Databases uitbreiden in Microsoft Dynamics NAV Database Server

Databases maken

Databases wijzigen onder SQL Server


SQL-server selecteren

Voordat u een database maakt moet u de SQL-server selecteren waarop deze wordt opgeslagen.

U kunt zoveel databases instellen als u nodig heeft. Voordat u de toepassing gaat gebruiken, moet u minimaal één nieuwe database maken (naast de database die standaard in de toepassing zit).

SQL-server selecteren:

  1. Kies Bestand, Database, Nieuw om het venster Server selecteren weer te geven. Geef de volgende gegevens op in het venster Server selecteren:

  2. In het veld Servernaam voert u de naam van de server in. U kunt op de AssistButton klikken en de server uit een overzicht van de beschikbare SQL Servers selecteren of de naam van de server handmatig invoeren.

  3. In het veld Verificatie geeft u op met welk type verificatie u ongeautoriseerde toegang tot Microsoft Dynamics NAV wilt voorkomen. U kunt kiezen tussen Database Server-verificatie en Windows-verificatie.

  4. In het veld Gebruikers-id voert u de gebruikers-id in die vereist is voor Database Server-verificatie.

  5. In het veld Wachtwoord voert u het wachtwoord in dat vereist is voor Database Server-verificatie.

  6. Als u wilt aangeven welke netwerktype wordt gebruikt voor de verbinding met de server, klikt u op Geavanceerd en kiest u een netwerktype uit de vervolgkeuzelijst in het venster Netwerktype.

  7. Klik op OK om verbinding te maken met de server en het venster Nieuwe database te openen. Hier kunt u meer gegevens over de database invullen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Netwerktype selecteren onder SQL Server Option

Databases maken

Databases openen


Databases openen in Microsoft Dynamics NAV Database Server en Windows 2000

Als u met Microsoft Dynamics NAV wilt werken, moet u eerst een database en vervolgens een bedrijf openen. Zodra u dit eenmaal heeft gedaan, of als de database en het bedrijf zijn ingesteld op de opdrachtregel waarmee het programma wordt gestart, worden ze automatisch geopend wanneer u het programma start. Daarom moet u de opdracht Database openen gebruiken wanneer u een andere database wilt openen.

Een database openen:

  1. Klik op Bestand, Database, Openen en voer de volgende gegevens in in het venster Database openen:

  2. In het veld Servernaam voert u de naam van de server in. U kunt de naam van de server handmatig invoeren of op de AssistButton klikken en de server selecteren uit een overzicht van de Microsoft Dynamics NAV Database Servers die beschikbaar zijn in het huidige domein.

  3. In het veld Databasenaam voert u de naam van de database in. Als u een server heeft geselecteerd, hoeft u geen gegevens in te voeren in het veld Databasenaam.

    Als u geen server heeft geselecteerd, klikt u op de AssistButton om een standaarddialoogvenster van Windows te openen en de database te selecteren die u wilt openen.

    Als u een database wilt openen die niet is opgeslagen op de Microsoft Dynamics NAV-server, moet u het volledige pad en de naam van de database handmatig invoeren.

    Als de database lokaal is opgeslagen op de vaste schijf, moet u de naam van de database opgeven in het veld Databasenaam. Als u de naam van de database niet weet, gebruikt u de AssistButton . Er verschijnt een standaarddialoogvenster van Windows dat u kunt gebruiken om de gewenste database te vinden met de bestandsextensie .fdb.

  4. Geef in het veld Verificatie het gewenste type verificatie op. Klik op de AssistButton om te kiezen tussen Windows-verificatie en Database Server-verificatie.

    Als u Database Server-verificatie selecteert, wordt de verificatie uitgevoerd door de Microsoft Dynamics NAV Database Server die u heeft geselecteerd.

    Als u Windows-verificatie selecteert, wordt de verificatie uitgevoerd door de Windows-domeincontroller.

  5. In het veld Gebruikers-id voert u de gebruikers-id in die vereist is voor Database Server-verificatie.

  6. In het veld Wachtwoord voert u het wachtwoord in dat vereist is voor Database Server-verificatie.

  7. Als u wilt aangeven welke netwerktype wordt gebruikt voor de verbinding met de server, klikt u op het tabblad Geavanceerd en kiest u een netwerktype uit de vervolgkeuzelijst in het veld Netwerktype.

  8. Klik op OK om de database te openen.

De Microsoft Dynamics NAV-client en de Microsoft Dynamics NAV Database Server moeten deel uitmaken van hetzelfde domein.

Als u netwerktype TCPS gebruikt, kunt u de server niet langer ‘Localhost’ noemen. U moet de echte computernaam van de server opgeven, bijvoorbeeld ‘Server321’.

Als u TCP/IP gebruikt, kunt u de server ‘Localhost’ blijven noemen.

Attentie

De database en het bedrijf waaraan u de laatste keer heeft gewerkt, worden automatisch geopend wanneer u Microsoft Dynamics NAV opnieuw opent.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Beschikbare Microsoft Dynamics NAV Database Servers

Databases maken

Bedrijven openen

Bedrijven maken


Databases openen in SQL Server Option voor Microsoft Dynamics NAV

Als u in de toepassing wilt werken, moet u altijd een database en een bedrijf openen, in die volgorde. Zodra u dit eenmaal heeft gedaan, of als de opties zijn ingesteld op de opdrachtregel waarmee het programma wordt gestart, worden ze automatisch geopend wanneer u een bedrijf kiest. Daarom hoeft u enkel te klikken op Bestand, Database, Openen wanneer u een andere database wilt openen dan de database die momenteel geopend is.

Een database openen:

  1. Klik op Bestand, Database, Openen en voer de volgende gegevens in in het venster Database openen:

  2. In het veld Servernaam voert u de naam van de server in. U kunt op de AssistButton klikken en de server uit een overzicht van de beschikbare SQL Servers selecteren of de naam van de server handmatig invoeren.

  3. In het veld Databasenaam voert u de naam van de database in. Klik op de AssistButton om een keuze te maken uit de lijst met databases die beschikbaar zijn op de geselecteerde server.

  4. In het veld Verificatie voert u het gewenste type verificatie in. Klik op de AssistButton om een keuze te maken tussen Database Server-verificatie en Windows-verificatie.

    Als u Database Server-verificatie selecteert, wordt de verificatie uitgevoerd door de SQL Server die u heeft geselecteerd.

    Als u Windows-verificatie selecteert, wordt de verificatie uitgevoerd door de Windows-domeincontroller.

  5. In het veld Gebruikers-id: voert u uw gebruikers-id in als u Database Server-verificatie heeft geselecteerd.

  6. In het veld Wachtwoord voert u uw wachtwoord in als u Database Server-verificatie heeft geselecteerd.

  7. Als u wilt aangeven welke netwerktype wordt gebruikt voor de verbinding met de server, klikt u op het tabblad Geavanceerd en kiest u een netwerktype uit de vervolgkeuzelijst in het venster Netwerktype. Het is normaal gesproken echter niet nodig de standaardinstelling voor het netwerktype te wijzigen. De instelling Standaard voor Netwerktype stelt Microsoft Dynamics NAV in staat verbinding te maken met een server via het standaardtype clientnetwerk dat is toegewezen door SQL Server. U kunt het netwerktype wijzigen in Client Network Utility, dat deel uitmaakt van de SQL Server Client Utilities, als deze zijn geïnstalleerd op de clientcomputer.

  8. Als u een afzonderlijke database die bestaat uit een enkel gegevensbestand (exclusief het transactielogbestand) wilt koppelen en openen, moet u het volledige pad en de bestandsnaam van de database invoeren in het veld Bestand koppelen. Dit bestand heeft normaal gesproken de extensie .mdf. U kunt deze database van een enkel bestand elke gewenste naam geven door deze in te voeren in het veld Databasenaam op het tabblad Algemeen. Als er naast het gegevensbestand geen transactielogbestand bestaat, wordt het automatisch gemaakt wanneer u het gegevensbestand koppelt. Het databasebestand wordt gekoppeld wanneer u het opent.

  9. Klik op OK om de database te openen.

Attentie

De database en het bedrijf waaraan u de laatste keer heeft gewerkt, worden automatisch geopend wanneer u Microsoft Dynamics NAV opnieuw opent.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Beschikbare SQL Servers

Databases maken onder SQL Server

Bedrijven openen

Bedrijven maken


Databases maken

De procedure waarmee u een nieuwe database maakt, is afhankelijk van de gebruikte versie van Microsoft Dynamics NAV. Selecteer de versie die u gebruikt om de juiste Help te openen:

Databases maken in Microsoft Dynamics NAV Database Server

Databases maken in SQL Server Option voor Microsoft Dynamics NAV


Databases maken onder SQL Server

Als u een database maakt, moet u een naam, grootte, locatie, enzovoort opgeven.

Een database maken in SQL Server:

  1. Klik op Bestand, Database, Nieuw en voer de volgende gegevens in in het venster Server selecteren:

  2. In het veld Servernaam voert u de naam van de server in. U kunt op de AssistButton klikken en de server uit een overzicht van de beschikbare SQL Servers selecteren of de naam van de server handmatig invoeren.

  3. In het veld Verificatie geeft u op welk soort verificatie u wilt gebruiken wanneer u verbinding maakt met de server. U kunt kiezen uit Database Server-verificatie of Windows-verificatie.

    Als u Database Server-verificatie selecteert, wordt de verificatie uitgevoerd door de SQL Server die u heeft geselecteerd.

    Als u Windows-verificatie selecteert, wordt de verificatie uitgevoerd door de Windows-domeincontroller.

  4. In het veld Gebruikers-id voert u uw gebruikers-id in als u Database Server-verificatie hebt geselecteerd.

  5. In het veld Wachtwoord voert u uw wachtwoord in als u Database Server-verificatie hebt geselecteerd.

  6. Als u wilt aangeven welke netwerktype wordt gebruikt voor de verbinding met de server, klikt u op Geavanceerd en kiest u een netwerktype uit de vervolgkeuzelijst in het venster Netwerktype.

  7. Klik op OK om verbinding te maken met de server en het venster Nieuwe database te openen. Hier kunt u meer gegevens over de database invullen. Nadat u de SQL-server hebt geselecteerd waarop u de database wilt maken, verschijnt het venster Nieuwe database.

In het venster Nieuwe database voert u de gegevens in over de database die u wilt maken. Het venster bevat de volgende tabbladen:

Algemeen

Databasebestanden

Transactielogbestanden

Sortering

Opties

Integratie

Geavanceerd

Attentie

U kunt een database op een later tijdstip wel groter maken, maar niet meer verkleinen.

Opmerking

Zodra u de database heeft gemaakt, kan deze worden gevuld met programmaobjecten en bedrijfsgegevens. Voordat u bedrijfsgegevens kunt maken, moet een aantal basisgegevens vanuit een reservekopie van de originele standaarddatabase (die wordt geleverd bij de toepassing) worden geïmporteerd in de nieuwe database. De reservekopie moet ten minste de onderdelen Gemeenschappelijke gegevens (Alle bedrijven) en Toepassingsobjecten bevatten. Gemeenschappelijke gegevens (Alle bedrijven) bevat het lijstoverzicht en gebruikersgroepen van het programma. Wanneer u de Toepassingsobjecten herstelt, wordt de boekhoudkundige toepassing overgebracht naar de database.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Netwerktype selecteren

Databases maken in Microsoft Dynamics NAV Database Server

Bedrijven maken

Databases verwijderen


Databases maken in Microsoft Dynamics NAV Database Server

Als u een database maakt moet u een naam, grootte, locatie, enzovoort opgeven.

Een database maken in Microsoft Dynamics NAV Database Server

  1. Kies Bestand, Database, Nieuw om het venster Nieuwe database te openen.

  2. In het veld Servernaam voert u de naam van de server in.

    U kunt op de AssistButton klikken en de server selecteren uit een overzicht van de Microsoft Dynamics NAV Database Servers die beschikbaar zijn in het huidige domein, of u kunt de naam van de server handmatig invoeren.

  3. Als u gegevens invoert in het veld Servernaam, verdwijnt de AssistButton van het veld Database. Dit betekent dat u de naam van de database handmatig moet invoeren. Als u een database wilt maken die niet wordt opgeslagen op de Microsoft Dynamics NAV-databaseserver, moet u het volledige pad en de naam van de database handmatig invoeren.

    Als u een database wilt maken die lokaal wordt opgeslagen, hoeft u niets in te voeren in het veld Servernaam. U kunt met de AssistButton in het veld Database een standaard Windows-dialoogvenster openen en hiermee de database maken op de gewenste locatie.

  4. In het veld Bestandsgrootte (kB) voert u de gewenste grootte van de database in. De minimale grootte (1000 kB) is reeds ingevoerd in het veld. Rechts van het veld ziet u het percentage van de maximale grootte dat wordt ingenomen door deze database.

  5. In het veld Maximale grootte (KB) wordt weergegeven wat de maximale grootte is van de database die u kunt maken. Deze informatie is opgeslagen in uw licentiebestand.

Attentie

U kunt een database op een later tijdstip wel groter maken, maar niet meer verkleinen.

Attentie

De database die u heeft gemaakt, bevat slechts een aantal basistabellen en is niet gereed voor gebruik in Microsoft Dynamics NAV. Voordat u deze kunt gebruiken, moet u een reservekopie van de originele standaarddatabase (database.fbk) in de nieuwe database herstellen.

Deze reservekopie wordt bij Microsoft Dynamics NAV geleverd. Als u een volledige installatie heeft uitgevoerd, is de kopie opgeslagen in de map Microsoft Dynamics NAV op het werkstation. De reservekopie bevat alle benodigde informatie voor het gebruiken van de database, inclusief de gemeenschappelijke gegevens en de toepassingsobjecten. Het onderdeel Gemeenschappelijke gegevens (Alle bedrijven) omvat onder meer lijsten en gebruikersgroepen. Als u het onderdeel Toepassingsobjecten uit de reservekopie terugzet, wordt de applicatie (toepassing) in de nieuwe database geplaatst.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases maken onder SQL Server

Bedrijven maken

Databases verwijderen


Databases testen in SQL Server Option voor Microsoft Dynamics NAV

Met deze opdracht kunt u een database testen - voordat u bijvoorbeeld een reservekopie maakt. U doet er goed aan uw databases regelmatig te testen.

Een database testen:

  1. Kies Bestand, Database, Testen om het venster Database testen weer te geven.

  2. In het venster Database testen kunt u aangeven wat er getest moet worden: Minimum, Normaal, Maximum, Aangepast.

Bij de meeste tests wordt de consistentie van de SQL Server-database gecontroleerd (DBCC-test). De volgende tabel bevat een overzicht van de functies die worden getest tijdens de verschillende tests. De SQL Server DBCC-tests die zijn uitgevoerd, worden vermeld:

Niveau | Te testen aspecten | Gecontroleerd
Minimum | Primaire sleutels en gegevens testen | Leesbaarheid van alle records in alle tabellen. Sortering (oplopend) van alle records volgens de primaire sleutel. Inhoud van de velden op basis van het veldtype. DBCC CHECKTABLE (<Tabel>,NOINDEX)
 | BLOB's | Leesbaarheid van alle BLOB's (velden voor afbeeldingen - op de artikelkaart bijvoorbeeld). DBCC CHECKTABLE (<Tabel>,NOINDEX)
Normaal | Alle velden uit de minimale test, plus: |
 | Secundaire sleutels | Leesbaarheid van alle secundaire sleutels in alle tabellen. Sortering wordt correct uitgevoerd volgens de secundaire sleutel. Alle velden in de sortering hebben het juiste veldtype. DBCC CHECKTABLE (<Tabel>)
 | Ruimtetoewijzing | Gebruik van volledige databaseruimte (gebruikt door sorteersleutel of beschikbaar). DBCC CHECKALLOC (<Huidige database>)
Maximum | Alle velden uit de normale test, plus: |
 | Veldrelaties testen | Tot alle velden die gerelateerd zijn aan andere velden, kan toegang worden verkregen vanuit het veld waarmee het gerelateerd is.
Aangepast | Dezelfde velden als bij de maximale test. Het verschil is dat ongewenste tests kunnen worden geannuleerd. | Alles wat u selecteert. Een aantal tests komt echter overeen met SQL Server-tests. Deze moeten tegelijkertijd worden uitgevoerd.
Primaire en secundaire sleutels worden soms indexen genoemd. Ze worden gebruikt om de gegevens te sorteren. Ze bepalen op welke manier de informatie in een tabel wordt geordend. U wijzigt de sleutel wanneer u de informatie in een tabel anders wilt sorteren. De test 'Relaties tussen primaire en secundaire sleutels' is niet van toepassing op de SQL Server Option.
Klik op het tabblad Opties om op te geven hoe de resultaten van de databasetest worden verwerkt:

De resultaten van de databasetest bestaan uit gegenereerde foutmeldingen. Deze kunnen als volgt worden verwerkt:

  • Scherm: de foutmeldingen worden weergegeven op het scherm. Telkens wanneer een foutmelding wordt weergegeven, moet u op OK klikken voordat de test wordt hervat. Dit kan een tijdrovende bezigheid zijn als tijdens de test een groot aantal foutmeldingen wordt gegenereerd.

  • Gebeurtenislogbestand: de foutmeldingen worden opgeslagen in het gebeurtenislogbestand van het besturingssysteem. Raadpleeg de documentatie van het besturingssysteem voor meer informatie over het gebeurtenislogbestand.

  • Bestand: de foutmeldingen worden opgeslagen in een tekstbestand. Gebruik de AssistButton om de naam en locatie van het tekstbestand op te geven.

Als u Gebeurtenislogbestand of Bestand kiest, wordt de databasetest niet onderbroken en neemt de test minder tijd in beslag. Na afloop van de test kunt u de gegenereerde foutmeldingen weergeven en de problemen oplossen.

Zodra u de test start, verschijnt er een venster met informatie over de status van de test.

Attentie

Het is belangrijk dat u reservekopieën maakt en controleert of deze kunnen worden teruggezet.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Sorteren

Andere sorteersleutel instellen


Databases aanpassen in SQL Server Option voor Microsoft Dynamics NAV

Van tijd tot tijd moet u de instellingen van de database-eigenschappen wijzigen die u heeft geselecteerd toen u de database maakte.

Een database wijzigen:

Klik op Bestand, Database, Aanpassen om het venster Database wijzigen te openen. In het venster Database wijzigen kunt u bepaalde database-instellingen wijzigen.

Via het venster Database wijzigen hebt u toegang tot dezelfde instellingen als via het venster Nieuwe database. Zo kunt u de database-eigenschappen op elk gewenst moment wijzigen.

Het venster Database wijzigen bevat de volgende tabbladen:

Algemeen

Databasebestanden

Transactielogbestanden

Sortering

Opties

Integratie

Geavanceerd

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases maken

Databases uitbreiden in Microsoft Dynamics NAV Database Server


Netwerktype selecteren in SQL Server Option voor Microsoft Dynamics NAV

Met de standaardinstelling kunt u in Microsoft Dynamics NAV verbinding maken met een server via het standaardnetwerktype voor werkstations dat door SQL Server wordt toegewezen. In eerste instantie is dit het protocol Named Pipes. Wanneer SQL Server Client Utilities echter op het werkstation zijn geïnstalleerd, kunt u de instelling wijzigen in Client Network Utility.

Het netwerktype opgeven:

  1. Kies Bestand, Database, Openen om het venster Database openen te openen.

  2. Klik op de tab Geavanceerd.

  3. Klik op de AssistButton van het veld Netwerktype en selecteer een van de volgende netwerktypen: Default, Named Pipes, TCP/IP Sockets, Multiprotocol.

  4. Klik op OK om de keuze op te slaan en het venster te sluiten.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases openen onder SQL Server

Databases maken onder SQL Server


Het netwerktype onder Microsoft Dynamics NAV Database Server selecteren

U kunt aangeven welk netwerktype (Nettype) moet worden gebruikt als u verbinding maakt met de server. Gewoonlijk is het niet nodig de standaardinstelling te wijzigen.

Het netwerktype opgeven:

  1. Kies Bestand, Database, Openen om het venster Database openen te openen.

  2. Klik op de tab Geavanceerd.

  3. Klik op de AssistButton van het veld Netwerktype en selecteer een van de volgende netwerktypen: TCPS, TCP/IP, NETBios.

TCPS is het standaardnetwerktype.

TCPS is een beveiligde versie van TCP/IP en maakt gebruik van SSPI (Security Support Provider Interface) met ingeschakelde codering en Kerberos-verificatie. Het wordt aanbevolen TCPS te gebruiken.

  4. Klik op OK om de keuze op te slaan en het venster te sluiten.

TCPS is een streng protocol waarbij aanmelding bij Microsoft Dynamics NAV Database Server alleen mogelijk is als:

  • de computer die u gebruikt deel uitmaakt van hetzelfde domein als de server.

  • de gebruikersaccount die u gebruikt een Windows-domeinaccount is in hetzelfde domein als de server en er aan deze account een of meer rollen zijn toegewezen in de database.

Als u TCPS gebruikt en Microsoft Dynamics NAV Database Server uitvoert als een service op Windows™ XP en Windows Server™ 2003, moet u het programma bovendien uitvoeren als de NT Autoriteit\Netwerkservice- of de Local System-account. Dit betekent dat u de server niet kunt uitvoeren vanaf een opdrachtregel als u TCPS als netwerkprotocol gebruikt.

Wanneer u Microsoft Dynamics NAV Database Server als een service op Windows™2000 uitvoert, kunt u alleen de Local System-account gebruiken.

Als u de best mogelijke beveiliging wilt en optimaal wilt profiteren van het TCPS-protocol, raden we u aan Microsoft Dynamics NAV Database Server uit te voeren op Windows XP of op Windows Server 2003 en TCPS als netwerkprotocol te gebruiken.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

De service-account toegang geven tot de database

Om er zeker van te zijn dat gebruikers verbinding kunnen maken met de database, moet u de NT Autoriteit\Netwerkservice-account of de gebruikersaccount waaronder de server wordt uitgevoerd schrijfrechten geven voor de databasebestanden.

Als u de NT Autoriteit\Netwerkservice-account lees- en schrijftoegang wilt geven tot een databasebestand op Windows XP, gaat u als volgt te werk:

1. Navigeer in Windows Verkenner naar de map die het databasebestand bevat.

2. Selecteer het databasebestand, klik er met de rechtermuisknop op en klik vervolgens op Eigenschappen.

3. Klik in het venster Eigenschappen op het tabblad Beveiliging en klik onder het veld Groeps- en gebruikersnaam op Toevoegen.

4. Geef Network service op in het venster Gebruikers, computers of groepen selecteren en klik op OK.

5. NETWORK SERVICE is toegevoegd aan het veld Groeps- en gebruikersnaam in het venster Eigenschappen.

6. Selecteer NETWORK SERVICE in het veld Toegangsrechten en wijs hieraan lees- en schrijfrechten toe.

Verwante onderwerpen

Het netwerktype voor een database onder Microsoft Dynamics NAV Database Server wijzigen

Databases maken in Microsoft Dynamics NAV Database Server

Databases openen in Microsoft Dynamics NAV Database Server


Databases testen in Microsoft Dynamics NAV Database Server

Met deze opdracht kunt u een database testen - voordat u bijvoorbeeld een reservekopie maakt. U doet er goed aan uw databases regelmatig te testen.

Een database testen:

  1. Kies Bestand, Database, Testen om het venster Database testen weer te geven.

  2. In het venster Database testen kunt u aangeven wat er getest moet worden: Minimum, Normaal, Maximum, Aangepast.

Wanneer u een keuze uit de testopties maakt, worden de verschillende onderdelen waaruit de test bestaat aangekruist. De volgende tabel bevat een overzicht van de functies die worden getest tijdens de verschillende tests.

Niveau | Te testen aspecten | Gecontroleerd
Minimum | Primaire sleutels en gegevens testen | Leesbaarheid van alle records in alle tabellen. Sortering (oplopend) van alle records volgens de primaire sleutel. Inhoud van de velden op basis van het veldtype.
 | BLOB's | Leesbaarheid van alle BLOB's (velden voor afbeeldingen - op de artikelkaart bijvoorbeeld).
Normaal | Primaire sleutels en gegevens testen | Leesbaarheid van alle records in alle tabellen. Sortering (oplopend) van alle records volgens de primaire sleutel. Inhoud van de velden op basis van het veldtype.
 | Secundaire sleutels | Leesbaarheid van alle secundaire sleutels in alle tabellen. Sortering (oplopend) van alle records volgens de secundaire sleutel. Inhoud van de velden op basis van het veldtype.
 | Ruimtetoewijzing | Gebruik van volledige databaseruimte (vrij of gebruikt door sorteersleutel).
 | BLOB's | Leesbaarheid van alle BLOB's (velden voor afbeeldingen - op de artikelkaart bijvoorbeeld).
Maximum | Alle velden uit de normale test, plus: |
 | Relaties tussen primaire en secundaire sleutels testen | De verbinding tussen de primaire en secundaire sleutels is correct.
 | Veldrelaties tussen tabellen testen | Toegang tot velden die in relatie staan met andere tabellen, vanuit deze tabel.
Aangepast | Dezelfde velden als bij de maximale test, maar met de mogelijkheid om ongewenste tests te annuleren. | Geselecteerde velden.

Primaire en secundaire sleutels worden soms indexen genoemd; ze worden gebruikt om de gegevens te sorteren. Ze bepalen op welke manier de informatie in een tabel wordt geordend. U wijzigt de sleutel wanneer u de gegevens volgens een andere sleutel wilt sorteren.

Attentie

U kunt de ruimtetoewijzingstest niet uitvoeren wanneer er meer dan één gebruiker met het systeem werkt. Als u een testmodus kiest waarin deze test is opgenomen terwijl er andere gebruikers actief zijn, wordt de ruimtetoewijzing niet getest. De rest van de test wordt echter normaal uitgevoerd.

Klik op de tab Opties en geef op hoe de resultaten van de databasetest moeten worden verwerkt.

De resultaten van de databasetest bestaan uit gegenereerde foutmeldingen. Deze kunnen als volgt worden verwerkt:

  • Scherm: de foutmeldingen worden weergegeven op het scherm. Telkens wanneer een foutmelding wordt weergegeven, moet u op OK klikken voordat de test wordt hervat. Dit kan een tijdrovende bezigheid zijn als tijdens de test een groot aantal foutmeldingen wordt gegenereerd.

  • Gebeurtenislogbestand: de foutmeldingen worden opgeslagen in het gebeurtenislogbestand van het besturingssysteem. Raadpleeg de documentatie van het besturingssysteem voor meer informatie over het gebeurtenislogbestand.

  • Bestand: de foutmeldingen worden opgeslagen in een tekstbestand. Gebruik de AssistButton om de naam en locatie van het tekstbestand op te geven.

Als u Gebeurtenislogbestand of Bestand kiest, wordt de databasetest niet onderbroken en neemt de test minder tijd in beslag. Na afloop van de test kunt u de gegenereerde foutmeldingen weergeven en de problemen oplossen.

Zodra u de test start, verschijnt er een venster met informatie over de status van de test.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Sorteren

Andere sorteersleutel instellen


Databases uitbreiden in Microsoft Dynamics NAV Database Server

Wanneer de database de toegewezen schijfruimte dreigt te overschrijden, moet u de database uitbreiden. Een uitbreiding tot aan de maximale grootte heeft echter weinig zin, omdat de ruimte die al aan de database is toegewezen niet opnieuw beschikbaar kan worden gesteld of voor andere doeleinden op de computer kan worden gebruikt.

Attentie

Maak eerst een reservekopie van de database voordat u deze uitbreidt.

Vaak kunt u een uitbreiding overbodig maken door de toegewezen ruimte beter te benutten. Dit kan bijvoorbeeld door gegevenscompressie toe te passen of het (eventuele) demobedrijf uit de database te verwijderen.

Uitbreidingsmethoden voor databases:

  • U kunt de omvang van de database in kilobytes (KB) vergroten.

  • U kunt één of meer nieuwe databasebestanden maken en vervolgens aan de oude database koppelen.

Deze tweede methode is handig wanneer er geen ruimte meer is op het station of de schijf waarop de database is opgeslagen.

Een database uitbreiden:

  1. Kies Bestand, Database, Uitbreiden om het venster Database uitbreiden te openen.

  2. Typ het aantal kilobytes waarmee u de database wilt vergroten in het veld Toevoegen (KB) of typ het totaal aantal kilobytes van de database in het veld Nieuwe grootte (KB).

  3. Klik op OK om de wijzigingen op te slaan.

Attentie

U kunt de database alleen uitbreiden als er extra ruimte beschikbaar is. (U kunt de beschikbare ruimte controleren in het veld Maximale grootte (KB).)

Er verschijnt een foutmelding als u de database probeert uit te breiden zonder dat u daartoe gerechtigd bent.

Verwante onderwerpen

Nieuwe databasebestanden maken in Microsoft Dynamics NAV Database Server

Databases maken

Databases wijzigen onder SQL Server


Reservekopieën

Met een reservekopie hebt u altijd een extra kopie van de gegevens achter de hand. Mocht zich een probleem voordoen met de oorspronkelijke gegevens dan kunt u de reservekopie in het programma importeren. Het maken van reservekopieën is in uw eigen belang en is bovendien wettelijk verplicht.

Hieronder worden de voorzieningen van Microsoft Dynamics NAV beschreven waarmee u automatisch reservekopieën kunt exporteren.

U kunt ook een opdracht van het besturingssysteem gebruiken om een directe kopie van de database te maken. Het gebruik van de reservekopiefunctie van Microsoft Dynamics NAV biedt echter vier belangrijke voordelen:

  • De database wordt automatisch op fouten getest, zodat er geen overbodige gegevens in de reservekopie worden opgeslagen.

  • De gegevens worden gecomprimeerd zodat de reservekopie zo weinig mogelijk plaats inneemt.

  • De totale omvang van de reservekopie wordt automatisch berekend.

  • Zodra een schijf vol is, verschijnt een bericht met het verzoek een nieuwe schijf te plaatsen.

Zet altijd een reservekopie van een Microsoft Dynamics NAV-database terug in elke nieuwe database die u maakt. Zo worden de 'gemeenschappelijke gegevens' en de 'toepassingsobjecten' teruggezet in de nieuwe, lege database. De gemeenschappelijke gegevens voor alle bedrijven zijn geen feitelijke bedrijfsgegevens, maar lijsten, toegangsrechten, gebruikers-id's en printerinstellingen.

Een reservekopie van een database kan het volgende bevatten:

  • De volledige database (inclusief alle bedrijven in de database, gemeenschappelijke gegevens voor alle bedrijven en toepassingsobjecten)

  • Alle bedrijven (inclusief gemeenschappelijke gegevens voor alle bedrijven)

  • Aangepast (datgene wat u selecteert)

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Reservekopieën maken

Reservekopieën van databases terugzetten


Reservekopieën van databases terugzetten

Er komt waarschijnlijk een moment waarop u een reservekopie moet terugzetten. Importeer reservekopieën die met de reservekopiefunctie van Microsoft Dynamics NAV zijn geëxporteerd met de opdracht Extra, Reservekopie terugzetten.

Zet de reservekopie van de database altijd terug in een nieuwe (lege) database.

Attentie

Als u de reservekopie naar een tapestation hebt geëxporteerd met de reservekopiefunctie van het tapestation, moet u de importfunctie van het tapestation gebruiken om de database terug te zetten in Microsoft Dynamics NAV. Als u de reservekopie via een opdracht van het besturingssysteem hebt gemaakt, kunt u deze met de kopieeropdracht terugzetten.

Hoewel de kopieerprocedure van Microsoft Dynamics NAV feilloos verloopt, kunnen fouten op het exportmedium problemen veroorzaken bij het terugzetten van de reservekopie. Zorg daarom dat u altijd verschillende reservekopieën achter de hand hebt.

Een reservekopie van een database terugzetten:

  1. Kies Extra, Reservekopie terugzetten om een standaard Windows-dialoogvenster weer te geven. In dit venster kunt u de gewenste reservekopie opzoeken.

  2. Als u de reservekopie hebt gevonden, klikt u op Openen. Vervolgens verschijnt het venster Reservekopie terugzetten. U ziet de naam van de reservekopie in het veld Bestandsnaam met daarnaast een omschrijving en de datum en het tijdstip waarop de kopie is gemaakt. Onder in het venster ziet u een beschrijving van de inhoud van de reservekopie:

    • De volledige database: inclusief alle bedrijven in de database, gemeenschappelijke gegevens voor alle bedrijven en toepassingsobjecten

    • Alle bedrijven: alle bedrijven in de database, inclusief gemeenschappelijke gegevens voor alle bedrijven

    • Aangepast: uw selectie, zoals bepaalde bedrijven, gemeenschappelijke gegevens voor alle bedrijven en/of toepassingsobjecten.

  3. U kunt de reservekopie ook gedeeltelijk terugzetten. U verwijdert daartoe de markeringen naast de onderdelen die u niet wilt terugzetten. Als u de reservekopie in een volledig lege database terugzet, moet u de onderdelen gemeenschappelijke gegevens en/of toepassingsobjecten altijd meekopiëren.

  4. Als u een keuze hebt gemaakt, klikt u op OK om de reservekopie terug te zetten. Er verschijnt een statusvenster waarin de voortgang van het importproces wordt bijgehouden.

Gewoonlijk wordt de kopie zelf redelijk snel teruggezet. De databasegegevens zijn echter gecomprimeerd, waardoor een vervolgproces nodig is om de gegevens uit te pakken. Dit kan, afhankelijk van de hoeveelheid gegevens, een tijdrovend proces zijn.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Reservekopieën

Reservekopieën maken


Wachtwoord wijzigen

Als uw wachtwoord door de systeembeheerder is gedefinieerd (vooral in multi-userinstallaties), doet u er goed aan het wachtwoord bij de eerste aanmelding te wijzigen. (Op die manier weet u zeker dat niemand anders uw wachtwoord kent.) Deze voorzorgsmaatregel is echter overbodig in single-userinstallaties.

Attentie

Wachtwoorden hebben geen vervaldatum in Microsoft Dynamics NAV. Wanneer u de toegangstijd voor een bepaalde gebruiker wilt beperken, kunt u een vervaldatum bij de gebruikers-id opgeven of een toegestane boekingsperiode voor iedere gebruiker instellen. Open het venster Gebruikersinstellingen om de boekingsperiode te beperken.

Het wachtwoord wijzigen:

  1. Kies Extra, Beveiliging, Wachtwoord om het venster Wachtwoord wijzigen weer te geven.

    De gebruikers-id en -naam, die in de twee bovenste velden worden weergegeven, kunt u hier niet wijzigen. Klik op Extra, Beveiliging, Gebruikers om deze te wijzigen.

  2. Typ uw huidige wachtwoord in het veld Huidige wachtwoord. (Wachtwoorden zijn hoofdlettergevoelig: onthoud dus goed welke hoofdletters en kleine letters u invoert.)

  3. Typ uw nieuwe wachtwoord in het veld Nieuw wachtwoord.

  4. Vervolgens bevestigt u het nieuwe wachtwoord door het nogmaals in te vullen in het veld Bevestig wachtwoord. Hiermee controleert u of het wachtwoord de eerste keer correct is ingevoerd. Het wachtwoord wordt niet getoond en kan ook nergens anders in de toepassing worden gevonden.

    Als er een bericht wordt weergegeven met de melding dat het wachtwoord onjuist is, zijn er twee mogelijke oorzaken:

    • U hebt de tweede maal een ander wachtwoord ingevoerd. Probeer het nogmaals.

    • Het wachtwoord dat u hebt gemaakt is niet wat u dacht. (U hebt de eerste keer een typefout gemaakt, of in de twee velden misschien op een andere plaats hoofdletters en kleine letters gebruikt.) Vul het nieuwe wachtwoord nogmaals in het veld Nieuw wachtwoord in, en bevestig het opnieuw.

  5. Klik op OK als u het wachtwoord wilt wijzigen of klik op Annuleren om het wachtwoord niet te wijzigen. Als u op OK klikt, wordt u afgemeld en moet u Microsoft Dynamics NAV opnieuw starten met het nieuwe wachtwoord.

Verwante onderwerpen

Wachtwoorden

Beveiliging


Bedrijven maken

U kunt in een database zoveel bedrijven instellen als u nodig hebt.

Een bedrijf maken:

  1. Kies Bestand, Bedrijf, Nieuw om het venster Nieuw bedrijf te openen.

  2. Typ de naam van het nieuwe bedrijf in het veld Bedrijfsnaam.

    U kunt het bedrijf elke willekeurige naam geven. Als u in het bezit bent van een demolicentie en de naam van het bedrijf met CRONUS (volledig in hoofdletters) begint, wordt automatisch een demobedrijf gemaakt. Voor dergelijke bedrijven gelden bepaalde restricties (u kunt bijvoorbeeld alleen boeken tussen november en februari enzovoort).

    Bedrijfsnamen mogen maximaal 30 tekens lang zijn. De naam is bovendien hoofdlettergevoelig, zodat onderscheid wordt gemaakt tussen hoofdletters en kleine letters. Het ene bedrijf kan dus BEDRIJF heten en het andere Bedrijf.

  3. Klik op OK om het bedrijf te maken.

De ingevoerde bedrijfsnaam wordt boven aan verschillende lijsten vermeld. Typ de naam dus precies zoals u deze vermeld wilt zien. Als u de naam fout hebt ingevoerd of anderszins wilt wijzigen, kiest u Bestand, Bedrijf, Naam wijzigen om de wijziging door te voeren.

U kunt in principe een onbeperkt aantal bedrijven maken. De enige beperking is in feite de hoeveelheid beschikbare ruimte op de computer en in de database. Een bedrijf neemt geen vaste hoeveelheid ruimte in beslag en zoals u in het venster Nieuw bedrijf kunt zien, hoeft u hiervoor geen specifieke ruimte in kilobytes (KB) te reserveren. De resterende ruimte voor de database zal echter afnemen naarmate u meer gegevens invoert voor een bedrijf.

Verwante onderwerpen

Bedrijven openen

Bedrijfsnaam wijzigen


Bedrijven openen

U moet een bedrijf openen om met de gegevens in Microsoft Dynamics NAV te kunnen werken.

Een bedrijf openen:

  1. Kies Bestand, Bedrijf, Openen om het venster Bedrijf openen te openen. In dit venster ziet u een overzicht van alle bedrijven in de huidige database die voor u toegankelijk zijn.

  2. Selecteer het bedrijf dat u wilt openen.

  3. Klik op OK om het bedrijf te openen.

U kunt een bedrijf ook openen door op de knop Hoofdmenu op de menubalk te klikken. Als u op deze knop klikt, kunt u alleen kiezen uit de bedrijven in de huidige database waar u toegang tot hebt.

Ook als u nog geen bedrijven hebt gemaakt en voor de eerste keer Bestand, Bedrijf, Openen kiest, kunt u waarschijnlijk een bedrijf openen. Dit is het geval als u de database met het demobedrijf gebruikt. Dit demobedrijf wordt bij het programma geleverd. Het bevat een volledige versie van Microsoft Dynamics NAV en biedt voorbeelden van de manier waarop u verschillende gegevenstypen instelt. U ziet hierin bijvoorbeeld een rekeningschema, een klantenoverzicht, een aantal artikelen, geboekte records, enzovoort.

Neem even de tijd om dit voorbeeldbedrijf te bekijken zodat u een idee krijgt van de werking van het programma. U herkent een demobedrijf aan de naam (die met CRONUS begint) en aan het feit dat u alleen gegevens kunt boeken in de maanden november, december, januari en februari.

Attentie

U kunt het demobedrijf op twee manieren gebruiken. Gebruik het licentiebestand dat bij het demobedrijf wordt geleverd als u alle voorzieningen in het systeem wilt zien (inclusief de voorzieningen waarvoor u geen licentie hebt). U selecteert dit licentiebestand genaamd cronus.flf door Extra, Licentie-informatie, Wijzigen te kiezen.

Als u het demobedrijf met uw eigen licentiebestand bekijkt, krijgt u alleen de functies te zien waarvoor u een licentie hebt. Uw persoonlijke licentiebestand heet fin.flf. U selecteert dit op dezelfde wijze als de demolicentie. Het enige verschil is dat u nu Importeren kiest. In grote netwerken wordt de instelling van het licentiebestand gewoonlijk door de systeembeheerder geregeld.

Verwante onderwerpen

Bedrijven maken

Bedrijven verwijderen


Verschillende regels selecteren

Waarschijnlijk moet u af en toe verschillende regels in een venster selecteren.

Verschillende regels selecteren:

  1. Selecteer de eerste regel.

  2. Plaats de cursor in de volgende regel die u wilt selecteren en houd Ctrl ingedrukt terwijl u op de selectiebalk links van de regel klikt.

  3. Herhaal deze procedure voor elke regel die u wilt selecteren.

Verwante onderwerpen

Verschillende opeenvolgende regels selecteren

Afzonderlijke groepen regels selecteren

In een veld selecteren

Alle regels in een venster selecteren


Bedrijven verwijderen

Het kan voorkomen dat u een bedrijf moet verwijderen.

Het huidige bedrijf verwijderen:

  1. Kies Bestand, Bedrijf, Verwijderen. Vervolgens krijgt u tweemaal de gelegenheid om de verwijdering van het bedrijf te bevestigen.

  2. Bevestig dat u het bedrijf wilt verwijderen.

Als u een bedrijf verwijdert, wordt het gehele bedrijf inclusief gegevens verwijderd. Eventuele lijsten en aanpassingen die u hebt gemaakt worden niet verwijderd. Deze worden in de database opgeslagen.

De verwijdering van een bedrijf is minder risicovol dan de verwijdering van een database. Maak echter in alle gevallen eerst een reservekopie voordat u een verwijdering uitvoert.

Als u een bedrijf op deze manier verwijdert, krijgt u nog tweemaal de gelegenheid om de verwijdering van het bedrijf definitief te bevestigen.

Verwante onderwerpen

Bedrijven maken

Databases maken

Databases verwijderen


Bedrijfsnaam wijzigen

Het kan voorkomen dat u de naam van een bedrijf moet wijzigen.

Voordat u een bedrijf een andere naam geeft, moet u ervoor zorgen dat u met het juiste bedrijf werkt en dat u de enige gebruiker bent met toegang tot het bedrijf.

Uzelf instellen als enige gebruiker met toegang tot het bedrijf:

  1. Kies Bestand, Database, Wijzigen om het venster Database aanpassen te openen.

  2. Klik op de tab Opties en schakel het selectievakje Eén gebruiker in. Klik vervolgens op OK.

De naam van het huidige bedrijf wijzigen:

  1. Kies Bestand, Bedrijf, Naam wijzigen om het venster Bedrijfsnaam wijzigen te openen.

  2. Vervang de huidige bedrijfsnaam.

  3. Klik op OK om de nieuwe bedrijfsnaam te accepteren.

U kunt een bedrijfsnaam op elk moment wijzigen. Deze functie komt van pas wanneer u de bedrijfsnaam foutief hebt ingevoerd of wanneer u een andere naam meer geschikt acht.

De naamsverandering van bedrijven waarvoor al gegevens zijn ingevoerd, kan enige tijd in beslag nemen.

Attentie

Als u de meegeleverde demodatabase gebruikt op basis van het licentiebestand cronus.flf, kunt u de bedrijfsnaam alleen wijzigen in een naam die begint met CRONUS (in hoofdletters).

Verwante onderwerpen

Bedrijven openen

Bedrijven maken


Bedrijven sluiten

U moet het huidige bedrijf waarschijnlijk regelmatig sluiten.

Het huidige bedrijf sluiten:

  1. Kies Bestand, Bedrijf, Sluiten om het huidige bedrijf te sluiten.

U hoeft het huidige bedrijf niet te sluiten als u de toepassing wilt afsluiten of een ander bedrijf wilt openen.

Het huidige bedrijf wordt automatisch gesloten zodra u een ander bedrijf opent.


Pagina-instellingen voor lijsten wijzigen

Microsoft Dynamics NAV kent een aantal standaardinstellingen voor de marges op de afgedrukte pagina's. U kunt gaatjes perforeren aan de zijkant van het papier om de afdrukken in een map te bewaren.

Standaardinstellingen voor lijsten wijzigen:

  1. Selecteer de lijst waarvan u de marges wilt aanpassen.

  2. Kies Bestand, Pagina-instellingen om het venster Pagina-instellingen te openen.

  3. Kies het formaat en de afdrukstand voor het papier. Boven in het venster ziet u het effect van de door u gekozen instellingen.

  4. Typ de nieuwe afmetingen voor de marges in de vakken Links, Rechts, Boven en Onder. De nieuwe marges worden (met een stippellijn) weergegeven in het voorbeeld boven in het venster.

De nieuwe instellingen voor deze lijst worden automatisch opgeslagen zodat u deze niet opnieuw hoeft te kiezen telkens wanneer u de lijst afdrukt.

Verwante onderwerpen

Afdrukvoorbeeld van lijsten bekijken

Lijsten afdrukken

Lijsten opslaan als HTML


Lijsten afdrukken

Microsoft Dynamics NAV bevat een groot aantal lijsten.

Een lijst afdrukken:

  1. Open de lijst die u wilt afdrukken.

  2. Kies Bestand, Afdrukken of klik op de knop Afdrukken op de werkbalk.

  3. U kunt elke lijst ook afdrukken door op Afdrukken te klikken in het lijstvenster.

U kunt de functie activeren vanuit elk venster waarin de knop Afdrukken voorkomt. Als u Bestand, Afdrukken kiest, verschijnt een venster waarin u gegevens voor de afdrukprocedure kunt invoeren.

In het bovenste veld ziet u de naam van de printer die in het Configuratiescherm van Windows is ingesteld als standaardprinter. Deze printerselectie geldt voor heel Microsoft Dynamics NAV. U kunt eventueel een andere standaardprinter instellen of een bepaalde printer koppelen aan een gebruiker en/of lijst in het venster [image] Printerselecties.

Verwante onderwerpen

Afdrukvoorbeeld van lijsten bekijken

Andere printers selecteren

Pagina-instellingen voor lijsten wijzigen

Lijsten opslaan als HTML


Afdrukvoorbeeld van lijsten bekijken

U kunt op verschillende manieren een afdrukvoorbeeld van een lijst bekijken:

  • Kies Bestand, Afdrukvoorbeeld.

  • Klik op Afdrukvoorbeeld op de werkbalk.

  • Klik op Afdrukvoorbeeld in het lijstvenster.

U gebruikt deze functie om de uitvoer op het scherm te bekijken voordat u deze naar een printer of een bestand verstuurt.U kunt deze functie activeren vanuit elk venster waarin de knop Afdrukken voorkomt.

U kunt in het venster Afdrukvoorbeeld naar de andere pagina's van de uitvoer bladeren, het afdrukvoorbeeld per pagina of per twee pagina's weergeven of in- en uitzoomen op de pagina.

Verwante onderwerpen

Lijsten afdrukken

Pagina-instellingen voor lijsten wijzigen

Andere printers selecteren

Lijsten opslaan als HTML


Programma afsluiten

U sluit het programma af door Bestand, Afsluiten te kiezen of rechtsboven in het toepassingsvenster te klikken.

Hiermee worden alle vensters in de toepassing gesloten, waarna het programma wordt afgesloten. Er verschijnt een bericht als het programma nog bezig is met de uitvoering van een functie of als u nog niet hebt gereageerd op een verzoek van het programma. U krijgt dan de gelegenheid om de taak te voltooien voordat de toepassing wordt afgesloten.


Databases verwijderen

U zult waarschijnlijk alle mogelijke voorzorgsmaatregelen nemen om te voorkomen dat een database wordt verwijderd. Een ongewenste verwijdering heeft immers ernstige gevolgen. Als u de database toch wilt verwijderen, kunt u dit op een volstrekt 'legitieme' manier doen met de volgende menu-opdracht.

U gebruikt deze functie alleen in uitzonderlijke gevallen, omdat met de verwijdering van de database ook alle hierin aanwezige bedrijven, lijsten, enzovoort worden verwijderd. Als u de functie per ongeluk gebruikt, krijgt u de gelegenheid uw fout te herstellen omdat de uiteindelijke verwijdering van de database pas plaatsvindt nadat u dit uitdrukkelijk hebt bevestigd.

De huidige database verwijderen:

  1. Kies Bestand, Database, Verwijderen.

Verwante onderwerpen

Databases maken

Databases openen in Microsoft Dynamics NAV Database Server

Databases openen onder SQL Server

Databases sluiten


Databases sluiten

Mogelijk moet u de database af en toe sluiten.

Een database sluiten:

  1. Kies Bestand, Database, Sluiten.

U gebruikt deze functie om een geopende database te sluiten, als u bijvoorbeeld een andere database wilt openen. U hoeft deze functie echter niet per se te gebruiken, omdat de opslag van gegevens en het sluiten van de database automatisch gebeurd wanneer u een andere database opent of het programma afsluit.

Verwante onderwerpen

Databases maken

Databases verwijderen


Lijsten opslaan als HTML

U kunt alle lijsten opslaan in een HTML-indeling.

Een lijst opslaan in een HTML-indeling:

  1. Kies Bestand, Opslaan als HTML.

Opslaan in een HTML-indeling is ook mogelijk vanuit het opvraagvenster van de lijst of vanuit het venster Afdrukvoorbeeld.

Als u op Opslaan als HTML klikt, wordt de lijst gegenereerd en geconverteerd naar een HTML-indeling. Vervolgens kunt u de bestandsnaam en de opslaglocatie van de lijst opgeven.

Lijsten die u opslaat in een HTML-indeling worden niet afgedrukt.

Verwante onderwerpen

Afdrukvoorbeeld van lijsten bekijken

Lijsten afdrukken

Pagina-instellingen voor lijsten wijzigen

Andere printers selecteren


Kolommen verbergen

Als u de uiterst linkse en rechtse kolommen in een venster naast elkaar wilt weergeven, kunt u de tussenliggende kolommen verbergen.

Een kolom verbergen:

  1. Plaats de cursor in de kolom die u wilt verbergen.

  2. Kies Beeld, Kolommen verbergen op de menubalk.

    De geselecteerde kolom wordt verborgen. U kunt deze procedure herhalen voor elke kolom die u wilt verbergen.

  3. Als u de kolommen weer zichtbaar wilt maken of wilt controleren of het huidige venster verborgen kolommen bevat, klikt u op Beeld, Kolommen weergeven.

Als u deze functie gebruikt om een FlowField te verbergen op een formulieren met tabellen, wordt het FlowField niet meer berekend. Dit kan de prestaties enigszins verbeteren. Het is echter mogelijk dat het formulier programmacode bevat waarvoor de informatie in het FlowField nodig is. Deze programmacode kan niet correct worden uitgevoerd als het desbetreffende verborgen FlowField niet wordt berekend.

Verwante onderwerpen

Kolommen weergeven

Rijen hoger of smaller maken


Werkdatums instellen

In Microsoft Dynamics NAV wordt de systeemdatum gebruikt als standaardwerkdatum. Soms wilt u deze werkdatum misschien tijdelijk aanpassen. Dit is bijvoorbeeld het geval wanneer u veel transacties moet invoeren voor een datum die niet gelijk is aan de systeemdatum.

De standaardinstelling voor de werkdatum wijzigen:

  1. Kies Extra, Werkdatum om het venster Werkdatum weer te geven.

  2. Typ de gewenste werkdatum in het veld Werkdatum.

  3. Klik op OK om de nieuwe werkdatum in te stellen.

U kunt de werkdatum snel invoeren door een w in het datumveld te typen. Hierbij is het niet van belang of de werkdatum gelijk is aan de systeemdatum of door u is ingesteld.

Ook als u de werkdatum zelf hebt gedefinieerd, kunt u de systeemdatum versneld invoeren door een t in een datumveld typen.

Invoer van de ingestelde werkdatum is alleen mogelijk zolang u het bedrijf hebt geopend. Als u een ander bedrijf opent of hetzelfde bedrijf de dag erop weer opent, moet u de werkdatum opnieuw handmatig van de systeemdatum laten afwijken.

Verwante onderwerpen

Datums invoeren


Codegebruik bijhouden

Met het hulpprogramma Code Coverage kunt u controleren welke code door een bepaalde functie wordt gebruikt. Dit hulpprogramma werkt op ongeveer dezelfde wijze als de debugger en bevat daarom eventuele beperkingen die in de debugger voorkomen.

Programmeurs kunnen met dit hulpprogramma het codegebruik bijhouden bij het aanpassen van Microsoft Dynamics NAV. Het bijhouden van code geeft een overzicht van de code die wordt uitgevoerd in een gebruiksscenario.

U gebruikt het hulpprogramma Code Coverage in plaats van of in combinatie met de C/AL-debugger. Het bijhouden van code geeft programmeurs een snel overzicht, terwijl het stap-voor-stap debuggen erg lang kan duren. Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

In het venster Code Coverage worden de objecten weergegeven die zijn gebruikt in een gebruiksscenario.

Codegebruik bijhouden:

  1. Klik op Extra, Code Coverage om het venster Code Coverage te openen.

  2. Klik op Start om de inhoud van het venster Code Coverage te wissen en het bijhouden van de codes te starten.

  3. Voer de bewerkingen uit die u wilt controleren.

  4. Als u klaar bent, gaat u terug naar het venster Code Coverage. Het venster bevat nu een overzicht van de tabellen, formulieren, lijsten, dataports en code-units die zijn gebruikt in de bewerkingen die u zojuist hebt uitgevoerd.

  5. Klik op Stop als u klaar bent het bijhouden van de code.

  6. Selecteer het object waarvoor u de gebruikte codes wilt weergeven. U kunt ook een object selecteren zonder eerst op Stop te klikken.

  7. Klik op Code om het venster Code Overview te openen.

In het venster Code Overview wordt de code in het specifieke object weergegeven. De coderegels die zijn uitgevoerd, worden zwart weergegeven. De coderegels die zijn niet uitgevoerd, worden rood weergegeven.

In het venster Code Overview worden de coderegels op dezelfde manier weergegeven als in de debugger:

  • In elke regel waar uitvoerbare codes staan, worden opsommingstekens weergegeven.

  • De regels die zijn gemarkeerd met een opsommingsteken zijn de enige regels waarvoor de gegevens correct worden weergegeven.

  • De regels die niet zijn gemarkeerd met een opsommingsteken, worden gewoon weergegeven in de kleuren van de omringende coderegels.

De gegevens in het venster Code Overview zijn vergelijkbaar met de gegevens die in de debugger worden weergegeven. Het belangrijkste verschil is dat u in de debugger ziet hoe de code wordt uitgevoerd, terwijl in het venster Code Overview de coderegels worden weergegeven nadat deze zijn uitgevoerd.

Als u het hulpprogramma Code Coverage uitvoert terwijl u in Microsoft Dynamics NAV werkt, wordt er mogelijk een bijzonder groot logbestand gegenereerd.

Attentie

U mag objecten en bijgehouden codes niet gelijktijdig wijzigen, omdat dit inconsistente resultaten oplevert.

Verwante onderwerpen

Code Coverage starten vanaf de opdrachtprompt


Knippen

U gebruikt Knippen in combinatie met Plakken om de volledige of gedeeltelijke inhoud van een veld (of een hele record) naar een andere locatie te verplaatsen.

  1. Selecteer het gedeelte dat u wilt verplaatsen.

  2. Kies Bewerken, Knippen.

  3. Klik op de locatie waar u het geknipte fragment wilt invoegen.

  4. Kies Bewerken, Plakken.

Verwante onderwerpen

Kopiëren

Plakken


Kopiëren

U gebruikt Kopiëren in combinatie met Plakken om de volledige of gedeeltelijke inhoud van een veld (of een hele record) naar een andere locatie te kopiëren. De gekopieerde tekst blijft ook op de oorspronkelijke locatie staan.

  1. Selecteer het gedeelte dat u wilt kopiëren.

  2. Kies Bewerken, Kopiëren.

  3. Klik op de locatie waar u de kopie wilt invoegen.

  4. Kies Bewerken, Plakken.

Verwante onderwerpen

Knippen

Plakken


Plakken

U gebruikt Plakken in combinatie met Knippen of Kopiëren om de volledige of gedeeltelijke inhoud van een veld (of een hele record) te verplaatsen of kopiëren.

  1. Selecteer het gedeelte dat u wilt verplaatsen of kopiëren.

  2. Klik op Bewerken, Knippen of Bewerken, Kopiëren.

  3. Klik op de locatie waar u het geknipte of gekopieerde fragment wilt invoegen.

  4. Kies Bewerken, Plakken.

Als het ingevoegde fragment niet datgene is wat u bedoeld had, heeft u mogelijk niet op Knippen of Kopiëren geklikt nadat u de tekst had geselecteerd. Of mogelijk heeft u in de tussentijd iets anders geknipt of gekopieerd.

Verwante onderwerpen

Knippen

Kopiëren


Verschillende opeenvolgende regels selecteren

U kunt een groep regels op drie manieren selecteren:

  • Klik op de selectiebalk links van de eerste regel die u wilt selecteren en houd vervolgens de muisknop ingedrukt terwijl u over de andere gewenste regels sleept.

  • Klik op de selectiebalk om de eerste regel te selecteren. Ga naar de laatste regel in de groep en houd Shift ingedrukt terwijl u op de selectiebalk van die regel klikt.

  • Als u alleen met het toetsenbord werkt, plaatst u de cursor in de eerste regel die u wilt selecteren en houdt u Shift ingedrukt terwijl u de overige gewenste regels selecteert door op pijl of pijl-omlaag te drukken.

Verwante onderwerpen

Verschillende regels selecteren

Afzonderlijke groepen regels selecteren

In een veld selecteren

Alle regels in een venster selecteren


Afzonderlijke groepen regels selecteren

Waarschijnlijk moet u af en toe afzonderlijke groepen regels in een venster selecteren.

Afzonderlijke groepen regels selecteren:

  1. Selecteer de eerste groep regels.

  2. Ga naar de eerste regel van de volgende groep die u wilt selecteren en houd Ctrl ingedrukt terwijl u links van de regel op de selectiebalk klikt.

  3. Ga naar de laatste regel in deze groep en houd zowel Ctrl als Shift ingedrukt terwijl u links van deze regel op de selectiebalk klikt.

U herhaalt deze procedure voor elke andere groep regels.

Verwante onderwerpen

Verschillende regels selecteren

Verschillende opeenvolgende regels selecteren

In een veld selecteren

Alle regels in een venster selecteren


In een veld selecteren

Waarschijnlijk moet u soms alleen een deel van de inhoud van een veld selecteren.

Een deel van een regel selecteren:

  1. Als u de muis gebruikt, plaatst u de cursor in het veld en houdt u de muisknop ingedrukt terwijl u het gewenste gedeelte selecteert.

  2. Als u het toetsenbord gebruikt, plaatst u de cursor in het veld en houdt u Shift ingedrukt terwijl u tekst selecteert met de toetsen pijl-links en pijl-rechts. Hiermee kunt u teken voor teken selecteren.

U heft een selectie op door met de muis op een andere locatie te klikken. U kunt de selectie ook via het toetsenbord opheffen door op pijl of pijl-omlaag te drukken.

Verwante onderwerpen

Verschillende regels selecteren

Verschillende opeenvolgende regels selecteren

Afzonderlijke groepen regels selecteren

Alle regels in een venster selecteren

In een veld selecteren

© 2009 Microsoft Corporation. Alle rechten voorbehouden.


Alle regels in een venster selecteren

Plaats de cursor in het venster en kies Bewerken, Alles selecteren als u alle regels in een venster met rijen en kolommen wilt selecteren (om bijvoorbeeld alle posten van een klant in het venster Klantenpost te selecteren en in te voegen in een spreadsheetprogramma).

U kunt dit ook doen door op het lege vakje te klikken dat linksboven in een venster met rijen en kolommen is te zien. Hiermee selecteert u ook alle regels die mogelijk buiten beeld vallen omdat het venster niet groot genoeg is. U controleert dit door omhoog of omlaag te schuiven in het venster. Alle geselecteerde regels zijn gemarkeerd.

Als u Bewerken, Alles selecteren kiest voor een bewerking op alle records (kaarten of regels) in een tabel, moet u eraan denken dat het venster niet per se een afspiegeling vormt van de volledige tabel. Als u een tabelfilter hebt ingesteld, is slechts een gedeelte van de tabel zichtbaar. In dat geval zijn alleen records te zien die door het filter worden opgehaald, maar zullen de onzichtbare records eveneens worden geselecteerd.

Kies Beeld, Alles weergeven als u zeker wilt zijn dat er geen tabelfilter op het venster wordt toegepast. Hiermee wordt elke filter opgeheven en de functie Beeld, Alleen gemarkeerde weergeven, uitgeschakeld. Tenzij er een vaste filter voor het venster is ingesteld, kunt u dus alle records uit de tabel in het venster zien. (Vaste filters worden in het programma gedefinieerd en kunnen alleen met speciale toegangsrechten worden gewijzigd). Voorbeelden van vaste filters treft u aan u bij lijsten die wisselend een beeld kunnen laten zien voor grootboek-, klant-, leveranciers- of voorraadgegevens.

Verwante onderwerpen

Verschillende regels selecteren

Verschillende opeenvolgende regels selecteren

Afzonderlijke groepen regels selecteren

In een veld selecteren

Veldfilters en tabelfilters

Alles weergeven

Alleen gemarkeerde weergeven


Eigenschappen van objecten weergeven

U kunt de eigenschappen van Microsoft Dynamics NAV-objecten desgewenst weergeven.

De eigenschappen van een object bekijken:

  1. Open het ontwerpvenster van het betreffende object.

  2. Kies Bewerken, Object selecteren in het menu om het object te selecteren.

  3. Kies Beeld, Eigenschappen op de menubalk. U ziet het venster Eigenschappen met daarin de eigenschappen van het object.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.


Gegevens invoeren op het tabblad Nieuwe database - Algemeen

Als u een nieuwe database maakt, moet u gegevens invoeren op het tabblad Algemeen van het venster Nieuwe database.

Gegevens invoeren op het tabblad Algemeen:

  1. Kies Bestand, Database, Nieuw om het venster Nieuwe database te openen.

  2. Klik op het tabblad Algemeen. Dit tabblad bevat de naam van de server die u hebt opgegeven in het venster Server selecteren.

  3. In het veld Database voert u de naam van de database in.

Dit is de naam waaronder de database wordt aangeduid in alle hierop gebaseerde vensters.

Als u op OK klikt zonder de overige tabbladen in te vullen, wordt er in Microsoft Dynamics NAV een nieuwe database gemaakt met de standaardinstellingen voor gegevensbestanden, transactielogbestanden en sorteringen.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

SQL-server selecteren

Databases maken onder SQL Server

Gegevens invoeren op het tabblad Nieuwe database - Databasebestanden

Gegevens invoeren op het tabblad Nieuwe database - Transactie-logbestanden

Gegevens invoeren op het tabblad Nieuwe database - Sortering

Gegevens invoeren op het tabblad Nieuwe database - Opties

Gegevens invoeren op het tabblad Nieuwe database - Integratie

Gegevens invoeren op het tabblad Nieuwe database - Geavanceerd


Gegevens invoeren op het tabblad Nieuwe database - Databasebestanden

Hier kunt u het aantal bestanden opgeven waaruit de nieuwe database zal bestaan. U kunt ook de naam, de omvang, het groeitempo, enzovoort opgeven voor de afzonderlijke databasebestanden.

Attentie

Het is aan te raden goed na te denken over de omvang van de database. De database uitbreiden kan veel tijd kosten en inspanning vergen.

Microsoft Dynamics NAV configureert twee gegevensbestanden voor elke nieuwe database. Het eerste gegevensbestand wordt gemaakt als het primaire bestand in de PRIMAIRE bestandsgroep. Het tweede gegevensbestand en elk volgende bestand dat wordt toegevoegd aan de database, wordt gemaakt in een extra bestandsgroep. Het primaire gegevensbestand wordt altijd als eerste vermeld op het tabblad Databasebestanden en moet altijd worden opgegeven.

Het formaat van het primaire gegevensbestand wordt standaard ingesteld op 40 MB of op het formaat van het primaire gegevensbestand in de modeldatabase, afhankelijk van welke van de twee groter is. Het formaat van het secundaire gegevensbestand wordt ingesteld op 160 MB. Het formaat van het transactielogbestand wordt ingesteld op 50% van de som van het primaire en secundaire gegevensbestand. Met deze instellingen kunt u de reservekopie van de standaarddatabase die bij het programma wordt geleverd, herstellen in een nieuwe database zonder dat de gegevens- of transactielogbestanden groeien. U kunt al deze formaten en alle andere bestandseigenschappen zo wijzigen dat ze voldoen aan uw vereisten, voordat u de database maakt.

Als u een nieuwe database maakt, moet u gegevens invoeren op het tabblad Databasebestanden van het venster Nieuwe database.

Gegevens invoeren op het tabblad Databasebestanden:

  1. Kies Bestand, Database, Nieuw om het venster Nieuwe database te openen.

  2. Klik op het tabblad Algemeen.

  3. Geef in het veld Logische naam een logische naam op voor elk gegevensbestand. Met logische namen vereenvoudigt u het beheer van gegevensbestanden.

  4. Geef in het veld Bestandsnaam het volledige pad en de naam op van elk gegevensbestand.

  5. Geef in het veld Grootte (MB) de aanvankelijke grootte in megabytes op voor elk gegevensbestand.

  6. Geef in het veld Bestandsgroei op hoeveel groter het gegevensbestand wordt, elke keer dat het wordt uitgebreid. U kunt hiervoor kilobytes (kB), megabytes (MB) of een percentage (%) gebruiken.

    De standaardwaarde is MB.

    Als u de waarde echter opgeeft in megabytes, wordt deze door SQL Server omgezet in kilobytes. Als u de waarde opgeeft als een percentage, wordt deze door SQL Server weergegeven als een percentage.

  7. Geef in het veld Onbeperkte groei aan of het gegevensbestand door SQL Server mag worden uitgebreid wanneer dit nodig is.

  8. Geef in het veld Maximale grootte (MB) de maximumgrootte op voor de database.

    U moet voor het gegevensbestand kiezen voor onbeperkte groei, of een maximale bestandsgrootte opgeven. Als u geen maximumgrootte opgeeft, wordt het gegevensbestand door SQL Server zo vaak uitgebreid als nodig is. Deze uitbreiding wordt alleen beperkt door de beschikbare schijfruimte.

Het is aan te raden primaire gegevensbestanden de extensie .mdf en secundaire gegevensbestanden de extensie .ndf te geven.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases maken onder SQL Server

Gegevens invoeren op het tabblad Nieuwe database - Algemeen

Gegevens invoeren op het tabblad Nieuwe database - Transactielogbestanden

Gegevens invoeren op het tabblad Nieuwe database - Sortering

Gegevens invoeren op het tabblad Nieuwe database - Opties

Gegevens invoeren op het tabblad Nieuwe database - Integratie

Gegevens invoeren op het tabblad Nieuwe database - Geavanceerd


Gegevens invoeren op het tabblad Nieuwe database - Transactielogbestanden

Microsoft Dynamics NAV configureert één transactielogbestand voor elke nieuwe database. Het formaat van dit transactielogbestand wordt standaard ingesteld op 50% van de som van het primaire en secundaire gegevensbestand.

Op het tabblad Transactielogbestanden kunt u de locatie, omvang, groei en maximumgrootte bepalen van alle transactielogbestanden. Het transactielog wordt gebruikt om de wijzigingen bij te houden die in de database worden aangebracht, en voor databaseherstel.

Als u een nieuwe database maakt, moet u gegevens invoeren op het tabblad Transactielogbestanden van het venster Nieuwe database.

Gegevens invoeren op het tabblad Transactielogbestanden:

  1. Kies Bestand, Database, Nieuw om het venster Nieuwe database te openen.

  2. Klik op het tabblad Transactielogbestanden.

  3. Geef in het veld Logische naam een logische naam op voor elk transactielogbestand. Met logische namen vereenvoudigt u het beheer van transactielogbestanden.

  4. Geef in het veld Bestandsnaam het volledige pad en de naam op van elk transactielogbestand.

  5. Geef in het veld Grootte (MB) de aanvankelijke grootte in megabytes op voor elk transactielogbestand.

  6. Geef in het veld Bestandsgroei op hoeveel groter het transactielogbestand wordt, elke keer dat het wordt uitgebreid. U kunt hiervoor kilobytes (kB), megabytes (MB) of een percentage (%) gebruiken.

    De standaardwaarde is MB.

    Als u de waarde echter opgeeft in megabytes, wordt deze door SQL Server omgezet in kilobytes. Als u de waarde opgeeft als een percentage, wordt deze door SQL Server weergegeven als een percentage.

  7. Geef in het veld Onbeperkte groei op of het transactielogbestand kan worden uitgebreid door SQL Server.

  8. Geef in het veld Maximale grootte (MB) de maximumgrootte op voor het transactielogbestand.

U moet voor het transactielogbestand kiezen voor onbeperkte groei, of een maximale bestandsgrootte opgeven. Als u geen maximumgrootte opgeeft, wordt het transactielogbestand door SQL Server zo vaak uitgebreid als nodig is. Deze uitbreiding wordt alleen beperkt door de beschikbare schijfruimte.

Het transactielog bevat de wijzigingen die in de database worden aangebracht, en wordt gebruikt voor databaseherstel. Het is aan te raden de transactielogbestanden de extensie .ldf te geven.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases maken onder SQL Server

Gegevens invoeren op het tabblad Nieuwe database - Algemeen

Gegevens invoeren op het tabblad Nieuwe database - Databasebestanden

Gegevens invoeren op het tabblad Nieuwe database - Sortering

Gegevens invoeren op het tabblad Nieuwe database - Opties

Gegevens invoeren op het tabblad Nieuwe database - Integratie

Gegevens invoeren op het tabblad Nieuwe database - Geavanceerd


Gegevens invoeren op het tabblad Nieuwe database - Sortering

In het venster Nieuwe database kunt u sorteringsopties instellen, waarmee u bepaalt op welke wijze uw gegevens worden gesorteerd en vergeleken.

In SQL Server Option voor Microsoft Dynamics NAV kunt u kiezen tussen Windows-sorteringen en SQL-sorteringen:

  • Windows-sorteringen zijn sorteringsopties die worden ondersteund door het Windows-besturingssysteem en afhankelijk zijn van de land- en taalinstellingen.

  • SQL-sorteringen zijn de oorspronkelijke sorteringen van SQL Server 7.0 die nog steeds worden ondersteund vanwege de compatibiliteit met eerdere versies.

U wordt aanbevolen een Windows-sortering te gebruiken wanneer u een database maakt. Dit soort sortering volgt de sorteringsregels van het besturingssysteem.

Dit tabblad bevat de standaardserversortering van de nieuwe database. Als de serversortering een Windows-sortering is, wordt deze sortering ingesteld als de standaardsortering voor de database. Als de serversortering een SQL-sortering is, wordt een Engelse hoofdletter- en accentgevoelige Windows-sortering gebruikt als de standaardsortering voor de database. Tenzij u de sortering wijzigt, wordt deze voor de nieuwe database gebruikt.

U moet altijd een sortering instellen die voldoet aan de vereisten voor een nieuwe database.

Als u de optie Codetabel valideren kiest, worden op het tabblad Sortering alleen sorteringen weergegeven die worden ondersteund door het besturingssysteem van het werkstation waarop de database wordt gemaakt. Dit zijn alleen de sorteringen op basis van de OEM- of ANSI-codetabellen die op de client worden gebruikt. Als u de optie Codetabel valideren niet kiest, worden op het tabblad Sortering alle beschikbare sorteringen weergegeven.

U kunt de sortering aanpassen aan uw behoefte voordat u de database maakt.

Gegevens invoeren op het tabblad Sortering:

  1. Kies Bestand, Database, Nieuw om het venster Nieuwe database te openen.

  2. Klik op het tabblad Sortering.

  3. Als u Windows-sortering selecteert, moet u een sortering kiezen die zoveel mogelijk overeenkomt met de eisen van uw geografische locatie en/of taal. Klik op de AssistButton om de beschikbare Windows-sorteringen te bekijken. Als u een Windows-sortering kiest, kunt u de binaire en hoofdletter- en accentgevoelige eigenschappen van de sortering wijzigen. Als u de binaire eigenschappen inschakelt, worden de hoofdletter- en accentgevoelige eigenschappen verwijderd. Als u de hoofdletter- en accentgevoelige eigenschappen inschakelt, worden de binaire eigenschappen verwijderd.

  4. Als u SQL-sortering selecteert, zijn de eigenschappen Binair, Hoofdlettergevoelig en Accentgevoelig inactief omdat deze eigenschappen in de sorteringswijze zijn opgenomen.

  5. Als u SQL Sortering selecteert, moet u een sorteringswijze kiezen die overeenkomt met de ingestelde codetabel en de vereiste eigenschappen voor binaire codering/woordenboeken, hoofdlettergevoeligheid en accentgevoeligheid. Klik op de AssistButton om de beschikbare SQL-sorteringen te bekijken.

U kunt een ander type sortering instellen voor elke nieuwe database.

De optie Codetabel valideren is standaard geselecteerd. Wanneer deze optie is ingeschakeld, wordt bij elke verbinding tussen een werkstation en de database gecontroleerd of de OEM- of ANSI-codetabel van het werkstation compatibel is met de codetabel van de database. Als u deze optie niet inschakelt, wordt de codetabel van het werkstation niet gevalideerd.

U kunt deze optie uitschakelen als u zeker weet dat alle tekens bij overdracht tussen de database en de werkstations correct worden geconverteerd. Door deze optie uit te schakelen, kan op werkstations met verschillende landinstellingen (dus verschillende codetabellen) dezelfde database worden gebruikt. Het is dan wel mogelijk dat speciale tekens die op een werkstation worden ingevoerd, niet correct worden overgenomen op een ander werkstation of de server.

Als u de codetabel niet laat valideren, kunnen ook de volgende problemen ontstaan:

  • Het sorteren van tekst wordt aangestuurd door de databaseserver. Dit betekent dat de gegevens niet worden gesorteerd volgens de regels van de "incompatibele" werkstations. Dit kan tot serieuze problemen leiden als bepaalde C/AL-code alleen correct werkt bij een bepaalde sortering.

  • Als u toegang tot SQL Server hebt via externe hulpprogramma's, kunnen de gegevens die door de "incompatibele" werkstations zijn ingevoerd, mogelijk niet door deze hulpprogramma's worden gelezen.

U wordt aanbevolen de standaardinstelling te gebruiken en codetabellen te laten valideren. Hiermee ondervangt u alle genoemde problemen.

Raadpleeg de documentatie van Microsoft voor meer informatie over sorteringen en codetabellen.

Attentie

Het is mogelijk een database terug te zetten met een sortering die niet compatibel is met de huidige databasesortering. Wanneer dit gebeurt, worden uitgebreide tekens in gegevens onjuist weergegeven.

Verwante onderwerpen

Databases maken onder SQL Server

Gegevens invoeren op het tabblad Nieuwe database - Algemeen

Gegevens invoeren op het tabblad Nieuwe database - Databasebestanden

Gegevens invoeren op het tabblad Nieuwe database - Transactie-logbestanden

Gegevens invoeren op het tabblad Nieuwe database - Opties

Gegevens invoeren op het tabblad Nieuwe database - Integratie

Gegevens invoeren op het tabblad Nieuwe database - Geavanceerd


Gegevens invoeren op het tabblad Nieuwe database - Opties

Het tabblad Opties bevat geavanceerde instellingen voor de database. U kunt deze opties later wijzigen.

Dit tabblad bevat de volgende geavanceerde database-instellingen:

Toegang:

  • Members of db_owner, dbcreator of sysadmin: Als u deze optie selecteert, hebben alleen leden van de vaste databaserol db_owner, de vaste serverrol dbcreator of de vaste serverrol sysadmin toegang tot de database.

  • Eén gebruiker: Als u deze optie selecteert, kan de database slechts door één gebruiker tegelijkertijd worden gebruikt. Selecteer deze instelling wanneer u bijvoorbeeld de database wilt testen of herstellen en niet wilt dat anderen wijzigingen aanbrengen terwijl u daarmee bezig bent. Schakel dit selectievakje uit wanneer u klaar bent. U moet deze optie ook selecteren als u de naam van een bedrijf wilt wijzigen.

Instellingen:

  • Herstelmodel

Deze instelling geeft aan welke informatie naar het transactielogbestand wordt geschreven en bepaalt dus welk soort herstelmodel u voor deze database wilt gebruiken.

U hebt de volgende opties:

  • Bulk-Logged

  • Full

  • Simple

Bulk-Logged

Als u Bulk-Logged selecteert, bevat het transactielog alleen beperkte informatie over bepaalde grootschalige of bulkkopieerbewerkingen. Het herstelmodel Bulk-Logged combineert een beveiliging tegen mediastoringen met een optimale prestatie en minimale schijfruimte van het logbestand voor bepaalde grootschalige of bulkkopieerbewerkingen.

Het herstelmodel Bulk-logged kent de volgende strategie voor reservekopieën:

  • Database-reservekopieën.

  • Differentiële reservekopieën (optioneel).

Full

Als u de optie Full selecteert, worden alle details van elke transactie opgeslagen in het transactielogbestand. Deze informatie kan worden gebruikt als u reservekopieën van het transactielogbestand terugzet. Het herstelmodel Full werkt met reservekopieën van zowel de database als het transactielogbestand om een volledige beveiliging tegen mediastoringen te krijgen. Als een of meer gegevensbestanden beschadigd raken, kunt u via een mediaherstel alle uitgevoerde transacties herstellen. Onvoltooide transacties worden teruggedraaid.

Met een volledig herstel kunt u de database herstellen naar het moment van de storing of naar een ander specifiek tijdstip. Om dit herstelniveau te kunnen garanderen, worden alle bewerkingen, inclusief bulkbewerkingen zoals SELECT INTO, CREATE INDEX en het bulkladen van gegevens, volledig in het logbestand vastgelegd.

Het herstelmodel Full kent de volgende strategie voor reservekopieën:

  • Database-reservekopieën.

  • Differentiële reservekopieën (optioneel).

  • Reservekopieën van transactielogbestanden.

De herstelmodellen Full en Bulk-Logged zijn vergelijkbaar. Veel gebruikers van het volledige herstelmodel zullen zo nu en dan ook het model Bulk-Logged gebruiken.

Simple

Als u de optie Simple selecteert, kunt u de database herstellen naar het punt van de laatste reservekopie. U kunt de database echter niet herstellen naar het moment van de storing of naar een ander specifiek tijdstip. Dit kan alleen als u het herstelmodel Full of Bulk-Logged kiest.

Het herstelmodel Simple kent de volgende strategie voor reservekopieën:

  • Database-reservekopieën.

  • Differentiële reservekopieën (optioneel).

  • ANSI NULL standaard: Hier kunt u aangeven dat de standaard database-instellingen voor NULL in kolomdefinities en gebruikergedefinieerde gegevenstypen moeten worden toegepast. Als u deze optie activeert, wordt NULL-invoer toegestaan voor alle gebruikergedefinieerde gegevenstypen of kolommen die niet expliciet als NOT NULL zijn ingesteld. Kolommen waarvoor beperkingen zijn opgegeven, volgen de beperkende voorwaarden, ongeacht de hier ingestelde waarde.

  • Recursieve triggers: Triggers kunnen direct of indirect recursief zijn. Directe recursie vindt plaats als een trigger reageert en een handeling uitvoert waardoor dezelfde trigger wordt geactiveerd. Indirecte recursie vindt plaats als een trigger reageert en een handeling uitvoert waardoor een trigger op een andere tabel wordt geactiveerd. De tweede trigger werkt de oorspronkelijke tabel bij, waardoor de eerste trigger weer wordt geactiveerd.

  • Automatisch verkleinen: met deze optie kunt u bepalen of gegevens- en transactielogbestanden periodiek kunnen worden gecomprimeerd door SQL Server.

  • Afgebroken pagina's herkennen: Als u deze optie activeert, spoort SQL Server onvolledige Input/Output-bewerkingen op die zijn veroorzaakt door het uitvallen van het systeem (bijvoorbeeld door stroomstoringen).

    Deze fouten worden gewoonlijk opgemerkt als u SQL Server opnieuw opstart na bijvoorbeeld een stroomstoring. U dient in dat geval een reservekopie van de database en eventuele reservekopieën van transactielogbestanden terug te zetten.

  • Direct zoeken toestaan: Hiermee bepaalt u of de optie Direct zoeken beschikbaar is wanneer u de functie Zoeken gebruikt om een post in een tabel of formulier te zoeken. De functie Direct zoeken kan een negatief effect op de prestaties hebben omdat voor elk getypt teken een aanvraag naar de server wordt verzonden.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases maken onder SQL Server

Gegevens invoeren op het tabblad Nieuwe database - Algemeen

Gegevens invoeren op het tabblad Nieuwe database - Databasebestanden

Gegevens invoeren op het tabblad Nieuwe database - Transactielogbestanden

Gegevens invoeren op het tabblad Nieuwe database - Sortering

Gegevens invoeren op het tabblad Nieuwe database - Integratie

Gegevens invoeren op het tabblad Nieuwe database - Geavanceerd


Andere sorteersleutel instellen

U kunt in Microsoft Dynamics NAV een andere sleutel voor de gegevenssortering instellen.

Andere sorteersleutel instellen:

Het volgende voorbeeld geeft aan hoe u een andere sorteersleutel instelt.

  1. Open het venster [image] Leverancier en zoek een leverancier waarvoor posten zijn geboekt.

  2. Klik op Leverancier, Posten om het venster Leveranciersposten te openen. Schuif naar rechts in het venster zodat het veld Open in beeld komt. Voor alle openstaande posten is het veld Open aangekruist.

  3. Kies Beeld, Sorteren op de menubalk. Het venster Leverancierspost - Sorteren verschijnt met een overzicht van de sorteersleutels die zijn ingesteld voor de tabel Leverancierspost.

  4. Selecteer Open, Vervaldatum.

    In het vak onder de sleutelvelden kunt u tevens bepalen of de posten in oplopende of aflopende volgorde moeten worden gesorteerd. De standaardinstelling is Oplopend.

  5. Klik op Toepassen als u het effect van de sortering wilt zien zonder het venster Leverancierspost - Sorteren te sluiten. Klik op OK als u zeker weet dat de sorteervolgorde klopt. Het venster Sorteren wordt gesloten en u keert terug naar het venster Leveranciersposten. Hierin ziet u de nieuwe sortering.

De regels worden nu eerst gesorteerd op basis van de open status en vervolgens op basis van vervaldatum (de kolommen blijven op hun plek). Hierdoor kunt u snel zien wat u aan deze klant moet betalen.

Attentie

De nieuwe sorteervolgorde blijft voor alle leveranciers van kracht totdat u een andere sortering kiest. Als u de records van een andere leverancier wilt bekijken in dezelfde sorteervolgorde, bladert u naar de kaart van de betreffende leverancier. Het venster Leverancierspost wordt dan overeenkomstig bijgewerkt.

Verwante onderwerpen

Sorteren


Databases aanpassen - tabblad Algemeen

Op het tabblad Algemeen van het venster Database aanpassen kunt u de naam van de server en de database zien. Deze gegevens zijn alleen-lezen en kunnen niet worden gewijzigd.

Meer informatie vindt u in de handleiding Installation & System Management: SQL Server Option for the C/SIDE Client.

Verwante onderwerpen

Databases wijzigen onder SQL Server

Databases aanpassen - tabblad Databasebestanden

Databases aanpassen - tabblad Transactie-logbestanden

Databases aanpassen - tabblad Sortering

Databases aanpassen - tabblad Opties

Databases aanpassen - tabblad Integratie


De omvang van databasebestanden vergroten

U kunt de Microsoft Dynamics NAV SQL Server-database uitbreiden door een of meer van de databasebestanden te vergroten.

Attentie

Maak altijd een SQL Server-reservekopie van de database vóórdat u de database uitbreidt.

De omvang van een databasebestand vergroten:

  1. Kies Bestand, Database, Wijzigen om het venster Database aanpassen te openen.

  2. Klik op het tabblad Databasebestanden.

  3. Selecteer het gegevensbestand dat u wilt wijzigen.

  4. Klik op het veld Grootte (MB) en voer een nieuwe bestandsgrootte in.

Als de optie Onbeperkte groei niet is ingeschakeld en de database de maximale omvang heeft bereikt, kunt u de optie Onbeperkte groei inschakelen of de maximale grootte van een van de secundaire databasebestanden vergroten.

U kunt ook bestaande gegevensbestanden verwijderen als deze leeg zijn. Het eerste gegevensbestand in de lijst is het primaire bestand. Dit kan niet worden verwijderd.

Verwante onderwerpen

Databases aanpassen - tabblad Databasebestanden

Databases aanpassen - tabblad Algemeen


Nieuwe databasebestanden maken op de SQL Server Option

U kunt een database uitbreiden door een nieuw databasebestand te maken in de database.

Attentie

Maak altijd een SQL Server-reservekopie van de database vóórdat u de database uitbreidt.

Een nieuw databasebestand toevoegen:

  1. Kies Bestand, Database, Wijzigen om het venster Database wijzigen te openen.

  2. Klik op het tabblad Databasebestanden.

  3. Selecteer de eerste lege regel in het venster.

  4. Geef in het veld Logische naam een logische naam op voor elk gegevensbestand.

  5. Geef in het veld Bestandsnaam het volledige pad en de naam op van het databasebestand.

  6. Geef in het veld Grootte (MB) de aanvankelijke grootte in megabytes op voor het databasebestand.

  7. Geef in het veld Bestandsgroei op hoeveel groter het databasebestand wordt, elke keer dat het wordt uitgebreid. U kunt hiervoor kilobytes (kB), megabytes (MB) of een percentage (%) gebruiken.

    De standaardwaarde is MB.

    Als u de waarde echter opgeeft in megabytes, wordt deze door SQL Server omgezet in kilobytes. Als u de waarde opgeeft als een percentage, wordt deze door SQL Server weergegeven als een percentage.

  8. Klik in het veld Onbeperkte groei om een vinkje te plaatsen als u wilt dat het databasebestand, zo nodig, wordt uitgebreid door SQL Server.

  9. Geef in het veld Maximale grootte (MB) de maximumgrootte op voor de database.

    U moet voor het databasebestand kiezen voor onbeperkte groei, of een maximale bestandsgrootte opgeven. Als u geen maximumgrootte opgeeft, wordt het databasebestand door SQL Server zo vaak uitgebreid als nodig is. Deze uitbreiding wordt alleen beperkt door de beschikbare schijfruimte.

Het is aan te raden primaire databasebestanden de extensie .mdf en secundaire databasebestanden de extensie .ndf te geven.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

De omvang van databasebestanden vergroten


Reservekopieën maken

U moet regelmatig reservekopieën van de database maken.

Een reservekopie van de database maken:

  1. Kies Extra, Reservekopie maken om het venster Reservekopie te openen. In dit venster bepaalt u welke onderdelen de reservekopie bevat en start u het kopiëren van de database.

  2. Selecteer het soort reservekopie dat u wilt maken. U hebt de volgende opties: Volledige database, Alle bedrijven en Aangepast.

  3. Als u Aangepast kiest, moet u een markering plaatsen naast de bedrijven die u in de reservekopie wilt opnemen. U doet dit in de lijst met bedrijven onder Geselecteerde bedrijven. We raden u aan zoveel mogelijk gegevens in de reservekopie op te slaan. In dit geval hoeft u later niet de volledige reservekopie terug te zetten, maar kunt u zelf bepalen welke gegevens uit de reservekopie worden hersteld.

  4. Geef in het veld Omschrijving een unieke omschrijving voor de reservekopie op.

  5. Geef een naam op in het veld Bestandsnaam. Dit is de naam waaronder de reservekopie wordt opgeslagen.

    Microsoft Dynamics NAV stelt een opeenvolgende nummering voor in combinatie met de bestandsextensie .fbk. Het is verstandig om de voorgestelde nummering te gebruiken, omdat bij het importeren van de reservekopieën door Microsoft Dynamics NAV standaard dezelfde methode wordt gebruikt. Bovendien kunt u de gemaakte reservekopieën zo overzichtelijk bijhouden. De bestandsnaam moet het pad bevatten naar de map waarin u de reservekopie wilt opslaan.

  6. Als u de naam, het station en de map van de reservekopie hebt ingevoerd, klikt u op OK om de reservekopie te maken.

Als u geen pad (locatie op de schijf of het netwerk) opgeeft bij de bestandsnaam, wordt de reservekopie in de huidige map op het huidige station opgeslagen. Dit zal meestal de locatie zijn waarop Microsoft Dynamics NAV is geïnstalleerd. Als u de reservekopie op een andere locatie wilt opslaan (omdat de kopie te veel ruimte in beslag neemt), moet u in het veld Bestandsnaam naast de naam tevens het pad invoeren. U kunt dit eenvoudig doen door rechts naast het veld op de AssistButton te klikken en de reservekopie onder de juiste naam en op de gewenste locatie op te slaan.

Terwijl de reservekopie wordt gegenereerd, kunt u de status bijhouden van de gekopieerde database (boven in het venster) en van de schijf waarop de kopie wordt opgeslagen. Als u de kopieerprocedure wilt stopzetten, klikt u op Annuleren onder in het venster. Als u de procedure niet annuleert, wordt deze verder voltooit en verschijnt er een bericht zodra de reservekopie klaar is.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Reservekopieën

Reservekopieën van databases terugzetten


De omvang van transactielogbestanden vergroten

U kunt het transactie-log uitbreiden door de omvang van een of meer van de bijbehorende bestanden te vergroten.

Opmerking

Maak altijd een SQL Server-reservekopie van de database vóórdat u de database uitbreidt.

De omvang van een transactielogbestand vergroten:

  1. Kies Bestand, Database, Wijzigen om het venster Database wijzigen te openen.

  2. Klik op het tabblad Transactielogbestanden.

  3. Selecteer het transactielogbestand dat u wilt wijzigen.

  4. Klik op het veld Grootte (MB) en voer een nieuwe bestandsgrootte in.

Als de optie Onbeperkte groei niet is ingeschakeld en het transactie-log de maximale omvang heeft bereikt, kunt u de optie Onbeperkte groei inschakelen of de maximale grootte van een van de transactielogbestanden vergroten.

Verwante onderwerpen

Databases wijzigen - tabblad Transactielogbestanden

Nieuwe transactielogbestanden toevoegen


Nieuwe transactielogbestanden toevoegen

U kunt een transactielogbestand uitbreiden door een nieuw transactielogbestand te maken in de database.

Een nieuw transactielogbestand toevoegen:

  1. Kies Bestand, Database, Wijzigen om het venster Database wijzigen te openen.

  2. Klik op het tabblad Transactielogbestanden.

  3. Selecteer de eerste lege regel in het venster.

  4. Geef in het veld Logische naam een logische naam op voor elk transactielogbestand. Met logische namen vereenvoudigt u het beheer van transactielogbestanden.

  5. Geef in het veld Bestandsnaam het volledige pad en de naam op van elk transactielogbestand.

  6. Geef in het veld Grootte (MB) de aanvankelijke grootte in megabytes op voor elk transactielogbestand.

  7. Geef in het veld Bestandsgroei op hoeveel groter het transactielogbestand wordt, elke keer dat het wordt uitgebreid. U kunt hiervoor kilobytes (kB), megabytes (MB) of een percentage (%) gebruiken.

    De standaardwaarde is MB.

    Als u de waarde echter opgeeft in megabytes, wordt deze door SQL Server omgezet in kilobytes. Als u de waarde opgeeft als een percentage, wordt deze door SQL Server weergegeven als een percentage.

  8. Geef in het veld Onbeperkte groei op of het transactielogbestand kan worden uitgebreid door SQL Server.

  9. Geef in het veld Maximale grootte (MB) de maximumgrootte op voor het transactielogbestand.

U moet voor het transactielogbestand kiezen voor onbeperkte groei, of een maximale bestandsgrootte opgeven. Als u geen maximumgrootte opgeeft, wordt het transactielogbestand door SQL Server zo vaak uitgebreid als nodig is. Deze uitbreiding wordt alleen beperkt door de beschikbare schijfruimte.

Het transactielog bevat de wijzigingen die in de database worden aangebracht, en wordt gebruikt voor databaseherstel. Het is aan te raden de transactielogbestanden de extensie .ldf te geven.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases wijzigen onder SQL Server

Databases wijzigen - tabblad Transactielogbestanden

De omvang van transactielogbestanden vergroten


Het afdrukresultaat van lijsten aanpassen

U kunt bepalen hoe lijsten in Microsoft Dynamics NAV worden afgedrukt.

Het afdrukresultaat van een lijst aanpassen:

  1. Klik op Bestand, Pagina-instelling om het papierformaat en de pagina-instellingen (waaronder de marges) van een bepaalde lijst op te geven.

  2. Klik op Bestand, Afdrukken om het gewenste afdrukbereik en aantal exemplaren op te geven.

U kunt de functie activeren vanuit elk venster waarin de knop Afdrukken voorkomt. Als u Afdrukken in het menu Bestand kiest, verschijnt het venster Afdrukken. Hierin kunt u bepalen hoe de afdruktaak wordt uitgevoerd. U ziet welke printer als standaardprinter is geselecteerd in het Configuratiescherm van Windows. Deze printerselectie geldt voor heel Microsoft Dynamics NAV. U kunt eventueel een andere standaardprinter instellen of een bepaalde printer koppelen aan een gebruiker en/of lijst in het venster [image] Printerselecties.

Verwante onderwerpen

Lijsten afdrukken

Afdrukvoorbeeld van lijsten bekijken

Lijsten opslaan als HTML


Andere printers selecteren

U kunt kiezen op welke printer de lijsten worden afgedrukt.

Een andere printer kiezen:

  1. Kies Bestand, Afdrukken om het venster Afdrukken te openen.

  2. Klik bij het veld Naam op de AssistButton om een printer te selecteren uit de lijst met beschikbare printers.

    U kunt voor iedere printer verschillende opties instellen. U geeft deze opties weer door Eigenschappen te kiezen aan de rechterzijde van het venster.

    Het venster Afdrukken bevat verschillende opties waarmee u kunt bepalen wat er wordt afgedrukt en hoe dit gebeurt.

  3. Als u de gewenste instellingen heeft verricht, klikt u op OK om de lijst af te drukken.

U kunt de functie activeren vanuit elk venster waarin de knop Afdrukkenvoorkomt. Als u Afdrukken in het menu Bestand kiest, verschijnt een venster. Hierin kunt u bepalen hoe de afdruktaak wordt uitgevoerd. U ziet welke printer als standaardprinter is geselecteerd in het Configuratiescherm van Windows. Deze printerselectie geldt voor heel Microsoft Dynamics NAV. U kunt eventueel een andere standaardprinter instellen of een bepaalde printer koppelen aan een gebruiker en/of lijst in het venster [image] Printerselecties.

Verwante onderwerpen

Lijsten afdrukken

Afdrukvoorbeeld van lijsten bekijken

Lijsten opslaan als HTML

Het afdrukresultaat van lijsten aanpassen


Bepaalde gegevens in een venster zoeken

U moet waarschijnlijk af en toe bepaalde gegevens in het actieve venster opzoeken. Een venster kan echter een grote hoeveelheid gegevens bevatten.

Bepaalde gegevens in een veld zoeken:

  1. Klik in het veld dat u wilt doorzoeken. Kies vervolgens Bewerken, Zoeken om het venster Zoeken weer te geven. Typ hierin de tekenreeks (zoals woorden of getallen) die u wilt zoeken. Op de titelbalk van het venster ziet u welk veld wordt doorzocht. Als de cursor zich in een codeveld bevindt en u kiest Bewerken, Zoeken dan wordt alleen in dat veld naar de betreffende tekenreeks gezocht.

    U kunt het venster Zoeken ook openen door in een niet-bewerkbaar veld te typen.

  2. Typ de gezochte tekenreeks in het veld Zoeken naar. U kunt hierbij gebruik maken van hoofdletters en kleine letters. Er wordt in Microsoft Dynamics NAV alleen onderscheid gemaakt tussen hoofdletters en kleine letters (en diakritische tekens) als u het selectievakje Hoofdlettergevoelig inschakelt.

Klik op een van de volgende knoppen om de zoekopdracht te starten:

Eerste zoeken | De zoekopdracht wordt gestart vanaf de plaats van de cursor, waarna het eerste woord of getal dat overeenkomt met de zoekreeks, wordt weergegeven.
Volgende zoeken | Het volgende woord of getal dat overeenkomt met de zoekreeks wordt opgezocht. U gebruikt deze opdracht om meer overeenkomsten op te zoeken nadat u Eerste zoeken hebt gekozen.
Vorige zoeken | De zoekopdracht wordt gestart vanaf de plaats van de cursor, waarna het vorige woord of getal dat overeenkomt met de zoekreeks, wordt weergegeven.

De zoekopdracht wordt stopgezet zodra een overeenkomst met de zoekreeks wordt gevonden. U ziet de cursor dan in de record waarin de zoekreeks is aangetroffen. Als dit hetgeen is waarnaar u zocht, kunt u het zoekvenster sluiten. Anders klikt u op de knop Volgende zoeken om de zoekactie voort te zetten.

Er verschijnt een bericht wanneer de zoekreeks niet wordt aangetroffen. U ziet eveneens een bericht wanneer er niet verder kan worden gezocht in de opgegeven richting. U krijgt dan de mogelijkheid om verder te zoeken vanaf het begin dan wel einde van de tabel.

U kunt aanvullende criteria instellen voordat u de zoekopdracht start:

Gelijk aan | Hier bepaalt u of het eerste deel van de veldinhoud, de volledige veldinhoud of elk willekeurig deel van de veldinhoud moet worden doorzocht. Als u in velden met tekst of code zoekt, hebt u alleen de keuze uit Begin van veld of Heel veld.
Hoofdlettergevoelig | Als u deze optie inschakelt, wordt alleen naar exacte overeenkomsten met de zoekreeks gezocht. Ook de combinatie van hoofdletters en kleine letters moet hierbij dus precies hetzelfde zijn. Hetzelfde woord, maar met een andere combinatie van hoofdletters en kleine letters, wordt in dat geval niet gevonden.
Beste sleutel gebruiken | Als u deze optie inschakelt, wordt een andere sorteersleutel gekozen zodat de doorzochte tabel de meest geschikte sortering kent voor de zoekopdracht. Deze optie is erg handig als u grote tabellen moet doorzoeken.
Direct zoeken | Als u deze optie inschakelt, wordt de eerste overeenkomst met de zoekreeks in het veld Zoeken naar opgezocht zodra u begint te typen. U wordt niet onderbroken door berichten die aangeven dat er geen overeenkomsten zijn gevonden of dat de laatste record is bereikt. U hoeft in de meeste gevallen evenmin op een van de zoekknoppen te klikken. Deze functie is handig als u gegevens wilt opzoeken met een minimum aan toetsaanslagen. Als u de gewenste record hebt gevonden, hoeft u alleen maar op Enter te drukken om het venster Zoeken te sluiten en verder te kunnen werken De optie Direct zoeken is altijd ingeschakeld als u het venster Zoeken opent door in een niet-bewerkbaar veld te typen.

Klik op Terug als u wilt terugkeren naar de record die actief was toen u de zoekopdracht startte.

Klik op Vervangen als u het gezochte woord wilt vervangen. U ziet dan hetzelfde venster als met de opdracht Bewerken, Vervangen.


Bepaalde gegevens in een venster vervangen

U moet waarschijnlijk af en toe bepaalde gegevens in het actieve venster vervangen. Een venster kan een grote hoeveelheid gegevens bevatten zodat u de gezochte gegevens waarschijnlijk niet in een oogopslag zult zien.

Gebruik daarom de functie Vervangen om de inhoud van een bepaald veld in een venster te vervangen. U kunt uitsluitend bewerkbare gegevens vervangen. Er verschijnt een foutbericht als u gegevens probeert te vervangen die niet mogen worden gewijzigd. Herstel van de vervangen inhoud van een veld met Bewerken, Ongedaan maken is niet mogelijk.

Bepaalde gegevens in een venster vervangen:

  1. Kies Bewerken, Vervangen in de menubalk (of klik op Vervangen in het venster dat verschijnt wanneer u Bewerken, Zoeken kiest). Het venster Vervangen wordt geopend.

  2. Typ de zoekreeks die u wilt vervangen in het veld Zoeken naar.

  3. Typ de zoekreeks die u wilt vervangen in het veld Vervangen door. U kunt zowel hoofdletters als kleine letters gebruiken. Er wordt in Microsoft Dynamics NAV alleen onderscheid gemaakt tussen hoofdletters en kleine letters (en diakritische tekens) als u het selectievakje Hoofdlettergevoelig inschakelt.

Klik op een van de volgende knoppen om de zoekopdracht te starten:

Eerste zoeken | De zoekopdracht wordt gestart vanaf de plaats van de cursor, waarna het eerste woord of getal dat overeenkomt met de zoekreeks, wordt weergegeven.
Volgende zoeken | Het volgende woord of getal dat overeenkomt met de zoekreeks wordt opgezocht. U gebruikt deze opdracht om meer overeenkomsten op te zoeken nadat u Eerste zoeken hebt gekozen.
Vorige zoeken | De zoekopdracht wordt gestart vanaf de plaats van de cursor, waarna het vorige woord of getal dat overeenkomt met de zoekreeks, wordt weergegeven.

U kunt elke vervanging afzonderlijk bevestigen of alle vervangingen automatisch laten uitvoeren:

  • Als u elke afzonderlijke vervanging wilt bevestigen, klikt u op Eerste zoeken, Vorige zoeken of Volgende zoeken, waarna u op Vervangen klikt zodra de zoekreeks is gevonden. De vervanging wordt dan niet automatisch voortgezet voor alle volgende overeenkomsten. In plaats daarvan moet u de volledige procedure herhalen.

  • Klik op Alles vervangen als u de zoekreeks voor alle overeenkomsten in het hele venster wilt vervangen.

Er verschijnt een bericht wanneer de zoekreeks niet wordt aangetroffen. U ziet eveneens een bericht wanneer er niet verder kan worden gezocht in de opgegeven richting. U krijgt dan de mogelijkheid om verder te zoeken vanaf het begin dan wel einde van de tabel.

U kunt aanvullende criteria instellen voordat u de vervanging start:

Gelijk aan | Hier bepaalt u of het eerste deel van de veldinhoud, de volledige veldinhoud of elk willekeurig deel van de veldinhoud moet worden doorzocht. Als u in velden met tekst of code zoekt, hebt u alleen de keuze uit Begin van veld of Heel veld.
Hoofdlettergevoelig | Deze optie heeft alleen betrekking op de zoekactie. Hiermee kunt u in de zoekreeks onderscheid maken tussen hoofdletters en kleine letters. De vervangende tekenreeks komt altijd precies overeen met de tekenreeks die u hebt ingevoerd in het veld Vervangen door.
Beste sleutel gebruiken | Als u deze optie inschakelt, wordt een andere sorteersleutel gekozen zodat de doorzochte tabel de meest geschikte sortering kent voor de zoek- en vervangingsactie. Deze optie is erg handig als u gegevens in grote tabellen moet opzoeken en vervangen.
Vervang heel veld | Normaal heeft een vervanging alleen betrekking op het deel van het veld dat overeenkomt met de zoekreeks. Als u deze optie inschakelt, wordt de volledige inhoud van het veld vervangen.


Rijhoogte wijzigen

U kunt de hoogte van alle rijen (inclusief titelrijen) wijzigen zodat er meer of minder witruimte tussen de rijen ontstaat. De hoogte van titelrijen wijzigt u door de titelrij zelf aan te passen. Wijzigingen in willekeurige andere rijen worden in alle andere niet-titelrijen overgenomen.

De rijhoogte wijzigen:

  1. U kunt de regelhoogte pas wijzigen als de cursor zich in de grijze kolom links van de rijen bevindt.

  2. Plaats de aanwijzer onder de rij die u wilt wijzigen.

  3. De aanwijzer verandert in een doorgestreepte verticale pijl.

  4. Houd de muisknop ingedrukt en sleep de onderkant van de rij omhoog om de rij smaller te maken of omlaag om de rij hoger te maken.

  5. Laat de muisknop los als de rij de gewenste hoogte heeft.

Verwante onderwerpen

Kolommen weergeven


Werkbalk weergeven

U kunt bepalen of en hoe de werkbalk in Microsoft Dynamics NAV wordt weergegeven.

Een werkbalk aanpassen:

  1. Kies Beeld, Werkbalk om het venster Werkbalk te openen. Dit venster bevat vijf selectievakjes.

  2. U selecteert een optie door het bijbehorende selectievakje in te schakelen. U hebt de volgende opties:

Veld | Functie:
Werkbalk | De werkbalk wordt weergegeven.
Knoppen in kleur | De knoppen op de werkbalk worden in kleur in plaats van zwart-wit weergegeven.
Grote knoppen | De knoppen op de werkbalk worden in een groot formaat weergegeven.
Knopinfo weergeven | Als u de aanwijzer op de knop plaatst, wordt de knopnaam weergegeven.
Sneltoetsen | Schakel dit veld samen met het veld Knopinfo weergeven in om niet alleen de naam van de knop maar ook de bijbehorende toetsencombinatie in de knopinfo weer te geven.


Code Coverage starten vanaf de opdrachtprompt

Start het hulpprogramma Code Coverage vanaf de opdrachtprompt als u een totaalbeeld wilt hebben van de code die wordt gebruikt wanneer u Microsoft Dynamics NAV uitvoert of test.

Microsoft Dynamics NAV starten vanaf de opdrachtprompt:

  1. Als u met Code Coverage werkt, voert u de volgende opdracht in:

      2. fin COVERAGELOG

  2. Als u met Code Coverage werkt en het resultaat in het logbestand XX.XX wilt opslaan, voert u de volgende opdracht in:

      3. fin COVERAGELOG, COVERAGEFILENAME=XX.XX

  3. Als Code Coverage niet actief is en u het bestaande resultaat uit het bestand XX.XX wilt ophalen, voert u de volgende opdracht in:

fin COVERAGEFILENAME=XX.XX

Er wordt een enorm groot logbestand gegenereerd wanneer u hierbij gebruikmaakt van Code Coverage.

Verwante onderwerpen

Codegebruik bijhouden


Kolommen weergeven

Er verschijnt een venster waarin u kunt zien welke kolommen zichtbaar zijn en welke niet. Open dus het venster Kolommen weergeven als u wilt weten of er verborgen kolommen zijn.

Als u bepaalde kolommen in het venster hebt verborgen via Beeld, Kolommen verbergen, gebruikt u deze functie om de kolommen weer zichtbaar te maken.

Een kolom weergeven:

  1. Kies Beeld, Kolommen weergeven om het venster Kolommen weergeven te openen.

    Het venster Kolommen weergeven bevat de veldnamen van alle kolommen in het actieve venster.

    Een kolom is verborgen als er geen markering naast de bijbehorende veldnaam staat.

  2. U maakt een kolom weer zichtbaar door links van de veldnaam te klikken zodat er een markering verschijnt.

  3. Plaats geen markering als u de kolom verborgen wilt laten.

Als u deze functie gebruikt om FlowFields te verbergen op formulieren met tabellen, wordt het FlowField niet meer berekend. Dit kan de prestaties enigszins verbeteren. Het is echter mogelijk dat het formulier programmacode bevat waarvoor de informatie in het FlowField nodig is. Deze programmacode kan niet correct worden uitgevoerd als het desbetreffende verborgen FlowField niet wordt berekend.

Verwante onderwerpen

Rijen hoger of smaller maken


Veldfilters gebruiken

Een veldfilter heeft dezelfde werking als een tabelfilter. Het verschil is dat een veldfilter alleen filtert op basis van het veld waarin de cursor tijdens de filterinstelling staat. U houdt een goed overzicht op de toegepaste filters door regelmatig de tabelfilterfunctie te gebruiken om te controleren welke filters in een venster zijn ingesteld.

Een veldfilter gebruiken:

Hier volgt een voorbeeld van het gebruik van een veldfilter om de tabel Klant te filteren zodat alleen klantenkaarten met de verkoper PS worden opgehaald.

  1. Open het venster [image] Klant.

  2. Klik op het veld Verkoper.

  3. Kies Beeld, Veldfilter op de menubalk.

    Er verschijnt een venster waarin u de voorwaarden voor het filter kunt invoeren. Het filterveld heeft standaard dezelfde inhoud als het veld op de kaart. U kunt over deze bestaande inhoud heen typen.

  4. Voer PS in en klik op Toepassen.

    Als u nu door de klantenkaarten bladert, ziet u dat het alleen kaarten met PS als verkoper betreft. De overige klanten zitten nog steeds in de database, maar om hun klantenkaarten weer te zien moet u eerst het filter verwijderen:

  5. Kies Beeld, Alles weergeven op de menubalk.

Nu ziet u weer alle kaarten in de tabel Klant.

Als u een filter voor verschillende velden tegelijk wilt instellen, moet u een tabelfilter maken.

Het filtervenster bevat drie knoppen (plus Help). Klik op Toepassen om het resultaat van de ingevoerde veldfilter te zien zonder het filtervenster te sluiten. Klik op OK om het filter toe te passen en het venster te sluiten. Klik op Annuleren om het filtervenster te sluiten en de wijzigingen in het filterveld die zijn aangebracht nadat u voor het laatst op Toepassen of OK hebt geklikt, te negeren.

Attentie

Zorg dat u alleen zinvolle filters invoert. Het is bijvoorbeeld mogelijk om een niet-bestaande interval op te geven zonder dat dit wordt gecontroleerd. U moet op de hoogte zijn van de sorteringsregels van het programma om zinvolle filters te kunnen invoeren.

Verwante onderwerpen

Criteria voor filters invoeren

Tabelfilters gebruiken

Sorteren


FlowFilters gebruiken

Met FlowFilters kunt u een gerichte selectie maken van velden met bedragen of aantallen die worden berekend op basis van records in andere tabellen. Aan de hand van deze filters kunt u records die bijvoorbeeld aan een bepaalde periode of een bepaalde vestiging voldoen, ophalen uit andere tabellen.

U kunt FlowFilters invoeren in velden waarin de term 'filter' voorkomt, zoals Datumfilter, Filter globale dimensie 1 of Vestigingsfilter. Dit worden FlowFilter-velden genoemd. Druk op Shift+F7 of kies Beeld, FlowFilter om een venster te openen waarin u de voorwaarden kunt invoeren.

Een FlowFilter gebruiken:

Hier volgt een voorbeeld van het gebruik van een vestigingsfilter voor een artikelkaart.

  1. Open het venster [image] Artikel.

  2. Kies Beeld, FlowFilter op de menubalk.

  3. Ga naar de regel met Vestigingsfilter in het veld Veld, klik op Filter en vervolgens op de AssistButton om het venster Vestigingen weer te geven.

  4. Selecteer een vestiging in het venster Vestigingen en klik op OK. De geselecteerde vestiging wordt nu weergegeven in het venster FlowFilter.

  5. Klik op OK om de vestiging in te stellen voor de artikelkaart.

Het venster bevat nu alleen de diverse aantallen voor de betreffende vestiging.

Rechtsonder in het venster ziet u tevens de melding FILTER.

Als u klaar bent, gaat u terug naar het venster FlowFilter en verwijdert u het filter dat u hebt ingevoerd bij Vestigingsfilter. Klik op OK.

Verwante onderwerpen

Criteria voor filters invoeren

FlowFilters


Tabelfilters gebruiken

Als u op meerdere velden tegelijk wilt filteren, moet u een tabelfilter instellen.

U houdt een goed overzicht op de toegepaste filters door regelmatig de tabelfilterfunctie te gebruiken om te controleren welke filters in een venster zijn ingesteld.

Een tabelfilter gebruiken:

Hier volgt een voorbeeld van de instelling van een tabel met voorwaarden voor verschillende velden.

  1. Open het venster [image] Rekeningschema.

  2. Kies Beeld, Tabelfilter op de menubalk.

    Er verschijnt een venster met de velden waarop een filter is toegepast. Als er geen filters zijn ingesteld, ziet u alleen het veld waarin u de cursor hebt geplaatst.

    In de linkerkolom kunt u de namen invoeren van de velden die u wilt filteren. U kunt bijvoorbeeld de velden Nr. en Rekeningsoort toevoegen aan het filtervenster.

  3. Klik op het veld Veld op de bovenste regel. Klik op de AssistButton om het venster Grootboekrekening - Veldoverzicht te openen.

  4. Selecteer het veld Nr. en klik op OK om de veldnaam naar het venster Grootboekrekening - Tabelfilter te kopiëren.

  5. Herhaal stap 3 om het veld Rekeningsoort toe te voegen.

  6. Typ de volgende voorwaarden voor de betreffende velden in de rechterkolom:

    Voer 6000..9999 in naast het veld Nr.

    Voer Rekening in naast het veld Rekeningsoort.

  7. Klik op Toepassen.

    Klik op het venster Rekeningschema om het resultaat van het filter te zien. U ziet hierin nu alleen rekeningen met nummers in het bereik 6000-9999 (winst- en verliesrekening). U ziet alleen boekingsrekeningen in het venster omdat alle titels en totalen zijn weggefilterd door het filter op het veld Rekeningsoort.

  8. Kies Beeld, Alles weergeven op de menubalk.

    Nu zijn alle grootboekrekeningen weer zichtbaar.

Het filtervenster bevat drie knoppen (plus de knop Help). Klik op Toepassen om het resultaat van de ingevoerde veldfilter te zien zonder het filtervenster te sluiten. Klik op OK om het filter toe te passen en het venster te sluiten. Klik op Annuleren om het filtervenster te sluiten en de wijzigingen in het filterveld die zijn aangebracht nadat u voor het laatst op Toepassen of OKhebt geklikt, te negeren.

Opmerking

Zorg dat u alleen zinvolle filters invoert. Het is bijvoorbeeld mogelijk om een niet-bestaande interval op te geven zonder dat dit wordt gecontroleerd. U moet op de hoogte zijn van de sorteringsregels van het programma om zinvolle filters te kunnen invoeren.

Verwante onderwerpen

Criteria voor filters invoeren

Veldfilters gebruiken

Sorteren


Lijsten per e-mail verzenden

U kunt met Microsoft Dynamics NAV lijsten per e-mail verzenden. De lijsten worden in een HTML-indeling verstuurd.

Deze functie is met uw e-mailprogramma geïntegreerd, zodat u lijsten rechtstreeks vanuit Microsoft Dynamics NAV kunt versturen. U kunt bijvoorbeeld relevante lijsten naar collega's in het bedrijf verzenden.

Een lijst per e-mail verzenden:

  1. Open de lijst of bekijk deze met de functie Afdrukvoorbeeld.

  2. Kies Bestand, Verzenden, Lijst via e-mail om de lijst automatisch als een HTML-bestand aan een e-mailbericht te koppelen. De ontvanger kan het bestand dan openen in een webbrowser.

Verwante onderwerpen

Koppelingen naar formulieren of lijsten per e-mail verzenden

Koppelingen naar formulieren of lijsten kopiëren

Snelkoppelingen naar het bureaublad verzenden

Afdrukvoorbeeld van lijsten bekijken

Het afdrukresultaat van lijsten aanpassen

Lijsten opslaan als HTML


Koppelingen naar formulieren of lijsten per e-mail verzenden

U kunt met Microsoft Dynamics NAV koppelingen naar formulieren of lijsten per e-mail verzenden.

Deze functie is met uw e-mailprogramma geïntegreerd, zodat u koppelingen rechtstreeks vanuit Microsoft Dynamics NAV per e-mail kunt versturen. U kunt bijvoorbeeld een koppeling naar een formulier of een lijst naar collega's in het bedrijf verzenden.

Een koppeling per e-mail verzenden:

  1. Open de lijst of het formulier waarnaar u een koppeling wilt maken.

  2. Kies Bestand, Verzenden, Koppeling via e-mail om het venster Nieuw bericht te openen. De koppeling wordt automatisch in het veld Bijlage geplakt. De ontvanger kan een koppeling openen door te dubbelklikken op de koppeling in het veld Bijlage .

Verwante onderwerpen

Lijsten per e-mail verzenden

Koppelingen naar formulieren of lijsten kopiëren

Snelkoppelingen naar het bureaublad verzenden


Client-monitor gebruiken

Programmeurs kunnen de voorziening Client-monitor gebruiken om de verbinding tussen een werkstation en een Microsoft Dynamics NAV-databaseserver te controleren. Bovendien kunt u hiermee de communicatie tussen de client en een lokaal opgeslagen database volgen.

Client-monitor kan een logbestand genereren van de verschillende aanroepen naar de database, zodat u kunt controleren welke databaseobjecten in welke volgorde werden aangeroepen. Deze gegevens worden tijdelijk opgeslagen in het geheugen van de client en pas verwijderd zodra de huidige databasesessie op de client wordt afgesloten.

De Client-monitor gebruiken:

  1. Kies Extra, Client-monitor om het venster Client-monitor te openen.

  2. Klik op Start om de Client-monitor te activeren.

  3. Het venster van de Client-monitor mag gesloten zijn terwijl u de controletaken uitvoert.

  4. Als u deze taken hebt voltooid, kiest u Extra, Client-monitor om het venster weer te openen.

  5. Klik op Stop om het bijhouden van database-aanroepen te stoppen.

  6. In het venster Client-monitor is nu een overzicht te zien van alle database-aanroepen die zijn gemaakt en in welke volgorde dit is gebeurd.

Attentie

De gegevens die u via de Client-monitor verkrijgt kunt gebruiken in combinatie met de gegevens over serveractiviteit op het tabblad Sessies van het venster Database-informatie.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Codegebruik bijhouden

Database-informatie - tabblad Sessies in Microsoft Dynamics NAV Database Server


Snelkoppelingen naar het bureaublad verzenden

U kunt met Microsoft Dynamics NAV snelkoppelingen naar formulieren of lijsten maken op het bureaublad.

Een snelkoppeling naar het bureaublad verzenden:

  1. Open de lijst of het formulier waarnaar u een koppeling wilt maken.

  2. Kies Bestand, Verzenden, Snelkoppeling naar bureaublad om automatisch een snelkoppeling op het bureaublad te plaatsen.

  3. U opent een lijst of een formulier dan door te dubbelklikken op de bijbehorende snelkoppeling op het bureaublad.

Verwante onderwerpen

Lijsten per e-mail verzenden

Koppelingen naar formulieren of lijsten per e-mail verzenden

Koppelingen naar formulieren of lijsten kopiëren


Koppelingen naar formulieren of lijsten kopiëren

U kunt in Microsoft Dynamics NAV koppelingen naar lijsten of formulieren kopiëren.

Een koppeling naar een lijst of een formulier kopiëren:

  1. Open de lijst of het formulier waarnaar u een koppeling wilt maken.

  2. Kies Bewerken, Koppeling kopiëren om een koppeling naar de lijst of het formulier op het klembord te plaatsen. Vervolgens kunt u de koppeling bijvoorbeeld in een webbrowser plakken.

Verwante onderwerpen

Koppelingen naar formulieren of lijsten per e-mail verzenden

Lijsten per e-mail verzenden

Snelkoppelingen naar het bureaublad verzenden


Tabellen testen

U kunt met Microsoft Dynamics NAV de tabellen in uw database testen. Vanuit het venster Tabellen testen kunt u dezelfde tests activeren als via de opdracht Bestand, Database, Testen (behalve de test voor ruimtetoewijzing). Wanneer u slechts één tabel wilt testen en bijvoorbeeld de test Veldrelaties tussen tabellen selecteert, worden de relaties tussen de geselecteerde tabel en de gerelateerde tabellen getest.

Een tabel testen:

  1. Kies Bestand, Database, Info om het venster Database-informatie weer te geven.

  2. Klik op Tabellen om het venster Database-informatie (tabellen) weer te geven.

  3. Selecteer de tabel(len) die u wilt testen. Als u geen tabellen selecteert, worden alle tabellen getest.

  4. Klik op Testen om het venster Testen weer te geven.

  5. Selecteer de tests die u wilt uitvoeren. Sommige tests moeten gecombineerd worden uitgevoerd.

  6. Klik op OK om de test te starten.

  7. Na afloop van de tests verschijnt in Microsoft Dynamics NAV een bericht of de tests zijn gelukt. Mochten er tijdens de test fouten in de tabellen zijn ontdekt, dan ziet u een bericht met de gevonden fouten.

Verwante onderwerpen:

Databases testen onder SQL Server Option

Database-informatie - tabblad Database - SQL Server Option

Het venster Database-informatie (tabellen)


Gegevens invoeren op het tabblad Nieuwe database - Integratie

Het tabblad Integratie bevat database-instellingen die bepalen hoe Microsoft Dynamics NAV met SQL Server en externe hulpprogramma's wordt geïntegreerd. U kunt deze opties later wijzigen.

Het tabblad bevat de volgende database-instellingen:

Objecten

  • Views onderhouden: Met deze instelling bepaalt u of door SQL Server een weergave wordt gemaakt en bijgehouden van elke taal-id die wordt toegevoegd aan een tabel of een veld in Microsoft Dynamics NAV.

    Als u deze optie inschakelt kunnen externe hulpprogramma's de eigenschap Bijschrift ML van elk object via de SQL-weergaven ophalen in de vereiste taal, en hoeft niet per se de objectnaam uit de tabel te worden gebruikt.

  • Relaties onderhouden: Met deze instelling bepaalt u of door SQL Server een externe sleutelrestrictie wordt gemaakt of bijgehouden voor elke TableRelation-eigenschap van een Microsoft Dynamics NAV-tabel.

Als u deze optie selecteert, krijgen externe hulpprogramma's toegang tot de bestaande tabelrelaties (externe sleutelrestricties) tussen Microsoft Dynamics NAV-tabellen. Deze relaties zijn uitgeschakeld omdat ze uitsluitend bedoeld zijn voor modellering en niet voor de handhaving van de gegevensintegriteit.

  • Synchroniseren: Deze instelling is gekoppeld aan de instelling Relaties onderhouden en is alleen actief als u hebt bepaald dat de tabelrelaties op SQL Server worden gemaakt en onderhouden.

Deze optie is alleen beschikbaar als er tabelrelatiefouten optreden tijdens het herstellen van een database of het importeren van objecten in een database. De tabelrelatiefouten kunnen worden opgelost door bijvoorbeeld de tabelrelaties te verwijderen die naar niet-bestaande tabellen verwijzen en vervolgens deze optie te gebruiken om de tabelrelaties te synchroniseren met SQL Server.

  • Als er tabelrelatiefouten optreden tijdens het herstellen van een database, wordt de herstelbewerking niet afgebroken.

  • Standaardwaarden bijwerken: Met deze instelling bepaalt u of door SQL Server standaardrestricties worden gemaakt en bijgehouden voor elk veld in een Microsoft Dynamics NAV-tabel. Als u deze optie selecteert, kunnen de standaardrestricties door externe hulpprogramma's worden gebruikt om gegevens in Microsoft Dynamics NAV-tabellen in te voegen of bestaande gegevens te wijzigen.

  • Identifiers converteren: Met deze instelling kunt u ongeldige tekens in de naam van alle SQL Server-objecten (tabellen, kolommen, beperkende voorwaarden) in de database selecteren en toewijzen aan het onderstrepingsteken. Het veld Karakters verwijderen bevat een overzicht van de tekens die worden omgezet in onderstrepingstekens. U kunt deze lijst aanpassen.

Als u de tekens hebt omgezet, moet u de database eerst sluiten en opnieuw openen voordat u de nieuwe identifiers kunt gebruiken.

Licentie

  • Licentie in database opslaan: Met deze instelling kunt u aangeven dat het licentiebestand in de database is opgehaald en opgeslagen en niet op de server hoeft te worden gezocht. Dit is handig wanneer één server als host optreedt voor verschillende databases met afzonderlijke licentiebestanden. Als u deze optie selecteert wanneer u een database maakt of wijzigt, wordt u gevraagd het licentiebestand naar de database te uploaden.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases maken onder SQL Server

Gegevens invoeren op het tabblad Nieuwe database - Algemeen

Gegevens invoeren op het tabblad Nieuwe database - Databasebestanden

Gegevens invoeren op het tabblad Nieuwe database - Transactie-logbestanden

Gegevens invoeren op het tabblad Nieuwe database - Sortering

Gegevens invoeren op het tabblad Nieuwe database - Opties

Gegevens invoeren op het tabblad Nieuwe database - Geavanceerd


Het netwerktype voor een database onder Microsoft Dynamics NAV Database Server wijzigen

Als u een oude database wilt wijzigen zodat deze het netwerktype TCPS gebruikt, gaat u als volgt te werk:

  1. Installeer de nieuwe server en voer een update van C/SIDE uit.

  2. Klik op Bestand, Database, Openen. Het venster Database openen wordt weergegeven.

  3. Klik op het tabblad Geavanceerd en gebruik de AssistButton in het veld Netwerktype om TCPS te selecteren als het protocol.

  4. Klik op het tabblad Algemeen en selecteer in het veld Servernaam de server waarmee u verbinding wilt maken. Als u de naam van de server invoert, moet u de hostnaam van de server gebruiken.

  5. Voer in het veld Databasenaam de naam van de database in.

  6. Voer uw gebruikers-id en wachtwoord in.

  7. Klik op OK om de database te openen. Er wordt een dialoogvenster weergegeven waarin wordt meegedeeld dat de database moet worden geconverteerd voordat deze kan worden geopend.

  8. Klik op Ja om de database te converteren.

  9. Open de database. De database gebruikt nu TCPS.

Verwante onderwerpen

Het netwerktype onder Microsoft Dynamics NAV Database Server selecteren


Gegevens invoeren op het tabblad Nieuwe database - Geavanceerd

Het tabblad Geavanceerd bevat een aantal instellingen waarmee u kunt bepalen hoe vergrendeling in de database wordt verwerkt.

Het tabblad bevat de volgende instellingen:

Vergrendelen

  • Time-out van vergrendeling: met deze instelling kunt u opgeven of een sessie wacht met het vergrendelen van een resource die al door een andere sessie is vergrendeld.

  • Duur time-out (sec): met deze instelling kunt u opgeven hoeveel tijd er maximaal verstrijkt voordat een sessie een resource vergrendelt die al door een andere sessie is vergrendeld. De standaardwaarde is 10 seconden. U kunt deze waarde wijzigen.

Als deze optie niet wordt ingeschakeld, wordt er geen vergrendeling toegepast.

  • Altijd regels vergrendelen: met deze instelling kunt u instellen dat in Microsoft Dynamics NAV altijd vergrendeling op regelniveau wordt toegepast in plaats van op pagina- en tabelniveau.

Beveiliging

  • Model Met deze instelling kunt u opgeven of voor deze database het standaard of het uitgebreide beveiligingsmodel wordt gebruikt.

De standaardinstelling is Uitgebreid.

Het belangrijkste verschil tussen deze twee beveiligingsmodellen is de manier waarop ze het beveiligingssysteem van Dynamics NAV synchroniseren met SQL Server en het beveiligingssysteem van Dynamics NAV integreren met Windows-verificatie.

De belangrijkste verschillen tussen beide beveiligingsmodellen worden in de volgende tabel weergegeven:

Voorziening

Standaardbeveiliging

Uitgebreide beveiliging

Prestaties synchronisatie

Snel

Langzamer
Als u verschillende bedrijven en veel gebruikers in de database hebt, zal het synchronisatieproces langzamer verlopen bij uitgebreide beveiliging

Weergegeven Windows-groepen

Lokaal domein + forest van domeinen

Alleen lokaal domein

Vereiste aanmeldingen in Dynamics NAV

Windows-groepen en afzonderlijke Windows-gebruikers

Windows-groepen + de leden van elke groep en afzonderlijke Windows-gebruikers

Detailniveau van synchronisatie

Het hele beveiligingssysteem

Het hele beveiligingssysteem en afzonderlijke aanmeldingen

Automatische synchronisatie wanneer u een Windows- of database-aanmelding invoegt, wijzigt of verwijdert in Dynamics NAV.

Ja

Nee

Vereiste uitgebreide opgeslagen procedure

xp_ndo_enumusersids

xp_ndo_enumusergroups

In cache opslaan

  • Record instellen: met deze instelling kunt u opgeven hoeveel records er in de cache worden opgeslagen wanneer er in Microsoft Dynamics NAV een FINDSET-bewerking wordt uitgevoerd waarbij de parameter ForUpdate is ingesteld op FALSE.

Als een FINDSET-instructie meer records leest dan het aantal dat hier is opgegeven, worden er aanvullende SQL-instructies verzonden naar de server waardoor de prestaties afnemen. Als u hier een hogere waarde invult, verbruikt de client meer geheugen om elke FINDSET-instructie te ondersteunen.

De standaardinstelling is 500.

Raadpleeg de Microsoft Dynamics NAV 2009 Developer and IT Pro Documentation voor meer informatie.

Verwante onderwerpen

Databases maken onder SQL Server

Gegevens invoeren op het tabblad Nieuwe database - Algemeen

Gegevens invoeren op het tabblad Nieuwe database - Databasebestanden

Gegevens invoeren op het tabblad Nieuwe database - Transactie-logbestanden

Gegevens invoeren op het tabblad Nieuwe database - Sortering

Gegevens invoeren op het tabblad Nieuwe database - Opties

Gegevens invoeren op het tabblad Nieuwe database - Integratie